;  US Structurals -----------------------------------------------------------------------------------------------
(defun beamdata_usb ( beamsize bsize ) ; lbs rwt per foot
    (setq btype "USB")
    (if (and                   (<= beamsize  3.0) (= bsize 1)) (setq h  3.0 b 2.509 tf 0.26  tw 0.349 rwtb   7.5))
    (if (and                   (<= beamsize  3.0) (= bsize 2)) (setq h  3.0 b 2.33  tf 0.26  tw 0.170 rwtb   5.7))
  
    (if (and (> beamsize  3.0) (<= beamsize  4.0) (= bsize 1)) (setq h  4.0 b 2.796 tf 0.293 tw 0.326 rwtb   9.5))
    (if (and (> beamsize  3.0) (<= beamsize  4.0) (= bsize 2)) (setq h  4.0 b 2.66  tf 0.293 tw 0.19  rwtb   7.7))

    (if (and (> beamsize  4.0) (<= beamsize  5.0) (= bsize 1)) (setq h  5.0 b 3.284 tf 0.326 tw 0.494 rwtb  14.75))
    (if (and (> beamsize  4.0) (<= beamsize  5.0) (= bsize 2)) (setq h  5.0 b 3.0   tf 0.326 tw 0.21  rwtb  10.0))

    (if (and (> beamsize  5.0) (<= beamsize  6.0) (= bsize 1)) (setq h  6.0 b 3.365 tf 0.359 tw 0.465 rwtb  17.25))
    (if (and (> beamsize  5.0) (<= beamsize  6.0) (= bsize 2)) (setq h  6.0 b 3.33  tf 0.359 tw 0.23  rwtb  12.5))

    (if (and (> beamsize  6.0) (<= beamsize  7.0) (= bsize 1)) (setq h  7.0 b 3.86  tf 0.392 tw 0.45  rwtb  20.0))
    (if (and (> beamsize  6.0) (<= beamsize  7.0) (= bsize 2)) (setq h  7.0 b 3.66  tf 0.392 tw 0.25  rwtb  15.3))
  
    (if (and (> beamsize  7.0) (<= beamsize  8.0) (= bsize 1)) (setq h  8.0 b 4.171 tf 0.425 tw 0.441 rwtb  23.0))
    (if (and (> beamsize  7.0) (<= beamsize  8.0) (= bsize 2)) (setq h  8.0 b 4.0   tf 0.425 tw 0.27  rwtb  18.4))

    (if (and (> beamsize  8.0) (<= beamsize 10.0) (= bsize 1)) (setq h 10.0 b 4.944 tf 0.491 tw 0.594 rwtb  35.0))
    (if (and (> beamsize  8.0) (<= beamsize 10.0) (= bsize 2)) (setq h 10.0 b 4.66  tf 0.491 tw 0.31  rwtb  25.4))

    (if (and (> beamsize 10.0) (<= beamsize 12.0) (= bsize 1)) (setq h 12.0 b 5.477 tf 0.659 tw 0.687 rwtb  50.0))
    (if (and (> beamsize 10.0) (<= beamsize 12.0) (= bsize 2)) (setq h 12.0 b 5.25  tf 0.659 tw 0.46  rwtb  40.8))
    (if (and (> beamsize 10.0) (<= beamsize 12.0) (= bsize 3)) (setq h 12.0 b 5.078 tf 0.544 tw 0.428 rwtb  35.0))
    (if (and (> beamsize 10.0) (<= beamsize 12.0) (= bsize 4)) (setq h 12.0 b 5.0   tf 0.544 tw 0.35  rwtb  31.8))

    (if (and (> beamsize 12.0) (<= beamsize 15.0) (= bsize 1)) (setq h 15.0 b 5.64  tf 0.622 tw 0.55  rwtb  50.0))
    (if (and (> beamsize 12.0) (<= beamsize 15.0) (= bsize 2)) (setq h 15.0 b 5.5   tf 0.622 tw 0.41  rwtb  42.9))
  
    (if (and (> beamsize 15.0) (<= beamsize 18.0) (= bsize 1)) (setq h 18.0 b 6.251 tf 0.691 tw 0.711 rwtb  70.0))
    (if (and (> beamsize 15.0) (<= beamsize 18.0) (= bsize 2)) (setq h 18.0 b 6.0   tf 0.691 tw 0.46  rwtb  54.7))

    (if (and (> beamsize 18.0) (<= beamsize 20.0) (= bsize 1)) (setq h 20.0 b 7.2   tf 0.916 tw 0.8   rwtb  45.8))
    (if (and (> beamsize 18.0) (<= beamsize 20.0) (= bsize 2)) (setq h 20.0 b 7.053 tf 0.916 tw 0.653 rwtb  42.7))
    (if (and (> beamsize 18.0) (<= beamsize 20.0) (= bsize 3)) (setq h 20.0 b 6.391 tf 0.789 tw 0.641 rwtb  45.8))
    (if (and (> beamsize 18.0) (<= beamsize 20.0) (= bsize 4)) (setq h 20.0 b 6.25  tf 0.779 tw 0.5   rwtb  42.7))

    (if (and (> beamsize 20.0) (<= beamsize 24.0) (= bsize 1)) (setq h 24.0 b 8.048 tf 1.102 tw 0.798 rwtb 120.0))
    (if (and (> beamsize 20.0) (<= beamsize 24.0) (= bsize 2)) (setq h 24.0 b 7.875 tf 1.102 tw 0.625 rwtb 105.9))
    (if (and (> beamsize 20.0) (<= beamsize 24.0) (= bsize 3)) (setq h 24.0 b 7.247 tf 0.871 tw 0.747 rwtb 100.0))
    (if (and (> beamsize 20.0) (<= beamsize 24.0) (= bsize 4)) (setq h 24.0 b 7.124 tf 0.871 tw 0.624 rwtb  90.0))
    (if (and (> beamsize 20.0) (<= beamsize 24.0) (= bsize 5)) (setq h 24.0 b 7.0   tf 0.871 tw 0.5   rwtb  79.9))
)
(defun beamdata_uscbl ( beamsize ) ; lbs rwt per foot
    (setq btype "USCBL")
    (if (and (> beamsize  4.0) (<= beamsize  6.0) (= bsize 1)) (setq h  6.25 b 4.03  tf 0.404 tw 0.26  rwtb  16.0))
    (if (and (> beamsize  4.0) (<= beamsize  6.0) (= bsize 2)) (setq h  6.0  b 4.0   tf 0.279 tw 0.23  rwtb  12.0))

    (if (and (> beamsize  6.0) (<= beamsize  8.0) (= bsize 1)) (setq h  8.12 b 4.015 tf 0.314 tw 0.245 rwtb  15.0))
    (if (and (> beamsize  6.0) (<= beamsize  8.0) (= bsize 2)) (setq h  8.0  b 4.0   tf 0.254 tw 0.23  rwtb  13.0))

    (if (and (> beamsize  8.0) (<= beamsize 10.0) (= bsize 1)) (setq h 10.25 b 4.02  tf 0.394 tw 0.25  rwtb  19.0))
    (if (and (> beamsize  8.0) (<= beamsize 10.0) (= bsize 2)) (setq h 10.12 b 4.01  tf 0.329 tw 0.24  rwtb  17.0))
    (if (and (> beamsize  8.0) (<= beamsize 10.0) (= bsize 3)) (setq h 10.0  b 4.0   tf 0.269 tw 0.23  rwtb  15.0))

    (if (and (> beamsize 10.0) (<= beamsize 12.0) (= bsize 1)) (setq h 12.31 b 4.03  tf 0.424 tw 0.26  rwtb  22.0))
    (if (and (> beamsize 10.0) (<= beamsize 12.0) (= bsize 2)) (setq h 12.16 b 4.01  tf 0.349 tw 0.24  rwtb  19.0))
    (if (and (> beamsize 10.0) (<= beamsize 12.0) (= bsize 3)) (setq h 12.0  b 4.0   tf 0.269 tw 0.23  rwtb  16.5))
)
(defun beamdata_uscbs ( beamsize ) ; lbs rwt per foot
    (setq btype "USCBS")
    (if (and                   (<= beamsize  5.0) (= bsize 1)) (setq h  5.12 b 5.025 tf 0.42  tw 0.265 rwtb  18.5))
    (if (and                   (<= beamsize  5.0) (= bsize 2)) (setq h  5.0  b 5.0   tf 0.36  tw 0.24  rwtb  16.0))

    (if (and (> beamsize  5.0) (<= beamsize  6.0) (= bsize 1)) (setq h  6.37 b 6.08  tf 0.456 tw 0.32  rwtb  25.0))
    (if (and (> beamsize  5.0) (<= beamsize  6.0) (= bsize 2)) (setq h  6.2  b 6.18  tf 0.367 tw 0.258 rwtb  20.0))
    (if (and (> beamsize  5.0) (<= beamsize  6.0) (= bsize 3)) (setq h  6.0  b 6.0   tf 0.269 tw 0.24  rwtb  15.5))
)
(defun beamdata_uscbj ( beamsize ) ; lbs rwt per foot
    (setq btype "USCBJ")
    (if (and (> beamsize 10.0) (<= beamsize 12.0) (= bsize 1)) (setq h 11.91 b 3.97  tf 0.224 tw 0.2   rwtb  14.0))
    (if (and (> beamsize  8.0) (<= beamsize 10.0) (= bsize 1)) (setq h  9.87 b 3.95  tf 0.204 tw 0.18  rwtb  11.5))
    (if (and (> beamsize  6.0) (<= beamsize  8.0) (= bsize 1)) (setq h  7.9  b 3.94  tf 0.204 tw 0.17  rwtb  10.0))
    (if (and                   (<= beamsize  6.0) (= bsize 1)) (setq h  5.83 b 3.94  tf 0.194 tw 0.170 rwtb   8.5))
)

(defun channeldata_usc ( chansize csize ) ; lbs rwt per foot
    (setq ctype "USC")
    (if (and                   (<= chansize  3.0) (= csize 1)) (setq h  3.0 bc 1.596 tf 0.273 tw 0.356 rwtc   6.0  df 3.0))
    (if (and                   (<= chansize  3.0) (= csize 2)) (setq h  3.0 bc 1.498 tf 0.273 tw 0.258 rwtc   5.0  df 3.0))
    (if (and                   (<= chansize  3.0) (= csize 3)) (setq h  3.0 bc 1.41  tf 0.273 tw 0.258 rwtc   4.1  df 3.0))
  
    (if (and (> chansize  3.0) (<= chansize  4.0) (= csize 1)) (setq h  4.0 bc 1.72  tf 0.296 tw 0.32  rwtc   7.25 df 2.0))
    (if (and (> chansize  3.0) (<= chansize  4.0) (= csize 2)) (setq h  4.0 bc 1.58  tf 0.296 tw 0.18  rwtc   5.4  df 2.0))

    (if (and (> chansize  4.0) (<= chansize  5.0) (= csize 1)) (setq h  5.0 bc 1.885 tf 0.32  tw 0.325 rwtc   9.0  df 1.5))
    (if (and (> chansize  4.0) (<= chansize  5.0) (= csize 2)) (setq h  5.0 bc 1.75  tf 0.32  tw 0.19  rwtc   6.7  df 1.5))

    (if (and (> chansize  5.0) (<= chansize  6.0) (= csize 1)) (setq h  6.0 bc 2.157 tf 0.343 tw 0.437 rwtc  13.0  df 1.5))
    (if (and (> chansize  5.0) (<= chansize  6.0) (= csize 2)) (setq h  6.0 bc 2.034 tf 0.343 tw 0.314 rwtc  10.5  df 1.5))
    (if (and (> chansize  5.0) (<= chansize  6.0) (= csize 3)) (setq h  6.0 bc 1.92  tf 0.343 tw 0.2   rwtc   8.2  df 1.5))

    (if (and (> chansize  6.0) (<= chansize  7.0) (= csize 1)) (setq h  7.0 bc 2.299 tf 0.366 tw 0.419 rwtc  14.75 df 1.25))
    (if (and (> chansize  6.0) (<= chansize  7.0) (= csize 2)) (setq h  7.0 bc 2.194 tf 0.366 tw 0.314 rwtc  12.25 df 1.25))
    (if (and (> chansize  6.0) (<= chansize  7.0) (= csize 3)) (setq h  7.0 bc 2.09  tf 0.366 tw 0.2   rwtc   9.8  df 1.25))
  
    (if (and (> chansize  7.0) (<= chansize  8.0) (= csize 1)) (setq h  8.0 bc 2.527 tf 0.39  tw 0.487 rwtc  18.75 df 1.2))
    (if (and (> chansize  7.0) (<= chansize  8.0) (= csize 2)) (setq h  8.0 bc 2.343 tf 0.39  tw 0.303 rwtc  13.75 df 1.2))
    (if (and (> chansize  7.0) (<= chansize  8.0) (= csize 3)) (setq h  8.0 bc 2.26  tf 0.39  tw 0.22  rwtc  11.5  df 1.2))

    (if (and (> chansize  8.0) (<= chansize  9.0) (= csize 1)) (setq h  9.0 bc 2.648 tf 0.413 tw 0.448 rwtc  20.0  df 1.2))
    (if (and (> chansize  8.0) (<= chansize  9.0) (= csize 2)) (setq h  9.0 bc 2.485 tf 0.413 tw 0.285 rwtc  15.0  df 1.2))
    (if (and (> chansize  8.0) (<= chansize  9.0) (= csize 3)) (setq h  9.0 bc 2.430 tf 0.413 tw 0.23  rwtc  13.4  df 1.2))

    (if (and (> chansize  9.0) (<= chansize 10.0) (= csize 1)) (setq h 10.0 bc 3.033 tf 0.436 tw 0.673 rwtc  30.0  df 1.2))
    (if (and (> chansize  9.0) (<= chansize 10.0) (= csize 2)) (setq h 10.0 bc 2.886 tf 0.436 tw 0.526 rwtc  25.0  df 1.2))
    (if (and (> chansize  9.0) (<= chansize 10.0) (= csize 3)) (setq h 10.0 bc 2.739 tf 0.436 tw 0.379 rwtc  20.0  df 1.2))
    (if (and (> chansize  9.0) (<= chansize 10.0) (= csize 4)) (setq h 10.0 bc 3.6   tf 0.436 tw 0.24  rwtc  15.3  df 1.2))

    (if (and (> chansize 10.0) (<= chansize 12.0) (= csize 1)) (setq h 12.0 bc 3.17  tf 0.501 tw 0.51  rwtc  30.0  df 1.15))
    (if (and (> chansize 10.0) (<= chansize 12.0) (= csize 2)) (setq h 12.0 bc 3.047 tf 0.501 tw 0.387 rwtc  25.0  df 1.15))
    (if (and (> chansize 10.0) (<= chansize 12.0) (= csize 3)) (setq h 12.0 bc 2.94  tf 0.501 tw 0.28  rwtc  20.7  df 1.15))

    (if (and (> chansize 12.0) (<= chansize 13.0) (= csize 1)) (setq h 13.0 bc 4.412 tf 0.61  tw 0.787 rwtc  50.0  df 1.1))
    (if (and (> chansize 12.0) (<= chansize 13.0) (= csize 2)) (setq h 13.0 bc 4.185 tf 0.61  tw 0.56  rwtc  40.0  df 1.1))
    (if (and (> chansize 12.0) (<= chansize 13.0) (= csize 3)) (setq h 13.0 bc 4.072 tf 0.61  tw 0.447 rwtc  35.0  df 1.1))
    (if (and (> chansize 12.0) (<= chansize 13.0) (= csize 4)) (setq h 13.0 bc 4.0   tf 0.61  tw 0.375 rwtc  31.8  df 1.1))

    (if (and (> chansize 13.0) (<= chansize 15.0) (= csize 1)) (setq h 15.0 bc 3.716 tf 0.65  tw 0.716 rwtc  50.0  df 0.9))
    (if (and (> chansize 13.0) (<= chansize 15.0) (= csize 2)) (setq h 15.0 bc 3.52  tf 0.65  tw 0.52  rwtc  40.0  df 0.9))
    (if (and (> chansize 13.0) (<= chansize 15.0) (= csize 3)) (setq h 15.0 bc 3.4   tf 0.65  tw 0.4   rwtc  33.9  df 0.9))
  
    (if (and (> chansize 15.0) (<= chansize 18.0) (= csize 1)) (setq h 18.0 bc 4.2   tf 0.625 tw 0.7   rwtc  58.0  df 0.9))
    (if (and (> chansize 15.0) (<= chansize 18.0) (= csize 2)) (setq h 18.0 bc 4.1   tf 0.625 tw 0.6   rwtc  51.9  df 0.9))
    (if (and (> chansize 15.0) (<= chansize 18.0) (= csize 3)) (setq h 18.0 bc 4.0   tf 0.625 tw 0.5   rwtc  45.8  df 0.9))
    (if (and (> chansize 15.0) (<= chansize 18.0) (= csize 4)) (setq h 18.0 bc 3.95  tf 0.625 tw 0.45  rwtc  42.7  df 0.9))
)

(defun angledata_usa ( angsize angthk) ; lbs rwt per foot
    (setq atype "USA")
    (if (and                  (<= angsize 1.5) (= angthk (/ 1.0  4.0))) (setq angwid 1.5 angth (/ 1.0  4.0) cgb 0.5    weldist 4.528 rwta 2.77))
    (if (and                  (<= angsize 1.5) (= angthk (/ 3.0 16.0))) (setq angwid 1.5 angth (/ 3.0 16.0) cgb 0.5    weldist 4.528 rwta 2.12))
    (if (and                  (<= angsize 1.5) (= angthk (/ 1.0  8.0))) (setq angwid 1.5 angth (/ 1.0  8.0) cgb 0.5    weldist 4.528 rwta 1.44))

    (if (and (> angsize  1.5) (<= angsize 2.0) (= angthk (/ 3.0  8.0))) (setq angwid 2.0 angth (/ 3.0  8.0) cgb 0.5906 weldist 3.937 rwta 4.7))
    (if (and (> angsize  1.5) (<= angsize 2.0) (= angthk (/ 5.0 16.0))) (setq angwid 2.0 angth (/ 5.0 16.0) cgb 0.5906 weldist 3.937 rwta 3.92))
    (if (and (> angsize  1.5) (<= angsize 2.0) (= angthk (/ 1.0  4.0))) (setq angwid 2.0 angth (/ 1.0  4.0) cgb 0.5906 weldist 3.937 rwta 3.19))
    (if (and (> angsize  1.5) (<= angsize 2.0) (= angthk (/ 3.0 16.0))) (setq angwid 2.0 angth (/ 3.0 16.0) cgb 0.5906 weldist 3.937 rwta 2.44))
    (if (and (> angsize  1.5) (<= angsize 2.0) (= angthk (/ 1.0  8.0))) (setq angwid 2.0 angth (/ 1.0  8.0) cgb 0.5906 weldist 3.937 rwta 1.65))

    (if (and (> angsize  2.0) (<= angsize 2.5) (= angthk (/ 1.0  2.0))) (setq angwid 2.5 angth (/ 1.0  2.0) cgb 0.7087 weldist 3.346 rwta 7.7))
    (if (and (> angsize  2.0) (<= angsize 2.5) (= angthk (/ 3.0  8.0))) (setq angwid 2.5 angth (/ 3.0  8.0) cgb 0.7087 weldist 3.346 rwta 5.9))
    (if (and (> angsize  2.0) (<= angsize 2.5) (= angthk (/ 5.0 16.0))) (setq angwid 2.5 angth (/ 5.0 16.0) cgb 0.7087 weldist 3.346 rwta 5.0))
    (if (and (> angsize  2.0) (<= angsize 2.5) (= angthk (/ 1.0  4.0))) (setq angwid 2.5 angth (/ 1.0  4.0) cgb 0.7087 weldist 3.346 rwta 4.1))
    (if (and (> angsize  2.0) (<= angsize 2.5) (= angthk (/ 3.0 16.0))) (setq angwid 2.5 angth (/ 3.0 16.0) cgb 0.7087 weldist 3.346 rwta 3.07))

    (if (and (> angsize  2.5) (<= angsize 3.0) (= angthk (/ 1.0  2.0))) (setq angwid 3.0 angth (/ 1.0  2.0) cgb 0.8268 weldist 2.756 rwta 9.4))
    (if (and (> angsize  2.5) (<= angsize 3.0) (= angthk (/ 7.0 16.0))) (setq angwid 3.0 angth (/ 7.0 16.0) cgb 0.8268 weldist 2.756 rwta 8.3))
    (if (and (> angsize  2.5) (<= angsize 3.0) (= angthk (/ 3.0  8.0))) (setq angwid 3.0 angth (/ 3.0  8.0) cgb 0.8268 weldist 2.756 rwta 7.2))
    (if (and (> angsize  2.5) (<= angsize 3.0) (= angthk (/ 5.0 16.0))) (setq angwid 3.0 angth (/ 5.0 16.0) cgb 0.8268 weldist 2.756 rwta 6.1))
    (if (and (> angsize  2.5) (<= angsize 3.0) (= angthk (/ 1.0  4.0))) (setq angwid 3.0 angth (/ 1.0  4.0) cgb 0.8268 weldist 2.756 rwta 4.9))
    (if (and (> angsize  2.5) (<= angsize 3.0) (= angthk (/ 3.0 16.0))) (setq angwid 3.0 angth (/ 3.0 16.0) cgb 0.8268 weldist 2.756 rwta 3.71))
)  ; end angledata_usa ----------------------------------------------------------

;  Indian Structurals -----------------------------------------------------------------------------------------------
(defun beamdata_isjb ( beamsize )  ; Kg. rwt per meter
    (setq btype "ISJB")
    (if                                 (<= beamsize (/ 150.0 m1))  (setq h (/ 150.0 m1) b (/  50.0 m1) tf (/  4.6 m1) tw (/  3.0 m1) rwtb   7.1))
    (if ( and (> beamsize (/ 150.0 m1)) (<= beamsize (/ 175.0 m1))) (setq h (/ 175.0 m1) b (/  50.0 m1) tf (/  4.8 m1) tw (/  3.2 m1) rwtb   8.1))
    (if ( and (> beamsize (/ 175.0 m1)) (<= beamsize (/ 200.0 m1))) (setq h (/ 200.0 m1) b (/  60.0 m1) tf (/  5.0 m1) tw (/  3.4 m1) rwtb   9.9))
    (if ( and (> beamsize (/ 200.0 m1)) (<= beamsize (/ 225.0 m1))) (setq h (/ 225.0 m1) b (/  80.0 m1) tf (/  5.0 m1) tw (/  3.7 m1) rwtb  12.8))
)
(defun beamdata_islb (beamsize ) ; Kg. rwt per meter
    (setq btype "ISLB")
    (if                                 (<= beamsize (/  75.0 m1))  (setq h (/  75.0 m1) b (/  50.0 m1) tf (/  5.0 m1) tw (/  3.7 m1) rwtb   6.1))
    (if ( and (> beamsize (/  75.0 m1)) (<= beamsize (/ 100.0 m1))) (setq h (/ 100.0 m1) b (/  50.0 m1) tf (/  6.4 m1) tw (/  4.0 m1) rwtb   8.1))
    (if ( and (> beamsize (/ 100.0 m1)) (<= beamsize (/ 125.0 m1))) (setq h (/ 125.0 m1) b (/  75.0 m1) tf (/  6.5 m1) tw (/  4.4 m1) rwtb  11.9))
    (if ( and (> beamsize (/ 125.0 m1)) (<= beamsize (/ 150.0 m1))) (setq h (/ 150.0 m1) b (/  80.0 m1) tf (/  6.8 m1) tw (/  4.8 m1) rwtb  14.2))
    (if ( and (> beamsize (/ 150.0 m1)) (<= beamsize (/ 175.0 m1))) (setq h (/ 175.0 m1) b (/  90.0 m1) tf (/  6.9 m1) tw (/  5.1 m1) rwtb  16.7))
    (if ( and (> beamsize (/ 175.0 m1)) (<= beamsize (/ 200.0 m1))) (setq h (/ 200.0 m1) b (/ 100.0 m1) tf (/  7.3 m1) tw (/  5.4 m1) rwtb  19.8))
    (if ( and (> beamsize (/ 200.0 m1)) (<= beamsize (/ 225.0 m1))) (setq h (/ 225.0 m1) b (/ 100.0 m1) tf (/  8.6 m1) tw (/  5.8 m1) rwtb  23.5))
    (if ( and (> beamsize (/ 225.0 m1)) (<= beamsize (/ 250.0 m1))) (setq h (/ 250.0 m1) b (/ 125.0 m1) tf (/  8.2 m1) tw (/  6.1 m1) rwtb  27.9))
    (if ( and (> beamsize (/ 250.0 m1)) (<= beamsize (/ 275.0 m1))) (setq h (/ 275.0 m1) b (/ 140.0 m1) tf (/  8.8 m1) tw (/  6.4 m1) rwtb  33.0))
    (if ( and (> beamsize (/ 275.0 m1)) (<= beamsize (/ 300.0 m1))) (setq h (/ 300.0 m1) b (/ 150.0 m1) tf (/  9.4 m1) tw (/  6.7 m1) rwtb  37.7))
    (if ( and (> beamsize (/ 300.0 m1)) (<= beamsize (/ 325.0 m1))) (setq h (/ 325.0 m1) b (/ 165.0 m1) tf (/  9.8 m1) tw (/  7.0 m1) rwtb  43.1))
    (if ( and (> beamsize (/ 325.0 m1)) (<= beamsize (/ 350.0 m1))) (setq h (/ 350.0 m1) b (/ 165.0 m1) tf (/ 11.4 m1) tw (/  7.4 m1) rwtb  49.5))
    (if ( and (> beamsize (/ 350.0 m1)) (<= beamsize (/ 400.0 m1))) (setq h (/ 400.0 m1) b (/ 165.0 m1) tf (/ 12.5 m1) tw (/  8.0 m1) rwtb  56.9))
    (if ( and (> beamsize (/ 400.0 m1)) (<= beamsize (/ 450.0 m1))) (setq h (/ 450.0 m1) b (/ 170.0 m1) tf (/ 13.4 m1) tw (/  8.6 m1) rwtb  65.3))
    (if ( and (> beamsize (/ 450.0 m1)) (<= beamsize (/ 500.0 m1))) (setq h (/ 500.0 m1) b (/ 180.0 m1) tf (/ 14.1 m1) tw (/  9.2 m1) rwtb  75.0))  
    (if ( and (> beamsize (/ 500.0 m1)) (<= beamsize (/ 550.0 m1))) (setq h (/ 550.0 m1) b (/ 190.0 m1) tf (/ 15.0 m1) tw (/  9.9 m1) rwtb  86.3))
    (if ( and (> beamsize (/ 550.0 m1)) (<= beamsize (/ 600.0 m1))) (setq h (/ 600.0 m1) b (/ 210.0 m1) tf (/ 15.5 m1) tw (/ 10.5 m1) rwtb  99.5))
)
(defun beamdata_ismb (beamsize ) ; Kg. rwt per meter
    (setq btype "ISMB")
    (if                                 (<= beamsize (/ 100.0 m1))  (setq h (/ 100.0 m1) b (/  75.0 m1) tf (/  7.2 m1) tw (/  4.0 m1) r1 (/ 7.0 m1)  r2 (/  3.5 m1) rwtb  11.5))
    (if ( and (> beamsize (/ 100.0 m1)) (<= beamsize (/ 125.0 m1))) (setq h (/ 125.0 m1) b (/  75.0 m1) tf (/  7.6 m1) tw (/  4.4 m1) r1 (/ 8.0 m1)  r2 (/  4.0 m1) rwtb  13.0))
    (if ( and (> beamsize (/ 125.0 m1)) (<= beamsize (/ 150.0 m1))) (setq h (/ 150.0 m1) b (/  80.0 m1) tf (/  7.6 m1) tw (/  4.8 m1) r1 (/ 9.0 m1)  r2 (/  4.5 m1) rwtb  14.9))
    (if ( and (> beamsize (/ 150.0 m1)) (<= beamsize (/ 175.0 m1))) (setq h (/ 175.0 m1) b (/  90.0 m1) tf (/  8.6 m1) tw (/  5.5 m1) r1 (/ 9.0 m1)  r2 (/  4.5 m1) rwtb  19.3))
    (if ( and (> beamsize (/ 175.0 m1)) (<= beamsize (/ 200.0 m1))) (setq h (/ 200.0 m1) b (/ 100.0 m1) tf (/ 10.8 m1) tw (/  5.7 m1) r1 (/ 11.0 m1) r2 (/  5.5 m1) rwtb  25.4))
    (if ( and (> beamsize (/ 200.0 m1)) (<= beamsize (/ 225.0 m1))) (setq h (/ 225.0 m1) b (/ 110.0 m1) tf (/ 11.8 m1) tw (/  6.5 m1) r1 (/ 11.0 m1) r2 (/  5.5 m1) rwtb  31.2))
    (if ( and (> beamsize (/ 225.0 m1)) (<= beamsize (/ 250.0 m1))) (setq h (/ 250.0 m1) b (/ 125.0 m1) tf (/ 12.5 m1) tw (/  6.9 m1) r1 (/ 13.0 m1) r2 (/  6.5 m1) rwtb  37.3))
    (if ( and (> beamsize (/ 250.0 m1)) (<= beamsize (/ 300.0 m1))) (setq h (/ 300.0 m1) b (/ 140.0 m1) tf (/ 12.4 m1) tw (/  7.5 m1) r1 (/ 14.0 m1) r2 (/  7.0 m1) rwtb  44.2))
    (if ( and (> beamsize (/ 300.0 m1)) (<= beamsize (/ 350.0 m1))) (setq h (/ 350.0 m1) b (/ 140.0 m1) tf (/ 14.2 m1) tw (/  8.1 m1) r1 (/ 14.0 m1) r2 (/  7.0 m1) rwtb  52.4))
    (if ( and (> beamsize (/ 350.0 m1)) (<= beamsize (/ 400.0 m1))) (setq h (/ 400.0 m1) b (/ 140.0 m1) tf (/ 16.0 m1) tw (/  8.9 m1) r1 (/ 14.0 m1) r2 (/  7.0 m1) rwtb  61.6))
    (if ( and (> beamsize (/ 400.0 m1)) (<= beamsize (/ 450.0 m1))) (setq h (/ 450.0 m1) b (/ 150.0 m1) tf (/ 17.4 m1) tw (/  9.4 m1) r1 (/ 15.0 m1) r2 (/  7.5 m1) rwtb  72.4))
    (if ( and (> beamsize (/ 450.0 m1)) (<= beamsize (/ 500.0 m1))) (setq h (/ 500.0 m1) b (/ 180.0 m1) tf (/ 17.2 m1) tw (/ 10.2 m1) r1 (/ 17.0 m1) r2 (/  8.5 m1) rwtb  86.9))  
    (if ( and (> beamsize (/ 500.0 m1)) (<= beamsize (/ 550.0 m1))) (setq h (/ 550.0 m1) b (/ 190.0 m1) tf (/ 19.3 m1) tw (/ 11.2 m1) r1 (/ 17.0 m1) r2 (/  8.5 m1) rwtb 103.7))
    (if ( and (> beamsize (/ 550.0 m1)) (<= beamsize (/ 600.0 m1))) (setq h (/ 600.0 m1) b (/ 210.0 m1) tf (/ 20.8 m1) tw (/ 12.0 m1) r1 (/ 20.0 m1) r2 (/ 10.0 m1) rwtb 122.6))
)  
(defun beamdata_iswb (beamsize ) ; Kg. rwt per meter
    (setq btype "ISWB")
    (if                                 (<= beamsize (/ 150.0 m1))  (setq h (/ 150.0 m1) b (/ 100.0 m1) tf (/  7.0 m1) tw (/  5.4 m1) rwtb  17.0))
    (if ( and (> beamsize (/ 150.0 m1)) (<= beamsize (/ 175.0 m1))) (setq h (/ 175.0 m1) b (/ 125.0 m1) tf (/  7.4 m1) tw (/  5.8 m1) rwtb  22.1))
    (if ( and (> beamsize (/ 175.0 m1)) (<= beamsize (/ 200.0 m1))) (setq h (/ 200.0 m1) b (/ 140.0 m1) tf (/  9.0 m1) tw (/  6.1 m1) rwtb  28.8))
    (if ( and (> beamsize (/ 200.0 m1)) (<= beamsize (/ 225.0 m1))) (setq h (/ 225.0 m1) b (/ 150.0 m1) tf (/  9.9 m1) tw (/  6.4 m1) rwtb  33.9))
    (if ( and (> beamsize (/ 225.0 m1)) (<= beamsize (/ 250.0 m1))) (setq h (/ 250.0 m1) b (/ 200.0 m1) tf (/  9.0 m1) tw (/  6.7 m1) rwtb  40.9))
    (if ( and (> beamsize (/ 250.0 m1)) (<= beamsize (/ 300.0 m1))) (setq h (/ 300.0 m1) b (/ 200.0 m1) tf (/ 10.0 m1) tw (/  7.4 m1) rwtb  48.1))
    (if ( and (> beamsize (/ 300.0 m1)) (<= beamsize (/ 350.0 m1))) (setq h (/ 350.0 m1) b (/ 200.0 m1) tf (/ 11.4 m1) tw (/  8.0 m1) rwtb  56.9))
    (if ( and (> beamsize (/ 350.0 m1)) (<= beamsize (/ 400.0 m1))) (setq h (/ 400.0 m1) b (/ 200.0 m1) tf (/ 13.0 m1) tw (/  8.6 m1) rwtb  66.7))
    (if ( and (> beamsize (/ 400.0 m1)) (<= beamsize (/ 450.0 m1))) (setq h (/ 450.0 m1) b (/ 200.0 m1) tf (/ 15.4 m1) tw (/  9.2 m1) rwtb  79.4))
    (if ( and (> beamsize (/ 450.0 m1)) (<= beamsize (/ 500.0 m1))) (setq h (/ 500.0 m1) b (/ 250.0 m1) tf (/ 14.7 m1) tw (/  9.9 m1) rwtb  95.2))  
    (if ( and (> beamsize (/ 500.0 m1)) (<= beamsize (/ 550.0 m1))) (setq h (/ 550.0 m1) b (/ 250.0 m1) tf (/ 17.6 m1) tw (/ 10.5 m1) rwtb 112.5))
    (if ( and (> beamsize (/ 550.0 m1)) (<= beamsize (/ 600.0 m1))) (setq h (/ 600.0 m1) b (/ 250.0 m1) tf (/ 21.3 m1) tw (/ 11.2 m1) rwtb 133.7))
)  
(defun beamdata_ishb (beamsize ) ; Kg. rwt per meter
    (setq btype "ISHB")
    (if                                 (<= beamsize (/ 150.0 m1))  (setq h (/ 150.0 m1) b (/ 150.0 m1) tf (/  9.0 m1) tw (/  5.4 m1) rwtb  27.1))
    (if ( and (> beamsize (/ 150.0 m1)) (<= beamsize (/ 200.0 m1))) (setq h (/ 200.0 m1) b (/ 200.0 m1) tf (/  9.0 m1) tw (/  6.1 m1) rwtb  37.3))
    (if ( and (> beamsize (/ 200.0 m1)) (<= beamsize (/ 225.0 m1))) (setq h (/ 225.0 m1) b (/ 225.0 m1) tf (/  9.1 m1) tw (/  6.5 m1) rwtb  43.1))
    (if ( and (> beamsize (/ 225.0 m1)) (<= beamsize (/ 250.0 m1))) (setq h (/ 250.0 m1) b (/ 250.0 m1) tf (/  9.7 m1) tw (/  6.9 m1) rwtb  51.0))
    (if ( and (> beamsize (/ 250.0 m1)) (<= beamsize (/ 300.0 m1))) (setq h (/ 300.0 m1) b (/ 250.0 m1) tf (/ 10.6 m1) tw (/  7.6 m1) rwtb  58.8))
    (if ( and (> beamsize (/ 300.0 m1)) (<= beamsize (/ 350.0 m1))) (setq h (/ 350.0 m1) b (/ 250.0 m1) tf (/ 11.6 m1) tw (/  8.3 m1) rwtb  67.4))
    (if ( and (> beamsize (/ 350.0 m1)) (<= beamsize (/ 400.0 m1))) (setq h (/ 400.0 m1) b (/ 250.0 m1) tf (/ 12.7 m1) tw (/  9.1 m1) rwtb  77.4))
    (if ( and (> beamsize (/ 400.0 m1)) (<= beamsize (/ 450.0 m1))) (setq h (/ 450.0 m1) b (/ 250.0 m1) tf (/ 13.7 m1) tw (/  9.8 m1) rwtb  87.2))
) ; end beamdata -----------------------------------------------------------

(defun channeldata_isjc ( chansize ) ; Kg. rwt per meter
    (setq ctype "ISJC")
    (if                                (<= chansize (/ 100.0 m1))  (setq h (/ 100.0 m1) bc (/ 45.0 m1)  tw (/ 3.0 m1) rwtc  5.8 df 2.0))
    (if (and (> chansize (/ 100.0 m1)) (<= chansize (/ 125.0 m1))) (setq h (/ 125.0 m1) bc (/ 50.0 m1)  tw (/ 3.0 m1) rwtc  7.9 df 1.5))
    (if (and (> chansize (/ 125.0 m1)) (<= chansize (/ 150.0 m1))) (setq h (/ 150.0 m1) bc (/ 55.0 m1)  tw (/ 3.6 m1) rwtc  9.9 df 1.5))
    (if (and (> chansize (/ 150.0 m1)) (<= chansize (/ 175.0 m1))) (setq h (/ 175.0 m1) bc (/ 60.0 m1)  tw (/ 3.6 m1) rwtc 11.2 df 1.5))
    (if (and (> chansize (/ 175.0 m1)) (<= chansize (/ 200.0 m1))) (setq h (/ 200.0 m1) bc (/ 70.0 m1)  tw (/ 4.1 m1) rwtc 13.9 df 1.25))
)
(defun channeldata_islc ( chansize ) ; Kg. rwt per meter
    (setq ctype "ISLC")
    (if                                (<= chansize (/ 75.0 m1))   (setq h (/ 75.0 m1)  bc (/  40.0 m1) tw (/ 3.7 m1) rwtc  5.7 df 3.0))
    (if (and (> chansize (/ 75.0 m1))  (<= chansize (/ 100.0 m1))) (setq h (/ 100.0 m1) bc (/  50.0 m1) tw (/ 4.0 m1) rwtc  7.9 df 2.0))
    (if (and (> chansize (/ 100.0 m1)) (<= chansize (/ 125.0 m1))) (setq h (/ 125.0 m1) bc (/  65.0 m1) tw (/ 4.4 m1) rwtc 10.7 df 1.5))
    (if (and (> chansize (/ 125.0 m1)) (<= chansize (/ 150.0 m1))) (setq h (/ 150.0 m1) bc (/  75.0 m1) tw (/ 4.8 m1) rwtc 14.4 df 1.5))
    (if (and (> chansize (/ 150.0 m1)) (<= chansize (/ 175.0 m1))) (setq h (/ 175.0 m1) bc (/  75.0 m1) tw (/ 5.1 m1) rwtc 17.6 df 1.25))
    (if (and (> chansize (/ 175.0 m1)) (<= chansize (/ 200.0 m1))) (setq h (/ 200.0 m1) bc (/  75.0 m1) tw (/ 5.5 m1) rwtc 20.6 df 1.2))
    (if (and (> chansize (/ 200.0 m1)) (<= chansize (/ 225.0 m1))) (setq h (/ 225.0 m1) bc (/  90.0 m1) tw (/ 5.8 m1) rwtc 24.0 df 1.2))
    (if (and (> chansize (/ 225.0 m1)) (<= chansize (/ 250.0 m1))) (setq h (/ 250.0 m1) bc (/ 100.0 m1) tw (/ 6.1 m1) rwtc 28.0 df 1.15))
    (if (and (> chansize (/ 250.0 m1)) (<= chansize (/ 300.0 m1))) (setq h (/ 300.0 m1) bc (/ 100.0 m1) tw (/ 6.7 m1) rwtc 33.1 df 1.15))
    (if (and (> chansize (/ 300.0 m1)) (<= chansize (/ 350.0 m1))) (setq h (/ 350.0 m1) bc (/ 100.0 m1) tw (/ 7.4 m1) rwtc 38.8 df 1.1))
    (if      (> chansize (/ 350.0 m1))                             (setq h (/ 400.0 m1) bc (/ 100.0 m1) tw (/ 8.0 m1) rwtc 45.7 df 0.9))
)
(defun channeldata_ismc ( chansize ) ; Kg. rwt per meter
    (setq ctype "ISMC")
    (if                                (<= chansize (/ 75.0 m1))   (setq h (/ 75.0 m1)  bc (/ 40.0 m1)  tf (/ 7.3 m1)  tw (/ 4.4 m1) r1 (/ 8.5 m1)  r2 (/ 4.5 m1) rwtc  6.8 df 3.0))
    (if (and (> chansize (/ 75.0 m1))  (<= chansize (/ 100.0 m1))) (setq h (/ 100.0 m1) bc (/ 50.0 m1)  tf (/ 7.5 m1)  tw (/ 4.7 m1) r1 (/ 9.0 m1)  r2 (/ 4.5 m1) rwtc  9.2 df 2.0))
    (if (and (> chansize (/ 100.0 m1)) (<= chansize (/ 125.0 m1))) (setq h (/ 125.0 m1) bc (/ 65.0 m1)  tf (/ 8.1 m1)  tw (/ 5.0 m1) r1 (/ 9.5 m1)  r2 (/ 5.0 m1) rwtc 12.7 df 1.5))
    (if (and (> chansize (/ 125.0 m1)) (<= chansize (/ 150.0 m1))) (setq h (/ 150.0 m1) bc (/ 75.0 m1)  tf (/ 9.0 m1)  tw (/ 5.4 m1) r1 (/ 10.0 m1) r2 (/ 5.0 m1) rwtc 16.4 df 1.5))
    (if (and (> chansize (/ 150.0 m1)) (<= chansize (/ 175.0 m1))) (setq h (/ 175.0 m1) bc (/ 75.0 m1)  tf (/ 10.2 m1) tw (/ 5.7 m1) r1 (/ 10.5 m1) r2 (/ 5.5 m1) rwtc 19.1 df 1.25))
    (if (and (> chansize (/ 175.0 m1)) (<= chansize (/ 200.0 m1))) (setq h (/ 200.0 m1) bc (/ 75.0 m1)  tf (/ 11.4 m1) tw (/ 6.1 m1) r1 (/ 11.0 m1) r2 (/ 5.5 m1) rwtc 22.1 df 1.2))
    (if (and (> chansize (/ 200.0 m1)) (<= chansize (/ 225.0 m1))) (setq h (/ 225.0 m1) bc (/ 80.0 m1)  tf (/ 14.1 m1) tw (/ 7.1 m1) r1 (/ 12.0 m1) r2 (/ 6.0 m1) rwtc 25.9 df 1.2))
    (if (and (> chansize (/ 225.0 m1)) (<= chansize (/ 250.0 m1))) (setq h (/ 250.0 m1) bc (/ 80.0 m1)  tf (/ 14.1 m1) tw (/ 7.1 m1) r1 (/ 12.0 m1) r2 (/ 6.0 m1) rwtc 30.4 df 1.2))
    (if (and (> chansize (/ 250.0 m1)) (<= chansize (/ 300.0 m1))) (setq h (/ 300.0 m1) bc (/ 90.0 m1)  tf (/ 13.6 m1) tw (/ 7.6 m1) r1 (/ 13.0 m1) r2 (/ 6.5 m1) rwtc 35.8 df 1.15))
    (if (and (> chansize (/ 300.0 m1)) (<= chansize (/ 350.0 m1))) (setq h (/ 350.0 m1) bc (/ 100.0 m1) tf (/ 13.5 m1) tw (/ 8.1 m1) r1 (/ 14.0 m1) r2 (/ 7.0 m1) rwtc 42.1 df 1.1))
    (if      (> chansize (/ 350.0 m1))                             (setq h (/ 400.0 m1) bc (/ 100.0 m1) tf (/ 15.3 m1) tw (/ 8.6 m1) r1 (/ 15.0 m1) r2 (/ 7.5 m1) rwtc 49.4 df 0.9))
) ;  end channeldata -------------------------------------------------------

(defun angledata_isa ( angsize angthk ) ; Kg. rwt per meter
    (setq atype "ISA")
    (if (and                          (<= angsize (/ 20.0 m1))  (= angthk 3.0))  (setq angwid 20.0  angth  3.0 cgb (/  4.0 m1) weldist (/  30.0 m1) rwta  0.9))
    (if (and                          (<= angsize (/ 20.0 m1))  (= angthk 4.0))  (setq angwid 20.0  angth  4.0 cgb (/  4.0 m1) weldist (/  30.0 m1) rwta  1.1))
    (if ( and (> angsize (/ 20.0 m1)) (<= angsize (/ 25.0 m1))  (= angthk 3.0))  (setq angwid 25.0  angth  3.0 cgb (/  6.0 m1) weldist (/  40.0 m1) rwta  1.1))
    (if ( and (> angsize (/ 20.0 m1)) (<= angsize (/ 25.0 m1))  (= angthk 4.0))  (setq angwid 25.0  angth  4.0 cgb (/  6.0 m1) weldist (/  40.0 m1) rwta  1.4))
    (if ( and (> angsize (/ 20.0 m1)) (<= angsize (/ 25.0 m1))  (= angthk 5.0))  (setq angwid 25.0  angth  5.0 cgb (/  6.0 m1) weldist (/  40.0 m1) rwta  1.8))
    (if ( and (> angsize (/ 25.0 m1)) (<= angsize (/ 30.0 m1))  (= angthk 3.0))  (setq angwid 30.0  angth  3.0 cgb (/  8.0 m1) weldist (/  50.0 m1) rwta  1.4))
    (if ( and (> angsize (/ 25.0 m1)) (<= angsize (/ 30.0 m1))  (= angthk 4.0))  (setq angwid 30.0  angth  4.0 cgb (/  8.0 m1) weldist (/  50.0 m1) rwta  1.8))
    (if ( and (> angsize (/ 25.0 m1)) (<= angsize (/ 30.0 m1))  (= angthk 5.0))  (setq angwid 30.0  angth  5.0 cgb (/  8.0 m1) weldist (/  50.0 m1) rwta  2.2))
    (if ( and (> angsize (/ 30.0 m1)) (<= angsize (/ 35.0 m1))  (= angthk 3.0))  (setq angwid 35.0  angth  3.0 cgb (/ 10.0 m1) weldist (/  60.0 m1) rwta  1.6))
    (if ( and (> angsize (/ 30.0 m1)) (<= angsize (/ 35.0 m1))  (= angthk 4.0))  (setq angwid 35.0  angth  4.0 cgb (/ 10.0 m1) weldist (/  60.0 m1) rwta  2.1))
    (if ( and (> angsize (/ 30.0 m1)) (<= angsize (/ 35.0 m1))  (= angthk 5.0))  (setq angwid 35.0  angth  5.0 cgb (/ 10.0 m1) weldist (/  60.0 m1) rwta  2.6))
    (if ( and (> angsize (/ 30.0 m1)) (<= angsize (/ 35.0 m1))  (= angthk 6.0))  (setq angwid 35.0  angth  6.0 cgb (/ 10.0 m1) weldist (/  60.0 m1) rwta  3.0))
    (if ( and (> angsize (/ 35.0 m1)) (<= angsize (/ 40.0 m1))  (= angthk 3.0))  (setq angwid 40.0  angth  3.0 cgb (/ 12.0 m1) weldist (/  70.0 m1) rwta  1.8))
    (if ( and (> angsize (/ 35.0 m1)) (<= angsize (/ 40.0 m1))  (= angthk 4.0))  (setq angwid 40.0  angth  4.0 cgb (/ 12.0 m1) weldist (/  70.0 m1) rwta  2.4))
    (if ( and (> angsize (/ 35.0 m1)) (<= angsize (/ 40.0 m1))  (= angthk 5.0))  (setq angwid 40.0  angth  5.0 cgb (/ 12.0 m1) weldist (/  70.0 m1) rwta  3.0))
    (if ( and (> angsize (/ 35.0 m1)) (<= angsize (/ 40.0 m1))  (= angthk 6.0))  (setq angwid 40.0  angth  6.0 cgb (/ 12.0 m1) weldist (/  70.0 m1) rwta  3.5))
    (if ( and (> angsize (/ 40.0 m1)) (<= angsize (/ 45.0 m1))  (= angthk 3.0))  (setq angwid 45.0  angth  3.0 cgb (/ 13.0 m1) weldist (/  75.0 m1) rwta  2.1))
    (if ( and (> angsize (/ 40.0 m1)) (<= angsize (/ 45.0 m1))  (= angthk 4.0))  (setq angwid 45.0  angth  4.0 cgb (/ 13.0 m1) weldist (/  75.0 m1) rwta  2.7))
    (if ( and (> angsize (/ 40.0 m1)) (<= angsize (/ 45.0 m1))  (= angthk 5.0))  (setq angwid 45.0  angth  5.0 cgb (/ 13.0 m1) weldist (/  75.0 m1) rwta  3.4))
    (if ( and (> angsize (/ 40.0 m1)) (<= angsize (/ 45.0 m1))  (= angthk 6.0))  (setq angwid 45.0  angth  6.0 cgb (/ 13.0 m1) weldist (/  75.0 m1) rwta  4.0))
    (if ( and (> angsize (/ 45.0 m1)) (<= angsize (/ 50.0 m1))  (= angthk 3.0))  (setq angwid 50.0  angth  3.0 cgb (/ 15.0 m1) weldist (/  85.0 m1) rwta  2.3))
    (if ( and (> angsize (/ 45.0 m1)) (<= angsize (/ 50.0 m1))  (= angthk 4.0))  (setq angwid 50.0  angth  4.0 cgb (/ 15.0 m1) weldist (/  85.0 m1) rwta  3.0))
    (if ( and (> angsize (/ 45.0 m1)) (<= angsize (/ 50.0 m1))  (= angthk 5.0))  (setq angwid 50.0  angth  5.0 cgb (/ 15.0 m1) weldist (/  85.0 m1) rwta  3.8))
    (if ( and (> angsize (/ 45.0 m1)) (<= angsize (/ 50.0 m1))  (= angthk 6.0))  (setq angwid 50.0  angth  6.0 cgb (/ 15.0 m1) weldist (/  85.0 m1) rwta  4.5))
    (if ( and (> angsize (/ 50.0 m1)) (<= angsize (/ 55.0 m1))  (= angthk 5.0))  (setq angwid 55.0  angth  5.0 cgb (/ 15.0 m1) weldist (/  90.0 m1) rwta  4.1))
    (if ( and (> angsize (/ 50.0 m1)) (<= angsize (/ 55.0 m1))  (= angthk 6.0))  (setq angwid 55.0  angth  6.0 cgb (/ 15.0 m1) weldist (/  90.0 m1) rwta  4.9))
    (if ( and (> angsize (/ 50.0 m1)) (<= angsize (/ 55.0 m1))  (= angthk 8.0))  (setq angwid 55.0  angth  8.0 cgb (/ 15.0 m1) weldist (/  90.0 m1) rwta  6.4))
    (if ( and (> angsize (/ 50.0 m1)) (<= angsize (/ 55.0 m1))  (= angthk 10.0)) (setq angwid 55.0  angth 10.0 cgb (/ 15.0 m1) weldist (/  90.0 m1) rwta  7.9))
    (if ( and (> angsize (/ 55.0 m1)) (<= angsize (/ 60.0 m1))  (= angthk 5.0))  (setq angwid 60.0  angth  5.0 cgb (/ 17.0 m1) weldist (/  95.0 m1) rwta  4.5))
    (if ( and (> angsize (/ 55.0 m1)) (<= angsize (/ 60.0 m1))  (= angthk 6.0))  (setq angwid 60.0  angth  6.0 cgb (/ 17.0 m1) weldist (/  95.0 m1) rwta  5.4))
    (if ( and (> angsize (/ 55.0 m1)) (<= angsize (/ 60.0 m1))  (= angthk 8.0))  (setq angwid 60.0  angth  8.0 cgb (/ 17.0 m1) weldist (/  95.0 m1) rwta  7.0))
    (if ( and (> angsize (/ 55.0 m1)) (<= angsize (/ 60.0 m1))  (= angthk 10.0)) (setq angwid 60.0  angth 10.0 cgb (/ 17.0 m1) weldist (/  95.0 m1) rwta  8.6))
    (if ( and (> angsize (/ 60.0 m1)) (<= angsize (/ 65.0 m1))  (= angthk 5.0))  (setq angwid 65.0  angth  5.0 cgb (/ 19.0 m1) weldist (/ 110.0 m1) rwta  4.9))
    (if ( and (> angsize (/ 60.0 m1)) (<= angsize (/ 65.0 m1))  (= angthk 6.0))  (setq angwid 65.0  angth  6.0 cgb (/ 19.0 m1) weldist (/ 110.0 m1) rwta  5.8))
    (if ( and (> angsize (/ 60.0 m1)) (<= angsize (/ 65.0 m1))  (= angthk 8.0))  (setq angwid 65.0  angth  8.0 cgb (/ 19.0 m1) weldist (/ 110.0 m1) rwta  7.7))
    (if ( and (> angsize (/ 60.0 m1)) (<= angsize (/ 65.0 m1))  (= angthk 10.0)) (setq angwid 65.0  angth 10.0 cgb (/ 19.0 m1) weldist (/ 110.0 m1) rwta  9.4))
    (if ( and (> angsize (/ 65.0 m1)) (<= angsize (/ 70.0 m1))  (= angthk 5.0))  (setq angwid 70.0  angth  5.0 cgb (/ 20.0 m1) weldist (/ 112.0 m1) rwta  5.3))
    (if ( and (> angsize (/ 65.0 m1)) (<= angsize (/ 70.0 m1))  (= angthk 6.0))  (setq angwid 70.0  angth  6.0 cgb (/ 20.0 m1) weldist (/ 112.0 m1) rwta  6.3))
    (if ( and (> angsize (/ 65.0 m1)) (<= angsize (/ 70.0 m1))  (= angthk 8.0))  (setq angwid 70.0  angth  8.0 cgb (/ 20.0 m1) weldist (/ 113.0 m1) rwta  8.3))
    (if ( and (> angsize (/ 65.0 m1)) (<= angsize (/ 70.0 m1))  (= angthk 10.0)) (setq angwid 70.0  angth 10.0 cgb (/ 20.0 m1) weldist (/ 114.0 m1) rwta 10.2))
    (if ( and (> angsize (/ 70.0 m1)) (<= angsize (/ 75.0 m1))  (= angthk 5.0))  (setq angwid 75.0  angth  5.0 cgb (/ 20.0 m1) weldist (/ 114.0 m1) rwta  5.7))
    (if ( and (> angsize (/ 70.0 m1)) (<= angsize (/ 75.0 m1))  (= angthk 6.0))  (setq angwid 75.0  angth  6.0 cgb (/ 20.0 m1) weldist (/ 114.0 m1) rwta  6.8))
    (if ( and (> angsize (/ 70.0 m1)) (<= angsize (/ 75.0 m1))  (= angthk 8.0))  (setq angwid 75.0  angth  8.0 cgb (/ 20.0 m1) weldist (/ 114.0 m1) rwta  8.9))
    (if ( and (> angsize (/ 70.0 m1)) (<= angsize (/ 75.0 m1))  (= angthk 10.0)) (setq angwid 75.0  angth 10.0 cgb (/ 20.0 m1) weldist (/ 114.0 m1) rwta 11.0))
    (if ( and (> angsize (/ 75.0 m1)) (<= angsize (/ 80.0 m1))  (= angthk 6.0))  (setq angwid 80.0  angth  6.0 cgb (/ 21.0 m1) weldist (/ 115.0 m1) rwta  7.3))
    (if ( and (> angsize (/ 75.0 m1)) (<= angsize (/ 80.0 m1))  (= angthk 8.0))  (setq angwid 80.0  angth  8.0 cgb (/ 21.0 m1) weldist (/ 115.0 m1) rwta  9.6))
    (if ( and (> angsize (/ 75.0 m1)) (<= angsize (/ 80.0 m1))  (= angthk 10.0)) (setq angwid 80.0  angth 10.0 cgb (/ 21.0 m1) weldist (/ 115.0 m1) rwta 11.8))
    (if ( and (> angsize (/ 75.0 m1)) (<= angsize (/ 80.0 m1))  (= angthk 12.0)) (setq angwid 80.0  angth 12.0 cgb (/ 21.0 m1) weldist (/ 115.0 m1) rwta 14.0))
    (if ( and (> angsize (/ 80.0 m1)) (<= angsize (/ 90.0 m1))  (= angthk 6.0))  (setq angwid 90.0  angth  6.0 cgb (/ 23.0 m1) weldist (/ 130.0 m1) rwta  8.2))
    (if ( and (> angsize (/ 80.0 m1)) (<= angsize (/ 90.0 m1))  (= angthk 8.0))  (setq angwid 90.0  angth  8.0 cgb (/ 23.0 m1) weldist (/ 130.0 m1) rwta 10.8))
    (if ( and (> angsize (/ 80.0 m1)) (<= angsize (/ 90.0 m1))  (= angthk 10.0)) (setq angwid 90.0  angth 10.0 cgb (/ 23.0 m1) weldist (/ 130.0 m1) rwta 13.4))
    (if ( and (> angsize (/ 80.0 m1)) (<= angsize (/ 90.0 m1))  (= angthk 12.0)) (setq angwid 90.0  angth 12.0 cgb (/ 23.0 m1) weldist (/ 130.0 m1) rwta 15.8))
    (if ( and (> angsize (/ 90.0 m1)) (<= angsize (/ 100.0 m1)) (= angthk 6.0))  (setq angwid 100.0 angth  6.0 cgb (/ 25.0 m1) weldist (/ 145.0 m1) rwta  9.2))
    (if ( and (> angsize (/ 90.0 m1)) (<= angsize (/ 100.0 m1)) (= angthk 8.0))  (setq angwid 100.0 angth  8.0 cgb (/ 25.0 m1) weldist (/ 145.0 m1) rwta 12.1))
    (if ( and (> angsize (/ 90.0 m1)) (<= angsize (/ 100.0 m1)) (= angthk 10.0)) (setq angwid 100.0 angth 10.0 cgb (/ 25.0 m1) weldist (/ 145.0 m1) rwta 14.9))
    (if ( and (> angsize (/ 90.0 m1)) (<= angsize (/ 100.0 m1)) (= angthk 12.0)) (setq angwid 100.0 angth 12.0 cgb (/ 25.0 m1) weldist (/ 145.0 m1) rwta 17.7))
) ; end angledata_isa ----------------------------------------------------------
; End Indian Structurals --------------------------------------------------------------------------------------------

;  BS Structurals -----------------------------------------------------------------------------------------------
(defun beamdata_bsb ( beamsize bsize ) ; kgs rwt per meter
    (setq btype "BSB")
    (if (and                    (<= beamsize  76.0) (= bsize 1))  (setq h  76.2 b  80.0 tw  8.9 tf  8.4 rwtb 15.0))
    (if (and                    (<= beamsize  76.0) (= bsize 2))  (setq h  76.2 b  76.2 tw  5.1 tf  8.4 rwtb 12.7))

    (if (and (> beamsize  76.0) (<= beamsize  89.0) (= bsize 1))  (setq h  88.9 b  88.9 tw  9.5 tf  9.9 rwtb 19.5))

    (if (and (> beamsize  89.0) (<= beamsize 102.0) (= bsize 1))  (setq h 101.6 b 101.6 tw  9.5 tf 10.3 rwtb 23.0))
    (if (and (> beamsize  89.0) (<= beamsize 102.0) (= bsize 2))  (setq h 101.6 b  44.5 tw  4.3 tf  6.1 rwtb  7.4))

    (if (and (> beamsize 102.0) (<= beamsize 114.0) (= bsize 1))  (setq h 114.3 b 114.3 tw  9.5 tf 10.7 rwtb 27.0))

    (if (and (> beamsize 114.0) (<= beamsize 127.0) (= bsize 1))  (setq h 127.0 b 114.3 tw 10.2 tf 11.5 rwtb 29.3))
    (if (and (> beamsize 114.0) (<= beamsize 127.0) (= bsize 2))  (setq h 127.0 b 114.3 tw  7.4 tf 11.4 rwtb 26.8))
    (if (and (> beamsize 114.0) (<= beamsize 127.0) (= bsize 3))  (setq h 127.0 b  76.2 tw  5.6 tf  9.6 rwtb 16.5))
  
    (if (and (> beamsize 127.0) (<= beamsize 152.0) (= bsize 1))  (setq h 152.0 b  88.7 tw  4.5 tf  7.6 rwtb 16.0))

    (if (and (> beamsize 152.0) (<= beamsize 178.0) (= bsize 1))  (setq h 177.8 b 101.2 tw  4.8 tf  7.9 rwtb 19.0))

    (if (and (> beamsize 178.0) (<= beamsize 203.0) (= bsize 1))  (setq h 206.8 b 133.9 tw  6.4 tf  9.6 rwtb 30.0))
    (if (and (> beamsize 178.0) (<= beamsize 203.0) (= bsize 2))  (setq h 203.2 b 133.2 tw  5.7 tf  7.8 rwtb 25.1))
    (if (and (> beamsize 178.0) (<= beamsize 203.0) (= bsize 3))  (setq h 203.2 b 101.8 tw  5.4 tf  9.3 rwtb 23.1))

    (if (and (> beamsize 203.0) (<= beamsize 254.0) (= bsize 1))  (setq h 259.6 b 147.3 tw  7.2 tf 12.7 rwtb 43.0))
    (if (and (> beamsize 203.0) (<= beamsize 254.0) (= bsize 2))  (setq h 256.0 b 146.4 tw  6.3 tf 10.9 rwtb 37.0))
    (if (and (> beamsize 203.0) (<= beamsize 254.0) (= bsize 3))  (setq h 251.4 b 146.1 tw  6.0 tf  8.6 rwtb 31.1))
    (if (and (> beamsize 203.0) (<= beamsize 254.0) (= bsize 4))  (setq h 260.4 b 102.2 tw  6.3 tf 10.0 rwtb 28.3))
    (if (and (> beamsize 203.0) (<= beamsize 254.0) (= bsize 5))  (setq h 257.2 b 101.9 tw  6.0 tf  8.4 rwtb 25.2))
    (if (and (> beamsize 203.0) (<= beamsize 254.0) (= bsize 6))  (setq h 254.0 b 101.6 tw  5.7 tf  6.8 rwtb 22.0))

    (if (and (> beamsize 254.0) (<= beamsize 305.0) (= bsize 1))  (setq h 310.4 b 166.9 tw  7.9 tf 13.7 rwtb 54.0))
    (if (and (> beamsize 254.0) (<= beamsize 305.0) (= bsize 2))  (setq h 311.0 b 125.3 tw  9.0 tf 14.0 rwtb 48.1))
    (if (and (> beamsize 254.0) (<= beamsize 305.0) (= bsize 3))  (setq h 306.6 b 165.7 tw  6.7 tf 11.8 rwtb 46.1))
    (if (and (> beamsize 254.0) (<= beamsize 305.0) (= bsize 4))  (setq h 307.2 b 124.3 tw  8.0 tf 12.1 rwtb 41.9))
    (if (and (> beamsize 254.0) (<= beamsize 305.0) (= bsize 5))  (setq h 303.4 b 165.0 tw  6.0 tf 10.2 rwtb 40.3))
    (if (and (> beamsize 254.0) (<= beamsize 305.0) (= bsize 6))  (setq h 304.4 b 123.4 tw  7.1 tf 10.7 rwtb 37.0))
    (if (and (> beamsize 254.0) (<= beamsize 305.0) (= bsize 7))  (setq h 312.7 b 102.4 tw  6.6 tf 10.8 rwtb 32.8))
    (if (and (> beamsize 254.0) (<= beamsize 305.0) (= bsize 8))  (setq h 308.7 b 101.8 tw  6.0 tf  8.8 rwtb 28.2))
    (if (and (> beamsize 254.0) (<= beamsize 305.0) (= bsize 9))  (setq h 305.1 b 101.6 tw  5.8 tf  7.0 rwtb 24.8))

    (if (and (> beamsize 305.0) (<= beamsize 356.0) (= bsize 1))  (setq h 363.4 b 173.2 tw  9.1 tf 15.7 rwtb 67.1))
    (if (and (> beamsize 305.0) (<= beamsize 356.0) (= bsize 2))  (setq h 358.0 b 172.2 tw  8.1 tf 13.0 rwtb 57.0))
    (if (and (> beamsize 305.0) (<= beamsize 356.0) (= bsize 3))  (setq h 355.0 b 171.5 tw  7.4 tf 11.5 rwtb 51.0))
    (if (and (> beamsize 305.0) (<= beamsize 356.0) (= bsize 4))  (setq h 351.4 b 171.1 tw  7.0 tf  9.7 rwtb 45.0))
    (if (and (> beamsize 305.0) (<= beamsize 356.0) (= bsize 5))  (setq h 353.4 b 126.0 tw  6.6 tf 10.7 rwtb 39.1))
    (if (and (> beamsize 305.0) (<= beamsize 356.0) (= bsize 6))  (setq h 349.0 b 125.4 tw  6.0 tf  8.5 rwtb 33.1))

    (if (and (> beamsize 356.0) (<= beamsize 406.0) (= bsize 1))  (setq h 412.8 b 179.5 tw  9.5 tf 16.0 rwtb 74.2))
    (if (and (> beamsize 356.0) (<= beamsize 406.0) (= bsize 2))  (setq h 409.4 b 178.8 tw  8.8 tf 14.3 rwtb 67.1))
    (if (and (> beamsize 356.0) (<= beamsize 406.0) (= bsize 3))  (setq h 406.4 b 177.9 tw  7.9 tf 12.8 rwtb 60.1))
    (if (and (> beamsize 356.0) (<= beamsize 406.0) (= bsize 4))  (setq h 402.6 b 177.7 tw  7.7 tf 10.9 rwtb 54.1))
    (if (and (> beamsize 356.0) (<= beamsize 406.0) (= bsize 5))  (setq h 403.2 b 142.2 tw  6.8 tf 11.2 rwtb 46.0))
    (if (and (> beamsize 356.0) (<= beamsize 406.0) (= bsize 6))  (setq h 398.0 b 141.8 tw  6.4 tf  8.6 rwtb 39.0))

    (if (and (> beamsize 406.0) (<= beamsize 457.0) (= bsize 1))  (setq h 467.2 b 192.8 tw 11.4 tf 19.6 rwtb 98.3))
    (if (and (> beamsize 406.0) (<= beamsize 457.0) (= bsize 2))  (setq h 463.4 b 191.9 tw 10.5 tf 17.7 rwtb 89.3))
    (if (and (> beamsize 406.0) (<= beamsize 457.0) (= bsize 3))  (setq h 465.8 b 155.3 tw 10.5 tf 18.9 rwtb 82.1))
    (if (and (> beamsize 406.0) (<= beamsize 457.0) (= bsize 4))  (setq h 460.0 b 191.3 tw  9.9 tf 16.0 rwtb 82.0))
    (if (and (> beamsize 406.0) (<= beamsize 457.0) (= bsize 5))  (setq h 457.0 b 190.4 tw  9.0 tf 14.5 rwtb 74.3))
    (if (and (> beamsize 406.0) (<= beamsize 457.0) (= bsize 6))  (setq h 462.0 b 154.4 tw  9.6 tf 17.0 rwtb 74.2))
    (if (and (> beamsize 406.0) (<= beamsize 457.0) (= bsize 7))  (setq h 458.0 b 153.8 tw  9.0 tf 15.0 rwtb 67.2))
    (if (and (> beamsize 406.0) (<= beamsize 457.0) (= bsize 8))  (setq h 453.4 b 189.9 tw  8.5 tf 12.7 rwtb 67.1))
    (if (and (> beamsize 406.0) (<= beamsize 457.0) (= bsize 9))  (setq h 454.6 b 152.9 tw  8.1 tf 13.3 rwtb 59.8))
    (if (and (> beamsize 406.0) (<= beamsize 457.0) (= bsize 10)) (setq h 449.8 b 152.4 tw  7.6 tf 10.9 rwtb 52.3))

    (if (and (> beamsize 457.0) (<= beamsize 533.0) (= bsize 1))  (setq h 544.5 b 211.9 tw 12.7 tf 21.3 rwtb 122.0))
    (if (and (> beamsize 457.0) (<= beamsize 533.0) (= bsize 2))  (setq h 539.5 b 210.8 tw 11.6 tf 18.8 rwtb 109.0))
    (if (and (> beamsize 457.0) (<= beamsize 533.0) (= bsize 3))  (setq h 536.7 b 210.0 tw 10.8 tf 17.4 rwtb 101.0))
    (if (and (> beamsize 457.0) (<= beamsize 533.0) (= bsize 4))  (setq h 533.1 b 209.3 tw 10.1 tf 15.6 rwtb  92.1))
    (if (and (> beamsize 457.0) (<= beamsize 533.0) (= bsize 5))  (setq h 528.3 b 208.8 tw  9.6 tf 13.2 rwtb  82.2))
) ; end BS Beam ----------------------------------------------------------------------------------------------------
(defun channeldata_bsc ( chansize csize )  ; kgs rwt per meter
    (setq ctype "BSC")
    (if (and                    (<= chansize  76.0) (= csize 1)) (setq h  76.2 bc  38.1 tw  5.1 tf  6.8 rwtc 6.71  df 3.0))
  
    (if (and (> chansize  76.0) (<= chansize 102.0) (= csize 1)) (setq h 101.6 bc  50.8 tw  6.1 tf  7.6 rwtc 10.4  df 2.0))

    (if (and (> chansize 102.0) (<= chansize 127.0) (= csize 1)) (setq h 127.0 bc  63.5 tw  6.4 tf  9.2 rwtc 14.92 df 1.5))

    (if (and (> chansize 127.0) (<= chansize 152.0) (= csize 1)) (setq h 152.4 bc  88.9 tw  7.1 tf 11.6 rwtc 23.87 df 1.5))
    (if (and (> chansize 127.0) (<= chansize 152.0) (= csize 2)) (setq h 152.4 bc  76.2 tw  6.4 tf  9.0 rwtc 17.91 df 1.5))

    (if (and (> chansize 152.0) (<= chansize 178.0) (= csize 1)) (setq h 177.8 bc  88.9 tw  7.6 tf 12.3 rwtc 26.79 df 1.25))
    (if (and (> chansize 152.0) (<= chansize 178.0) (= csize 2)) (setq h 177.8 bc  76.2 tw  6.6 tf 10.3 rwtc 20.84 df 1.25))

    (if (and (> chansize 178.0) (<= chansize 203.0) (= csize 1)) (setq h 203.2 bc  88.9 tw  8.1 tf 12.9 rwtc 29.77 df 1.2))
    (if (and (> chansize 178.0) (<= chansize 203.0) (= csize 2)) (setq h 203.2 bc  76.2 tw  7.1 tf 11.2 rwtc 23.85 df 1.2))

    (if (and (> chansize 203.0) (<= chansize 229.0) (= csize 1)) (setq h 228.6 bc  88.9 tw  8.6 tf 13.3 rwtc 32.68 df 1.2))
    (if (and (> chansize 203.0) (<= chansize 229.0) (= csize 2)) (setq h 228.6 bc  76.2 tw  7.6 tf 11.2 rwtc 26.08 df 1.2))

    (if (and (> chansize 229.0) (<= chansize 254.0) (= csize 1)) (setq h 254.0 bc  88.9 tw  9.1 tf 13.6 rwtc 35.66 df 1.15))
    (if (and (> chansize 229.0) (<= chansize 254.0) (= csize 2)) (setq h 254.0 bc  76.2 tw  8.1 tf 10.9 rwtc 28.18 df 1.15))

    (if (and (> chansize 254.0) (<= chansize 305.0) (= csize 1)) (setq h 304.8 bc 101.6 tw 10.2 tf 14.8 rwtc 46.21 df 1.1))
    (if (and (> chansize 254.0) (<= chansize 305.0) (= csize 2)) (setq h 304.8 bc  88.9 tw 10.2 tf 13.7 rwtc 41.81 df 1.1))

    (if (and (> chansize 305.0) (<= chansize 381.0) (= csize 1)) (setq h 381.0 bc 101.6 tw 10.4 tf 16.3 rwtc 55.01 df 0.9))

    (if (and (> chansize 381.0)                     (= csize 1)) (setq h 431.8 bc 101.6 tw 12.2 tf 16.8 rwtc 65.5  df 0.9))
)  ; end BS Shannel ------------------------------------------------------------------------------------------------
(defun angledata_bsa ( angsize angthk)  ; kgs rwt per meter
    (setq atype "BSA")
    (if (and                          (<= angsize (/ 20.0 m1))  (= angthk 3.0))  (setq angwid 20.0  angth  3.0 cgb (/  4.0 m1) weldist (/  30.0 m1) rwta  0.882))

    (if ( and (> angsize (/ 20.0 m1)) (<= angsize (/ 25.0 m1))  (= angthk 5.0))  (setq angwid 25.0  angth  5.0 cgb (/  6.0 m1) weldist (/  40.0 m1) rwta  1.78))
    (if ( and (> angsize (/ 20.0 m1)) (<= angsize (/ 25.0 m1))  (= angthk 4.0))  (setq angwid 25.0  angth  4.0 cgb (/  6.0 m1) weldist (/  40.0 m1) rwta  1.45))
    (if ( and (> angsize (/ 20.0 m1)) (<= angsize (/ 25.0 m1))  (= angthk 3.0))  (setq angwid 25.0  angth  3.0 cgb (/  6.0 m1) weldist (/  40.0 m1) rwta  1.12))

    (if ( and (> angsize (/ 25.0 m1)) (<= angsize (/ 30.0 m1))  (= angthk 5.0))  (setq angwid 30.0  angth  5.0 cgb (/  8.0 m1) weldist (/  50.0 m1) rwta  2.18))
    (if ( and (> angsize (/ 25.0 m1)) (<= angsize (/ 30.0 m1))  (= angthk 4.0))  (setq angwid 30.0  angth  4.0 cgb (/  8.0 m1) weldist (/  50.0 m1) rwta  1.78))
    (if ( and (> angsize (/ 25.0 m1)) (<= angsize (/ 30.0 m1))  (= angthk 3.0))  (setq angwid 30.0  angth  3.0 cgb (/  8.0 m1) weldist (/  50.0 m1) rwta  1.36))

    (if ( and (> angsize (/ 30.0 m1)) (<= angsize (/ 35.0 m1))  (= angthk 4.0))  (setq angwid 35.0  angth  4.0 cgb (/ 10.0 m1) weldist (/  60.0 m1) rwta  2.09))

    (if ( and (> angsize (/ 35.0 m1)) (<= angsize (/ 40.0 m1))  (= angthk 3.0))  (setq angwid 40.0  angth  3.0 cgb (/ 12.0 m1) weldist (/  70.0 m1) rwta  1.84))
    (if ( and (> angsize (/ 35.0 m1)) (<= angsize (/ 40.0 m1))  (= angthk 4.0))  (setq angwid 40.0  angth  4.0 cgb (/ 12.0 m1) weldist (/  70.0 m1) rwta  2.42))
    (if ( and (> angsize (/ 35.0 m1)) (<= angsize (/ 40.0 m1))  (= angthk 5.0))  (setq angwid 40.0  angth  5.0 cgb (/ 12.0 m1) weldist (/  70.0 m1) rwta  2.97))
    (if ( and (> angsize (/ 35.0 m1)) (<= angsize (/ 40.0 m1))  (= angthk 6.0))  (setq angwid 40.0  angth  6.0 cgb (/ 12.0 m1) weldist (/  70.0 m1) rwta  3.52))

    (if ( and (> angsize (/ 40.0 m1)) (<= angsize (/ 45.0 m1))  (= angthk 3.0))  (setq angwid 45.0  angth  3.0 cgb (/ 13.0 m1) weldist (/  75.0 m1) rwta  2.09))
    (if ( and (> angsize (/ 40.0 m1)) (<= angsize (/ 45.0 m1))  (= angthk 4.0))  (setq angwid 45.0  angth  4.0 cgb (/ 13.0 m1) weldist (/  75.0 m1) rwta  2.74))
    (if ( and (> angsize (/ 40.0 m1)) (<= angsize (/ 45.0 m1))  (= angthk 4.5))  (setq angwid 45.0  angth  4.5 cgb (/ 13.0 m1) weldist (/  75.0 m1) rwta  3.06))
    (if ( and (> angsize (/ 40.0 m1)) (<= angsize (/ 45.0 m1))  (= angthk 5.0))  (setq angwid 45.0  angth  5.0 cgb (/ 13.0 m1) weldist (/  75.0 m1) rwta  3.38))
    (if ( and (> angsize (/ 40.0 m1)) (<= angsize (/ 45.0 m1))  (= angthk 6.0))  (setq angwid 45.0  angth  6.0 cgb (/ 13.0 m1) weldist (/  75.0 m1) rwta  4.0))

    (if ( and (> angsize (/ 45.0 m1)) (<= angsize (/ 50.0 m1))  (= angthk 3.0))  (setq angwid 50.0  angth  3.0 cgb (/ 15.0 m1) weldist (/  85.0 m1) rwta  2.33))
    (if ( and (> angsize (/ 45.0 m1)) (<= angsize (/ 50.0 m1))  (= angthk 4.0))  (setq angwid 50.0  angth  4.0 cgb (/ 15.0 m1) weldist (/  85.0 m1) rwta  3.06))
    (if ( and (> angsize (/ 45.0 m1)) (<= angsize (/ 50.0 m1))  (= angthk 5.0))  (setq angwid 50.0  angth  5.0 cgb (/ 15.0 m1) weldist (/  85.0 m1) rwta  3.77))
    (if ( and (> angsize (/ 45.0 m1)) (<= angsize (/ 50.0 m1))  (= angthk 6.0))  (setq angwid 50.0  angth  6.0 cgb (/ 15.0 m1) weldist (/  85.0 m1) rwta  4.47))
    (if ( and (> angsize (/ 45.0 m1)) (<= angsize (/ 50.0 m1))  (= angthk 8.0))  (setq angwid 50.0  angth  8.0 cgb (/ 15.0 m1) weldist (/  85.0 m1) rwta  5.82))

    (if ( and (> angsize (/ 50.0 m1)) (<= angsize (/ 60.0 m1))  (= angthk 5.0))  (setq angwid 60.0  angth  5.0 cgb (/ 17.0 m1) weldist (/  95.0 m1) rwta  4.57))
    (if ( and (> angsize (/ 50.0 m1)) (<= angsize (/ 60.0 m1))  (= angthk 6.0))  (setq angwid 60.0  angth  6.0 cgb (/ 17.0 m1) weldist (/  95.0 m1) rwta  5.42))
    (if ( and (> angsize (/ 50.0 m1)) (<= angsize (/ 60.0 m1))  (= angthk 8.0))  (setq angwid 60.0  angth  8.0 cgb (/ 17.0 m1) weldist (/  95.0 m1) rwta  7.09))
    (if ( and (> angsize (/ 50.0 m1)) (<= angsize (/ 60.0 m1))  (= angthk 10.0)) (setq angwid 60.0  angth 10.0 cgb (/ 17.0 m1) weldist (/  95.0 m1) rwta  8.69))

    (if ( and (> angsize (/ 60.0 m1)) (<= angsize (/ 65.0 m1))  (= angthk 7.0))  (setq angwid 65.0  angth  7.0 cgb (/ 19.0 m1) weldist (/ 110.0 m1) rwta  6.83))

    (if ( and (> angsize (/ 65.0 m1)) (<= angsize (/ 70.0 m1))  (= angthk 6.0))  (setq angwid 70.0  angth  6.0 cgb (/ 20.0 m1) weldist (/ 112.0 m1) rwta  6.38))
    (if ( and (> angsize (/ 65.0 m1)) (<= angsize (/ 70.0 m1))  (= angthk 7.0))  (setq angwid 70.0  angth  7.0 cgb (/ 20.0 m1) weldist (/ 112.0 m1) rwta  7.38))
    (if ( and (> angsize (/ 65.0 m1)) (<= angsize (/ 70.0 m1))  (= angthk 8.0))  (setq angwid 70.0  angth  8.0 cgb (/ 20.0 m1) weldist (/ 113.0 m1) rwta  8.36))
    (if ( and (> angsize (/ 65.0 m1)) (<= angsize (/ 70.0 m1))  (= angthk 10.0)) (setq angwid 70.0  angth 10.0 cgb (/ 20.0 m1) weldist (/ 114.0 m1) rwta 10.3))

    (if ( and (> angsize (/ 70.0 m1)) (<= angsize (/ 75.0 m1))  (= angthk 6.0))  (setq angwid 75.0  angth  6.0 cgb (/ 20.0 m1) weldist (/ 114.0 m1) rwta  6.85))
    (if ( and (> angsize (/ 70.0 m1)) (<= angsize (/ 75.0 m1))  (= angthk 8.0))  (setq angwid 75.0  angth  8.0 cgb (/ 20.0 m1) weldist (/ 114.0 m1) rwta  8.99))

    (if ( and (> angsize (/ 75.0 m1)) (<= angsize (/ 80.0 m1))  (= angthk 6.0))  (setq angwid 80.0  angth  6.0 cgb (/ 21.0 m1) weldist (/ 115.0 m1) rwta  7.34))
    (if ( and (> angsize (/ 75.0 m1)) (<= angsize (/ 80.0 m1))  (= angthk 8.0))  (setq angwid 80.0  angth  8.0 cgb (/ 21.0 m1) weldist (/ 115.0 m1) rwta  9.63))
    (if ( and (> angsize (/ 75.0 m1)) (<= angsize (/ 80.0 m1))  (= angthk 10.0)) (setq angwid 80.0  angth 10.0 cgb (/ 21.0 m1) weldist (/ 115.0 m1) rwta 11.9))

    (if ( and (> angsize (/ 80.0 m1)) (<= angsize (/ 90.0 m1))  (= angthk 6.0))  (setq angwid 90.0  angth  6.0 cgb (/ 23.0 m1) weldist (/ 130.0 m1) rwta  8.3))
    (if ( and (> angsize (/ 80.0 m1)) (<= angsize (/ 90.0 m1))  (= angthk 7.0))  (setq angwid 90.0  angth  7.0 cgb (/ 23.0 m1) weldist (/ 130.0 m1) rwta  9.61))
    (if ( and (> angsize (/ 80.0 m1)) (<= angsize (/ 90.0 m1))  (= angthk 8.0))  (setq angwid 90.0  angth  8.0 cgb (/ 23.0 m1) weldist (/ 130.0 m1) rwta 10.9))
    (if ( and (> angsize (/ 80.0 m1)) (<= angsize (/ 90.0 m1))  (= angthk 9.0))  (setq angwid 90.0  angth  9.0 cgb (/ 23.0 m1) weldist (/ 130.0 m1) rwta 12.2))
    (if ( and (> angsize (/ 80.0 m1)) (<= angsize (/ 90.0 m1))  (= angthk 10.0)) (setq angwid 90.0  angth 10.0 cgb (/ 23.0 m1) weldist (/ 130.0 m1) rwta 13.4))
    (if ( and (> angsize (/ 80.0 m1)) (<= angsize (/ 90.0 m1))  (= angthk 12.0)) (setq angwid 90.0  angth 12.0 cgb (/ 23.0 m1) weldist (/ 130.0 m1) rwta 15.9))

    (if ( and (> angsize (/ 90.0 m1)) (<= angsize (/ 100.0 m1)) (= angthk 8.0))  (setq angwid 100.0 angth  8.0 cgb (/ 25.0 m1) weldist (/ 145.0 m1) rwta 12.2))
    (if ( and (> angsize (/ 90.0 m1)) (<= angsize (/ 100.0 m1)) (= angthk 10.0)) (setq angwid 100.0 angth 10.0 cgb (/ 25.0 m1) weldist (/ 145.0 m1) rwta 15.0))
    (if ( and (> angsize (/ 90.0 m1)) (<= angsize (/ 100.0 m1)) (= angthk 12.0)) (setq angwid 100.0 angth 12.0 cgb (/ 25.0 m1) weldist (/ 145.0 m1) rwta 17.8))
    (if ( and (> angsize (/ 90.0 m1)) (<= angsize (/ 100.0 m1)) (= angthk 15.0)) (setq angwid 100.0 angth 15.0 cgb (/ 25.0 m1) weldist (/ 145.0 m1) rwta 21.9))
)  ; end angledata_bsa ----------------------------------------------------------
 ; end BS Structurals ------------------------------------------------------------------------------------------------
(defun get_c111 () (setq c111 (distof (get_tile "c111_db"))))
(defun get_c112 () (setq c112 (distof (get_tile "c112_db"))))
(defun get_c113 () (setq c113 (distof (get_tile "c113_db"))))
(defun get_c114 () (setq c114 (distof (get_tile "c114_db"))))
(defun get_c115 () (setq c115         (get_tile "c115_db")))
(defun get_c511 () (setq c511 (distof (get_tile "c511_db"))))
(defun get_c512 () (setq c512 (distof (get_tile "c512_db"))))
(defun get_c513 () (setq c513 (distof (get_tile "c513_db"))))
(defun get_c514 () (setq c514 (distof (get_tile "c514_db"))))
(defun get_c515 () (setq c515         (get_tile "c515_db")))
(defun get_c311 () (setq c311 (distof (get_tile "c311_db"))))
(defun get_c312 () (setq c312         (get_tile "c312_db")))
(defun get_c331 () (setq c331 (distof (get_tile "c331_db"))))
(defun get_c332 () (setq c332 (distof (get_tile "c332_db"))))
(defun get_c333 () (setq c333 (distof (get_tile "c333_db"))))
(defun get_c334 () (setq c334 (distof (get_tile "c334_db"))))
(defun get_c335 () (setq c335         (get_tile "c335_db")))
(defun get_c341 () (setq c341 (distof (get_tile "c341_db"))))
(defun get_c342 () (setq c342 (distof (get_tile "c342_db"))))
(defun get_c343 () (setq c343         (get_tile "c343_db")))
(defun get_c361 () (setq c361 (distof (get_tile "c361_db"))))
(defun get_c362 () (setq c362 (distof (get_tile "c362_db"))))
(defun get_c363 () (setq c363         (get_tile "c363_db")))
