(defun fdisc ( ov scfdk p1 / tk d d1 wt1 z3
                   	     p2 p3 p4 p5 p6 p7 p8 p9 p10 
		   	     p11 p12 p13 p14 p15
                             pd1 pd2 pd3 pm1 pm2 pm3 pm4
	     )
	(setq size "*a4")
	(if (and (not scfdk) (<= c8 (/ 50.0 m1))) (setq scfdk 0.5))
	(if (and (not scfdk) (> c8 (/ 50.0 m1)) (<= c8 (/ 100.0 m1))) (setq scfdk 1.0))
	(if (and (not scfdk) (> c8 (/ 100.0 m1))) (setq scfdk 2.0))
	(if (<= c8 (/ 30.0 m1)) (setq d (/ 27.0 m1)))
	(if (and (> c8 (/ 30.0 m1)) (<= c8 (/ 50.0 m1))) (setq d (/ 39.0 m1)))
	(if (and (> c8 (/ 50.0 m1)) (<= c8 (/ 70.0 m1))) (setq d (/ 60.0 m1)))
	(if (and (> c8 (/ 70.0 m1)) (<= c8 (/ 90.0 m1))) (setq d (/ 76.0 m1)))
	(if (> c8 (/ 90.0 m1)) (setq d 85.0))
	(setq tk (/ 6.0 m1) d1 (* d 2.0))
        (setup scfdk size ov)
        (setvar "osmode" 0)
	(if (not p1) (setq p1 (list (* (/ 130.0 m1) scfdk) (* (/ 130.0 m1) scfdk))))
      (setq p2 (list (- (car p1) (/ d1 2.0)) (cadr p1))
	    p3 (list (+ (car p1) (/ d1 2.0)) (cadr p1))
	    p4 (list (car p2) (+ (cadr p2) tk))
	    p5 (list (car p3) (+ (cadr p3) tk))
	    p6 (list (- (car p1) (/ d 2.0)) (cadr p1))
	    p7 (list (+ (car p1) (/ d 2.0)) (cadr p1))
	    p8 (list (- (car p1) (/ d 2.0)) (+ (cadr p1) tk))
	    p9 (list (+ (car p1) (/ d 2.0)) (+ (cadr p1) tk))
	    p10 (list (car p1) (- (cadr p1) (* scfdk (/ 5.0 m1))))
	    p11 (list (car p1) (+ (cadr p1) tk (* scfdk (/ 5.0 m1))))
	    pd1 (list (car p1) (- (cadr p1) (* scfdk (/ 10.0 m1))))
	    pd2 (list (car p1) (+ (cadr p1) (* scfdk (/ 10.0 m1)) tk))
	    pd3 (list (+ (car p3) (* scfdk (/ 15.0 m1))) (cadr p3))
	    pm1 (list (+ (car p3) (* scfdk (/ 11.0 m1))) (cadr p3))
	    pm2 (list (+ (car p5) (* scfdk (/ 8.0 m1))) (cadr p5))
	    pm3 (list (car p2) (- (cadr p2) (* scfdk (/ 3.0 m1))))
	    pm4 (list (car p9) (+ (cadr p9) (* scfdk (/ 3.0 m1))))
       )
	(command "_layer" "s" "0" ""
	 	 "_linetype" "set" "continuous" "")
		 (line0 p2 p4) (line0 p4 p8) (line0 p8 p9) (line0 p9 p5)
                 (line0 p5 p3) (line0 p3 p7) (line0 p7 p6) (line0 p6 p2)
	 	 (line0 p6 p8) (line0 p7 p9)
(cond ( (= ov 1)
	(command "_linetype" "set" "center" "" 
		 "_layer" "s" "cen" "")
	 	 (line0 p10 p11)
	(command "_linetype" "set" "continuous" "" 
                 "_layer" "s" "dim" ""
		 "_dim1" "hor" p2 p3 pd1 "%%c<>"
		 "_dim1" "hor" p8 p9 pd2 "%%c<>"
		 "_dim1" "ver" p3 p5 pd3 ""
		 "_layer" "s" "0" ""
	         "_hatch" "ansi32" m3 "0" "w" p4 p6 ""
	         "_hatch" "ansi32" m3 "0" "w" p9 p3 ""
	)
        (macmark pm1 scfdk 180 2)
        (macmark pm2 scfdk 0 2)
        (macmark pm3 scfdk 90 1)
        (macmark pm4 scfdk 90 1)
        (tol pd2 d scfdk)
	(nextpt 4 scfdk)
        (setq wt1 (/ (* 7.85 pi (- (* d1 d1) (* d d)) tk wtfac1) 4.0))
	(bom1 size 1 "25" 1 "Friction Disc" "Brass" wt1 "" scfdk)
	(bomall_w "a" "25" 1 "Friction Disc" "Brass" wt1 (strcat t7 "25"))
	(command "_layer" "s" "0" "")
	(bomtab scfdk z3 size)
	(setq p12 (list (car p6) (- (cadr p6) (* scfdk (/ 30.0 m1)) tk))
              p13 (polar p12 (dtr 90.0) (* scfdk (/ 10.0 m1)))
	      p14 (list (+ (car p13) (* scfdk (/ 10.0 m1))) (cadr p13))
	      p15 (list (car p14) (- (cadr p14) (* scfdk (/ 7.5 m1))))
	)
	(command "_layer" "s" "0" ""
	 	 "_linetype" "set" "continuous" ""
	         "_circle" "2p" p12 p13 
         	 "_text" "middle" (polar p13 (angle p13 p12) (* scfdk (/ 5.0 m1))) (* scfdk (/ 3.0 m1)) "0.0" "25"
         	 "_text" p14 (* scfdk (/ 5.0 m1)) "0.0" "%%uFriction Disc"
	)
        (findrep "Brass" "1" "Friction Disc" "25" t3 t4 t5 
                 (strcat "1:"(rtos scfdk 2 1)) (strcat t7 "25") t1
                 c2 (rtos wt1 2 1) t6)
         (gwt_w "a" (rtos wt1 2 1))
	(bomga_w "a" "25" 1 "Friction Disc" "Brass" wt1 "")
     )
)
  (dsls scfdk)
        (setvar "osmode" 0)(princ)
) ; end fdisc --------------------------------------------------------------------
