(defun ldi () (load_dialog "jib.dcl"))
(princ "\nLoading Main Jibcrane Program, Please wait ...")
(defun c:jib () (mainprog))
(defun mainprog ( / wt wt1 gwt 
		  t1 t2 t3 t4 t5 t6 t7 demomode
                  t61 t62 t63
                  c1 c101 c102 c2 c3 c4 c5 c511 c512 c513 c514 c515 c516 c6 c7 c8 c9 c10
                  c11 c111 c112 c113 c114 c115 c12 c13 c14 c15 c16 c17 c18 c181 c19 c20
                  c21 c22 c23 c24 c25 c26 c27 c28 c29 c30
		  c31 c311 c312 c32 c33 c331 c332 c333 c334 c335 c34 c341 c342 c343 c35 c36 c361 c362 c363 c37 c38 c39 ; c40 (not used)
		  c41 c42 c43 c44 c45 c46 c47 c48 c49 c50
                  c51 c52 c53 c54 c55 c56 c57 c58             ; c59 not used base plate
		  c60 c61 c62 c63 c64 c65 c66 c67 c68 c69 c70 ; bracket plate
                  c71 c72
		  c81 c82 c83 c84 c85 c86 c87 c88 c89 c90
                  c91 c92 c93 c94 c95 c96 c97 c98 c99 c100
                  c103 c104 c105 c106 c107
		  h b bc tf tw rwta rwtb rwtc df angwid angth cgb weldist ; structural sizes
		  lu m1 m2 m3 m4 m5 wtfac1 wtfac2 ; imperial or metric
		  scg scg1 scbgt scbgt1 sccab scfdk sctgt sctg sctg1 scbst scbs1 scfra sctri sctria scframe1 ; scale factors
		  scpbb scpbt scp scpiv scpad scspb scbm1 scbe2 scisa scisa1 scweld scwel1 schook scmak scmaj sctol sctol1  ; scale factors
                  p0 ppbtop pbcover ppga pf1 ppbbot psb pca pfdisc pppad
;                  tk bsize z4 not found
		  z3 pb pb1 ph1 ph2 ecleat
		  strmat pimat plmat ; materials
                  p1 p2 p3 p4 p5 p6 p7 p8 p9 p10 
                  p11 p12 p13 p14 p15 p16 p17 p18 p19 ; CT Cable
		  p20 pd1 pd2 pd3 pd4 pd5 pd6 pt1 pt2
                  p366 p367 p368 p369 p370 p380 p381 p382 p383 p384 ; chain pully block
                 )
;---------------------------------------------------------------
(setq demomode 0 m1 nil m2 2 m4 0) (princ)
(princ "\nLoading Other Jibcrane Programs, Please wait ...")
(load "bom.lsp")
(load "jibframe.lsp")
(load "cabang.lsp")
(load "data.lsp")
(load "fdisk.lsp")
(load "pbbot.lsp")
(load "pbtop.lsp")
(load "pivot.lsp")
(load "ppad.lsp")
(load "setup.lsp")
(load "stopb.lsp")
(load "struct.lsp")
(princ "..Loaded.")
;------------------------------------------------------------------
	(setq i0 (ldi))
	(if (not (new_dialog "rundemo" i0)) (exit))
  	(settile demomode)
  	(set_tile "run" "1")
  	(action_tile "accept" "(setq rude (get_tile \"rundemo\"))")
  	(start_dialog)
  	(unload_dialog i0)
        (if (= rude "demo") (setq demomode 1) (setq demomode 0))
	(setq i0 (ldi))
	(if (not (new_dialog "strstd" i0)) (exit))
  	(settile demomode)
  	(set_tile "ustd" "1")
  	(action_tile "accept" "(setq std (get_tile \"strstd\"))")
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= std "ustd") (setq strstd 1 plmat "A36"    strmat "ANSI 360-10" pimat "ANSI B36.10" ecleat "USA" lu "inch") (input_std))
	((= std "istd") (setq strstd 2 plmat "IS226"  strmat "IS 808"      pimat "IS1978"      ecleat "ISA" lu "mm")   (input_std))
;	((= std "dstd") (setq strstd 3 plmat "BHW35"  strmat ""                                ecleat "DSA" lu "mm")   (input_std))
	((= std "bstd") (setq strstd 4 plmat "BS1449" strmat "BS4"         pimat "BS3604"      ecleat "BSA" lu "mm")   (input_std))
  )
; m3 for hatch scale, m5 for kg to lb, wtfac1 for plates, wrfac2 for running length
(if (= lu "mm")   (progn (setq m1 1.0  m2 2 m3 25.0 m4 0 m5 2.204 wtfac1 (/ 1.0 1000000.0) wtfac2 0.001)
                         (setvar "lunits" 2) (setvar "luprec" 0)
		    ))
(if (= lu "inch") (progn (setq m1 25.0 m2 4 m3 1.0  m4 4  m5 1.0  wtfac1 (/ 1.0 27.6877)   wtfac2 (/ 1.0 12.0))
                         (setvar "lunits" 4) (setvar "luprec" 4)
		    ))
  (cond 
	((= demomode 0) (load "run.lsp") (demomode0))
	((= demomode 1) (load "demo.lsp") (demomode1))
  ) (princ)
; End input_units--------------------------------------------
; for a1 dwg 792 by 570
	(setq c44 (+ (/ 20.0 m1) c53 c85 c4 c85 c53 (/ 20.0 m1))
	      c49 (angle (list 0 0 0) (list (/ 792.0 m1) (/ 570.0 m1) 0))
        )
(setq c71 (- c4 (/ 120.0 m1) c11))
;---------------------Start of Top Jib Drawing-------------------
(if (= c6 "TOP") (progn
	(setq c38 (+ c51 c3 c4 c15 c11))
          (princ "\nCreating Drawing for Top Pivot Bracket.. Please wait\n")
          (pbtop 1 nil nil)
          (princ (strcat "\nSaving Drawing as " t8 t7 "40.DWG"))
       (if (findfile (strcat t8 t7 "40.DWG"))
          (command "_wblock" (strcat t8 t7 "40") "Y" "" "0,0" "all" "")
          (command "_wblock" (strcat t8 t7 "40") "" "0,0" "all" "")
       ) 
          (princ "\nCreating Drawing for Bottom Pivot Bracket.. Please wait\n")
          (pbbot 1 nil  nil)
          (princ (strcat "\nSaving Drawing as "  t8 t7 "30.DWG"))
       (if (findfile (strcat t8 t7 "30.DWG"))
          (command "_wblock" (strcat t8 t7 "30") "Y" "" "0,0" "all" "")
          (command "_wblock" (strcat  t8 t7 "30") "" "0,0" "all" "")
       )
    (if (/= (substr c19 (- (strlen c19) 1) 2) "ZZ")
      (progn
          (princ "\nCreating Drawing for Bearing Cover.. Please wait\n")
          (bcover 1 nil nil)
          (princ (strcat "\nSaving Drawing as " t8 t7 "41.DWG"))
       (if (findfile (strcat t8 t7 "41.DWG"))
          (command "_wblock" (strcat t8 t7 "41") "Y" "" "0,0" "all" "")
          (command "_wblock" (strcat t8 t7 "41") "" "0,0" "all" "")
       )
      )
     )
          (princ "\nCreating Drawing for Pressure Pad.. Please wait\n")
          (ppad 1 nil nil)
          (princ (strcat "\nSaving Drawing as " t8 t7 "26.DWG"))
       (if (findfile (strcat t8 t7 "26.DWG"))
          (command "_wblock" (strcat t8 t7 "26") "Y" "" "0,0" "all" "")
          (command "_wblock" (strcat t8 t7 "26") "" "0,0" "all" "")
       )
          (princ "\nCreating Drawing for Friction Disc.. Please wait\n")
          (fdisc 1 nil nil)
          (princ (strcat "\nSaving Drawing as " t8 t7 "25.DWG"))
       (if (findfile (strcat t8 t7 "25.DWG"))
          (command "_wblock" (strcat t8 t7 "25") "Y" "" "0,0" "all" "")
          (command "_wblock" (strcat  t8 t7 "25") "" "0,0" "all" "")
       )
   (if (= c45 1) (progn
          (princ "\nCreating Drawing for Cable Angle.. Please wait\n")
          (cabang 1 nil nil)
          (princ (strcat "\nSaving Drawing as " t8 t7 "24.DWG"))
       (if (findfile (strcat t8 t7 "24.DWG"))
          (command "_wblock" (strcat t8 t7 "24") "Y" "" "0,0" "all" "")
          (command "_wblock" (strcat t8 t7 "24") "" "0,0" "all" "")
       )
          (princ "\nCreating Drawing for Stopper Bracket.. Please wait\n")
          (stopb 1 nil nil)
          (princ (strcat "\nSaving Drawing as " t8 t7 "23.DWG"))
       (if (findfile (strcat t8 t7 "23.DWG"))
          (command "_wblock" (strcat t8 t7 "23") "Y" "" "0,0" "all" "")
          (command "_wblock" (strcat t8 t7 "23") "" "0,0" "all" "")
       )
   ))
          (princ "\nCreating Drawing for Pivot Mast.. Please wait\n")
          (pivot 1)
          (princ (strcat "\nSaving Drawing as " t8 t7 "22.DWG"))
       (if (findfile (strcat t8 t7 "22.DWG"))
          (command "_wblock" (strcat t8 t7 "22") "Y" "" "0,0" "all" "")
          (command "_wblock" (strcat t8 t7 "22") "" "0,0" "all" "")
       )
          (princ "\nCreating Drawing for Top Jib.. Please wait\n")
          (frame1 1 nil nil)
          (princ (strcat "\nSaving Drawing as " t8 t7 "20.DWG"))
       (if (findfile (strcat t8 t7 "20.DWG"))
          (command "_wblock" (strcat t8 t7 "20") "Y" "" "0,0" "all" "")
          (command "_wblock" (strcat t8 t7 "20") "" "0,0" "all" "")
       )
;-------------- drawings of Pillar for top jib------------------

    (if (and (/= (substr c19 (- (strlen c19) 1) 2) "ZZ") (= pil "FAB"))
          (progn (setq c72 (+ c3 c15 c11 (/ (+ 85.0 40.0 32.0 20.0) m1) (/ c21 2.0) c85 c53)))
          (progn (setq c72 (+ c3 c15 c11 (/ (+ 85.0 40.0 16.0 20.0) m1) (/ c21 2.0) c85 c53)))
    )
    (if (and (/= (substr c19 (- (strlen c19) 1) 2) "ZZ") (= pil "PIP"))
          (progn (setq c72 (+ c3 c15 c11 (/ (+ 85.0 55.0 32.0 20.0) m1) (/ c21 2.0) c85 c53)))
          (progn (setq c72 (+ c3 c15 c11 (/ (+ 85.0 55.0 16.0 20.0) m1) (/ c21 2.0) c85 c53)))
    )
    (setq c44 (+ (/ 40.0 m1) c53 c85 c4 c85 c53))
	(if                             (<= c38 (/  1750.0 m1))  (setq scgp  2.5 scg1 1.1))
	(if (and (> c38 (/  1750.0 m1)) (<= c38 (/  2000.0 m1))) (setq scgp  4.0 scg1 1.1))
	(if (and (> c38 (/  2000.0 m1)) (<= c38 (/  2500.0 m1))) (setq scgp  5.0 scg1 1.1))
	(if (and (> c38 (/  2500.0 m1)) (<= c38 (/  3750.0 m1))) (setq scgp  7.5 scg1 1.1))
	(if (and (> c38 (/  3750.0 m1)) (<= c38 (/  5000.0 m1))) (setq scgp 10.0 scg1 1.1))
	(if (and (> c38 (/  5000.0 m1)) (<= c38 (/  6300.0 m1))) (setq scgp 12.5 scg1 1.1))
	(if (and (> c38 (/  6300.0 m1)) (<= c38 (/  7500.0 m1))) (setq scgp 15.0 scg1 1.25))
	(if (and (> c38 (/  7500.0 m1)) (<= c38 (/ 10000.0 m1))) (setq scgp 20.0 scg1 1.4))
	(if (and (> c38 (/ 10000.0 m1)) (<= c38 (/ 12500.0 m1))) (setq scgp 25.0 scg1 1.5))
	(if (and (> c38 (/ 12500.0 m1)) (<= c38 (/ 17500.0 m1))) (setq scgp 30.0 scg1 1.75))
	(if      (> c38 (/ 17500.0 m1))                          (setq scgp 40.0 scg1 1.75))
(if (= pil "FAB") (progn
       (princ "\nCreating Drawing for Pillar.. Please wait\n")
       (pillarf c72 c44 1 scgp)
       (princ (strcat "\nSaving Drawing as " t8 t7 "10.DWG"))
       (if (findfile (strcat t8 t7 "10.DWG"))
          (command "_wblock" (strcat t8 t7 "10") "Y" "" "0,0" "all" "")
          (command "_wblock" (strcat t8 t7 "10") "" "0,0" "all" "")
       )
))
(if (= pil "PIP") (progn
       (princ "\nCreating Drawing for Pillar.. Please wait\n")
       (pillarp c72 c44 1 scgp)
       (princ (strcat "\nSaving Drawing as " t8 t7 "10.DWG"))
       (if (findfile (strcat t8 t7 "10.DWG"))
          (command "_wblock" (strcat t8 t7 "10") "Y" "" "0,0" "all" "")
          (command "_wblock" (strcat t8 t7 "10") "" "0,0" "all" "")
       )
))
;--------------Start GA Drawing for top Jib-------------------------------
; pillar straight height top jib in GA
	(setq c44 (+ (/ 40.0 m1) c53 c85 c4 c85 c53))
; for a1 dwg ht 570
      (princ "\nCreating GA Drawing.. Please wait\n")
	(if                             (<= c38 (/  1750.0 m1))  (setq scgp  2.5 scg1 1.1))
	(if (and (> c38 (/  1750.0 m1)) (<= c38 (/  2000.0 m1))) (setq scgp  4.0 scg1 1.1))
	(if (and (> c38 (/  2000.0 m1)) (<= c38 (/  2500.0 m1))) (setq scgp  5.0 scg1 1.1))
	(if (and (> c38 (/  2500.0 m1)) (<= c38 (/  3750.0 m1))) (setq scgp  7.5 scg1 1.1))
	(if (and (> c38 (/  3750.0 m1)) (<= c38 (/  5000.0 m1))) (setq scgp 10.0 scg1 1.1))
	(if (and (> c38 (/  5000.0 m1)) (<= c38 (/  6300.0 m1))) (setq scgp 12.5 scg1 1.1))
	(if (and (> c38 (/  6300.0 m1)) (<= c38 (/  7500.0 m1))) (setq scgp 15.0 scg1 1.25))
	(if (and (> c38 (/  7500.0 m1)) (<= c38 (/ 10000.0 m1))) (setq scgp 20.0 scg1 1.4))
	(if (and (> c38 (/ 10000.0 m1)) (<= c38 (/ 12500.0 m1))) (setq scgp 25.0 scg1 1.5))
	(if (and (> c38 (/ 12500.0 m1)) (<= c38 (/ 17500.0 m1))) (setq scgp 30.0 scg1 1.75))
	(if      (> c38 (/ 17500.0 m1))                          (setq scgp 40.0 scg1 1.75))
	(if                             (<= c39 (/  2100.0 m1))  (setq scgg  3.0 scg1 1.1))
	(if (and (> c39 (/  2100.0 m1)) (<= c39 (/  2800.0 m1))) (setq scgg  4.0 scg1 1.1))
	(if (and (> c39 (/  2800.0 m1)) (<= c39 (/  3500.0 m1))) (setq scgg  5.0 scg1 1.1))
	(if (and (> c39 (/  3500.0 m1)) (<= c39 (/  5350.0 m1))) (setq scgg  7.5 scg1 1.25))
	(if (and (> c39 (/  5350.0 m1)) (<= c39 (/  7000.0 m1))) (setq scgg 10.0 scg1 1.4))
	(if (and (> c39 (/  7000.0 m1)) (<= c39 (/  9000.0 m1))) (setq scgg 12.5 scg1 1.5))
	(if (and (> c39 (/  9000.0 m1)) (<= c39 (/ 10500.0 m1))) (setq scgg 15.0 scg1 1.75))
	(if      (> c39 (/ 10500.0 m1))                          (setq scgg 20.0 scg1 1.75))
	(if (> scgp scgg) (setq scg scgp)  (setq scg scgg))
          (setup scg "*a1" 1)
          (setq pt1 (list (* scg (/ 100.0 m1)) (* scg (/ 15.0 m1)))
                pt2 (list (* scg (/ 100.0 m1)) (* scg (/ 10.0 m1)))
          )
      (command "_text" "c" pt1 (* scg (/ 4.0 m1)) "0" "For Foundation Details Refer"
               "_text" "c" pt2 (* scg (/ 4.0 m1)) "0" (strcat t7 "21" ".DWG")
          )
    (setq p0 (list (* scg (/ 150.0 m1)) (+ (* (/ 50.0 m1) scg) c72)))
; top bracket ;
        (if (= pil "FAB") (setq ppbtop (list (+ (car p0) (* c58 0.707) c60 c41) (- (cadr p0) c53))))
        (if (= pil "PIP") (setq ppbtop (list (+ (car p0) (* c58 0.5) c60 c41) (- (cadr p0) c53))))
          (pbtop 0 1 ppbtop)
          (setq p101 (list (+ (car ppbtop) (/ 10.0 m1)) (- (cadr ppbtop) (/ 20.0 m1)))
                p102 (list (+ (car p101) (/ 200.0 m1)) (+ (cadr p101) (/ 200.0 m1)))
          )
          (tagno p101 p102 "40" 1 size scg)
; bearing cover
    (if (/= (substr c19 (- (strlen c19) 1) 2) "ZZ")
      (progn
        (if (= pil "FAB") (setq pbcover (list (+ (car p0) (* c58 0.707) (* c60 2.0) c43 c41) (- (cadr ppbtop) (- c66 c86) (/ c21 2.0) (/ 8.0 m1)))))
        (if (= pil "PIP") (setq pbcover (list (+ (car p0) (* c58 0.5) (* c60 2.0) c43 c41) (- (cadr ppbtop) (- c66 c86) (/ c21 2.0) (/ 8.0 m1)))))
          (bcover 0 1 pbcover)
      )
    )
; pivotga
    (if (/= (substr c19 (- (strlen c19) 1) 2) "ZZ") 
        (progn
        (if (= pil "FAB") (setq ppga (list (+ (car p0) (* c58 0.707) (* c60 2.0) c43 c41) (- (cadr ppbtop) c85 (/ c21 2.0) (/ 28.0 m1)))))
        (if (= pil "PIP") (setq ppga (list (+ (car p0) (* c58 0.5) (* c60 2.0) c43 c41) (- (cadr ppbtop) c85 (/ c21 2.0) (/ 28.0 m1)))))
          (pivotga (- c4 (/ c21 2.0) (- c25 (/ c27 2.0)) (/ 38.0 m1)) 1 0
                      ppga 2 nil)
        )
        (progn
        (if (= pil "FAB") (setq ppga (list (+ (car p0) (* c58 0.707) (* c60 2.0) c43 c41) (- (cadr ppbtop) c85 (/ c21 2.0) (/ 16.0 m1)))))
        (if (= pil "PIP") (setq ppga (list (+ (car p0) (* c58 0.5) (* c60 2.0) c43 c41) (- (cadr ppbtop) c85 (/ c21 2.0) (/ 16.0 m1)))))
          (pivotga (- c4 (/ (+ c21 c25) 2.0) (/ 30.0 m1)) 1 0
                      ppga 2 nil)
        )
    )
          (setq p101 (list (+ (car ppga) (/ 10.0 m1)) (- (cadr ppga) (/ c4 2.0)))
                p102 (list (+ (car p101) (/ 1000.0 m1)) (- (cadr p101) (/ 500.0 m1)))
          )
          (tagno p101 p102 "22" 1 size scg)
; frame
          (setq pf1 (list (car ppga) (- (cadr ppga) (/ 40.0 m1))))
          (frame1 0 pf1 scg)
; bot bracket
          (setq ppbbot (list (car ppbtop) (+ (- (cadr ppbtop) c85 c4) c86)))
          (pbbot 0 nil ppbbot)
          (setq p101 (list (+ (car ppbbot) (/ 10.0 m1)) (- (cadr ppbbot) (/ 20.0 m1)))
                p102 (list (+ (car p101) (/ 500.0 m1)) (- (cadr p101) (/ 500.0 m1)))
          )
          (tagno p101 p102 "30" 1 size scg)
;only beam
    (if (= c12 0)
; stopper bracket
          (setq psb (list (+ (car pf1) c1) (- (cadr pf1) (/ 100.0 m1)))
; cable angle
                pca (list (+ (car pf1) c511 c18 (/ 150.0 m1)) (- (cadr pf1) (/ 100.0 m1))))
    )
;beam + plate
    (if (or (= c12 1) (= c12 4))
; stopper bracket
          (setq psb (list (+ (car pf1) c1) (+ (- (cadr pf1) (/ 100.0 m1)) c30))
; cable angle
                pca (list (+ (car pf1) c511 c18 (/ 150.0 m1)) (+ (- (cadr pf1) (/ 100.0 m1)) c30)))
    )

;beam+angle
    (if (= c12 2)
; stopper bracket
          (setq psb (list (+ (car pf1) c1) (+ (- (cadr pf1) (/ 100.0 m1)) c32))
; cable angle
                pca (list (+ (car pf1) c511 c18 (/ 150.0 m1)) (+ (- (cadr pf1) (/ 100.0 m1)) c32)))
    )

;beam+channel
    (if (= c12 3)
; stopper bracket
          (setq psb (list (+ (car pf1) c1) (+ (- (cadr pf1) (/ 100.0 m1)) c333))
; cable angle
                pca (list (+ (car pf1) c511 c18 (/ 150.0 m1)) (+ (- (cadr pf1) (/ 100.0 m1)) c333)))
    )
   (if (= c45 1) (progn
; drawing stopper bracket
          (stopb 0 nil psb)
          (setq p101 (list (+ (car psb) (/ 30.0 m1)) (+ (cadr psb) (/ 50.0 m1)))
                p102 (list (+ (car p101) (/ 500.0 m1)) (+ (cadr p101) (/ 500.0 m1)))
          )
;          (tagno p101 p102 "23" 1 size scg)
; drawing cable angle
          (cabang 0 nil pca)
          (setq p101 (list (+ (car pca) (/ 25.0 m1)) (+ (cadr pca) (/ 25.0 m1)))
                p102 (list (+ (car p101) (/ 500.0 m1)) (+ (cadr p101) (/ 500.0 m1)))
          )
          (tagno p101 p102 "24" 1 size scg)
))

; friction disc
          (setq pfdisc (list (car ppga) (- (cadr ppbbot) c86 (/ c27 2.0) c60 (/ 9.0  m1))))
          (fdisc 0 1 pfdisc)
          (setq p101 (list (+ (car pfdisc) (/ 25.0 m1)) (cadr pfdisc))
                p102 (list (+ (car p101) (/ 600.0 m1)) (- (cadr p101) (/ 200.0 m1)))
          )
          (tagno p101 p102 "25" 1 size scg)
; pressure pad and nuts
          (setq pppad (list (car pfdisc) (- (cadr pfdisc) (/ 12.0 m1))))
          (ppad 0 1 pppad)
          (nuts pppad c7)
          (setq p101 (list (+ (car pppad) (/ 25.0 m1)) (cadr pppad))
                p102 (list (+ (car p101) (/ 300.0 m1)) (- (cadr p101) (/ 300.0 m1)))
          )
          (tagno p101 p102 "26" 1 size scg)
;hoist dimensions
(if (= c45 0) (progn
         (setq p366 (list (car p0) (- (cadr p0) (/ c3 1.5)))
               p370 (list (+ (car p0) (* c58 0.707) (* c60 2.0) c43) (- (cadr p0) (/ c3 1.5)))
               p367 (list (+ (car p370) (/ c5 2.0) c16) (- (cadr p0) (/ c3 1.5)))
               p368 (list (- (+ (car p370) c1) c16 (/ 50.0 m1)) (- (cadr p0) (/ c3 1.5)))
               p369 (list (+ (car p368) c16 (/ 50.0 m1)) (- (cadr p0) (/ c3 1.5)))
               pb1 (list (* scg (/ 120.0 m1)) (+ (* scg scg1 (/ 35.0 m1)) c51 (* scg (/ 20.0 m1))))
               pb (list (car p0) (- (cadr ppga) c11 (/ 140.0 m1)))
               ph1 (list (car p366) (- (cadr pb) c15))
               ph2 (list (car p367) (- (cadr pb) c15))
               pd1 (list (- (* scg (/ 120.0 m1)) c51) (+ (* scg scg1 (/ 35.0 m1)) c51 (* scg (/ 20.0 m1))))
               pd2 (list (- (* scg (/ 120.0 m1)) c51 (* scg (/ 8.0 m1))) (+ (* scg scg1 (/ 35.0 m1)) c51 (* scg (/ 20.0 m1))))
               pd3 (list (- (* scg (/ 120.0 m1)) c51 (* scg (/ 16.0 m1))) (+ (* scg scg1 (/ 35.0 m1)) c51 (* scg (/ 20.0 m1))))
               p380 (list (car p368) (- (cadr p0) (/ c3 1.0) (* scg (/ 5.0 m1))))
               p381 (list (car p368) (- (cadr p0) (/ c3 1.0) (* scg (/ 15.0 m1))))
               p382 (list (car p368) (- (cadr p0) (/ c3 1.0) (* scg (/ 25.0 m1))))
               p383 (list (+ (car p366) (/ (distance p366 p367) 2.0)) (- (cadr p380) (* scg (/ 7.5 m1))))
               p384 (list (car p369) (- (cadr p380) (* scg (/ 7.5 m1))))
         )
         (command "_layer" "s" "dim" ""
                  "_linetype" "s" "continuous" "" 
                  "_dim1" "ver" pb1 ph1 pd1 "<>(TYP)"
                  "_dim1" "ver" ph1 pb pd1 ""
                  "_dim1" "ver" pb1 pb pd2 "<>(TYP)"
                  "_dim1" "ver" p0 pb1 pd3 ""
                  "_layer" "s" "0" ""
         )
))
(if (= c45 1) (progn
         (setq p366 (list (car p0) (- (cadr p0) (/ c3 1.5)))
               p370 (list (+ (car p0) (* c58 0.707) (* c60 2.0) c43) (- (cadr p0) (/ c3 1.5)))
               p367 (list (+ (car p370) (/ c5 2.0) c16) (- (cadr p0) (/ c3 1.5)))
               p368 (list (- (+ (car p370) c1) c16 (/ 50.0 m1)) (- (cadr p0) (/ c3 1.5)))
               p369 (list (+ (car p368) c16 (/ 50.0 m1)) (- (cadr p0) (/ c3 1.5)))
               pb1 (list (* scg (/ 120.0 m1)) (+ (* scg scg1 (/ 35.0 m1)) c51 (* scg (/ 20.0 m1))))
               pb (list (car p0) (- (cadr ppga) c11 (/ 140.0 m1)))
               ph1 (list (car p366) (- (cadr pb) c15))
               ph2 (list (car p367) (- (cadr pb) c15))
               pd1 (list (- (* scg (/ 120.0 m1)) c51) (+ (* scg scg1 (/ 35.0 m1)) c51 (* scg (/ 20.0 m1))))
               pd2 (list (- (* scg (/ 120.0 m1)) c51 (* scg (/ 8.0 m1))) (+ (* scg scg1 (/ 35.0 m1)) c51 (* scg (/ 20.0 m1))))
               pd3 (list (- (* scg (/ 120.0 m1)) c51 (* scg (/ 16.0 m1))) (+ (* scg scg1 (/ 35.0 m1)) c51 (* scg (/ 20.0 m1))))

               p380 (list (car p368) (- (cadr p0) (/ c3 1.0) (* scg (/ 5.0 m1))))
               p381 (list (car p368) (- (cadr p0) (/ c3 1.0) (* scg (/ 15.0 m1))))
               p382 (list (car p368) (- (cadr p0) (/ c3 1.0) (* scg (/ 25.0 m1))))
               p383 (list (+ (car p366) (/ (distance p366 p367) 2.0)) (- (cadr p380) (* scg (/ 7.5 m1))))
               p384 (list (car p369) (- (cadr p380) (* scg (/ 7.5 m1))))
; CT Cable
               p1 (list (+ (car pca) (/ 6.0 m1)) (+ (cadr pca) (/ 25.0 m1)))
               p2 (list (- (car psb) (/ 6.0 m1)) (+ (cadr psb) (/ 25.0 m1)))
               p3 (list (+ (car pca) (/ 11.0 m1)) (+ (cadr pca) (/ 25.0 m1)))
               p4 (list (- (car psb) (/ 11.0 m1)) (+ (cadr psb) (/ 25.0 m1)))
               p5 (polar p3 (dtr 0.0) (/ (distance p3 p4) 6.0))
               p6 (polar p5 (dtr 0.0) (/ (distance p3 p4) 6.0))
               p7 (polar p5 (dtr 270.0) (/ 5.0 m1))
               p8 (polar p6 (dtr 270.0) (/ 5.0 m1))
               p9 (polar p7 (dtr 290.0) (/ c15 2.0))
               p10 (polar p7 (dtr 280.0) c15)
               p11 (polar p8 (dtr 250.0) (/ c15 2.0))
               p12 (polar p8 (dtr 260.0) c15)
               p13 (list (+ (* scg (/ 150.0 m1)) (* c58 0.707 0.5)) (+ (* scg (/ 35.0 m1)) c51 (* scg (/ 20.0 m1)) (/ 1500.0 m1)))
               p14 (list (car p13) (cadr p13))
               p15 (list (- (car p13) (/ 50.0 m1)) (+ (cadr p13) (/ 100.0 m1)))
               p16 (list (+ (car p13) (/ 50.0 m1)) (+ (cadr p13) (/ 100.0 m1)))
               p17 (list (- (car p13) (/ 50.0 m1)) (- (cadr p13) (/ 100.0 m1)))
               p18 (list (+ (car p13) (/ 50.0 m1)) (- (cadr p13) (/ 100.0 m1)))
               p19 (list (- (car p7)  (/ 30.0 m1)) (cadr p14))
         )
         (command "_layer" "s" "dim" ""
                  "_linetype" "s" "continuous" ""
                  "_dim1" "ver" pb1 ph1 pd1 "<>(TYP)"
                  "_dim1" "ver" ph1 pb pd1 ""
                  "_dim1" "ver" pb1 pb pd2 "<>(TYP)"
                  "_dim1" "ver" p0 pb1 pd3 ""
                  "_layer" "s" "0" ""
                  "_circle" "2p" p1 p3
                  "_circle" "2p" p2 p4
                  "_line" (polar p5 (dtr 30.0)  (/ 10.0 m1))
                         (polar p5 (dtr 150.0) (/ 10.0 m1))
                         (polar p5 (dtr 210.0) (/ 10.0 m1))
                         (polar p5 (dtr 330.0) (/ 10.0 m1)) "c"
                  "_line" (polar p6 (dtr 30.0)  (/ 10.0 m1))
                         (polar p6 (dtr 150.0) (/ 10.0 m1))
                         (polar p6 (dtr 210.0) (/ 10.0 m1))
                         (polar p6 (dtr 330.0) (/ 10.0 m1)) "c"
                  "_linetype" "s" "phantom" "" )
                  (line0 p3 p4)
                  (line0 p7 p10)
                  (line0 p7 p9)
                  (line0 p8 p11)
                  (line0 p8 p12)
         (command "_mirror" "l" "" p8 (strcat "@" (rtos (/ 100.0 m1)) "<270.0") "")
                  (line0 p7 p19)
                  (line0 p15 p16)
	          (line0 p16 p18)
	          (line0 p18 p17)
	 	  (line0 p17 p15)
         (command "_arc" p9 "e" p11 "a" "140.0"
                  "_arc" p10 "e" p12 "a" "180.0"
                  "_mirror" "l" "" p8 (strcat "@" (rtos (/ 100.0 m1)) "<270.0") ""
                  "_arc" p13 "e" p19 "a" "180.0"
                  "_linetype" "s" "continuous" "")
))
;-----------------------Drawing Pillar in GA with top jib---------
(if (= pil "FAB") (pillarf c72 c44 0 scgp))
(if (= pil "PIP") (pillarp c72 c44 0 scgp))
	    (dsls scg)
       (if (< scg 1.0)
        (setq te1 (strcat (rtos (/ 1 scg) 2 1) " : 1"))
        (setq te1 (strcat "1 : " (rtos scg 2 1)))
       )
        (gwt_r)
        (findrep strmat "1" "GA for JIB CRANE" "1" t3 t4 t5 
                 te1 (strcat t7 "01") t1 
                 c2 (rtos gwt 2 1) t6)
        (bomga_r scg "*a1")
          (princ (strcat "\nSaving Drawing as " t8 t7 "01.DWG"))
       (if (findfile (strcat t8 t7 "01.DWG"))
          (command "_wblock" (strcat t8 t7 "01") "Y" "" "0,0" "all" "")
          (command "_wblock" (strcat t8 t7 "01") "" "0,0" "all" "")
       )
))
; -------------------end of top jib drawing--------------------------

;---------------- start of Bottom Jib--------------------------------
(if (= c6 "BOT") (progn
	(setq c38 (+ c51 c4 c3 c15 c11)
	      c39 (+ (* c1 1.1) (* c51 5.0))
	      c50 (angle (list 0 0 0) (list c39 (+ c38 (/ 100.0 m1)) 0))
	)
          (princ "\nCreating Drawing for Top Pivot Bracket.. Please wait\n")
          (pbtop 1 nil nil)
          (princ (strcat "\nSaving Drawing as " t8 t7 "40.DWG"))
       (if (findfile (strcat t8 t7 "40.DWG"))
          (command "_wblock" (strcat t8 t7 "40") "Y" "" "0,0" "all" "")
          (command "_wblock" (strcat t8 t7 "40") "" "0,0" "all" "")
       )
          (princ "\nCreating Drawing for Bottom Pivot Bracket.. Please wait\n")
          (pbbot 1 nil nil)
          (princ (strcat "\nSaving Drawing as " t8 t7 "30.DWG"))
       (if (findfile (strcat t8 t7 "30.DWG"))
          (command "_wblock" (strcat t8 t7 "30") "Y" "" "0,0" "all" "")
          (command "_wblock" (strcat t8 t7 "30") "" "0,0" "all" "")
       )
    (if (/= (substr c19 (- (strlen c19) 1) 2) "ZZ") (progn
          (princ "\nCreating Drawing for Bearing Cover.. Please wait\n")
          (bcover 1 nil nil)
          (princ (strcat "\nSaving Drawing as " t8 t7 "41.DWG"))
       (if (findfile (strcat t8 t7 "41.DWG"))
          (command "_wblock" (strcat t8 t7 "41") "Y" "" "0,0" "all" "")
          (command "_wblock" (strcat t8 t7 "41") "" "0,0" "all" "")
       )
    ))
          (princ "\nCreating Drawing for Pressure Pad.. Please wait\n")
          (ppad 1 nil nil)
          (princ (strcat "\nSaving Drawing as " t8 t7 "26.DWG"))
       (if (findfile (strcat t8 t7 "26.DWG"))
          (command "_wblock" (strcat t8 t7 "26") "Y" "" "0,0" "all" "")
          (command "_wblock" (strcat t8 t7 "26") "" "0,0" "all" "")
       )
          (princ "\nCreating Drawing for Friction Disc.. Please wait\n")
          (fdisc 1 nil nil)
          (princ (strcat "\nSaving Drawing as " t8 t7 "25.DWG"))
       (if (findfile (strcat t8 t7 "25.DWG"))
          (command "_wblock" (strcat t8 t7 "25") "Y" "" "0,0" "all" "")
          (command "_wblock" (strcat t8 t7 "25") "" "0,0" "all" "")
       )
   (if (/= c45 0) (progn
          (princ "\nCreating Drawing for Cable Angle.. Please wait\n")
         (cabang 1 nil nil)
          (princ (strcat "\nSaving Drawing as " t8 t7 "24.DWG"))
      (if (findfile (strcat t8 t7 "24.DWG"))
         (command "_wblock" (strcat t8 t7 "24") "Y" "" "0,0" "all" "")
         (command "_wblock" (strcat t8 t7 "24") "" "0,0" "all" "")
      )
          (princ "\nCreating Drawing for Stopper Bracket.. Please wait\n")
          (stopb 1 nil nil)
          (princ (strcat "\nSaving Drawing as " t8 t7 "23.DWG"))
     (if (findfile (strcat t8 t7 "23.DWG"))
        (command "_wblock" (strcat t8 t7 "23") "Y" "" "0,0" "all" "")
        (command "_wblock" (strcat t8 t7 "23") "" "0,0" "all" "")
     )
   ))
          (princ "\nCreating Drawing for Pivot Mast.. Please wait\n")
         (pivot 1)
          (princ (strcat "\nSaving Drawing as " t8 t7 "22.DWG"))
     (if (findfile (strcat t8 t7 "22.DWG"))
        (command "_wblock" (strcat t8 t7 "22") "Y" "" "0,0" "all" "")
        (command "_wblock" (strcat t8 t7 "22") "" "0,0" "all" "")
     )
          (princ "\nCreating Drawing for Bottom Jib.. Please wait\n")
          (frame 1 nil nil)
          (princ (strcat "\nSaving Drawing as " t8 t7 "20.DWG"))
       (if (findfile (strcat t8 t7 "20.DWG"))
          (command "_wblock" (strcat t8 t7 "20") "Y" "" "0,0" "all" "")
          (command "_wblock" (strcat t8 t7 "20") "" "0,0" "all" "")
       )
; -------------pillar straight height bottom jib in GA-----------------
	(setq c44 (+ c53 c85 c4 c85 c53 (/ 40.0 m1))
	      c38 (+ (* c51 2.0) c3 c15 c11)
        )
; for a1 dwg ht 570
	(if                             (<= c38 (/  2000.0 m1))  (setq scgp  7.5 scg1 1.1))
	(if (and (> c38 (/  2000.0 m1)) (<= c38 (/  3300.0 m1))) (setq scgp 10.0 scg1 1.1))
	(if (and (> c38 (/  3500.0 m1)) (<= c38 (/  5300.0 m1))) (setq scgp 12.5 scg1 1.1))
	(if (and (> c38 (/  5300.0 m1)) (<= c38 (/  7000.0 m1))) (setq scgp 15.0 scg1 1.25))
	(if (and (> c38 (/  7000.0 m1)) (<= c38 (/ 10500.0 m1))) (setq scgp 20.0 scg1 1.4))
	(if (and (> c38 (/  7500.0 m1)) (<= c38 (/ 10000.0 m1))) (setq scgp 25.0 scg1 1.5))
	(if (and (> c38 (/ 10000.0 m1)) (<= c38 (/ 15000.0 m1))) (setq scgp 30.0 scg1 1.75))
	(if      (> c38 (/ 15000.0 m1))                          (setq scgp 40.0 scg1 1.75))
;-------------- drawings of Bottom jib-------------------------------
    (if (and (/= (substr c19 (- (strlen c19) 1) 2) "ZZ") (= pil "FAB"))
          (setq c72 (+ c3 c15 c11 c71 (/ (+ 40.0 32.0 20.0) m1) (/ c21 2.0) c85 c53))
          (setq c72 (+ c3 c15 c11 c71 (/ (+ 40.0 16.0 20.0) m1) (/ c21 2.0) c85 c53))
    )
    (if (and (/= (substr c19 (- (strlen c19) 1) 2) "ZZ") (= pil "PIP"))
          (setq c72 (+ c3 c15 c11 c71 (/ (+ 40.0 16.0 20.0) m1) (/ c21 2.0) c85 c53))
          (setq c72 (+ c3 c15 c11 c71 (/ (+ 40.0 32.0 20.0) m1) (/ c21 2.0) c85 c53))
    )
	(setq c44 (+ (/ 40.0 m1) c53 c85 c4 c85 c53))
(if (= pil "FAB") (progn
       (princ "\nCreating Drawing for Pillar.. Please wait\n")
       (pillarf c72 c44 1 scgp)
       (princ (strcat "\nSaving Drawing as " t8 t7 "10.DWG"))
       (if (findfile (strcat t8 t7 "10.DWG"))
          (command "_wblock" (strcat t8 t7 "10") "Y" "" "0,0" "all" "")
          (command "_wblock" (strcat t8 t7 "10") "" "0,0" "all" "")
       )
))
(if (= pil "PIP") (progn
       (princ "\nCreating Drawing for Pillar.. Please wait\n")
       (pillarp c72 c44 1 scgp)
       (princ (strcat "\nSaving Drawing as " t8 t7 "10.DWG"))
       (if (findfile (strcat t8 t7 "10.DWG"))
          (command "_wblock" (strcat t8 t7 "10") "Y" "" "0,0" "all" "")
          (command "_wblock" (strcat t8 t7 "10") "" "0,0" "all" "")
       )
))
;----------------------Start GA Drawing--------------------------------
          (princ "\nCreating GA Drawing.. Please wait\n")
	(if                             (<= c39 (/  2100.0 m1))  (setq scgg  3.0 scg1 1.1))
	(if (and (> c39 (/  2100.0 m1)) (<= c39 (/  2800.0 m1))) (setq scgg  4.0 scg1 1.1))
	(if (and (> c39 (/  2800.0 m1)) (<= c39 (/  3500.0 m1))) (setq scgg  5.0 scg1 1.1))
	(if (and (> c39 (/  3500.0 m1)) (<= c39 (/  5350.0 m1))) (setq scgg  7.5 scg1 1.25))
	(if (and (> c39 (/  5350.0 m1)) (<= c39 (/  7000.0 m1))) (setq scgg 10.0 scg1 1.4))
	(if (and (> c39 (/  7000.0 m1)) (<= c39 (/  9000.0 m1))) (setq scgg 12.5 scg1 1.5))
	(if (and (> c39 (/  9000.0 m1)) (<= c39 (/ 10500.0 m1))) (setq scgg 15.0 scg1 1.75))
	(if      (> c39 (/ 10500.0 m1))                          (setq scgg 20.0 scg1 1.75))
	(if (> scgp scgg) (setq scg scgp)  (setq scg scgg))
          (setup scg "*a1" 1)       
       (setvar "osmode" 0)
          (setq pt1 (list (* scg (/ 100.0 m1)) (* scg (/ 15.0 m1)))
                pt2 (list (* scg (/ 100.0 m1)) (* scg (/ 10.0 m1)))
          )
         (command "_text" "c" pt1 (* scg (/ 4.0 m1)) "0" "For Foundation Details Refer"
                  "_text" "c" pt2 (* scg (/ 4.0 m1)) "0" (strcat t7 "21" ".DWG")
          )
; top point of pillar bot jib
          (setq p0 (list (* scg (/ 150.0 m1)) (+ (* (/ 50.0 m1) scg) c72)))
; top bracket
        (if (= pil "FAB") (setq ppbtop (list (+ (car p0) (* c58 0.707) c60 c41) (- (cadr p0) c53))))
        (if (= pil "PIP") (setq ppbtop (list (+ (car p0) (* c58 0.5) c60 c41) (- (cadr p0) c53))))
          (pbtop 0 1 ppbtop)
          (setq p101 (list (+ (car ppbtop) (/ 10.0 m1)) (- (cadr ppbtop) (/ 20.0 m1)))
                p102 (list (+ (car p101) (/ 200.0 m1)) (+ (cadr p101) (/ 200.0 m1)))
          )
          (tagno p101 p102 "40" 1 size scg)
; bearing cover
    (if (/= (substr c19 (- (strlen c19) 1) 2) "ZZ") (progn
          (setq pbcover (list (+ (car p0) (* c58 0.707) (* c60 2.0) c43 c41) (- (cadr ppbtop) (- c66 c86) (/ c21 2.0) (/ 8.0 m1))))
          (bcover 0 1 pbcover)
    ))
; pivotga
    (if (/= (substr c19 (- (strlen c19) 1) 2) "ZZ") 
        (progn
          (setq ppga (list (+ (car p0) (* c58 0.707) (* c60 2.0) c43 c41) (- (cadr ppbtop) c85 (/ c21 2.0) (/ 28.0 m1))))
          (pivotga (- c4 (/ (+ c21 c25) 2.0) (/ 41.0 m1)) 1 0 ppga 2 nil)
        )
        (progn
          (setq ppga (list (+ (car p0) (* c58 0.707) (* c60 2.0) c43 c41) (- (cadr ppbtop) c85 (/ c21 2.0) (/ 16.0 m1))))
          (pivotga (- c4 (/ (+ c21 c25) 2.0) (/ 30.0 m1)) 1 0 ppga 2 nil)
        )
    )
          (setq p101 (list (+ (car ppga) (/ 10.0 m1)) (- (cadr ppga) (/ c4 2.0)))
                p102 (list (+ (car p101) (/ 1000.0 m1)) (- (cadr p101) (/ 500.0 m1)))
          )
          (tagno p101 p102 "22" 1 size scg)
; frame
          (setq pf1 (list (car ppga) (- (cadr ppga) (/ 40.0 m1))))
          (frame 0 (list (car ppga) (- (cadr ppga) (/ 40.0 m1))) scg)
; bot bracket
          (setq ppbbot (list (car ppbtop) (+ (- (cadr ppbtop) c85 c4) c86)))
          (pbbot 0 nil ppbbot)
          (setq p101 (list (+ (car ppbbot) (/ 10.0 m1)) (- (cadr ppbbot) (/ 20.0 m1)))
                p102 (list (+ (car p101) (/ 500.0 m1)) (+ (cadr p101) (/ 500.0 m1)))
          )
          (tagno p101 p102 "30" 1 size scg)
   (if (= c45 1) (progn
; drawing stopper bracket
          (setq psb (list (+ (car pf1) c1) (- (cadr ppga) c71 (/ 40.0 m1))))
          (stopb 0 nil psb)
          (setq p101 (list (+ (car psb) (/ 30.0 m1)) (+ (cadr psb) (/ 50.0 m1)))
                p102 (list (+ (car p101) (/ 500.0 m1)) (+ (cadr p101) (/ 500.0 m1)))
          )
          (tagno p101 p102 "23" 1 size scg)

; drawing cable angle
          (setq pca (list (+ (car pf1) c511 c18 (/ 150.0 m1)) (- (cadr ppga) c71 (/ 40.0 m1))))
          (cabang 0 nil pca)
          (setq p101 (list (+ (car pca) (/ 25.0 m1)) (+ (cadr pca) (/ 25.0 m1)))
                p102 (list (+ (car p101) (/ 500.0 m1)) (+ (cadr p101) (/ 500.0 m1)))
          )
          (tagno p101 p102 "24" 1 size scg)
   ))
; friction disc
          (setq pfdisc (list (car ppga) (- (cadr ppbbot) c86 (/ c27 2.0) c60 (/ 9.0 m1))))
          (fdisc 0 1 pfdisc)
          (setq p101 (list (+ (car pfdisc) (/ 25.0 m1)) (cadr pfdisc))
                p102 (list (+ (car p101) (/ 600.0 m1)) (- (cadr p101) (/ 200.0 m1)))
          )
          (tagno p101 p102 "25" 1 size scg)
; pressure pad and nuts
          (setq pppad (list (car pfdisc) (- (cadr pfdisc) (/ 12.0 m1))))
          (ppad 0 1 pppad)
          (nuts pppad c7)
          (setq p101 (list (+ (car pppad) (/ 25.0 m1)) (cadr pppad))
                p102 (list (+ (car p101) (/ 300.0 m1)) (- (cadr p101) (/ 300.0 m1)))
          )
          (tagno p101 p102 "26" 1 size scg)
;hoist dimensions
(if (= c45 0) (progn
         (setq p366 (list (car p0) (- (cadr p0) (/ c3 1.5)))
               p367 (list (+ (car p0) (* c58 0.707) (* c60 2.0) c43 c41 c11 (/ c5 2.0) c16) (- (cadr p0) (/ c3 1.5)))
               p368 (list (- (+ (car p0) (* c58 0.707) (* c60 2.0) c43 c41 c1) c16 50.0) (- (cadr p0) (/ c3 1.5)))
               p369 (list (+ (car p368) c16 (/ 50.0 m1)) (- (cadr p0) (/ c3 1.5)))
               p370 (list (+ (car p0) (* c58 0.707) (* c60 2.0) c43 c41) (- (cadr p0) (/ c3 1.5)))
               pb1 (list (* scg (/ 120.0 m1)) (+ (* scg scg1 (/ 35.0 m1)) c51 (* scg (/ 20.0 m1))))
               pb (list (car p0) (- (cadr ppga) (/ 40.0 m1) c11 c71))
               ph1 (list (car p366) (- (cadr pb) c15))
               ph2 (list (car p367) (- (cadr pb) c15))
               pd1 (list (- (* scg (/ 120.0 m1)) c51) (+ (* scg scg1 (/ 35.0 m1)) c51 (* scg (/ 20.0 m1))))
               pd2 (list (- (* scg (/ 120.0 m1)) c51 (* scg (/ 8.0 m1))) (+ (* scg scg1 (/ 35.0 m1)) c51 (* scg (/ 20.0 m1))))
               pd3 (list (- (* scg (/ 120.0 m1)) c51 (* scg (/ 16.0 m1))) (+ (* scg scg1 (/ 35.0 m1)) c51 (* scg (/ 20.0 m1))))
               p380 (list (car p368) (- (cadr p0) (/ c3 1.0) (* scg (/ 5.0 m1))))
               p381 (list (car p368) (- (cadr p0) (/ c3 1.0) (* scg (/ 15.0 m1))))
               p382 (list (car p368) (- (cadr p0) (/ c3 1.0) (* scg (/ 25.0 m1))))
               p383 (list (+ (car p366) (/ (distance p366 p367) 2.0)) (- (cadr p380) (* scg (/ 7.5 m1))))
               p384 (list (car p369) (- (cadr p380) (* scg (/ 7.5 m1))))
         )
         (command "_layer" "s" "dim" ""
                  "_linetype" "s" "continuous" ""
                  "_dim1" "ver" pb1 ph1 pd1 "<>(TYP)"
                  "_dim1" "ver" ph1 pb pd1 ""
                  "_dim1" "ver" pb1 pb pd2 "<>(TYP)"
                  "_dim1" "ver" p0 pb1 pd3 ""
                  "_layer" "s" "0" ""
         )
))
(if (/= c45 0) (progn
         (setq p366 (list (car p0) (- (cadr p0) (/ c3 1.5)))
               p367 (list (+ (car p0) (* c58 0.707) (* c60 2.0) c43 c41 c11 (/ c5 2.0) c16) (- (cadr p0) (/ c3 1.5)))
               p368 (list (- (+ (car p0) (* c58 0.707) (* c60 2.0) c43 c41 c1) c16 (/ 50.0 m1)) (- (cadr p0) (/ c3 1.5)))
               p369 (list (+ (car p368) c16 (/ 50.0 m1)) (- (cadr p0) (/ c3 1.5)))
               p370 (list (+ (car p0) (* c58 0.707) (* c60 2.0) c43 c41) (- (cadr p0) (/ c3 1.5)))
               pb (list (car p0) (- (cadr ppga) (/ 40.0 m1) c11 c71))
               pb1 (list (* scg (/ 120.0 m1)) (+ (* scg scg1 (/ 35.0 m1)) c51 (* scg (/ 20.0 m1))))
               ph1 (list (car p366) (- (cadr pb) c15))
               ph2 (list (car p367) (- (cadr pb) c15))
               pd1 (list (- (* scg (/ 120.0 m1)) c51) (+ (* scg scg1 (/ 35.0 m1)) c51 (* scg (/ 20.0 m1))))
               pd2 (list (- (* scg (/ 120.0 m1)) c51 (* scg (/ 8.0 m1))) (+ (* scg scg1 (/ 35.0 m1)) c51 (* scg (/ 20.0 m1))))
               pd3 (list (- (* scg (/ 120.0 m1)) c51 (* scg (/ 16.0 m1))) (+ (* scg scg1 (/ 35.0 m1)) c51 (* scg (/ 20.0 m1))))
               p380 (list (car p368) (- (cadr p0) (/ c3 1.0) (* scg (/ 5.0 m1))))
               p381 (list (car p368) (- (cadr p0) (/ c3 1.0) (* scg (/ 15.0 m1))))
               p382 (list (car p368) (- (cadr p0) (/ c3 1.0) (* scg (/ 25.0 m1))))
               p383 (list (+ (car p366) (/ (distance p366 p367) 2.0)) (- (cadr p380) (* scg (/ 7.5 m1))))
               p384 (list (car p369) (- (cadr p380) (* scg (/ 7.5 m1))))
; CT Cable
               p1 (list (+ (car pca) (/ 6.0 m1)) (+ (cadr pca) (/ 25.0 m1)))
               p2 (list (- (car psb) (/ 6.0 m1)) (+ (cadr psb) (/ 25.0 m1)))
               p3 (list (+ (car pca) (/ 11.0 m1)) (+ (cadr pca) (/ 25.0 m1)))
               p4 (list (- (car psb) (/ 11.0 m1)) (+ (cadr psb) (/ 25.0 m1)))
               p5 (polar p3 (dtr 0.0) (/ (distance p3 p4) 6.0))
               p6 (polar p5 (dtr 0.0) (/ (distance p3 p4) 6.0))
               p7 (polar p5 (dtr 270.0) (/ 5.0 m1))
               p8 (polar p6 (dtr 270.0) (/ 5.0 m1))
               p9 (polar p7 (dtr 290.0) (/ c15 2.0))
               p10 (polar p7 (dtr 280.0) c15)
               p11 (polar p8 (dtr 250.0) (/ c15 2.0))
               p12 (polar p8 (dtr 260.0) c15)
               p13 (list (+ (* scg (/ 150.0 m1)) (* c58 0.707 0.5)) (+ (* scg (/ 35.0 m1)) c51 (* scg (/ 20.0 m1)) (/ 1500.0 m1)))
               p14 (list (car p13) (cadr p13))
               p15 (list (- (car p13) (/ 50.0 m1)) (+ (cadr p13) (/ 100.0 m1)))
               p16 (list (+ (car p13) (/ 50.0 m1)) (+ (cadr p13) (/ 100.0 m1)))
               p17 (list (- (car p13) (/ 50.0 m1)) (- (cadr p13) (/ 100.0 m1)))
               p18 (list (+ (car p13) (/ 50.0 m1)) (- (cadr p13) (/ 100.0 m1)))
               p19 (list (+ (car p14) (/ 500.0 m1)) (cadr p14))
         )
         (command "_layer" "s" "dim" ""
                  "_linetype" "s" "continuous" ""
                  "_dim1" "ver" pb1 ph1 pd1 "<>(TYP)"
                  "_dim1" "ver" ph1 pb pd1 ""
                  "_dim1" "ver" pb1 pb pd2 "<>(TYP)"
                  "_dim1" "ver" p0 pb1 pd3 ""
                  "_layer" "s" "0" ""
                  "_circle" "2p" p1 p3
                  "_circle" "2p" p2 p4
                  "_line" (polar p5 (dtr 30.0)  (/ 10.0 m1))
                         (polar p5 (dtr 150.0) (/ 10.0 m1))
                         (polar p5 (dtr 210.0) (/ 10.0 m1))
                         (polar p5 (dtr 330.0) (/ 10.0 m1)) "c"
                  "_line" (polar p6 (dtr 30.0)  (/ 10.0 m1))
                         (polar p6 (dtr 150.0) (/ 10.0 m1))
                         (polar p6 (dtr 210.0) (/ 10.0 m1))
                         (polar p6 (dtr 330.0) (/ 10.0 m1)) "c"
                  "_linetype" "s" "phantom" "" )
                  (line0 p3 p4)
                  (line0 p7 p10)
                  (line0 p7 p9)
                  (line0 p8 p11)
                  (line0 p8 p12)
         (command "_mirror" "l" "" p8 (strcat "@" (rtos (/ 100.0 m1)) "<270.0") "")
                  (line0 p7 p19) (line0 p15 p16) (line0 p16 p18)
	          (line0 p18 p17) (line0 p17 p15)
         (command "_arc" p9 "e" p11 "a" "140.0"
                  "_arc" p10 "e" p12 "a" "180.0"
                  "_mirror" "l" "" p8 (strcat "@" (rtos (/ 100.0 m1)) "<270.0") ""
                  "_arc" p13 "e" p19 "a" "180.0"
                  "_linetype" "s" "continuous" "")
	 ))
;-----------------------Drawing Pillar in GA with bottom jib---------
;(princ "\nOK")
(if (= pil "FAB") (pillarf c72 c44 0 scgp))
(if (= pil "PIP") (pillarp c72 c44 0 scgp))
;(princ "\nOK")
	    (dsls scg)
       (if (< scg 1.0)
        (setq te1 (strcat "Scale " (rtos (/ 1 scg) 2 1) " : 1"))
        (setq te1 (strcat "Scale 1 : " (rtos scg 2 1)))
       )
       (gwt_r)       
        (findrep strmat "1" "GA for JIB CRANE" "1" t3 t4 t5 
                 te1 (strcat t7 "01") t1 
                 c2 (rtos gwt 2 1) t6)
        (bomga_r scg "*a1")
          (princ (strcat "\nSaving Drawing as " t8 t7 "01.DWG"))
      (if (findfile (strcat t8 t7 "01.DWG"))
          (command "_wblock" (strcat t8 t7 "01") "Y" "" "0,0" "all" "")
          (command "_wblock" (strcat t8 t7 "01") "" "0,0" "all" "")
       )
  )
)    ; end of bottom jib
;---------------------------------end of two beams-------------------------
;-------------------------BOM----------------------------------------------
        (princ "\nCreating Drawing of Bill of Materials.. Please wait\n")
        (bomdwg_w)
        (princ (strcat "\nSaving Drawing as " t8 t7 "50.DWG"))
       (if (findfile (strcat t8 t7 "50.DWG"))
          (command "_wblock" (strcat t8 t7 "50") "Y" "" "0,0" "all" "")
          (command "_wblock" (strcat t8 t7 "50") "" "0,0" "all" "")
       )   (princ)
  (princ "\nCreated all the drawings")
  (if (= demomode 1) (alert ( strcat "This is Trial Software for Drawing Jib Crane \nPlease contact SATISH LELE at \nsatish.lele@gmail.com to buy it. \nVisit http://www.svlpipe.com/jib.htm")))
  (princ)
;----------------------------------------------
(if (= m2 2) (progn
(setq fname (open (strcat (getvar "DWGPREFIX") "report.txt") "w"))
(write-line "REPORT for JIB CRANE" fname)
(if (= demomode 1) (write-line (strcat "Demo No. : " (itoa demo)) fname))
(write-line (strcat "Standard for Structural: " std) fname)
(write-line (strcat "Structural Standard: " c81) fname)
(write-line (strcat "Pipe Standard: " c82) fname)
(write-line (strcat "Plate Standard: " c83) fname)
(write-line "" fname)
(if (= pil "FAB") (setq str_rep1 "FABRICATED COLUMN ") (setq str_rep1 "PIPE COULMN "))
(if (= c6 "TOP") (setq str_rep2 "with TOP BEAM") (setq str_rep2 "with BOTTOM BEAM"))
(write-line (strcat str_rep1 str_rep2) fname)
(write-line "" fname)
(write-line (strcat "Clients Name: " t1) fname)
(write-line (strcat "Designed by: " t2) fname)
(write-line (strcat "Drawn byClients Name: " t3) fname)
(write-line (strcat "Cheched by: " t4) fname)
(write-line (strcat "Approved by: " t5) fname)
(write-line (strcat "Date: " t6) fname)
(write-line (strcat "Drawing Number: " t7) fname)
(write-line "" fname)
(write-line (strcat "Crane Radius: " ( rtos c1 m2 m4) " mm") fname)
(write-line (strcat "Lift Height: " ( rtos c3 m2 m4) " mm") fname)
(write-line (strcat "Head Room : " ( rtos c15 m2 m4) " mm") fname)
(write-line (strcat "Hoist Capacity : " c2) fname)
(write-line (strcat "Hoist Equipment Type: " c13) fname)
(write-line (strcat "Weight of Hoist: " ( rtos c14 2 2) " Kg") fname)
(write-line (strcat "End Approach : " ( rtos c16 m2 m4) " mm") fname)
(write-line (strcat "Bearing CL Distance: " ( rtos c4 m2 m4) " mm") fname)
(write-line (strcat "Pivot Horizontal CL Distance : " ( rtos c43 m2 m4) " mm") fname)
(write-line (strcat "Thk Pivot Stiffner: " ( rtos c18 m2 m4) " mm") fname)
(write-line "" fname)
(write-line (strcat "Size of Pivot channel: " ( rtos c5 m2 m4) " mm") fname)
(write-line (strcat "Size of Pivot channel flange: " ( rtos c511 m2 m4) " mm") fname)
(write-line (strcat "Pivot channel flange thickness: " ( rtos c512 m2 m4) " mm") fname)
(write-line (strcat "Size of Pivot channel web: " ( rtos c513 m2 m4) " mm") fname)
(write-line (strcat "Running Weight of Channel: " ( rtos c514 2 2) " Kg/mt") fname)
(write-line (strcat "Name of Pivot channel: " c515) fname)
(write-line "" fname)
(cond
  ((and (= c6 "TOP") (= c12 0)) (write-line "Jib Configuration: Only Beam" fname) (write-line "" fname))
  ((and (= c6 "TOP") (= c12 1)) (write-line "Jib Configuration: Beam + Top Plate" fname) (write-line "" fname))
  ((and (= c6 "TOP") (= c12 2)) (write-line "Jib Configuration: Beam + 2 Angles" fname) (write-line "" fname))
  ((and (= c6 "TOP") (= c12 3)) (write-line "Jib Configuration: Beam + Channel" fname) (write-line "" fname))
  ((and (= c6 "TOP") (= c12 4)) (write-line "Jib Configuration: Beam + Channel + Bottom Plate" fname) (write-line "" fname))
)
(write-line (strcat "Size of Jib Beam: " ( rtos c11 m2 m4) " mm") fname)
(write-line (strcat "Size of Jib Beam Flange: " ( rtos c111 m2 m4) " mm") fname)
(write-line (strcat "Jib Beam Flange Thickness: " ( rtos c112 m2 m4) " mm") fname)
(write-line (strcat "Jib Beam Web Thickness: " ( rtos c113 m2 m4) " mm") fname)
(write-line (strcat "Running Weight of beam: " ( rtos c114 2 2) " Kg/mt") fname)
(write-line (strcat "Name of Jib Beam: " c115 " mm") fname)
(write-line "" fname)
(cond
  ((and (= c6 "TOP") (= c12 1))
       (write-line (strcat "Top Plate Width: " ( rtos c29 m2 m4) " mm") fname)
       (write-line (strcat "Top Plate Thickness: " ( rtos c30 m2 m4) " mm") fname)
  )  
  ((and (= c6 "TOP") (= c12 2))
       (write-line (strcat "Size of Top Angle: " ( rtos c31 m2 m4) " mm") fname)
       (write-line (strcat "Thickness of Top Angle: " ( rtos c32 m2 m4) " mm") fname)
       (write-line (strcat "Running Weight of Top Angle: " ( rtos c311 2 2) " Kg/mt") fname)
       (write-line (strcat "Type of Top Angle: " c312) fname)
  )
  ((and (= c6 "TOP") (= c12 3))
       (write-line (strcat "Size of Top Channel: " ( rtos c33 m2 m4) " mm") fname)
       (write-line (strcat "Size of Top Channel Flange: " ( rtos c331 m2 m4) " mm") fname)
       (write-line (strcat "Thickness of Top Channel Flange: " ( rtos c332 m2 m4) " mm") fname)
       (write-line (strcat "Thickness of Top Channel Web: " ( rtos c333 m2 m4) " mm") fname)
       (write-line (strcat "Running Weight of Top Channel: " ( rtos c334 2 2) " Kg/mt") fname)
       (write-line (strcat "Type of Top Channel: " c335) fname)
  )
  ((and (= c6 "TOP") (= c12 4))
       (write-line (strcat "Size of Top Channel: " ( rtos c33 m2 m4) " mm") fname)
       (write-line (strcat "Size of Top Channel Flange: " ( rtos c331 m2 m4) " mm") fname)
       (write-line (strcat "Thickness of Top Channel Flange: " ( rtos c332 m2 m4) " mm") fname)
       (write-line (strcat "Thickness of Top Channel Web: " ( rtos c333 m2 m4) " mm") fname)
       (write-line (strcat "Running Weight of Top Channel: " ( rtos c334 2 2) " Kg/mt") fname)
       (write-line (strcat "Type of Top Channel: " c335) fname)
       (write-line (strcat "Bottom Plate Width: " ( rtos c29 m2 m4) " mm") fname)
       (write-line (strcat "Bottom Plate Thickness: " ( rtos c30 m2 m4) " mm") fname)
  )
  ((= c6 "BOT")
       (write-line (strcat "Size of Topcord Angle: " ( rtos c35 m2 m4) " mm") fname)
       (write-line (strcat "Thickness of Topcord Angle: " ( rtos c34 m2 m4) " mm") fname)
       (write-line (strcat "Running Weight of Topcord Angle: " ( rtos c342 2 2) " Kg/mt") fname)
       (write-line (strcat "Type of Topcord Angle: " c343) fname)
       (write-line (strcat "Size of Vertical Angle: " ( rtos c36 m2 m4) " mm") fname)
       (write-line (strcat "Thickness of Vertical Angle: " ( rtos c37 m2 m4) " mm") fname)
       (write-line (strcat "Running Weight of Vertical Angle: " ( rtos c362 2 2) " Kg/mt") fname)
       (write-line (strcat "Type of Vertical Angle: " c363) fname)
  )
)
(write-line "" fname)
(write-line (strcat "Top Bearing Number : " c19) fname)
(write-line (strcat "Top Bearing Make : " c20) fname)
(write-line (strcat "Top Bearing ID : " ( rtos c7 m2 m4) " mm") fname)
(write-line (strcat "Top Bearing OD : " ( rtos c9 m2 m4) " mm") fname)
(write-line (strcat "Top Bearing THK : " ( rtos c21 m2 m4) " mm") fname)
(write-line (strcat "Top Bearing Wt : " ( rtos c22 2 2) " Kg") fname)
(write-line (strcat "Bot Bearing Number : " c23) fname)
(write-line (strcat "Bot Bearing Make : " c24) fname)
(write-line (strcat "Bot Bearing ID : " ( rtos c8 m2 m4) " mm") fname)
(write-line (strcat "Bot Bearing OD : " ( rtos c10 m2 m4) " mm") fname)
(write-line (strcat "Bot Bearing Thk : " ( rtos c25 m2 m4) " mm") fname)
(write-line (strcat "Bot Bearing Wt : " ( rtos c26 2 2) " Kg") fname)
(write-line (strcat "Bot Bearing Outer Race width : " ( rtos c27 m2 m4) " mm") fname)
(write-line "" fname)
(write-line (strcat "Base Plate Type : " c17) fname)
(write-line (strcat "Length of base plate : " ( rtos c51 m2 m4) " mm") fname)
(write-line (strcat "Distance between end bolts : " ( rtos c52 m2 m4) " mm") fname)
(write-line (strcat "Thickness of Pillar top plate : " ( rtos c53 m2 m4) " mm") fname)
(write-line (strcat "Thickness  of base plate : " ( rtos c54 m2 m4) " mm") fname)
(write-line (strcat "Bolt hole dia : " ( rtos c55 m2 m4) " mm") fname)
(write-line (strcat "Number of bolt holes : " ( itoa c56)) fname)
(if (= pil "FAB")
    (progn
	(write-line (strcat "Size of pillar at base : " ( rtos c57 m2 m4) " mm") fname)
	(write-line (strcat "Size of pillar at top : " ( rtos c58 m2 m4) " mm") fname)
	(write-line (strcat "Stiffner Thk : " ( rtos c58 m2 m4) " mm") fname)
))
(if (= pil "PIP")
    (progn
	(write-line (strcat "Diameter of pillar at base : " ( rtos c57 m2 m4) " mm") fname)
	(write-line (strcat "Diameter of pillar at top : " ( rtos c58 m2 m4) " mm") fname)
	(write-line (strcat "Stiffner Thk : " ( rtos c58 m2 m4) " mm") fname)
))
(write-line "" fname)
(write-line (strcat "Bracket Plate Type, : " c28) fname)
(write-line (strcat "Thickness of bracket base plate : " ( rtos c60 m2 m4) " mm") fname)
(write-line (strcat "Thickness of rib : " ( rtos c61 m2 m4) " mm") fname)
(write-line (strcat "Thickness of bracket plate : " ( rtos c62 m2 m4) " mm") fname)
(write-line (strcat "Number of bolt holes : " ( itoa c63)) fname)
(write-line (strcat "Bolt hole dia : " ( rtos c64 m2 m4) " mm") fname)
(write-line (strcat "Horizontal length of base plate : " ( rtos c65 m2 m4) " mm") fname)
(write-line (strcat "Vertical width of Base plate : " ( rtos c66 m2 m4) " mm") fname)
(write-line (strcat "ctoc distance between two horizontal bolt holes : " ( rtos c67 m2 m4) " mm") fname)
(write-line (strcat "ctoc distance between two vertical bot holes : " ( rtos c68 m2 m4) " mm") fname)
(write-line (strcat "Bolt dia : " ( rtos c69 m2 m4) " mm") fname)
(write-line (strcat "Ver Dist of hole from end of base plate : " ( rtos c70 m2 m4) " mm") fname)
(write-line (strcat "Number of stiffners behind main plate : " ( itoa c84)) fname)
(write-line (strcat "Distance of Top Bearing from Top : " ( rtos c85 m2 m4) " mm") fname)
(write-line (strcat "Distance of Bottom Bearing from Bottom : " ( rtos c86 m2 m4) " mm") fname)
(write-line "" fname)
(if (= c45 1) (write-line "Lifting Equipment : Electric Hoist" fname))
(if (= c45 0) (write-line "Lifting Equipment : Chain Pulley Block" fname))
(if (and (= c45 1) (/= c46 0)) (progn (write-line (strcat "Hoist Speed : " ( rtos c46 m2 m4) " m/s") fname)))
(if (and (= c45 1) (/= c47 0)) (progn (write-line (strcat "Travel Speed : " ( rtos c47 m2 m4) " m/s") fname)))
(if (and (= c45 1) (= c48 0)) (write-line "Brake for Travel Not Provided" fname))
(if (and (= c45 1) (= c48 1)) (write-line "Brake for Travel Provided" fname))
(close fname)
))
(if (= m2 4) (progn
(setq fname (open (strcat (getvar "DWGPREFIX") "report.txt") "w"))
(write-line "REPORT for JIB CRANE" fname)
(if (= demomode 1) (write-line (strcat "Demo No. : " (itoa demo)) fname))
(write-line (strcat "Standard for Structural: " std) fname)
(write-line (strcat "Structural Standard: " c81) fname)
(write-line (strcat "Pipe Standard: " c82) fname)
(write-line (strcat "Plate Standard: " c83) fname)
(write-line "" fname)
(if (= pil "FAB") (setq str_rep1 "FABRICATED COLUMN ") (setq str_rep1 "PIPE COULMN "))
(if (= c6 "TOP") (setq str_rep2 "with TOP BEAM") (setq str_rep2 "with BOTTOM BEAM"))
(write-line (strcat str_rep1 str_rep2) fname)
(write-line "" fname)
(write-line (strcat "Clients Name: " t1) fname)
(write-line (strcat "Designed by: " t2) fname)
(write-line (strcat "Drawn byClients Name: " t3) fname)
(write-line (strcat "Cheched by: " t4) fname)
(write-line (strcat "Approved by: " t5) fname)
(write-line (strcat "Date: " t6) fname)
(write-line (strcat "Drawing Number: " t7) fname)
(write-line "" fname)
(write-line (strcat "Crane Radius: " ( rtos c1 m2 m4)) fname)
(write-line (strcat "Lift Height: " ( rtos c3 m2 m4)) fname)
(write-line (strcat "Head Room : " ( rtos c15 m2 m4)) fname)
(write-line (strcat "Hoist Capacity : " c2) fname)
(write-line (strcat "Hoist Equipment Type: " c13) fname)
(write-line (strcat "Weight of Hoist: " ( rtos c14 2 2) " Lb") fname)
(write-line (strcat "End Approach : " ( rtos c16 m2 m4)) fname)
(write-line (strcat "Bearing CL Distance: " ( rtos c4 m2 m4)) fname)
(write-line (strcat "Pivot Horizontal CL Distance : " ( rtos c43 m2 m4)) fname)
(write-line (strcat "Thk Pivot Stiffner: " ( rtos c18 m2 m4)) fname)
(write-line "" fname)
(write-line (strcat "Size of Pivot channel: " ( rtos c5 m2 m4)) fname)
(write-line (strcat "Size of Pivot channel flange: " ( rtos c511 m2 m4)) fname)
(write-line (strcat "Pivot channel flange thickness: " ( rtos c512 m2 m4)) fname)
(write-line (strcat "Size of Pivot channel web: " ( rtos c513 m2 m4)) fname)
(write-line (strcat "Running Weight of Channel: " ( rtos c514 2 2) " Lb/ft") fname)
(write-line (strcat "Name of Pivot channel: " c515) fname)
(write-line "" fname)
(cond
  ((and (= c6 "TOP") (= c12 0)) (write-line "Jib Configuration: Only Beam" fname) (write-line "" fname))
  ((and (= c6 "TOP") (= c12 1)) (write-line "Jib Configuration: Beam + Top Plate" fname) (write-line "" fname))
  ((and (= c6 "TOP") (= c12 2)) (write-line "Jib Configuration: Beam + 2 Angles" fname) (write-line "" fname))
  ((and (= c6 "TOP") (= c12 3)) (write-line "Jib Configuration: Beam + Channel" fname) (write-line "" fname))
  ((and (= c6 "TOP") (= c12 4)) (write-line "Jib Configuration: Beam + Channel + Bottom Plate" fname) (write-line "" fname))
)
(write-line (strcat "Size of Jib Beam: " ( rtos c11 m2 m4)) fname)
(write-line (strcat "Size of Jib Beam Flange: " ( rtos c111 m2 m4)) fname)
(write-line (strcat "Jib Beam Flange Thickness: " ( rtos c112 m2 m4)) fname)
(write-line (strcat "Jib Beam Web Thickness: " ( rtos c113 m2 m4)) fname)
(write-line (strcat "Running Weight of beam: " ( rtos c114 2 2) " Lb/ft") fname)
(write-line (strcat "Name of Jib Beam: " c115) fname)
(write-line "" fname)
(cond
  ((and (= c6 "TOP") (= c12 1))
       (write-line (strcat "Top Plate Width: " ( rtos c29 m2 m4)) fname)
       (write-line (strcat "Top Plate Thickness: " ( rtos c30 m2 m4)) fname)
  )  
  ((and (= c6 "TOP") (= c12 2))
       (write-line (strcat "Size of Angle: " ( rtos c31 m2 m4)) fname)
       (write-line (strcat "Thickness of Angle: " ( rtos c32 m2 m4)) fname)
       (write-line (strcat "Running Weight of Angle: " ( rtos c311 2 2) " Lb/ft") fname)
       (write-line (strcat "Type of Angle: " c312) fname)
  )
  ((and (= c6 "TOP") (= c12 3))
       (write-line (strcat "Size of Top Channel: " ( rtos c33 m2 m4)) fname)
       (write-line (strcat "Size of Top Channel Flange: " ( rtos c331 m2 m4)) fname)
       (write-line (strcat "Thickness of Top Channel Flange: " ( rtos c332 m2 m4)) fname)
       (write-line (strcat "Thickness of Top Channel Web: " ( rtos c333 m2 m4)) fname)
       (write-line (strcat "Running Weight of Top Channel: " ( rtos c334 2 2) " Lb/ft") fname)
       (write-line (strcat "Type of Top Channel: " c335) fname)
  )
  ((and (= c6 "TOP") (= c12 4))
       (write-line (strcat "Size of Top Channel: " ( rtos c33 m2 m4)) fname)
       (write-line (strcat "Size of Top Channel Flange: " ( rtos c331 m2 m4)) fname)
       (write-line (strcat "Thickness of Top Channel Flange: " ( rtos c332 m2 m4)) fname)
       (write-line (strcat "Thickness of Top Channel Web: " ( rtos c333 m2 m4)) fname)
       (write-line (strcat "Running Weight of Top Channel: " ( rtos c334 2 2) " Lb/ft") fname)
       (write-line (strcat "Type of Top Channel: " c335) fname)
       (write-line (strcat "Bottom Plate Width: " ( rtos c29 m2 m4)) fname)
       (write-line (strcat "Bottom Plate Thickness: " ( rtos c30 m2 m4)) fname)
  )
  ((= c6 "BOT")
       (write-line (strcat "Size of Topcord Angle: " ( rtos c35 m2 m4)) fname)
       (write-line (strcat "Thickness of Topcord Angle: " ( rtos c34 m2 m4)) fname)
       (write-line (strcat "Running Weight of Topcord Angle: " ( rtos c342 2 2) " Lb/ft") fname)
       (write-line (strcat "Type of Topcord Angle: " c343) fname)
       (write-line (strcat "Size of Vertical Angle: " ( rtos c36 m2 m4)) fname)
       (write-line (strcat "Thickness of Vertical Angle: " ( rtos c37 m2 m4)) fname)
       (write-line (strcat "Running Weight of Vertical Angle: " ( rtos c362 2 2) " Lb/ft") fname)
       (write-line (strcat "Type of Vertical Angle: " c363) fname)
  )
)
(write-line "" fname)
(write-line (strcat "Top Bearing Number : " c19) fname)
(write-line (strcat "Top Bearing Make : " c20) fname)
(write-line (strcat "Top Bearing ID : " ( rtos c7 m2 m4)) fname)
(write-line (strcat "Top Bearing OD : " ( rtos c9 m2 m4)) fname)
(write-line (strcat "Top Bearing THK : " ( rtos c21 m2 m4)) fname)
(write-line (strcat "Top Bearing Wt : " ( rtos c22 2 2) " Lb") fname)
(write-line (strcat "Bot Bearing Number : " c23) fname)
(write-line (strcat "Bot Bearing Make : " c24) fname)
(write-line (strcat "Bot Bearing ID : " ( rtos c8 m2 m4)) fname)
(write-line (strcat "Bot Bearing OD : " ( rtos c10 m2 m4)) fname)
(write-line (strcat "Bot Bearing Thk : " ( rtos c25 m2 m4)) fname)
(write-line (strcat "Bot Bearing Wt : " ( rtos c26 2 2) " Lb") fname)
(write-line (strcat "Bot Bearing Outer Race width : " ( rtos c27 m2 m4)) fname)
(write-line "" fname)
(write-line (strcat "Base Plate Type : " c17) fname)
(write-line (strcat "Length of base plate : " ( rtos c51 m2 m4)) fname)
(write-line (strcat "Distance between end bolts : " ( rtos c52 m2 m4)) fname)
(write-line (strcat "Thickness of Pillar top plate : " ( rtos c53 m2 m4)) fname)
(write-line (strcat "Thickness  of base plate : " ( rtos c54 m2 m4)) fname)
(write-line (strcat "Bolt hole dia : " ( rtos c55 m2 m4)) fname)
(write-line (strcat "Number of bolt holes : " ( itoa c56)) fname)
(if (= pil "FAB")
    (progn
	(write-line (strcat "Size of pillar at base : " ( rtos c57 m2 m4)) fname)
	(write-line (strcat "Size of pillar at top : " ( rtos c58 m2 m4)) fname)
	(write-line (strcat "Stiffner Thk : " ( rtos c58 m2 m4)) fname)
))
(if (= pil "PIP")
    (progn
	(write-line (strcat "Diameter of pillar at base : " ( rtos c57 m2 m4)) fname)
	(write-line (strcat "Diameter of pillar at top : " ( rtos c58 m2 m4)) fname)
	(write-line (strcat "Stiffner Thk : " ( rtos c58 m2 m4)) fname)
))
(write-line "" fname)
(write-line (strcat "Bracket Plate Type, : " c28) fname)
(write-line (strcat "Thickness of bracket base plate : " ( rtos c60 m2 m4)) fname)
(write-line (strcat "Thickness of rib : " ( rtos c61 m2 m4)) fname)
(write-line (strcat "Thickness of bracket plate : " ( rtos c62 m2 m4)) fname)
(write-line (strcat "Number of bolt holes : " ( itoa c63)) fname)
(write-line (strcat "Bolt hole dia : " ( rtos c64 m2 m4)) fname)
(write-line (strcat "Horizontal length of base plate : " ( rtos c65 m2 m4)) fname)
(write-line (strcat "Vertical width of Base plate : " ( rtos c66 m2 m4)) fname)
(write-line (strcat "ctoc distance between two horizontal bolt holes : " ( rtos c67 m2 m4)) fname)
(write-line (strcat "ctoc distance between two vertical bot holes : " ( rtos c68 m2 m4)) fname)
(write-line (strcat "Bolt dia : " ( rtos c69 m2 m4)) fname)
(write-line (strcat "Ver Dist of hole from end of base plate : " ( rtos c70 m2 m4)) fname)
(write-line (strcat "Number of stiffners behind main plate : " ( itoa c84)) fname)
(write-line (strcat "Distance of Top Bearing from Top : " ( rtos c85 m2 m4)) fname)
(write-line (strcat "Distance of Bottom Bearing from Bottom : " ( rtos c86 m2 m4)) fname)
(write-line "" fname)
(if (= c45 1) (write-line "Lifting Equipment : Electric Hoist" fname))
(if (= c45 0) (write-line "Lifting Equipment : Chain Pulley Block" fname))
(if (and (= c45 1) (/= c46 0)) (progn (write-line (strcat "Hoist Speed : " ( rtos c46 m2 m4) " ft/s") fname)))
(if (and (= c45 1) (/= c47 0)) (progn (write-line (strcat "Travel Speed : " ( rtos c47 m2 m4) " ft/s") fname)))
(if (and (= c45 1) (= c48 0)) (write-line "Brake for Travel Not Provided" fname))
(if (and (= c45 1) (= c48 1)) (write-line "Brake for Travel Provided" fname))
(close fname)
))
  (command "_purge" "a" "" "n")(princ)
) ; end mainprog ---------------------------------------------------------
(defun input_std ()
(setq i2 (ldi) i1 5)
(while (< 2 i1)
    (if (not (new_dialog "input_std" i2)) (exit))
  	(settile demo)
    (setq c81 strmat
	  c82 pimat
	  c83 plmat
    )
    (set_tile "c81" c81)
    (set_tile "c82" c82)
    (set_tile "c83" c83)
    (action_tile "81" "(get_81)")
    (action_tile "82" "(get_82)")
    (action_tile "83" "(get_83)")
    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(done_dialog 0)")
    (setq i1 (start_dialog))
)
(unload_dialog i2)
) ; end input_str -----------------------------------------------------------
(defun findrep ( s1 s2 s3 s4 s5 s6 s7 s8 s9 s10 s11 s12 d1
                 / s0 e0 ed l0 t1)
	(setvar "cmdecho" 0)         (command "_redraw")
	(setq s0 (ssget "X" (list (cons 8 "txt") (cons 0 "TEXT"))))
	(if s0 (setq l0 (sslength s0)))
	(while (> l0 0)
             	(setq e0 (ssname s0 (setq l0 (1- l0))))
   		(setq t1 (cdr (assoc 1 (entget e0))))
	  (cond
		((= t1 "text1")  (setq ed (entget e0)) (setq ed (subst (cons 1 s1)  (cons 1 t1) ed)) (entmod ed))
		((= t1 "text2")  (setq ed (entget e0)) (setq ed (subst (cons 1 s2)  (cons 1 t1) ed)) (entmod ed))
		((= t1 "text3")  (setq ed (entget e0)) (setq ed (subst (cons 1 s3)  (cons 1 t1) ed)) (entmod ed))
		((= t1 "text4")  (setq ed (entget e0)) (setq ed (subst (cons 1 s4)  (cons 1 t1) ed)) (entmod ed))
		((= t1 "text5")  (setq ed (entget e0)) (setq ed (subst (cons 1 s5)  (cons 1 t1) ed)) (entmod ed))
		((= t1 "text6")  (setq ed (entget e0)) (setq ed (subst (cons 1 s6)  (cons 1 t1) ed)) (entmod ed))
		((= t1 "text7")  (setq ed (entget e0)) (setq ed (subst (cons 1 s7)  (cons 1 t1) ed)) (entmod ed))
		((= t1 "text8")  (setq ed (entget e0)) (setq ed (subst (cons 1 s8)  (cons 1 t1) ed)) (entmod ed))
		((= t1 "text9")  (setq ed (entget e0)) (setq ed (subst (cons 1 s9)  (cons 1 t1) ed)) (entmod ed))
		((= t1 "text10") (setq ed (entget e0)) (setq ed (subst (cons 1 s10) (cons 1 t1) ed)) (entmod ed))
		((= t1 "text11") (setq ed (entget e0)) (setq ed (subst (cons 1 s11) (cons 1 t1) ed)) (entmod ed))
		((= t1 "text12") (setq ed (entget e0)) (setq ed (subst (cons 1 s12) (cons 1 t1) ed)) (entmod ed))
		((= t1 "date1")  (setq ed (entget e0)) (setq ed (subst (cons 1 d1)  (cons 1 t1) ed)) (entmod ed))
	))  (princ)
) ; end findrep ----------------------------------------------------------
(defun line0 ( p1 p2 / a b c)
    (setq a (- (car p1) (car p2))
          b (- (cadr p1) (cadr p2))
	  c (+ (* a a) (* b b))
    )
    (if (> c 0) (command "_line" p1 p2 ""))
) ; end line0 -------------------------------------------------------------
(defun settile ( demomode )
	(set_tile "program" "Jib Crane Drawing Program by")
	(set_tile "company" "SATISH LELE")
	(set_tile "email" "satish.lele@gmail.com")
	(set_tile "website" "http://www.svlpipe.com/jib.htm")
  (if (= demomode 1) (progn
	(set_tile "demol1" "You can not change")
	(set_tile "demol2" "values in Trial Version")
  ))
(princ)
); end settile  ------------------------------------------------------------
(defun hpleft ( p1) (setq p1 (list (- (car p1) (/ 1.0 m1)) (+ (cadr p1) (/ 1.0 m1)))))
(defun hpright ( p1) (setq p1 (list (+ (car p1) (/ 1.0 m1)) (- (cadr p1) (/ 1.0 m1)))))
(defun hpleft1 ( p1) (setq p1 (list (+ (car p1) (/ 1.0 m1)) (+ (cadr p1) (/ 1.0 m1)))))
(defun hpright1 ( p1) (setq p1 (list (- (car p1) (/ 1.0 m1)) (- (cadr p1) (/ 1.0 m1)))))
(defun dsls (sc)
    (setvar "ltscale" sc)
    (setvar "dimscale" sc) (command "_dim1" "update" "all" "")
    (princ)
)
(princ)
(defun get_c81 () (setq strmat (get_tile "c81")))
(defun get_c82 () (setq pimat  (get_tile "c82")))
(defun get_c83 () (setq plmat  (get_tile "c83")))

(princ "\nType jib and press <enter> to start") (princ)