; bottom gusset along the beam
(defun botgt ( p37 scbgt1 / p36 p38 p39 wt1)
; p33s p34s p35s should not be local here but are local in tria1
(if (not c362)
      (progn
	(if (= strstd 1) (progn (angledata_usa c36 c37) (setq c36 angwid c37 angth c361 cgb c362 rwta c363 atype)))
	(if (= strstd 2) (progn (angledata_isa c36 c37) (setq c36 angwid c37 angth c361 cgb c362 rwta c363 atype)))
	(if (= strstd 3) (progn (angledata_dsa c36 c37) (setq c36 angwid c37 angth c361 cgb c362 rwta c363 atype)))
	(if (= strstd 4) (progn (angledata_bsa c36 c37) (setq c36 angwid c37 angth c361 cgb c362 rwta c363 atype)))
      )
)
     (setq p33s (list (- (car p37) (/ (+ c36 (/ 50.0 m1)) 2.0)) (cadr p37))
           p34s (list (+ (car p37) (/ (+ c36 (/ 50.0 m1)) 2.0)) (cadr p37))
           p35s (list (car p33s) (+ (cadr p33s) (/ 20.0 m1)))
           p36 (list (car p34s) (+ (cadr p34s) (/ 20.0 m1)))
           p38 (list (+ (car p35s) (/ 15.0 m1)) (+ (cadr p33s) (+ c36 (/ 50.0 m1))))
           p39 (list (- (car p36) (/ 15.0 m1)) (+ (cadr p34s) (+ c36 (/ 50.0 m1))))
     )
     (command "_layer" "s" "0" ""
              "_linetype" "s" "continuous" "")
              (line0 p33s p35s) (line0 p35s p38) (line0 p38 p39) (line0 p39 p36) (line0 p36 p34s)
(if (= ov 1) (progn
     (setq wt1 (* 7.85 (/ 8.0 m1) (distance p33s p34s) (distance p33s p34s) wtfac1))
        (tagno p35s (polar p35s (dtr 250.0) (* scbgt1 (/ 50.0 m1))) (itoa (+ z1 z2 z3)) 1 size scbgt1)
))
        (setvar "osmode" 0)(princ)
) ; end botgt --------------------------------------------------------------
; draws bot gusset in detail
(defun bgt ( p37 sc1 scbgt / p33 p34 p35 p36 p38 p39 pd1 pd2 pd3 pd4 pt1 pt2)
(if (not c362)
      (progn
	(if (= strstd 1) (progn (angledata_usa c36 c37) (setq c36 angwid c37 angth c361 cgb c362 rwta c363 atype)))
	(if (= strstd 2) (progn (angledata_isa c36 c37) (setq c36 angwid c37 angth c361 cgb c362 rwta c363 atype)))
	(if (= strstd 3) (progn (angledata_dsa c36 c37) (setq c36 angwid c37 angth c361 cgb c362 rwta c363 atype)))
	(if (= strstd 4) (progn (angledata_bsa c36 c37) (setq c36 angwid c37 angth c361 cgb c362 rwta c363 atype)))
      )
)
     (setq p33 (list (- (car p37) (+ c36 (/ 50.0 m1))) (cadr p37))
           p34 (list (+ (car p37) (+ c36 (/ 50.0 m1))) (cadr p37))
           p35 (list (car p33) (+ (cadr p33) (/ 40.0 m1)))
           p36 (list (car p34) (+ (cadr p34) (/ 40.0 m1)))
           p38 (list (+ (car p35) (/ 30.0 m1)) (+ (cadr p33) (* 2.0 (+ c36 (/ 50.0 m1)))))
           p39 (list (- (car p36) (/ 30.0 m1)) (+ (cadr p34) (* 2.0 (+ c36 (/ 50.0 m1)))))
           pd1 (list (car p37) (- (cadr p37) (* scbgt (/ 10.0 m1))))
           pd2 (list (- (car p33) (* scbgt (/ 5.0 m1))) (cadr p33))
           pd3 (list (- (car p33) (* scbgt (/ 15.0 m1))) (cadr p33))
           pd4 (list (car p37) (+ (cadr p38) (* scbgt (/ 15.0 m1))))
           pt1 (list (car p37) (- (cadr p37) (* scbgt (/ 20.0 m1))))
           pt2 (list (car p37) (- (cadr pt1) (* scbgt (/ 6.0 m1))))
     )
     (command "_layer" "s" "0" ""
              "_linetype" "s" "continuous" "")
              (line0 p33 p35)
              (line0 p35 p38)
              (line0 p38 p39)
              (line0 p39 p36)
              (line0 p36 p34)
              (line0 p34 p33)
     (command "_layer" "s" "dim" ""
              "_dim1" "hor" p33 p34 pd1 (rtos (/ (distance p33 p34) 2.0) m2 m4)
              "_dim1" "ver" p33 p35 pd2 (rtos (/ (distance p33 p35) 2.0) m2 m4)
              "_dim1" "ver" p33 p38 pd3 (rtos (/ (distance p33 p38) 2.0) m2 m4)
              "_dim1" "hor" p38 p39 pd4 (rtos (/ (distance p38 p39) 2.0) m2 m4)
              "_layer" "s" "0" ""
              "_text" "c" pt1 (* scbgt (/ 3.0 m1)) "0" "DETAILS OF"
              "_text" "c" pt2 (* scbgt (/ 3.0 m1)) "0" "BOTTOM GUSSETS")
        (setvar "osmode" 0)(princ)
) ; end bgt  -----------------------------------------------------------------
; Top gusset along the pivot
(defun topgt ( p5 c101 sctgt / p33 p34 p35 p36 p37 p39 p40 wt1)
     (setq p37 (list (+ (car p5) (/ c5 2.0)) (+ (cadr p5) (/ 20.0 m1)))
           p33 (list (+ (car p37) (/ 50.0 m1)) (cadr p37))
           p38 (list (car p37) (- (cadr p37) c36 (/ 75.0 m1)))
           p36 (list (car p33) (- (cadr p33) c36 (/ 75.0 m1)))
           p34 (list (+ (car p33) c36 (/ 30.0 m1)) (- (cadr p33) (/ 15.0 m1)))
           p35 (list (+ (car p36) c36 (/ 30.0 m1)) (+ (cadr p36) (/ 15.0 m1)))
           p39 (list (car p37) (- (cadr p37) (/ (+ c36 (/ 75.0 m1)) 2.0)))
           p40 (list (car p34) (cadr p39))
     )
     (command "_layer" "s" "0" ""
              "_linetype" "s" "continuous" "")
              (line0 p37 p33) (line0 p33 p34) (line0 p34 p35) (line0 p35 p36) (line0 p36 p38) (line0 p38 p37)
(if (= ov 1) (progn
     (setq wt1 (* 7.85 (/ 8.0 m1) (distance p37 p38) (distance p39 p40) wtfac1))
	(nextpt 0 sctgt)
        (tagno p36 (polar p36 (dtr 330.0) (* sctgt (/ 20.0 m1))) (itoa (+ z1 z2 z3)) 1 size sctgt)
     (if (= m2 2) (progn
        (bom1 size 1 (itoa (+ z1 z2 z3))  1 (strcat "PLATE " (rtos (distance p37 p38) m2 m4) "X" (rtos (distance p37 p34) m2 m4) "X" (rtos (/ 8.0  m1) m2 m4) "TH") plmat wt1 "" sctgt)
	(bomall_w "a" (itoa (+ z1 z2 z3)) 1 (strcat "PLATE " (rtos (distance p37 p38) m2 m4) "X" (rtos (distance p37 p34) m2 m4) "X" (rtos (/ 8.0  m1) m2 m4) "TH") plmat wt1 (strcat t7 "20"))
     ))
     (if (= m2 4) (progn
        (bom1 size 1 (itoa (+ z1 z2 z3))  1 (strcat "PLATE " (rtos (distance p37 p38) m2 m4) "X" (rtos (distance p37 p34) m2 m4) "X" (rtos (/ 5.0 16.0) m2 m4) "TH") plmat wt1 "" sctgt)
	(bomall_w "a" (itoa (+ z1 z2 z3)) 1 (strcat "PLATE " (rtos (distance p37 p38) m2 m4) "X" (rtos (distance p37 p34) m2 m4) "X" (rtos (/ 5.0 16.0) m2 m4) "TH") plmat wt1 (strcat t7 "20"))
     ))
))
        (setvar "osmode" 0)(princ)
) ; end topgt ---------------------------------------------------------------
; Top gusset along the pivot in detail
(defun topgt1 ( sctg1 / p5 p33 p34 p35 p36 p37 p38 p39 p40
                  pd1 pd2 pd3 pd4 pd5 pd6)
     (setq p5  (list (* sctg1 (/ 70.0 m1)) (* (/ 120.0 m1) sctg1))
           p37 (list (+ (car p5) (* sctg1 (/ 10.0 m1))) (+ (cadr p5) (/ 40.0 m1)))
           p33 (list (+ (car p37) (/ 100.0 m1)) (cadr p37))
           p38 (list (car p37) (- (cadr p37) (* c36 2.0) (/ 150.0 m1)))
           p36 (list (car p33) (- (cadr p33) (* c36 2.0) (/ 150.0 m1)))
           p34 (list (+ (car p33) (* c36 2.0) (/ 60.0 m1)) (- (cadr p33) (/ 30.0 m1)))
           p35 (list (+ (car p36) (* c36 2.0) (/ 60.0 m1)) (+ (cadr p36) (/ 30.0 m1)))
           pd1 (list (car p37) (+ (cadr p37) (* (/ 10.0 m1) sctg1)))
           pd2 (list (+ (car p34) (* (/ 15.0 m1) sctg1)) (cadr p34))
           pd3 (list (+ (car p34) (* (/ 10.0 m1) sctg1)) (cadr p34))
           pd4 (list (- (car p37) (* (/ 10.0 m1) sctg1)) (cadr p37))
           pd5 (list (car p38) (- (cadr p38) (* (/ 9.0 m1) sctg1)))
           pd6 (list (car p38) (- (cadr p38) (* (/ 15.0 m1) sctg1)))
     )
     (command "_layer" "s" "0" ""
              "_linetype" "s" "continuous" "")
              (line0 p37 p33) (line0 p33 p34) (line0 p34 p35) (line0 p35 p36) (line0 p36 p38) (line0 p38 p37)
     (command "_layer" "s" "dim" ""
              "_dim1" "hor" p33 p37 pd1 (rtos (/ (distance p37 p33) 2.0) m2 m4)
              "_dim1" "hor" p33 p34 pd1 (rtos (/ (* (distance p33 p34) (cos (- pi (angle p34 p33)))) 2.0) m2 m4)
              "_dim1" "ver" p37 p38 pd4 (rtos (/ (distance p37 p38) 2.0) m2 m4)
              "_dim1" "ver" p34 p33 pd2 (rtos (/ (* (distance p33 p34) (sin (- pi (angle p34 p33)))) 2.0) m2 m4)
              "_dim1" "ver" p35 p36 pd2 (rtos (/ (* (distance p33 p34) (sin (- pi (angle p34 p33)))) 2.0) m2 m4)
              "_dim1" "ver" p34 p35 pd3 (rtos (/ (distance p34 p35) 2.0) m2 m4)
              "_layer" "s" "0" ""
              "_text" "c" pd5 (* sctg1 (/ 3.0 m1)) "0" "DETAILS OF"
              "_text" "c" pd6 (* sctg1 (/ 3.0 m1)) "0" "TOP GUSSET")
        (setvar "osmode" 0)(princ)
) ; end topgt1  -------------------------------------------------------------------
; gusset at the end of jib beam
(defun tgt ( p3 spb sctg / p33 p34 p35 p36 p24 pdg pdg1 wt1
                   dist dist1 dist2 verdist hordist)
     (setq dist1 (+ weldist (distance p3 spb))
           verdist (* dist1 (sin (- (* 2.0 (dtr 180.0)) (angle spb p3))))
           hordist (+ (* dist1 (cos (- (* 2.0 (dtr 180.0)) (angle spb p3)))) (* 2.0 c36))
     )
     (if (< dist1 verdist)
         (setq dist (+ verdist (/ 10.0 m1)))
         (setq dist (+ dist1 (/ 10.0 m1)))
     )
     (setq p33 (polar p3 (dtr 0.0) (/ 150.0 m1))
           p34 (polar p33 (dtr 90.0) (/ 50.0 m1))
           p35 (polar p34 (angle p3 p5) (* 2.0 (distance p3 spb)))
           p36 (polar p35 (dtr 180.0) (/ 150.0 m1))
           p24 (list (car p36) (cadr p3))
           pdg (list (car p35) (+ (cadr p35) (/ 50.0 m1)))
           pdg1 (list (+ (car p3) (/ 400.0 m1)) (cadr p3))
     )
     (command "_layer" "s" "0" ""
              "_linetype" "s" "continuous" "")
              (line0 p33 p34) (line0 p34 p35) (line0 p35 p36) (line0 p36 p24)
(if (= ov 1) (progn
    (command  "_layer" "set" "dim" ""
              "_dim1" "hor" p34 (polar p3 (dtr 0.0) c102) pdg ""
              "_dim1" "hor" p34 p35 pdg ""
              "_dim1" "hor" p35 p36 pdg ""
              "_dim1" "ver" p33 p34 pdg1 ""
              "_layer" "set" "0" ""
     )
        (setq wt1 (* 7.85 (/ 8.0 m1) (distance p33 p24) (distance p36 p24) wtfac1))
	(nextpt 0 sctg)
        (tagno p34 (polar p34 (dtr 45.0) (* sctg (/ 40.0 m1))) (itoa (+ z1 z2 z3)) 1 size sctg)
     (if (= m2 2) (progn
	(bom1 size 1 (itoa (+ z1 z2 z3))  1 (strcat "PLATE " (rtos (distance p33 p24) m2 m4) "X" (rtos (distance p36 p24) m2 m4) "X" (rtos (/ 8.0 m1) m2 m4) "TH CUT") plmat wt1 "" sctg)
	(bomall_w "a" (itoa (+ z1 z2 z3)) 1 (strcat "PLATE " (rtos (distance p33 p24) m2 m4) "X" (rtos (distance p36 p24) m2 m4) "X" (rtos (/ 8.0 m1) m2 m4) "TH CUT") plmat wt1 (strcat t7 "20"))
     ))
     (if (= m2 4) (progn
	(bom1 size 1 (itoa (+ z1 z2 z3))  1 (strcat "PLATE " (rtos (distance p33 p24) m2 m4) "X" (rtos (distance p36 p24) m2 m4) "X" (rtos (/ 5.0 16.0) m2 m4) "TH CUT") plmat wt1 "" sctg)
	(bomall_w "a" (itoa (+ z1 z2 z3)) 1 (strcat "PLATE " (rtos (distance p33 p24) m2 m4) "X" (rtos (distance p36 p24) m2 m4) "X" (rtos (/ 5.0 16.0) m2 m4) "TH CUT") plmat wt1 (strcat t7 "20"))
     ))
))
        (setvar "osmode" 0)(princ)
) ; end tgt  -------------------------------------------------------------------------
; bottom Stiffner along / below the beam
(defun botstif ( p4 p31 z1 z2 ov scbst
		/ p5 p6 p7 p8
                  p32 p33 p34 p35 p36 p38 p39 p40
                  p41 p42 p43 p44 p45 p46 p47 
                  p48 p49 p50 p51 wt1)
(if (and (not c511) (= strstd 1)) (progn
		 (load "jibus.lsp")
                 (selusc_db c5)		 
                 (channeldata_usc chansize csize)
                 (setq c5 h c511 bc c512 tf c513 tw c514 rwtc c515 ctype c101 (- c1 c511))
		 (chan_data5)
))
(if (and (not c511) (= strstd 2)) (progn
		 (load "jibis.lsp")
                 (chanis_db c5)
                 (setq c5 h c511 bc c512 tf c513 tw c514 rwtc c515 ctype c101 (- c1 c511))
		 (chan_data5)
))
(if (and (not c511) (= strstd 3)) (channeldata_dsc c5)) ; to be done later
(if (and (not c511) (= strstd 4)) (progn
		 (load "jibbs.lsp")
                 (selbsc_db c5)
                 (channeldata_bsc chansize csize)
                 (setq c5 h c511 bc c512 tf c513 tw c514 rwtc c515 ctype c101 (- c1 c511))
		 (chan_data5)
))
     (setq p5 (list (car p4) (- (cadr p4) c11))
           p6 (list (car p5) (- (cadr p5) c513))
           p7 (list (+ (car p5) (/ 100.0 m1)) (cadr p5))
           p8 (list (+ (car p6) (/ 100.0 m1)) (cadr p6))
           p32 (list (car p31) (+ (cadr p31) c511))
           p33 (list (+ (car p32) (/ 25.0 m1)) (cadr p32))
           p34 (list (car p31) (- (cadr p31) c511))
           p35 (list (car p33) (- (cadr p31) c511))
           p36 (list (+ (car p31) (/ 100.0 m1)) (+ (cadr p31) (/ 25.0 m1)))
           p37 (list (+ (car p31) (/ 100.0 m1)) (- (cadr p31) (/ 25.0 m1)))
           p38 (list (car p32) (cadr p32))
           p39 (list (car p34) (cadr p34))
           p40 (list (car p38) (+ (cadr p31) c511))
           p41 (list (car p38) (- (cadr p31) c511))
           p42 (list (- (car p40) c5) (cadr p40))
           p43 (list (- (car p41) c5) (cadr p41))
           p44 (list (- (car p40) (/ 5.0 m1)) (- (cadr p40) (/ 5.0 m1)))
           p45 (list (- (car p41) (/ 5.0 m1)) (+ (cadr p41) (/ 5.0 m1)))
           p46 (list (+ (car p42) (/ 5.0 m1)) (- (cadr p42) (/ 5.0 m1)))
           p47 (list (+ (car p43) (/ 5.0 m1)) (+ (cadr p43) (/ 5.0 m1)))
           p48 (list (- (car p40) (/ 10.0 m1)) (cadr p40))
           p49 (list (+ (car p42) (/ 10.0 m1)) (cadr p42))
           p50 (list (car p48) (+ (cadr p48) (/ 10.0 m1)))
           p51 (list (car p49) (+ (cadr p49) (/ 10.0 m1)))
           p52 (list (- (car p41) (/ 10.0 m1)) (cadr p41))
           p53 (list (+ (car p43) (/ 10.0 m1)) (cadr p43))
           p54 (list (car p52) (- (cadr p52) (/ 10.0 m1)))
           p55 (list (car p53) (- (cadr p53) (/ 10.0 m1)))
     )
     (command "_layer" "s" "0" ""
              "_linetype" "s" "continuous" "")
              (line0 p6 p8) (line0 p8 p7)
     (command "_solid" p7 p8 (polar p7 (dtr 0.0) c513) "" ""
              "_solid" p6 (polar p6 (dtr 270.0) c513) (polar p6 (dtr 0.0) c513) "" ""
     )
(if (= ov 1) (progn
     (command "_linetype" "s" "continuous" "")
              (line0 p32 p33) (line0 p33 p36)
              (line0 p34 p35) (line0 p35 p37)
     (command "_linetype" "s" "hiddenx2" ""
              "_layer" "set" "hid" "")
              (line0 p36 p37)
     (command "_layer" "set" "0" ""
              "_linetype" "s" "phantom" "")
              (line0 p42 p40) (line0 p40 p41) (line0 p41 p43) (line0 p43 p42)
              (line0 p44 p45) (line0 p45 p47) (line0 p47 p46) (line0 p46 p44)
              (line0 p49 p51) (line0 p51 p50) (line0 p50 p48) (line0 p48 p49)
              (line0 p52 p54) (line0 p54 p55) (line0 p55 p53)
     (command "_linetype" "s" "continuous" "")
     (setq wt1 (* 7.85 (/ 8.0 m1) (distance p32 p34) (/ 100.0 m1) wtfac1))
     (nextpt 0 scbst)
      (tagno p35 (polar p35 (dtr 250.0) (* scbst (/ 30.0 m1))) (itoa (+ z1 z2 z3)) 1 size scbst)
     (if (= m2 2) (progn
	(bom1 size 1 (itoa (+ z1 z2 z3))  1 (strcat "PLATE " (rtos (distance p32 p34) m2 m4) "X" (rtos (/ 100.0 m1) m2 m4) "X" (rtos (/ 8.0 m1) m2 m4) "TH") plmat wt1 "" scbst)
	(bomall_w "a" (itoa (+ z1 z2 z3)) 1 (strcat "PLATE " (rtos (distance p32 p34) m2 m4) "X" (rtos (/ 100.0 m1) m2 m4) "X" (rtos (/ 8.0 m1) m2 m4) "TH") plmat wt1 (strcat t7 "20"))
     ))
     (if (= m2 4) (progn
	(bom1 size 1 (itoa (+ z1 z2 z3))  1 (strcat "PLATE " (rtos (distance p32 p34) m2 m4) "X" (rtos 4.0 m2 m4) "X" (rtos (/ 5.0 16.0) m2 m4) "TH") plmat wt1 "" scbst)
	(bomall_w "a" (itoa (+ z1 z2 z3)) 1 (strcat "PLATE " (rtos (distance p32 p34) m2 m4) "X" (rtos 4.0 m2 m4) "X" (rtos (/ 5.0 16.0) m2 m4) "TH") plmat wt1 (strcat t7 "20"))
     ))
))
        (setvar "osmode" 0)(princ)
) ; end botstif --------------------------------------------------------------------
; bottom Stiffner in deatil
(defun botstif1 ( scbs1 / p31 p32 p33 p34 p35 p36 p38 p39 p40
                    p41 p42 p43 p44 p45 p46 p47 p48 p49 p50
                    p51 p52 p53 p54 p55 p56 p57 p58 p59 p60
                    p61 p62 p63 p64 p65 p66 pd1 pd2 pd3 pd4)
     (setq p31 (list (* scbs1 (/ 120.0 m1)) (* scbs1 (/ 50.0 m1)))
           p32 (list (car p31) (+ (cadr p31) (- (* c511 2.0) (/ 20.0 m1)) (/ 2.0 m1)))
           p33 (list (+ (car p32) (/ 50.0 m1)) (cadr p32))
           p34 (list (car p31) (- (cadr p31) (- (* c511 2.0) (/ 20.0 m1)) (/ 2.0 m1)))
           p35 (list (car p33) (- (cadr p31) (- (* c511 2.0) (/ 20.0 m1)) (/ 2.0 m1)))
           p36 (list (+ (car p31) (/ 200.0 m1)) (+ (cadr p31) (/ 50.0 m1)))
           p37 (list (+ (car p31) (/ 200.0 m1)) (- (cadr p31) (/ 50.0 m1)))
           p38 (list (- (car p32) (/ 20.0 m1)) (cadr p32))
           p39 (list (- (car p34) (/ 20.0 m1)) (cadr p34))
           p40 (list (car p38) (+ (cadr p31) (* c511 2.0)))
           p41 (list (car p38) (- (cadr p31) (* c511 2.0)))
           p42 (list (- (car p40) (* c5 2.0)) (cadr p40))
           p43 (list (- (car p41) (* c5 2.0)) (cadr p41))
           p44 (list (- (car p40) (/ 5.0 m1)) (- (cadr p40) (/ 5.0 m1)))
           p45 (list (- (car p41) (/ 5.0 m1)) (+ (cadr p41) (/ 5.0 m1)))
           p46 (list (+ (car p42) (/ 5.0 m1)) (- (cadr p42) (/ 5.0 m1)))
           p47 (list (+ (car p43) (/ 5.0 m1)) (+ (cadr p43) (/ 5.0 m1)))
           p48 (list (- (car p40) (/ 20.0 m1)) (cadr p40))
           p49 (list (+ (car p42) (/ 20.0 m1)) (cadr p42))
           p50 (list (car p48) (+ (cadr p48) (/ 20.0 m1)))
           p51 (list (car p49) (+ (cadr p49) (/ 20.0 m1)))
           p52 (list (- (car p41) (/ 20.0 m1)) (cadr p41))
           p53 (list (+ (car p43) (/ 20.0 m1)) (cadr p43))
           p54 (list (car p52) (- (cadr p52) (/ 20.0 m1)))
           p55 (list (car p53) (- (cadr p53) (/ 20.0 m1)))
           p56 (list (car p52) (- (cadr p52) c511))
           p57 (list (+ (car p53) c102) (cadr p53))
           p58 (list (+ (car p54) c102) (cadr p54))
           p59 (list (+ (car p55) c102) (cadr p55))
           p60 (list (+ (car p56) c102) (cadr p56))
           p61 (list (- (car p50) (/ 40.0 m1)) (+ (cadr p42) (/ 60.0 m1)))
           p62 (list (+ (car p60) (/ 60.0 m1)) (- (cadr p41) (/ 60.0 m1)))
           p63 (list (- (car p50) (* scbs1 (/ 5.0 m1))) (cadr p31))
           p64 (list (+ (car p60) (* scbs1 (/ 5.0 m1))) (cadr p31))
           p65 (list (car p41) (- (cadr p41) (* scbs1 (/ 10.0 m1))))
           p66 (list (car p65) (- (cadr p65) (* scbs1 (/ 5.0 m1))))
           p67 (list (car p38) (cadr p36))
           pd1 (list (car p32) (+ (cadr p40) (* scbs1 (/ 5.0 m1))))
           pd2 (list (+ (car p36) (* scbs1 (/ 10.0 m1))) (cadr p33))
           pd3 (list (+ (car p36) (* scbs1 (/ 25.0 m1))) (cadr p31))
           pd4 (list (car p32) (+ (cadr p40) (* scbs1 (/ 15.0 m1))))
     )
     (command "_layer" "s" "0" ""
              "_linetype" "s" "continuous" "")
              (line0 p38 p33) (line0 p33 p36) (line0 p36 p37) (line0 p37 p35) (line0 p35 p39) (line0 p39 p38)
     (command "_layer" "set" "dim" ""
              "_dim1" "hor" p38 p33 pd4 (rtos (/ (distance p32 p33) 2.0) m2 m4)
              "_dim1" "ver" p40 p33 pd2 (rtos (/ (distance p40 p38) 2.0) m2 m4)
              "_dim1" "ver" p36 p37 pd3 (rtos (/ (distance p36 p37) 2.0) m2 m4)
              "_dim1" "hor" p38 p36 pd1 (rtos (/ (distance p67 p36) 2.0) m2 m4)
              "_layer" "s" "hid" ""
              "_linetype" "s" "phantom" "")
              (line0 p42 p40) (line0 p40 p41) (line0 p41 p43) (line0 p43 p42)
              (line0 p44 p45) (line0 p45 p47) (line0 p47 p46) (line0 p46 p44)
              (line0 p49 p51) (line0 p51 p50) (line0 p50 p48) (line0 p48 p49)
              (line0 p53 p55) (line0 p55 p54) (line0 p54 p52)
     (command "_linetype" "s" "continuous" ""
              "_layer" "s" "0" ""
              "_text" "c" p65 (* scbs1 (/ 3.0 m1)) "0" "DETAILS OF"
              "_text" "c" p66 (* scbs1 (/ 3.0 m1)) "0" "BOTTOM STIFFNER"
              "_layer" "s" "0" "")
        (setvar "osmode" 0)(princ)
) ; end botstif1 ------------------------------------------------------------------
(defun frame ( ov ; other view
               p0 ; initial ref point of pivot
               scfra ; scale factor
	     / wt wt1 panel p1)
      (if (and (> c1 (/ 6500.0 m1))                       (not scfra)) (setq scfra 25.0))
      (if (and (> c1 (/ 5500.0 m1)) (<= c1 (/ 6500.0 m1)) (not scfra)) (setq scfra 20.0))
      (if (and (> c1 (/ 4700.0 m1)) (<= c1 (/ 5500.0 m1)) (not scfra)) (setq scfra 15.0))
      (if (and (> c1 (/ 3600.0 m1)) (<= c1 (/ 4700.0 m1)) (not scfra)) (setq scfra 12.5))
      (if (and (> c1 (/ 2000.0 m1)) (<= c1 (/ 3600.0 m1)) (not scfra)) (setq scfra 10.0))
      (if (and 			    (<= c1 (/ 2000.0 m1)) (not scfra)) (setq scfra  7.5))
      (if (and (> c1 (/ 6500.0 m1))                      (= m2 2)) (setq c102 500.0))
      (if (and (> c1 (/ 5500.0 m1)) (<= c1 (/ 6500.0 m1))(= m2 2)) (setq c102 375.0))
      (if (and (> c1 (/ 4700.0 m1)) (<= c1 (/ 5500.0 m1))(= m2 2)) (setq c102 300.0))
      (if (and (> c1 (/ 3600.0 m1)) (<= c1 (/ 4700.0 m1))(= m2 2)) (setq c102 250.0))
      (if (and (> c1 (/ 2000.0 m1)) (<= c1 (/ 3600.0 m1))(= m2 2)) (setq c102 200.0))
      (if (and 			    (<= c1 (/ 2000.0 m1))(= m2 2)) (setq c102 175.0))
      (if (and (> c1 (/ 6500.0 m1))                      (= m2 4)) (setq c102 20.0))
      (if (and (> c1 (/ 5500.0 m1)) (<= c1 (/ 6500.0 m1))(= m2 4)) (setq c102 15.0))
      (if (and (> c1 (/ 4700.0 m1)) (<= c1 (/ 5500.0 m1))(= m2 4)) (setq c102 12.0))
      (if (and (> c1 (/ 3600.0 m1)) (<= c1 (/ 4700.0 m1))(= m2 4)) (setq c102 10.0))
      (if (and (> c1 (/ 2000.0 m1)) (<= c1 (/ 3600.0 m1))(= m2 4)) (setq c102  8.0))
      (if (and 			    (<= c1 (/ 2000.0 m1))(= m2 4)) (setq c102  7.0))
(if (= ov 1) (setup scfra "*a2" 1))
	(setvar "cmdecho" 0)
	(setq p1 (list (* scfra (/ 500.0 m1)) (* scfra (/ 180.0 m1)))
              cght (- c4 (/ 120.0 m1) c11)
              cght (- cght (rem cght (/ 10.0 m1))) 
        )
   (cond (                            (> c1 (/ 4700.0 m1))  (setq panel 5))
         ( (and (<= c1 (/ 4700.0 m1)) (> c1 (/ 3600.0 m1))) (setq panel 4))
         (      (<= c1 (/ 3600.0 m1))                       (setq panel 3))
         ( T (princ))
   )
           (if (= ov 1) (tria p1 c101 cght scfra))
           (tria1 p1 c101 cght scfra panel ov p0)
    (if (= ov 1) (progn
   (nextpt 0 scfra)
   (nextpt 0 scfra)
   (cond
         ((and (= m2 2) (= c28 "BKTPL1")) (command "_text" pt1101 (* scfra (/ 4.0 m1)) "0" "Note : Weld all over 8 mm fillet"))
         ((and (= m2 2) (= c28 "BKTPL2")) (command "_text" pt1101 (* scfra (/ 4.0 m1)) "0" "Note : Weld all over 8 mm fillet"))
         ((and (= m2 2) (= c28 "BKTPL3")) (command "_text" pt1101 (* scfra (/ 4.0 m1)) "0" "Note : Weld all over 8 mm fillet"))
         ((and (= m2 2) (= c28 "BKTPL4")) (command "_text" pt1101 (* scfra (/ 4.0 m1)) "0" "Note : Weld all over 8 mm fillet"))
         ((and (= m2 2) (= c28 "BKTPL5")) (command "_text" pt1101 (* scfra (/ 4.0 m1)) "0" "Note : Weld all over 10 mm fillet"))
         ((and (= m2 2) (= c28 "BKTPL6")) (command "_text" pt1101 (* scfra (/ 4.0 m1)) "0" "Note : Weld all over 10 mm fillet"))
         ((and (= m2 4) (= c28 "BKTPL1")) (command "_text" pt1101 (* scfra (/ 4.0 m1)) "0" "Note : Weld all over 5/16\" fillet"))
         ((and (= m2 4) (= c28 "BKTPL2")) (command "_text" pt1101 (* scfra (/ 4.0 m1)) "0" "Note : Weld all over 5/16\" fillet"))
         ((and (= m2 4) (= c28 "BKTPL3")) (command "_text" pt1101 (* scfra (/ 4.0 m1)) "0" "Note : Weld all over 5/16\" fillet"))
         ((and (= m2 4) (= c28 "BKTPL4")) (command "_text" pt1101 (* scfra (/ 4.0 m1)) "0" "Note : Weld all over 5/16\" fillet"))
         ((and (= m2 4) (= c28 "BKTPL5")) (command "_text" pt1101 (* scfra (/ 4.0 m1)) "0" "Note : Weld all over 13/32\" fillet"))
         ((and (= m2 4) (= c28 "BKTPL6")) (command "_text" pt1101 (* scfra (/ 4.0 m1)) "0" "Note : Weld all over 13/32\" fillet"))
   )
        (bomga_w "a" "20" 1 "Jib" plmat wt "")
        (findrep plmat "1" "Jib" "20" t3 t4 t5 
                 (strcat "1:"(rtos scfra 2 1)) (strcat t7 "20") t1 
                 c2 (rtos wt 2 1) t6)
        (gwt_w "a" (rtos wt 2 1))
     ))
    (dsls scfra)
        (setvar "osmode" 0)(princ)
) ; end frame -------------------------------------------------------------------
(defun tria1 ( p1 c101 cght sctri panel ov p0 
             / p2 p3 p4 p5 p6 
               p31 p33s p34s p35s p38 p40 p41 p42 p43 p44 p45 p46 p47
               p51 p52 p53 p54 p55 p56 p57 p58 p59 
               p60 p61 p62 p63 p64 p65 p66 p67 p68
               p301 p302 p303 p304 p305 p306 p307 p308 p309 p310
               p311 p312 p313 p314 p315 p316 p317 p318 p319 p320
               p321 p322 p323 p324 p325
               pd1 pd3 pd8 pd9
               spb epb rwta rwtb z1 z2 h0 h1 hl wt1
               )
;points of main frame for ga drawing
(if (= ov 0)
    (setq p5 p0
          p4 (polar p5 (dtr 270.0) cght)
          p3 (polar p4 (dtr 0.0) (- c101 c102))
    )
)
      (if (and (> c1 (/ 6500.0 m1))                      (= m2 2)) (setq c102 500.0))
      (if (and (> c1 (/ 5500.0 m1)) (<= c1 (/ 6500.0 m1))(= m2 2)) (setq c102 375.0))
      (if (and (> c1 (/ 4700.0 m1)) (<= c1 (/ 5500.0 m1))(= m2 2)) (setq c102 300.0))
      (if (and (> c1 (/ 3600.0 m1)) (<= c1 (/ 4700.0 m1))(= m2 2)) (setq c102 250.0))
      (if (and (> c1 (/ 2000.0 m1)) (<= c1 (/ 3600.0 m1))(= m2 2)) (setq c102 200.0))
      (if (and 			    (<= c1 (/ 2000.0 m1))(= m2 2)) (setq c102 175.0))
      (if (and (> c1 (/ 6500.0 m1))                      (= m2 4)) (setq c102 20.0))
      (if (and (> c1 (/ 5500.0 m1)) (<= c1 (/ 6500.0 m1))(= m2 4)) (setq c102 15.0))
      (if (and (> c1 (/ 4700.0 m1)) (<= c1 (/ 5500.0 m1))(= m2 4)) (setq c102 12.0))
      (if (and (> c1 (/ 3600.0 m1)) (<= c1 (/ 4700.0 m1))(= m2 4)) (setq c102 10.0))
      (if (and (> c1 (/ 2000.0 m1)) (<= c1 (/ 3600.0 m1))(= m2 4)) (setq c102  8.0))
      (if (and 			    (<= c1 (/ 2000.0 m1))(= m2 4)) (setq c102  7.0))
;points of main frame for jib drawing
(if (= ov 1) (progn
        (setq p1 (list (+ (car p1) (* sctri (/ 20.0 m1))) (+ (cadr p1) (* sctri (/ 150.0 m1))))
              p2 (polar p1 (dtr 180.0) (+ (* (/ c101 100.0) sctri) (/ 750.0 m1)))
              p3 (polar p2 (dtr 270.0) (/ cght 1.25))
              p4 (polar p3 (dtr 180.0) (- c101 c102))
              p5 (polar p4 (dtr 90.0) cght)
              p4a (polar p4 (dtr 180.0) (/ c5 2.0))
              p5a (polar p4 (dtr 90.0) cght)
              p6 (polar p5 (dtr 90.0) (/ 40.0 m1))
              z1 21 ; first number of beam
              z2 188 ; first increment of bom
              ; z3 is local of jibga1
        )
; drawing kingpost
     (pivotga (- c4 (/ 20.0 m1)) sctri 0 p6 0 nil)
;drawing of beams of different sizes.
     (command "_linetype" "s" "center" ""
              "_layer" "s" "cen" "")
              (line0 p3 p4a) (line0 p5a p3)
     (command "_layer" "s" "0" ""
              "_linetype" "s" "continuous" "")
))
(if (and (= strstd 1) (not c111))
         (progn
                 (load "jibus.lsp")
                 (jibus_db)
		 (beamdata_usb beamsize bsize)
		 (setq c11 h c111 b c112 tf c113 tw c114 rwtb c115 btype c101 (- c1 c511))
		 (beam_data)
))
(if (and (= strstd 2) (not c111))
        (progn 
                 (load "jibis.lsp")
                 (jibis_db c11)
                 (setq c11  h c111 b c112 tf c113 tw c114 rwtb c115 btype c101 (- c1 c511))
		 (beam_data)
))
(if (and (= strstd 3) (not c111)) (beamdata_dsb c11)); tobe done later
(if (and (= strstd 4) (not c111))
         (progn
                 (load "jibbs.lsp")
	   	 (selbsb_db)
		 (beamdata_bsb beamsize bsize)
		 (setq c11 h c111 b c112 tf c113 tw c114 rwtb c115 btype c101 (- c1 c511))
		 (beam_data)
))
        (setq p4 (polar p4 (dtr 0.0)   (/ c5 2.0))
              p31 (polar p4 (dtr 270.0) (+ (* c11 2.5) (* sctri (/ 40.0 m1))))
        )
(if (= ov 0)
    (beam2 5 c11 (- c1 (/ c5 2.0)) p4 p31 (/ 20.0 m1) ov sctri); ele in ga
)
(if (= ov 1) (progn
    (beam1 0 c11 (polar p3 (dtr 0.0) (+ (* c11 3.0) (/ 100.0 m1)))) ; end view
    (beam2 5 c11 (- c1 (/ c5 2.0)) p4 p31 21 ov sctri); ele and plan
(setq wt1 (* c114 c101 wtfac2))
    (nextpt 2 sctri)
    (bom1 size 1  (itoa z1) 1 (strcat btype " " (rtos c11 m2 m4) "x" (rtos c101 m2 m4) "LG") strmat wt1 "" sctri)
    (bomall_w "a" (itoa z1) 1 (strcat btype " " (rtos c11 m2 m4) "x" (rtos c101 m2 m4) "LG") strmat wt1 (strcat t7 "20"))
))
;begining of topchord and vertical anles
(if (and (not c341) (= ov 1))
      (progn
	(if (= strstd 1) (progn (angledata_usa c35 c34) (setq c35 angwid c34 angth c341 cgb c342 rwta c343 atype)))
	(if (= strstd 2) (progn (angledata_isa c35 c34) (setq c35 angwid c34 angth c341 cgb c342 rwta c343 atype)))
	(if (= strstd 3) (progn (angledata_dsa c35 c34) (setq c35 angwid c34 angth c341 cgb c342 rwta c343 atype)))
	(if (= strstd 4) (progn (angledata_bsa c35 c34) (setq c35 angwid c34 angth c341 cgb c342 rwta c343 atype)))
      )
)
(if (and (not c361) (= ov 1))
      (progn
	(if (= strstd 1) (progn (angledata_usa c36 c37) (setq c36 angwid c37 angth c361 cgb c362 rwta c363 atype)))
	(if (= strstd 2) (progn (angledata_isa c36 c37) (setq c36 angwid c37 angth c361 cgb c362 rwta c363 atype)))
	(if (= strstd 3) (progn (angledata_dsa c36 c37) (setq c36 angwid c37 angth c361 cgb c362 rwta c363 atype)))
	(if (= strstd 4) (progn (angledata_bsa c36 c37) (setq c36 angwid c37 angth c361 cgb c362 rwta c363 atype)))
      )
)
	(setq i2 (ldi) i1 5)
	(while (< 2 i1)
    	(if (not (new_dialog "angle_top" i2)) (exit))
  	(settile demomode)
    	(set_tile "c35" (rtos c35 m2 m4))
    	(set_tile "c34" (rtos c34 m2 m4))
    	(set_tile "c342" (rtos c342 2 2))
    	(set_tile "c343" c343)
      (if (= demomode 0) (progn
    	(action_tile "c35" "(get_c35)")
    	(action_tile "c34" "(get_c34)")
    	(action_tile "c342" "(get_c342)")
    	(action_tile "c343" "(get_c343)")
      ))
    	(action_tile "accept" "(done_dialog 1)")
    	(action_tile "cancel" "(done_dialog 0)")
    	(setq i1 (start_dialog))
	)
	(unload_dialog i2)
	(setq i2 (ldi) i1 5)
	(while (< 2 i1)
    	(if (not (new_dialog "angle_ver" i2)) (exit))
  	(settile demomode)
    	(set_tile "c36" (rtos c36 m2 m4))
    	(set_tile "c37" (rtos c37 m2 m4))
    	(set_tile "c362" (rtos c362 2 2))
    	(set_tile "c363" c363)
     (if (= demomode 0) (progn
    	(action_tile "c36" "(get_c36)")
    	(action_tile "c37" "(get_c37)")
    	(action_tile "c362" "(get_c362)")
    	(action_tile "c363" "(get_c363)")
     ))
    	(action_tile "accept" "(done_dialog 1)")
    	(action_tile "cancel" "(done_dialog 0)")
    	(setq i1 (start_dialog))
	)
	(unload_dialog i2)
         (setq spb (polar p3 (angle p3 p5) (/ (- c35 c34) (sin (- pi (angle p3 p5)))))
               epb (polar p5 (angle p5 p3) (+ (/ c5 2.0) (/ c341 (cos (- pi (angle p3 p5))))))
         )
         (isa spb epb c35 c34 c341 c342 ov sctri c343)
;end of topchord, begining of panels
          (setq pd3 (list (car p5) (+ (cadr p5) (* sctri (/ 10.0 m1))))
                h0 (/ c101 panel)
                h1 (- h0 (rem h0 (/ 10.0 m1)))
                hl (- c101 (* h1 (- panel 1)))
		p40 (polar p3 (dtr 180.0) hl)
		p41 (polar p3 (angle p3 p5) (/ hl (cos (- pi (angle p3 p5)))))
		p42 (polar p3 (dtr 180.0) (+ hl h1))
		p43 (polar p3 (angle p3 p5) (/ (+ hl h1) (cos (- pi (angle p3 p5)))))
		p51 (polar p41 (dtr 270.0) (+ (- c35 c341) (/ 10.0 m1)))
		p52 (polar p40 (dtr 90.0) (/ 10.0 m1))
		p53 (polar p43 (dtr 270.0) (+ (- c35 c341) (/ 10.0 m1)))
		p54 (polar p42 (dtr 90.0) (/ 10.0 m1))
                pd1 (list (+ (car p5) (* sctri (/ 5.0 m1))) (cadr p5))
                pd8 (list (car p5) (+ (cadr p5) (* sctri (/ 10.0 m1))))
                pd9 (list (car p3) (- (cadr p3) (* sctri (/ 10.0 m1))))
	        pdtc (list (car p3) (- (cadr p3) c11 c11))
          )
(if (= ov 1) 
	(command "_layer" "s" "dim" ""
                 "_dim1" "hor" p3 (list (+ (car p3) c102) (cadr p3)) pdtc ""
	)
)
(if (not c362)
      (progn
	(if (= strstd 1) (progn (angledata_usa c36 c37) (setq c36 angwid c37 angth c361 cgb c362 rwta c363 atype)))
	(if (= strstd 2) (progn (angledata_isa c36 c37) (setq c36 angwid c37 angth c361 cgb c362 rwta c363 atype)))
	(if (= strstd 3) (progn (angledata_dsa c36 c37) (setq c36 angwid c37 angth c361 cgb c362 rwta c363 atype)))
	(if (= strstd 4) (progn (angledata_bsa c36 c37) (setq c36 angwid c37 angth c361 cgb c362 rwta c363 atype)))
      )
)
(cond ((= panel 3)
         (isa p52 p41 c36 c37 c361 c362 ov sctri c363)
         (isa p54 p43 c36 c37 c361 c362 ov sctri c363)
          (botgt p40 sctri)
          (botgt p42 sctri)
         (if (= ov 1) (progn
         (bgt (list (* (/ 50.0 m1) sctri) (* (/ 40.0 m1) sctri)) 2.0 sctri)
         (topgt1 sctri)
         (isa1 (list (* (/ 50.0 m1) sctri) (* (/ 40.0 m1) sctri)) c36 c37 c361 c362 sctri)
          (command "_linetype" "s" "center" ""
                   "_layer" "set" "cen" "")
                   (line0 p40 p41) (line0 p42 p43)
          (command "_linetype" "s" "continuous" ""
	           "_layer" "set" "dim" ""
                   "_dim1" "hor" p3 p41 pd3 ""
                   "_dim1" "hor" p41 p43 pd3 ""
                   "_dim1" "hor" p43 p5 pd3 ""
                   "_dim1" "rot" (rtd (angle p3 p41)) p3 spb pd9 ""
                   "_dim1" "rot" (rtd (angle p5 p3)) p5 epb pd8 ""
                   "_dim1" "ver" p54 p42 (polar p41 (angle p40 p3) (/ (distance p40 p3) 3.0)) (strcat "<>" " (TYP)")
                   "_layer" "set" "0" "")
  	  (nextpt 0 sctri)
	  (if (= m2 2) (progn
	  	(bom1 size 1 (itoa (+ z1 z2 z3))  2 (strcat "PLATE " (rtos (distance p33s p34s) m2 m4) "X" (rtos (distance p34s p35s) m2 m4) "X" (rtos (/ 8.0 m1) m2 m4) "TH") plmat wt1 "" sctri)
	  	(bomall_w "a" (itoa (+ z1 z2 z3)) 2 (strcat "PLATE " (rtos (distance p33s p34s) m2 m4) "X" (rtos (distance p34s p35s) m2 m4) "X" (rtos (/ 8.0 m1) m2 m4) "TH") plmat wt1 (strcat t7 "20"))
	  ))
	  (if (= m2 4) (progn
	  	(bom1 size 1 (itoa (+ z1 z2 z3))  2 (strcat "PLATE " (rtos (distance p33s p34s) m2 m4) "X" (rtos (distance p34s p35s) m2 m4) "X" (rtos (/ 5.0 16.0) m2 m4) "TH") plmat wt1 "" sctri)
	  	(bomall_w "a" (itoa (+ z1 z2 z3)) 2 (strcat "PLATE " (rtos (distance p33s p34s) m2 m4) "X" (rtos (distance p34s p35s) m2 m4) "X" (rtos (/ 5.0 16.0) m2 m4) "TH") plmat wt1 (strcat t7 "20"))
	  ))
         ))
          (topgt p5 c5 sctri)
          (tgt p3 spb sctri)
          (botstif p4 p31 z1 z2 ov sctri)
      )
      ((= panel 4)
          (setq p44 (polar p3 (dtr 180.0) (+ hl (* h1 2.0)))
		p45 (polar p3 (angle p3 p5) (/ (+ hl (* h1 2.0)) (cos (- pi (angle p3 p5)))))
		p55 (polar p45 (dtr 270.0) (+ (- c35 c361) (/ 10.0 m1)))
		p56 (polar p44 (dtr 90.0) (/ 10.0 m1))
          )
         (isa p52 p41 c36 c37 c361 c362 ov sctri c363)
         (isa p54 p43 c36 c37 c361 c362 ov sctri c363)
         (isa p56 p45 c36 c37 c361 c362 ov sctri c363)
          (botgt p40 sctri)
          (botgt p42 sctri)
          (botgt p44 sctri)
         (if (= ov 1) (progn
         (bgt (list (* (/ 50.0 m1) sctri) (* (/ 40.0 m1) sctri)) 2.0 sctri)
         (topgt1 sctri)
         (isa1 (list (* (/ 50.0 m1) sctri) (* (/ 40.0 m1) sctri)) c36 c37 c361 c362 sctri)
          (command "_linetype" "s" "center" ""
                   "_layer" "set" "cen" "")
                   (line0 p40 p41)
                   (line0 p42 p43)
                   (line0 p44 p45)
	  (command "_layer" "set" "dim" ""
                   "_linetype" "s" "continuous" ""
                   "_dim1" "hor" p3 p41 pd3 ""
                   "_dim1" "hor" p41 p43 pd3 ""
                   "_dim1" "hor" p43 p45 pd3 ""
                   "_dim1" "hor" p45 p5 pd3 ""
                   "_dim1" "rot" (rtd (angle p3 p41)) p3 spb pd9 ""
                   "_dim1" "rot" (rtd (angle p5 p3)) p5 epb pd8 ""
                   "_dim1" "ver" p54 p42 (polar p41 (angle p40 p3) (/ (distance p40 p3) 3.0)) (strcat "<>" " (TYP)")
                   "_layer" "set" "0" "")
  	  (nextpt 0 sctri)
	     (if (= m2 2) (progn
	  	(bom1 size 1 (itoa (+ z1 z2 z3))  3 (strcat "PLATE " (rtos (distance p33s p34s) m2 m4) "X" (rtos (distance p34s p35s) m2 m4) "X" (rtos (/ 8.0 m1) m2 m4) "TH") plmat wt1 "" sctri)
	  	(bomall_w "a" (itoa (+ z1 z2 z3)) 3 (strcat "PLATE " (rtos (distance p33s p34s) m2 m4) "X" (rtos (distance p34s p35s) m2 m4) "X" (rtos (/ 8.0 m1) m2 m4) "TH") plmat wt1 (strcat t7 "20"))
	     ))
	     (if (= m2 4) (progn
	  	(bom1 size 1 (itoa (+ z1 z2 z3))  3 (strcat "PLATE " (rtos (distance p33s p34s) m2 m4) "X" (rtos (distance p34s p35s) m2 m4) "X" (rtos (/ 5.0 16.0) m2 m4) "TH") plmat wt1 "" sctri)
	  	(bomall_w "a" (itoa (+ z1 z2 z3)) 3 (strcat "PLATE " (rtos (distance p33s p34s) m2 m4) "X" (rtos (distance p34s p35s) m2 m4) "X" (rtos (/ 5.0 16.0) m2 m4) "TH") plmat wt1 (strcat t7 "20"))
	     ))
          ))
          (topgt p5 c5 sctri)
          (tgt p3 spb sctri)
          (botstif p4 p31 z1 z2 ov sctri)
      )
      ((= panel 5)
          (setq p44 (polar p3 (dtr 180.0) (+ hl (* h1 2.0)))
		p45 (polar p3 (angle p3 p5) (/ (+ hl (* h1 2.0)) (cos (- pi (angle p3 p5)))))
		p46 (polar p3 (dtr 180.0) (+ hl (* h1 3.0)))
		p47 (polar p3 (angle p3 p5) (/ (+ hl (* h1 3.0)) (cos (- pi (angle p3 p5)))))
		p55 (polar p45 (dtr 270.0) (+ (- c35 c361) (/ 10.0 m1)))
		p56 (polar p44 (dtr 90.0) (/ 10.0 m1))
		p57 (polar p47 (dtr 270.0) (+ (- c35 c361) (/ 10.0 m1)))
		p58 (polar p46 (dtr 90.0) (/ 10.0 m1))
          )
         (isa p52 p41 c36 c37 c361 c362 ov sctri c363)
         (isa p54 p43 c36 c37 c361 c362 ov sctri c363)
         (isa p56 p45 c36 c37 c361 c362 ov sctri c363)
         (isa p58 p47 c36 c37 c361 c362 ov sctri c363)
          (botgt p40 sctri)
          (botgt p42 sctri)
          (botgt p44 sctri)
          (botgt p46 sctri)
         (if (= ov 1) (progn
         (bgt (list (* (/ 50.0 m1) sctri) (* (/ 40.0 m1) sctri)) 2.0 sctri)
         (topgt1 sctri)
         (isa1 (list (* (/ 50.0 m1) sctri) (* (/ 40.0 m1) sctri)) c36 c37 c361 c362 sctri)
          (command "_linetype" "s" "center" ""
                   "_layer" "set" "cen" "")
                   (line0 p40 p41)
                   (line0 p42 p43)
		   (line0 p44 p45)
                   (line0 p46 p47)
          (command "_linetype" "s" "continuous" ""
	           "_layer" "set" "dim" ""
                   "_dim1" "hor" p3 p41 pd3 ""
                   "_dim1" "hor" p41 p43 pd3 ""
                   "_dim1" "hor" p43 p45 pd3 ""
                   "_dim1" "hor" p45 p47 pd3 ""
                   "_dim1" "hor" p47 p5 pd3 ""
                   "_dim1" "rot" (rtd (angle p3 p41)) p3 spb pd9 ""
                   "_dim1" "rot" (rtd (angle p5 p3)) p5 epb pd8 ""
                   "_dim1" "ver" p54 p42 (polar p41 (angle p40 p3) (/ (distance p40 p3) 3.0)) (strcat "<>" " (TYP)")
                   "_layer" "set" "0" "")
  	  (nextpt 0 sctri)
	      (if (= m2 2) (progn
	  	(bom1 size 1 (itoa (+ z1 z2 z3))  4 (strcat "PLATE " (rtos (distance p33s p34s) m2 m4) "X" (rtos (distance p34s p35s) m2 m4) "X" (rtos (/ 8.0 m1) m2 m4) "TH") plmat wt1 "" sctri)
	  	(bomall_w "a" (itoa (+ z1 z2 z3)) 4 (strcat "PLATE " (rtos (distance p33s p34s) m2 m4) "X" (rtos (distance p34s p35s) m2 m4) "X" (rtos (/ 8.0 m1) m2 m4) "TH") plmat wt1 (strcat t7 "20"))
	      ))
	      (if (= m2 4) (progn
	  	(bom1 size 1 (itoa (+ z1 z2 z3))  4 (strcat "PLATE " (rtos (distance p33s p34s) m2 m4) "X" (rtos (distance p34s p35s) m2 m4) "X" (rtos (/ 5.0 16.0) m2 m4) "TH") plmat wt1 "" sctri)
	  	(bomall_w "a" (itoa (+ z1 z2 z3)) 4 (strcat "PLATE " (rtos (distance p33s p34s) m2 m4) "X" (rtos (distance p34s p35s) m2 m4) "X" (rtos (/ 5.0 16.0) m2 m4) "TH") plmat wt1 (strcat t7 "20"))
	      ))
          (topgt p5 c5 sctri)
          (tgt p3 spb sctri)
          (botstif p4 p31 z1 z2 ov sctri)
      )
    )
))
(if (= ov 1) (botstif1 sctri))
;end angle cleat
         (setq p55 (list (car p4) (- (cadr p4) (/ c11 2.0) (/ 25.0 m1)))
               p56 (list (car p55) (+ (cadr p55) (/ 50.0 m1)))
               p57 (list (+ (car p55) (/ 50.0 m1)) (cadr p55))
               p58 (list (car p57) (+ (cadr p57) (/ 50.0 m1)))
               p59 (list (+ (car p55) (/ 45.0 m1)) (cadr p55))
               p60 (list (+ (car p56) (/ 45.0 m1)) (cadr p56))
               p61 (list (+ (car p4) c101) (- (cadr p4) (/ c11 2.0) (/ 25.0 m1)))
               p62 (list (car p61) (+ (cadr p61) (/ 50.0 m1)))
               p63 (list (- (car p61) (/ 50.0 m1)) (cadr p61))
               p64 (list (car p63) (+ (cadr p63) (/ 50.0 m1)))
               p65 (list (- (car p61) (/ 45.0 m1)) (cadr p61))
               p66 (list (- (car p62) (/ 45.0 m1)) (cadr p62))
               pd9 (list (car p61) (+ (cadr p61) (* c11 0.5)))
         )
         (line0 p55 p56) (line0 p56 p58) (line0 p58 p57) (line0 p57 p55)
         (line0 p59 p60)
         (line0 p61 p62) (line0 p62 p64) (line0 p64 p63) (line0 p63 p61)
         (line0 p65 p66)
         (bhole (list (+ (car p56) (/ 25.0 m1)) (- (cadr p56) (/ 10.0 m1))) (/ 10.0 m1) sctri)
         (bhole (list (+ (car p64) (/ 25.0 m1)) (- (cadr p64) (/ 10.0 m1))) (/ 10.0 m1) sctri)
         (bhole (list (+ (car p55) (/ 25.0 m1)) (+ (cadr p55) (/ 10.0 m1))) (/ 10.0 m1) sctri)
         (bhole (list (+ (car p63) (/ 25.0 m1)) (+ (cadr p63) (/ 10.0 m1))) (/ 10.0 m1) sctri)
	(if (= ov 1)
         (command "_linetype" "s" "continuous" ""
                  "_layer" "set" "dim" ""
                  "_dim1" "ver" (polar p58 (dtr  270.0) (/ 10.0 m1)) (polar p57 (dtr 90.0) (/ 10.0 m1)) (polar p57 (dtr 0.0) (* sctri (/ 20.0 m1))) ""
                  "_dim1" "ver" p55 p56 (polar p55 (dtr 180.0) (* sctri (/ 15.0 m1))) ""
		  )
	)
(if (= ov 0) (progn
         (setq p67 (list (+ (car p4) c16) (- (cadr p4) (- c11 c112)))
               p68 (list (- (+ (car p4) c101) c16) (- (cadr p4) (- c11 c112)))
               p69 (polar p67 (dtr 270.0) c15)
               p70 (polar p68 (dtr 270.0) c15)
               p366 (list (- (car p4) (/ c5 2.0)) (- (cadr p4) (/ c3 1.5)))
               p367 (list (+ (car p4) c16) (- (cadr p4) (/ c3 1.5)))
               p369 (list (+ (car p4) c101) (- (cadr p0) (/ c3 1.5)))
               p368 (list (- (car p369) c16) (- (cadr p4) (/ c3 1.5)))
               p380 (list (car p368) (- (cadr p4) (/ c3 1.5) (* sctri (/  5.0 m1))))
               p381 (list (car p368) (- (cadr p4) (/ c3 1.5) (* sctri (/ 15.0 m1))))
               p382 (list (car p368) (- (cadr p4) (/ c3 1.5) (* sctri (/ 25.0 m1))))
               p383 (list (+ (car p366) (/ (distance p366 p367) 2.0)) (- (cadr p380) (* sctri (/ 7.5 m1))))
               p384 (list (car p369) (- (cadr p380) (* sctri (/ 7.5 m1))))
         )
         (hook p69 sctri) (hook p70 sctri)
	 (command "_layer" "s" "dim" ""
                  "_linetype" "s" "continuous" ""
                  "_dim1" "hor" p367 p366 p380 (rtos (+ c16 (/ c5 2.0)) m2 m4)
          	  "_text" "c" p383 (* sctri (/ 3.0 m1)) "0" "End Approach"
	          "_dim1" "hor" p367 p368 p380 (rtos (- c1 c16 c16 (/ c5 2.0)) m2 m4)
                  "_dim1" "hor" p368 p369 p380 (rtos c16 m2 m4)
          	  "_text" "r" p384 (* sctri (/ 3.0 m1)) "0" "End Approach"
                  "_dim1" "hor" p366 p369 p381 (rtos c1 m2 m4)
	)
		  (command "_insert" (strcat "*" c42) (polar p67 (dtr 0.0) (/ (distance p67 p68) 2.0)) c15 "0")
))
(if (= ov 1) (progn
    	(nextpt 0 sctri)
(if (= m2 4) (progn (setq wt1 (* 0.75 2.204))
	(tagno2 p57 (polar p57 (dtr 240.0) (* sctri (/ 30.0 m1))) (itoa (+ z3 z1 z2)) 1 size sctri)
	(bom1 size 1 (itoa (+ z1 z2 z3))  4 (strcat "End Cleats " ecleat " 2\"x2\"x1/4\", 2\" Lg") plmat wt1 "" sctri)
	(bomall_w "a" (itoa (+ z1 z2 z3)) 4 (strcat "End Cleats " ecleat " 2\"x2\"x1/4\", 2\" Lg") plmat wt1 (strcat t7 "22"))
))
(if (= m2 2) (progn (setq wt1 0.75)
	(tagno2 p57 (polar p57 (dtr 240.0) (* sctri (/ 30.0 m1))) (itoa (+ z3 z1 z2)) 1 size sctri)
	(bom1 size 1 (itoa (+ z1 z2 z3))  4 (strcat "End Cleats " ecleat " 50x50x6, 50 Lg") plmat wt1 "" sctri)
	(bomall_w "a" (itoa (+ z1 z2 z3)) 4 (strcat "End Cleats " ecleat " 50x50x6, 50 Lg") plmat wt1 (strcat t7 "22"))
))
        (nextpt 0 sctri)
(if (= m2 2) (progn
        (setq wt1 0.0)
	(bom1 size 1 (itoa (+ z1 z2 z3))  4 (strcat "M" (rtos (/ 10.0 m1) m2 m4) "Hex Bolts/Nuts with washers") "STD" wt1 "" sctri)
	(bomall_w "a" (itoa (+ z1 z2 z3)) 4 (strcat "M" (rtos (/ 10.0 m1) m2 m4) "Hex Bolts/Nuts with washers") "STD" wt1 (strcat t7 "22"))
))
(if (= m2 4) (progn
        (setq wt1 0.0)
	(bom1 size 1 (itoa (+ z1 z2 z3))  4 (strcat (rtos (/ 7.0 16.0) m2 m4) "Hex Bolts/Nuts with washers") "STD" wt1 "" sctri)
	(bomall_w "a" (itoa (+ z1 z2 z3)) 4 (strcat (rtos (/ 7.0 16.0) m2 m4) "Hex Bolts/Nuts with washers") "STD" wt1 (strcat t7 "22"))
))
      (command "_layer" "set" "dim" ""
  	       "_linetype" "set" "continuous" ""
               "_dim1" "ver" (polar p4 (dtr 270.0) c11) p38 pd1 ""
               "_dim1" "ver" (polar p4 (dtr 270.0) c11) p104 pd1 ""
               "_dim1" "hor" p3 (list (+ (car p3) c102) (cadr p3)) pd3 ""
               "_layer" "set" "0" ""
      )
	(nextpt 0 sctri)
	(bom1 size 0 (itoa 20) 1 (strcat "JIB") plmat wt "" sctri)
	(bomall_w "a" (itoa 20) 1 (strcat "JIB") plmat wt (strcat t7 "20"))
	(bomtab sctri (- z3 1) "*a2")
))
;end of panels,
; start of end view of jib
(setq p301 (list (+ (car p5) (/ c101 (+ panel 1))) (cadr p5))
      p302 (list (- (+ (car p4) (/ c101 (+ panel 1))) (/ c5 2.0)) (- (cadr p4) c11))
      p303 (inters p301 p302 p5 p3 nil)
      p304 (inters p301 p302 p4 p3 nil)
      p305 (list (car p303) (+ (cadr p303) (* sctri (/ 10.0 m1))))
      p306 (list (car p304) (- (cadr p304) c11 (* sctri (/ 15.0 m1))))
      p307 (list (- (car p305) (* sctri (/ 15.0 m1))) (cadr p305))
      p308 (list (- (car p306) (* sctri (/ 15.0 m1))) (cadr p306))
      p309 (polar p3 (dtr 0.0) (+ (* c11 3.0) (/ 104.0 m1))); end view base point
      p310 (list (car p309) (cadr p303))
      p311 (list (car p310) (- (cadr p310) (/ 10.0 m1)))
      p312 (list (+ (car p309) c37) (+ (cadr p309) (/ 10.0 m1)))
      p313 (list (+ (car p311) c37) (cadr p311))
      p314 (list (+ (car p309) c36) (+ (cadr p309) (/ 10.0 m1)))
      p315 (list (+ (car p311) c36) (cadr p311))
      p316 (list (car p310) (- (cadr p310) c36))
      p317 (list (- (car p310) c36) (cadr p310))
      p318 (list (- (car p316) c34 (/ 1.5 m1)) (cadr p316))
      p319 (list (car p317) (- (cadr p317) c34 1.5))
      p320 (list (- (car p318) (/ 1.5 m1)) (- (cadr p319) (/ 1.5 m1)))
      p321 (list (- (car p309) (/ 8.0 m1)) (cadr p309))
      p322 (list (car p309) (+ (cadr p309) (+ c36 (/ 50.0 m1))))
      p323 (list (- (car p322) (/ 8.0 m1)) (cadr p322))
      p324 (list (+ (car p315) (* sctri (/ 10.0 m1))) (cadr p315))
      p325 (list (car p309) (+ (cadr p309) (/ 10.0 m1)))
)
(if (= ov 1) (progn
(command "_layer" "s" "0" ""
         "_linetype" "set" "phantom" "")
         (line0 p305 p306)
(command "_linetype" "set" "continuous" ""
         "_pline" p305 "w" "0" (/ 5.0 m1) (strcat "@" (rtos (* sctri (/ 2.0 m1))) "<180.0")
                      "w" "0" "0" (strcat "@" (rtos (* sctri (/ 5.0 m1))) "<180.0") ""
         "_pline" p306 "w" "0" (/ 5.0 m1) (strcat "@" (rtos (* sctri (/ 2.0 m1))) "<180.0")
                      "w" "0" "0" (strcat "@" (rtos (* sctri (/ 5.0 m1))) "<180.0") ""
         "_text" p307 (* sctri (/ 3.0 m1)) "0" "B"
         "_text" p308 (* sctri (/ 3.0 m1)) "0" "B")
         (line0 p309 p311) (line0 p311 p315) (line0 p315 p314) (line0 p314 p325)
         (line0 p312 p313)
         (line0 p310 p317) (line0 p317 p319) (line0 p319 p320) (line0 p320 p318) (line0 p318 p316) (line0 p316 p310)
         (line0 p321 p323) (line0 p323 p322)
(command "_hatch" "ansi31" m3 "90" "w" (hpleft p317) (hpright p316) ""
         "_layer" "set" "dim" ""
         "_dim1" "ver" p310 p315 p324 ""
         "_dim1" "ver" p309 p314 p324 ""
         "_layer" "set" "0" "")
))
        (setvar "osmode" 0)(princ)
) ;end tria1  -----------------------------------------------------------------------------
(defun tria ( p1 c101 cght sctria / p2 p3 p4 p5 p6 p7 p8)
     (setq p2 (polar p1 (dtr 180.0) (* (/ c101 100.0) sctria))
           p3 (polar p2 (dtr 90.0) (* (/ cght 100.0) sctria))
           p4 (polar p1 (dtr 270.0) (* sctria (/ 10.0 m1)))
           p5 (polar p2 (dtr 180.0) (* sctria (/ 10.0 m1)))
           p6 (polar p1 (dtr 90.0) (* sctria (/ 10.0 m1)))
           p7 (polar p1 (angle p1 p3) (/ (distance p1 p3) 4.0))
           p8 (polar p7 (angle p1 p3) (* sctria (/ 5.0 m1)))
     )
     (command "_linetype" "set" "continuous" "")
              (line0 p1 p2) (line0 p2 p3) (line0 p3 p1)
     (command "_layer" "set" "dim" ""
              "_dim1" "hor" p1 p2 p4 (rtos c101 m2 m4)
              "_dim1" "ver" p2 p3 p5 (rtos cght m2 m4)
              "_dim1" "rot" (rtd (angle p1 p3)) p1 p3 p6 (rtos (* (/ (distance p1 p3) sctria) 100.0) m2 m4)
     )
     (setvar "dimse1" 1)
     (setvar "dimse2" 1)
     (command "_dim1" "ang" "" p1 p3 p2 p7 (strcat (rtos (- 180.0 (rtd (angle p1 p3))) m2 m4) "%%d") p8
              "_layer" "set" "0" "")
     (setvar "dimse1" 0)
     (setvar "dimse2" 0)
      (dsls sctria)
        (setvar "osmode" 0)(princ)
) ; end tria -------------------------------------------------------------------------------
(defun frame1 ( ov ; other view
                p0 ; initial point x center of pivot
                scframe1 ; scale factor
   	      / i1 i2 p1 p2 p3 p4 p5 p6 p7 p8 p9 p10
                p20 p21 p22 p23
                p55 p56 p57 p58 p59 p60 p61 p62 p63 p64 
                p65 p66 p67 p68 p69 p70
                p192 p194 p196 p198
                p301 p302 p303 p304
                pd1 pd2 pd3 pd4 pd5 pd6 pd7 pd8 pd9 pd10 wt wt1 z3)
      (if (and (> c1 (/ 6500.0 m1)) 			  (not scframe1)) (setq scframe1 20.0))
      (if (and (> c1 (/ 5500.0 m1)) (<= c1 (/ 6500.0 m1)) (not scframe1)) (setq scframe1 15.0))
      (if (and (> c1 (/ 4700.0 m1)) (<= c1 (/ 5500.0 m1)) (not scframe1)) (setq scframe1 12.5))
      (if (and (> c1 (/ 3600.0 m1)) (<= c1 (/ 4700.0 m1)) (not scframe1)) (setq scframe1 10.0))
      (if (and (> c1 (/ 2000.0 m1)) (<= c1 (/ 3600.0 m1)) (not scframe1)) (setq scframe1 7.5))
      (if (and 			    (<= c1 (/ 2000.0 m1)) (not scframe1)) (setq scframe1 5.0))
    (dsls scframe1)
(cond
      (     (<= cap (/ 250.0 m1))                         (setq ts (/ 10.0 m1)))
      ((and (<= cap (/ 500.0 m1))  (> cap (/ 250.0 m1)))  (setq ts (/ 10.0 m1)))      
      ((and (<= cap (/ 1000.0 m1)) (> cap (/ 500.0 m1)))  (setq ts (/ 12.0 m1)))
      ((and (<= cap (/ 2000.0 m1)) (> cap (/ 1000.0 m1))) (setq ts (/ 12.0 m1)))
      (                            (> cap (/ 2000.0 m1))  (setq ts (/ 16.0 m1)))
)
(cond
      ((<= c11 c102) (setq i2 1))
      ( (> c11 c102) (setq i2 2))
)
(setq size "*a2")
(if (= ov 1)
    (progn
       (setup scframe1 size 1)
       (setq p1 (list (* scframe1 (/ 50.0 m1)) (* scframe1 (/ 350.0 m1))))
    )
       (setq p1 (list (car p0) (cadr p0)))
)
      (setvar "cmdecho" 0)
      (setq p2 (list (+ (car p1) (/ c5 2.0) ts) (- (cadr p1) (/ 100.0 m1)))
            p3 (list (+ (car p1) (/ c5 2.0) ts) (- (cadr p1) c4 (/ 500.0 m1)))
            p4 (list (car p2) (- (cadr p2) c11))
            p5 (list (car p4) (- (cadr p4) (/ 15.0 m1)))
            p6 (list (+ (car p4) (/ 15.0 m1)) (cadr p4))
            p7 (list (+ (car p4) c11) (cadr p4))
            p8 (list (car p4) (- (cadr p4) c11))
            p9 (list (car p7) (- (cadr p7) (/ 30.0 m1)))
            p10 (list (+ (car p8) (/ 30.0 m1)) (cadr p8))
      )
        (line0 p5 p6) (line0 p6 p7) (line0 p7 p9)
        (line0 p9 p10) (line0 p10 p8) (line0 p8 p5)
;stiffner on channel points
    (setq p192 (list (+ (car p1) (/ c5 2.0)) (- (cadr p1) (/ 15.0 m1)))
          p194 (list (+ (car p1) (/ c5 2.0) ts) (- (cadr p1) (/ 15.0 m1)))
          p196 (list (+ (car p1) (/ c5 2.0)) (- (cadr p1) (* c11 2.0) (/ 150.0 m1)))
          p198 (list (+ (car p1) (/ c5 2.0) ts) (- (cadr p1) (* c11 2.0) (/ 150.0 m1)))
          pd7 (list (car p192) (+ (cadr p192) (* scframe1 (/ 20.0 m1))))
          pd8 (list (+ (car p192) (* c5 1.0)) (cadr p192))
    )
    (command "_layer" "set" "0" ""
             "_linetype" "set" "continuous" "")
    (if (or (= c6 "A") (= c6 "TOP")) (progn
      (line0 p192 p194) (line0 p194 p198) (line0 p198 p196)
      (command "_linetype" "set" "continuous" ""
               "_solid" p192 (polar p192 (dtr 0.0) (/ 10.0 m1)) (polar p192 (dtr 90.0) (/ 10.0 m1)) "" ""
               "_solid" p196 (polar p196 (dtr 0.0) (/ 10.0 m1)) (polar p196 (dtr 270.0) (/ 10.0 m1)) "" ""
               "_layer" "set" "0" "")
    ))
;end angle cleat
         (setq p55 (list (+ (car p2) (- c11 (/ 50.0 m1))) (- (cadr p2) (- c11 (/ 25.0 m1))))
               p56 (list (car p55) (+ (cadr p55) (/ 50.0 m1)))
               p57 (list (+ (car p55) (/ 50.0 m1)) (cadr p55))
               p58 (list (car p57) (+ (cadr p57) (/ 50.0 m1)))
               p59 (list (+ (car p55) (/ 45.0 m1)) (cadr p55))
               p60 (list (+ (car p56) (/ 45.0 m1)) (cadr p56))
               p61 (list (+ (car p2) (- c1 (/ c5 2.0) ts)) (- (cadr p2) (- c11 (/ 25.0 m1))))
               p62 (list (car p61) (+ (cadr p61) (/ 50.0 m1)))
               p63 (list (- (car p61) (/ 50.0 m1)) (cadr p61))
               p64 (list (car p63) (+ (cadr p63) (/ 50.0 m1)))
               p65 (list (- (car p61) (/ 45.0 m1)) (cadr p61))
               p66 (list (- (car p62) (/ 45.0 m1)) (cadr p62))
               pd9 (list (car p61) (+ (cadr p61) (* c11 0.5)))
               pd10 (list (+ (car p62) (* scframe1 (/ 10.0 m1))) (cadr p62))
         )
         (line0 p55 p56) (line0 p56 p58) (line0 p58 p57)
         (line0 p57 p55) (line0 p59 p60) (line0 p61 p62)
         (line0 p62 p64) (line0 p64 p63) (line0 p63 p61)
                  (line0 p65 p66)
    (if (= ov 1)
         (command "_layer" "set" "Dim" ""
                  "_dim1" "hor" p56 p2 pd9 ""
                  "_dim1" "hor" p194 p192 pd7 "" 
                  "_dim1" "ver" p194 p198 pd8 "" 
                  "_dim1" "ver" p194 p1 pd8 "" 
                  "_layer" "set" "0" ""
         )
    )
         (bhole (list (+ (car p56) (/ 25.0 m1)) (- (cadr p56) (/ 10.0 m1))) (/ 10.0 m1) scframe1)
         (bhole (list (+ (car p64) (/ 25.0 m1)) (- (cadr p64) (/ 10.0 m1))) (/ 10.0 m1) scframe1)
         (bhole (list (+ (car p55) (/ 25.0 m1)) (+ (cadr p55) (/ 10.0 m1))) (/ 10.0 m1) scframe1)
         (bhole (list (+ (car p63) (/ 25.0 m1)) (+ (cadr p63) (/ 10.0 m1))) (/ 10.0 m1) scframe1)
	(if (= ov 1)
         (command "_linetype" "s" "continuous" ""
	          "_layer" "set" "dim" ""
                  "_dim1" "ver" (polar p58 (dtr  270.0) (/ 10.0 m1)) (polar p57 (dtr 90.0) (/ 10.0 m1)) (polar p57 (dtr 0.0) (* scframe1 (/ 20.0 m1))) ""
                  "_dim1" "ver" p55 p56 (polar p55 (dtr 180.0) (* scframe1 (/ 15.0 m1))) ""
	    )
	)
(setq c101 (- c1 c511))
(if (= ov 0) (progn
         (setq p67 (list (+ (car p4) c16) (+ (cadr p4) c112))
               p68 (list (- (+ (car p4) c101) c16) (+ (cadr p4) c112))
               p69 (polar p67 (dtr 270.0) c15)
               p70 (polar p68 (dtr 270.0) c15)
               p366 (list (- (car p4) (/ c5 2.0)) (- (cadr p4) (/ c3 1.5)))
               p367 (list (+ (car p4) c16) (- (cadr p4) (/ c3 1.5)))
               p369 (list (+ (car p4) c101) (- (cadr p0) (/ c3 1.5)))
               p368 (list (- (car p369) c16) (- (cadr p4) (/ c3 1.5)))
               p380 (list (car p368) (- (cadr p4) (/ c3 1.5) (* scframe1 (/  5.0 m1))))
               p381 (list (car p368) (- (cadr p4) (/ c3 1.5) (* scframe1 (/ 15.0 m1))))
               p382 (list (car p368) (- (cadr p4) (/ c3 1.5) (* scframe1 (/ 25.0 m1))))
               p383 (list (+ (car p366) (/ (distance p366 p367) 2.0)) (- (cadr p380) (* scframe1 (/ 7.5 m1))))
               p384 (list (car p369) (- (cadr p380) (* scframe1 (/ 7.5 m1))))
         )
         (hook p69 scframe1) (hook p70 scframe1)
	 (command "_layer" "s" "dim" ""
                  "_linetype" "s" "continuous" ""
                  "_dim1" "hor" p367 p366 p380 (rtos (+ c16 (/ c5 2.0)) m2 m4)
          	  "_text" "c" p383 (* scframe1 (/ 3.0 m1)) "0" "End Approach"
	          "_dim1" "hor" p367 p368 p380 (rtos (- c1 c16 c16 (/ c5 2.0)) m2 m4)
                  "_dim1" "hor" p368 p369 p380 (rtos c16 m2 m4)
          	  "_text" "r" p384 (* scframe1 (/ 3.0 m1)) "0" "End Approach"
                  "_dim1" "hor" p366 p369 p381 (rtos c1 m2 m4)
	)
         (command "_insert" (strcat "*" c42) (polar p67 (dtr 0.0) (/ (distance p67 p68) 2.0)) c15 "0")
))
; drawing kingpost
(if (= ov 1) (progn
      (tagno p196 (polar p196 (dtr 210.0) (* scframe1 (/ 30.0 m1))) "212" 1 size scframe1)
      (tagno p10 (polar p10 (dtr 330.0) (* scframe1 (/ 30.0 m1))) "211" 1 size scframe1)
      (pivotga (- c4 (/ 20.0 m1)) scframe1 0 p1 0 nil)
      (setq p8 (list (* scframe1 (/ 30.0 m1)) (* scframe1 (/ 25.0 m1)))
            p4 (list (car p8) (+ (cadr p8) (* c11 2.0)))
            p5 (list (car p4) (- (cadr p4) (/ 30.0 m1)))
            p6 (list (+ (car p4) (/ 30.0 m1)) (cadr p4))
            p7 (list (+ (car p4) (* c11 2.0)) (cadr p4))
            p9 (list (car p7) (- (cadr p7) (/ 60.0 m1)))
            p10 (list (+ (car p8) (/ 60.0 m1)) (cadr p8))
            pd1 (list (car p4) (+ (cadr p4) (* scframe1 (/ 5.0 m1))))
            pd2 (list (car p4) (+ (cadr p4) (* scframe1 (/ 12.5 m1))))
            pd3 (list (car p4) (- (cadr p8) (* scframe1 (/ 10.0 m1))))
            pd4 (list (- (car p4) (* scframe1 (/ 5.0 m1))) (cadr p4))
            pd5 (list (- (car p4) (* scframe1 (/ 12.5 m1))) (cadr p4))
            pd6 (list (+ (car p7) (* scframe1 (/ 10.0 m1))) (cadr p7))
      )
          (command "_linetype" "s" "continuous" ""
                   "_layer" "set" "0" "")
                   (line0 p5 p6) (line0 p6 p7) (line0 p7 p9)
                   (line0 p9 p10) (line0 p10 p8) (line0 p8 p5)
	  (command "_layer" "set" "dim" ""
                   "_dim1" "hor" p4 p7 pd2 (rtos (/ (distance p4 p7) 2.0) m2 m4)
                   "_dim1" "hor" p4 p6 pd1 (rtos (/ (distance p4 p6) 2.0) m2 m4)
                   "_dim1" "hor" p10 p8 pd3 (rtos (/ (distance p8 p10) 2.0) m2 m4)
                   "_dim1" "ver" p8 p4 pd5 (rtos (/ (distance p4 p8) 2.0) m2 m4)
                   "_dim1" "ver" p4 p5 pd4 (rtos (/ (distance p4 p5) 2.0) m2 m4)
                   "_dim1" "ver" p7 p9 pd6 (rtos (/ (distance p9 p7) 2.0) m2 m4)
                   "_layer" "set" "0" "")
	(setq p20 (list (- (car p9) (* scframe1 (/ 5.0 m1))) (- (cadr p10) (* (/ 10.0 m1) scframe1)))
              p21 (polar p20 (dtr 90.0) (* scframe1 (/ 15.0 m1)))
	      p22 (list (+ (car p21) (* scframe1 (/ 15.0 m1))) (- (cadr p21) (* scframe1 (/ 7.5 m1))))
	      p23 (list (car p22) (- (cadr p22) (* scframe1 (/ 7.5 m1))))
	)
	(command "_layer" "s" "0" ""
	         "_linetype" "set" "continuous" ""
	         "_circle" "2p" p20 p21 
         	 "_text" "middle" (polar p21 (angle p21 p20) (* scframe1 (/ 7.5 m1))) (* scframe1 (/ 4.0 m1)) "0.0" "211"
         	 "_text" p22 (* scframe1 (/ 4.0 m1)) "0.0" "%%uStiffner"
	)
       (if (= (rem scframe1 (/ 1.0 m1)) 0.0)
        (command "_text" p23 (* scframe1 (/ 4.0 m1)) "0.0" (strcat "Scale 1 : " (rtos (/ scframe1 5.0) 2 0)))
        (command "_text" p23 (* scframe1 (/ 4.0 m1)) "0.0" (strcat "Scale 1 : " (rtos (/ scframe1 5.0) 2 1)))
       )

      (setq wt1 (* 7.85 (/ 8.0 m1) i2 (- (* c11 c11) (* (- c11 (/ 30.0 m1)) (- c11 (/ 30.0 m1)) 0.5)) wtfac1))
      (nextpt 2 scframe1)
(if (= m2 2) (bom1 size  1 "211" i2 (strcat "PLATE " (rtos (/ (distance p4 p8) 2.0) m2 m4) "X" (rtos (/ (distance p4 p7) 2.0) m2 m4) "X8TH CUT") plmat wt1 "" scframe1))
(if (= m2 2) (bomall_w "a" "211" i2 (strcat "PLATE " (rtos (/ (distance p4 p8) 2.0) m2 m4) "X" (rtos (/ (distance p4 p7) 2.0) m2 m4) "X8TH CUT") plmat wt1 (strcat t7 "20")))
(if (= m2 4) (bom1 size  1 "211" i2 (strcat "PLATE " (rtos (/ (distance p4 p8) 2.0) m2 m4) "X" (rtos (/ (distance p4 p7) 2.0) m2 m4) "X5/16\"TH CUT") plmat wt1 "" scframe1))
(if (= m2 4) (bomall_w "a" "211" i2 (strcat "PLATE " (rtos (/ (distance p4 p8) 2.0) m2 m4) "X" (rtos (/ (distance p4 p7) 2.0) m2 m4) "X5/16\"TH CUT") plmat wt1 (strcat t7 "20")))
      (setq wt1 (* 7.85 ts (* (distance p194 p198) (+ c511 (/ 50.0 m1)) wtfac1)))
      (nextpt 0 scframe1)
	(bom1 size 1 "212" i2 (strcat "PLATE " (rtos (distance p194 p198) m2 m4) "X" (rtos (+ c511 (/ 50.0 m1))) "X" (rtos ts m2 m4) "TH") plmat wt1 "" scframe1)
	(bomall_w "a" "212" i2 (strcat "PLATE " (rtos (distance p194 p198) m2 m4) "X" (rtos (+ c511 (/ 50.0 m1))) "X" (rtos ts m2 m4) "TH") plmat wt1 (strcat t7 "20"))
      (nextpt 0 scframe1)
(if (= m2 2) (progn
	(setq wt1 0.75)
	(bom1 size  1 "213" 4 (strcat "End Cleats " ecleat " 50x50x6, 50 Lg") strmat wt1 "" scframe1)
	(bomall_w "a" "213" 4 (strcat "End Cleats " ecleat " 50x50x6, 50 Lg") strmat wt1 (strcat t7 "20"))
))
(if (= m2 4) (progn
	(setq wt1 (* 0.75 2.204))
	(bom1 size  1 "213" 4 (strcat "End Cleats " ecleat " 2\"x2\"x1/4\", 2\" Lg") strmat wt1 "" scframe1)
	(bomall_w "a" "213" 4 (strcat "End Cleats " ecleat " 2\"x2\"x1/4\", 2\" Lg") strmat wt1 (strcat t7 "20"))
))
	(tagno p57 (polar p57 (dtr 330.0) (* scframe1 (/ 30.0 m1))) "213" 1 size scframe1)
    	(nextpt 0 scframe1)
(if (= m2 2) (progn
	(setq wt1 0.2)
	(bom1 size  1 "214" 4 "M10 Hex Bolts/Nuts with washers" "STD" wt1 "" scframe1)
	(bomall_w "a" "214" 4 "M10 Hex Bolts/Nuts with washers" "STD" wt1 (strcat t7 "20"))
))
(if (= m2 4) (progn
	(setq wt1 (* 0.2 2.204))
	(bom1 size  1 "214" 4 "3/8\" Hex Bolts/Nuts with washers" "STD" wt1 "" scframe1)
	(bomall_w "a" "214" 4 "3/8\" Hex Bolts/Nuts with washers" "STD" wt1 (strcat t7 "20"))
))
        (tagno (list (+ (car p64) (/ 25.0 m1)) (- (cadr p64) (/ 25.0 m1))) (polar (list (+ (car p64) (/ 25.0 m1)) (- (cadr p64) (/ 25.0 m1))) (dtr 225.0) (* scframe1 (/ 40.0 m1))) "214" 1 size scframe1)

)) ; ov=1
;drawing of beams of different sizes.
         (beam1 c12 c11 (polar p2 (dtr 0.0) (+ c1 (/ 100.0 m1)))); end view
         (beam2 c12 c11 (- c1 (/ c5 2.0)) p2 p3 21 ov scframe1); ele and plan
(setq p301 (list (+ (car p2) (/ c1 6.0)) (+ (cadr p2) (/ c5 2.0)))
      p302 (list (car p301) (- (cadr p301) c11 (* c5 3.0)))
      p303 (list (- (car p301) (* scframe1 (/ 15.0 m1))) (cadr p301))
      p304 (list (- (car p302) (* scframe1 (/ 15.0 m1))) (cadr p302))
)
(command "_layer" "s" "0" ""
         "_linetype" "set" "phantom" "")
         (line0 p301 p302)
(command "_linetype" "set" "continuous" ""
         "_pline" p301 "w" "0" (rtos (* scframe1 (/ 2.0 m1))) (strcat "@" (rtos (* scframe1 (/ 3.0 m1))) "<180.0")
                      "w" "0" "0" (strcat "@" (rtos (* scframe1 (/ 5.0 m1))) "<180.0") ""
         "_pline" p302 "w" "0" (rtos (* scframe1 (/ 2.0 m1))) (strcat "@" (rtos (* scframe1 (/ 3.0 m1))) "<180.0")
                      "w" "0" "0" (strcat "@" (rtos (* scframe1 (/ 5.0 m1))) "<180.0") ""
         "_text" p303 (* scframe1 (/ 4.0 m1)) "0" "B"
         "_text" p304 (* scframe1 (/ 4.0 m1)) "0" "B"
         "_layer" "set" "0" ""
)
(if (= ov 1) 
      (progn (nextpt 0 scframe1) 
             (bom1 size 0 "20" 1 "Jib" strmat wt "" scframe1)
             (bomga_w "a" "20" 1 "Jib" strmat wt "")
             (bomall_w "a" "20" 1 "Jib" strmat wt (strcat t7 "20"))
        (bomtab scframe1 z3 "*a2")
        (findrep strmat "1" "Jib" "20" t3 t4 t5 
                 (strcat "1:"(rtos scframe1 2 1)) (strcat t7 "20") t1 
                 c2 (rtos wt 2 1) t6)
        (gwt_w "a" (rtos wt 2 1))
))
        (setvar "osmode" 0)(princ)
) ; end frame1 ----------------------------------------------------------------
