;Pipe Pillar
(defun pillarp ( pl stht ov scp / z3 wt vht)
	(if (= c17 "BPL1") (setq vht (+ (/ 500.0 m1) pl)))
	(if (= c17 "BPL2") (setq vht (+ (/ 600.0 m1) pl)))
	(if (= c17 "BPL3") (setq vht (+ (/ 750.0 m1) pl)))
	(if (= c17 "BPL4") (setq vht (+ (/ 900.0 m1) pl)))
	(if (= c17 "BPL5") (setq vht (+ (/ 1150.0 m1) pl)))
	(if (= c17 "BPL6") (setq vht (+ (/ 1400.0 m1) pl)))
(if (= ov 1)
  (progn ; pillar drawing
      (setq size "*a1")
      (setup scp size 1)
      (baseplate pl stht (list (* c51 8.0) (* (/ 350.0 m1) scp)) scp ov 2)  ; bot center point of blow up
      (coneplate (list (* (/ 150.0 m1) scp) (* (/ 50.0 m1) scp)) cap pl stht ov scp)
  )
  (progn ; ga drawing
      (baseplate pl stht (list (+ c1 (* c51 6.0)) (* (/ 350.0 m1) scp)) scp ov 2)  ; bot center point of blow up
      (coneplate (list (* (/ 150.0 m1) scp) (* (/ 50.0 m1) scp)) cap pl stht ov scp)
  )
)
      (if (= ov 1) (nextpt 0 scp) (nextpt 1 scp))
      (bom1 size 0 "10" 1 "Pillar" "" wt "" scp)
      (setq wtpil wt)
      (bomall_w "a" "10" 1 "Pillar" "" wt (strcat t7 "10"))
      (bomall_w "a" "*" 0 "" "" 0 "")
      (bomga_w "a" "10" 1 "Pillar" plmat wt "")
      (bomga_w "a" "*" 0 "" "" 0 "")
   (nextpt 0 scp)
   (nextpt 0 scp)
(if (= ov 1) (progn
   (if (= m2 2) (command "_text" pt1101 (* scp (/ 4.0 m1)) "0" "Note : Weld all over 6 mm fillet, unless stated otherwise"))
   (if (= m2 4) (command "_text" pt1101 (* scp (/ 4.0 m1)) "0" "Note : Weld all over 1/4\" fillet, unless stated otherwise"))
       (bomtab scp z3 size)
        (findrep pimat "1" "Pillar for Jib" "10" t3 t4 t5 
                 (strcat "1:"(rtos scp 2 1)) (strcat t7 "10") t1 
                 c2 (rtos wt 2 1) t6)
        (gwt_w "a" (rtos wt 2 1))
        (gwt_w "a" "*")
))  (dsls scp)
        (setvar "osmode" 0)(princ)
)
; end pillarp ---------------------------------------------------------------
(defun baseplate ( pl ; pillar length
                   stht ; straight height
		   p0 ; start bot center point
                   scbp ; scale
                   ov ; other view
                   scbs1 ; scale for blow up
                 / wt1 c510 c550 c570 c580 c410 
                   p2 p3 p4 p5 p6 p7 p8 p9 p10
		   p11 p12 p13 p14 p15 p16 p17 p18 p19 p20
		   p21 p22 p23 p24 p25 p26 p27 p28 p29 p30
		   p31 p32 p33 p34 p35 p36 p37 p38 p39 p40
		   p41 p42 p43 p44 p45 p46 p47 p48 p49 p50
		   p51 p52 p53 p54 p55 p56 p57 p58 p59 
                   p81 p82 p83 p84 p85 p86 p87 p88 p89 p90
                   p91 p92 p93 p94
                   p101 p102 p103 p104
                   pd1 pd2 pd3 pd4 pd5 pd6 pd7 pd8 pd9 pd10 
		 )
(setvar "cmdecho" 0)
       (setq c510 (* c51 scbs1) ;length of base plate
             c550 (* c55 scbs1) ;Bolt Hole Diameter,
	     c570 (* c57 scbs1) ;Width of Pillar at Base,
	     c580 (* c58 scbs1) ;Width of Pillar at Top,
	     c410 (* c41 scbs1) ;Pillar Plate Thk,
       )
(cond
      ((= typeb 1)
       (setq
	     p1 (list (- (car p0) (/ c510 2.0)) (+ (cadr p0) c510))
	     p2 (list (+ (car p0) (/ c510 2.0)) (+ (cadr p0) c510))
	     p3 (list (car p1) (cadr p0))
	     p4 (list (car p2) (cadr p0))
	     p5 (list (car p0) (- (cadr p1) c550))
	     p6 (list (car p0) (+ (cadr p3) c550))
	     p7 (list (+ (car p1) c550) (- (cadr p1) (/ c510 2.0)))
	     p8 (list (- (car p2) c550) (- (cadr p2) (/ c510 2.0)))
	     p9 (list (+ (car p1) (/ 45.0 m1)) (- (cadr p1) (/ 45.0 m1)))
	     p10 (list (car p0) (- (cadr p1) (/ 45.0 m1)))
	     p11 (list (- (car p2) (/ 45.0 m1)) (- (cadr p2) (/ 45.0 m1)))
	     p12 (list (+ (car p1) (/ 45.0 m1)) (cadr p7))
	     p13 (list (- (car p2) (/ 45.0 m1)) (cadr p8))
	     p14 (list (+ (car p3) (/ 45.0 m1)) (+ (cadr p3) (/ 45.0 m1)))
	     p15 (list (car p0) (+ (cadr p3) (/ 45.0 m1)))
	     p16 (list (- (car p4) (/ 45.0 m1)) (+ (cadr p4) (/ 45.0 m1)))
	     p17 (list (- (car p9) c550) (cadr p9))
	     p18 (list (+ (car p11) c550) (cadr p11))
	     p19 (list (- (car p14) c550) (cadr p14))
	     p20 (list (+ (car p16) c550) (cadr p16))
	     p21 (list (car p9) (+ (cadr p9) c550))
	     p22 (list (car p14) (- (cadr p14) c550))
	     p23 (list (car p11) (+ (cadr p11) c550))
	     p24 (list (car p16) (- (cadr p16) c550))
             p101 (polar p11 (dtr 130.0) (* scbp (/ 40.0 m1)))
             p102 (polar p101 (dtr 0.0) (* (/ 36.0 m1) scbp))
             p103 (list (car p101) (+ (cadr p101) (/ scbp m1)))
             p104 (polar p103 (dtr 90.0) (* scbp (/ 7.0 m1)))
	     pd1 (list (car p0) (+ (cadr p1) (* scbp (/ 10.0 m1))))
	     pd2 (list (- (car p1) (* scbp (/ 10.0 m1))) (cadr p1))
	     pd3 (list (car p0) (- (cadr p0) (* scbp (/ 10.0 m1))))
	     pd4 (list (- (car p1) (* scbp (/ 10.0 m1))) (cadr p1))
	     pd5 (list (+ (car p2) (* scbp (/ 10.0 m1))) (cadr p2))
	     pd7 (list (+ (car p1) (/ c510 4.0)) (cadr p1))
	)
	(command "_layer" "s" "0" ""
                 "_linetype" "s" "continuous" "")
                 (line0 p1 p2) (line0 p2 p4) (line0 p4 p3) (line0 p3 P1)
	(command "_circle" p9 "d" c550
                 "_circle" p10 "d" c550
                 "_circle" p11 "d" c550
                 "_circle" p12 "d" c550
                 "_circle" p13 "d" c550
                 "_circle" p14 "d" c550
                 "_circle" p15 "d" c550
                 "_circle" p16 "d" c550)
                 (line0 p11 p101) (line0 p101 p102)
	(command "_text" p103 (* scbp (/ 4.0 m1)) "0" (strcat "%%c" (rtos c55 m2 m4) " HOLES")
                 "_text" p104 (* scbp (/ 4.0 m1)) "0" (strcat (rtos c56 2 0) " NOS")
                 "_linetype" "s" "center" ""
 	         "_layer" "s" "cen" "")
                 (line0 p5 p6)
                 (line0 p7 p8)
                 (line0 p17 p18)
                 (line0 p19 p20)
                 (line0 p21 p22)
                 (line0 p23 p24)
	(command "_linetype" "s" "continuous" ""
                 "_layer" "set" "dim" ""
                 "_dim1" "hor" p3 p4 pd3 (rtos (/ (distance p3 p4) 2.0) m2 m4)
                 "_dim1" "ver" p2 p4 pd5 (rtos (/ (distance p2 p4) 2.0) m2 m4)
        )
        (if (= ov 1)
	(command "_dim1" "hor" p21 p1 pd1 (rtos (/ (distance p21 p1) 2.0) m2 m4)
                 "_dim1" "hor" p21 p23 pd1 (rtos (/ (distance p23 p21) 2.0) m2 m4)
                 "_dim1" "hor" p23 p2 pd1 (rtos (/ (distance p23 p2) 2.0) m2 m4)
                 "_dim1" "ver" p17 p1 pd2 (rtos (/ (distance p17 p1) 2.0) m2 m4)
                 "_dim1" "ver" p17 p19 pd2 (rtos (/ (distance p17 p19) 2.0) m2 m4)
                 "_dim1" "ver" p19 p3 pd2 (rtos (/ (distance p19 p3) 2.0) m2 m4)
              ))
        (command "_layer" "s" "0" "")
      )
      ((= typeb 2)
       (setq 
	     p1 (list (- (car p0) (/ c510 2.0)) (+ (cadr p0) c510))
	     p2 (list (+ (car p0) (/ c510 2.0)) (+ (cadr p0) c510))
	     p3 (list (car p1) (- (cadr p1) c510))
	     p4 (list (car p2) (- (cadr p2) c510))
	     p5 (list (car p0) (+ (cadr p1) c550))
	     p6 (list (car p0) (- (cadr p3) c550))
	     p7 (list (- (car p1) c550) (- (cadr p1) (/ c510 2.0)))
	     p8 (list (+ (car p2) c550) (- (cadr p2) (/ c510 2.0)))
	     p9 (list (+ (car p1) (/ 45.0 m1)) (- (cadr p1) (/ 45.0 m1)))
	     p10 (list (+ (car p9) (/ (- c510 (/ 90.0 m1)) 3.0)) (cadr p9))
	     p12 (list (- (car p2) (/ 45.0 m1)) (- (cadr p2) (/ 45.0 m1)))
	     p11 (list (- (car p12) (/ (- c510 (/ 90.0 m1)) 3.0)) (cadr p9))
	     p13 (list (+ (car p3) (/ 45.0 m1)) (+ (cadr p3) (/ 45.0 m1)))
	     p14 (list (+ (car p13) (/ (- c510 (/ 90.0 m1)) 3.0)) (cadr p13))
	     p16 (list (- (car p4) (/ 45.0 m1)) (+ (cadr p4) (/ 45.0 m1)))
	     p15 (list (- (car p16) (/ (- c510 (/ 90.0 m1)) 3.0)) (cadr p13))
	     p17 (list (car p9) (- (cadr p9) (/ (- c510 (/ 90.0 m1)) 3.0)))
	     p18 (list (car p9) (- (cadr p17) (/ (- c510 (/ 90.0 m1)) 3.0)))
	     p19 (list (car p12) (- (cadr p12) (/ (- c510 (/ 90.0 m1)) 3.0)))
	     p20 (list (car p19) (- (cadr p19) (/ (- c510 (/ 90.0 m1)) 3.0)))
	     p21 (list (car p9) (+ (cadr p9) c550))
	     p22 (list (car p10) (+ (cadr p10) c550))
	     p23 (list (car p11) (+ (cadr p11) c550))
	     p24 (list (car p12) (+ (cadr p12) c550))
	     p25 (list (car p13) (- (cadr p13) c550))
	     p26 (list (car p14) (- (cadr p14) c550))
	     p27 (list (car p15) (- (cadr p15) c550))
	     p28 (list (car p16) (- (cadr p16) c550))
	     p29 (list (- (car p9) c550) (cadr p9))
	     p30 (list (- (car p17) c550) (cadr p17))
	     p31 (list (- (car p18) c550) (cadr p18))
	     p32 (list (- (car p13) c550) (cadr p13))
	     p33 (list (+ (car p12) c550) (cadr p12))
	     p34 (list (+ (car p19) c550) (cadr p19))
	     p35 (list (+ (car p20) c550) (cadr p20))
	     p36 (list (+ (car p16) c550) (cadr p16))
	     p37 (list (car p10) (- (cadr p10) c550))
	     p38 (list (car p11) (- (cadr p11) c550))
	     p39 (list (car p14) (+ (cadr p14) c550))
	     p40 (list (car p15) (+ (cadr p15) c550))
	     p41 (list (+ (car p17) c550) (cadr p17))
	     p42 (list (+ (car p18) c550) (cadr p18))
	     p43 (list (- (car p19) c550) (cadr p19))
	     p44 (list (- (car p20) c550) (cadr p20))
             p101 (polar p12 (dtr 40.0) (* scbp (/ 40.0 m1)))
             p102 (polar p101 (dtr 0.0) (* (/ 36.0 m1) scbp))
             p103 (list (car p101) (+ (cadr p101) scbp))
             p104 (polar p103 (dtr 270.0) (* scbp (/ 7.0 m1)))
	     pd1 (list (car p0) (+ (cadr p1) (* scbp (/ 10.0 m1))))
	     pd2 (list (car p1) (+ (cadr p1) (* scbp (/ 20.0 m1))))
	     pd3 (list (- (car p1) (* scbp (/ 10.0 m1))) (cadr p1))
	     pd4 (list (- (car p1) (* scbp (/ 20.0 m1))) (cadr p1))
	     pd5 (list (+ (car p2) (* scbp (/ 10.0 m1))) (cadr p2))
	     pd6 (list (car p0) (- (cadr p0) (* scbp (/ 10.0 m1))))
	     pd7 (list (+ (car p1) (/ c510 4.0)) (cadr p1))
	)
	(command "_layer" "s" "0" ""
                 "_linetype" "s" "continuous" "")
                 (line0 p1 p2) (line0 p2 p4) (line0 p4 p3) (line0 p3 p1)
	(command "_circle" p9 "d" c550
                 "_circle" p10 "d" c550
                 "_circle" p11 "d" c550
                 "_circle" p12 "d" c550
                 "_circle" p13 "d" c550
                 "_circle" p14 "d" c550
                 "_circle" p15 "d" c550
                 "_circle" p16 "d" c550
                 "_circle" p17 "d" c550
                 "_circle" p18 "d" c550
                 "_circle" p19 "d" c550
                 "_circle" p20 "d" c550)
                 (line0 p12 p101) (line0 p101 p102)
	(command "_text" p103 (* scbp (/ 4.0 m1)) "0" (strcat "%%c" (rtos c55 m2 m4) " HOLES")
                 "_text" p104 (* scbp (/ 4.0 m1)) "0" (strcat (rtos c56 2 0) " NOS")
                 "_linetype" "s" "center" ""
                 "_layer" "s" "cen" "")
                 (line0 p5 p6) (line0 p7 p8) (line0 p21 p25)
                 (line0 p22 p37) (line0 p39 p26) (line0 p23 p38)
                 (line0 p40 p27) (line0 p24 p28) (line0 p29 p33)
                 (line0 p30 p41) (line0 p43 p34) (line0 p31 p42)
                 (line0 p44 p35) (line0 p32 p36)
	(command "_linetype" "s" "continuous" ""
                 "_layer" "set" "dim" ""
                 "_dim1" "hor" p3 p4 pd6 (rtos (/ (distance p3 p4) 2.0) m2 m4)
                 "_dim1" "ver" p2 p4 pd5 (rtos (/ (distance p2 p4) 2.0) m2 m4)
        )
    (if (= ov 1) (progn 
        (command "_dim1" "hor" p21 p1 pd6 (rtos (/ (distance p21 p1) 2.0) m2 m4)
                 "_dim1" "hor" p24 p2 pd6 (rtos (/ (distance p2 p24) 2.0) m2 m4)
                 "_dim1" "ver" p29 p1 pd5 (rtos (/ (distance p29 p1) 2.0) m2 m4)
                 "_dim1" "ver" p32 p3 pd5 (rtos (/ (distance p32 p3) 2.0) m2 m4)
        )
        (setvar "dimtix" 1)
        (command "_dim1" "hor" p21 p22 pd6 (rtos (/ (distance p21 p22) 2.0) m2 m4)
                 "_dim1" "hor" p22 p23 pd6 (rtos (/ (distance p22 p23) 2.0) m2 m4)
                 "_dim1" "hor" p23 p24 pd6 (rtos (/ (distance p23 p24) 2.0) m2 m4)
                 "_dim1" "ver" p29 p30 pd5 (rtos (/ (distance p29 p30) 2.0) m2 m4)
                 "_dim1" "ver" p30 p31 pd5 (rtos (/ (distance p30 p31) 2.0) m2 m4)
                 "_dim1" "ver" p31 p32 pd5 (rtos (/ (distance p31 p32) 2.0) m2 m4)
        )
        (setvar "dimtix" 0)
    ))
        (command "_layer" "s" "0" "")
      )
      ((= typeb 3)
       (setq 
	     p1 (list (- (car p0) (/ c510 2.0)) (+ (cadr p0) c510))
	     p2 (list (+ (car p0) (/ c510 2.0)) (+ (cadr p0) c510))
	     p3 (list (car p1) (- (cadr p1) c510))
	     p4 (list (car p2) (- (cadr p2) c510))
	     p5 (list (car p0) (+ (cadr p1) c550))
	     p6 (list (car p0) (- (cadr p3) c550))
	     p7 (list (- (car p1) c550) (- (cadr p1) (/ c510 2.0)))
	     p8 (list (+ (car p2) c550) (- (cadr p2) (/ c510 2.0)))
	     p9 (list (+ (car p1) 55.0) (- (cadr p1) (/ 55.0 m1)))
	     p10 (list (+ (car p9) (/ (- c510 (/ 110.0 m1)) 4.0)) (cadr p9))
	     p13 (list (- (car p2) (/ 55.0 m1)) (- (cadr p2) (/ 55.0 m1)))
	     p12 (list (- (car p13) (/ (- c510 (/ 110.0 m1)) 4.0)) (cadr p9))
	     p11 (list (- (car p12) (/ (- c510 (/ 110.0 m1)) 4.0)) (cadr p9))
	     p14 (list (+ (car p3) (/ 55.0 m1)) (+ (cadr p3) (/ 55.0 m1)))
	     p15 (list (+ (car p14) (/ (- c510 (/ 110.0 m1)) 4.0)) (cadr p14))
	     p18 (list (- (car p4) (/ 55.0 m1)) (+ (cadr p4) (/ 55.0 m1)))
	     p16 (list (+ (car p15) (/ (- c510 (/ 110.0 m1)) 4.0)) (cadr p15))
	     p17 (list (+ (car p16) (/ (- c510 (/ 110.0 m1)) 4.0)) (cadr p15))
	     p19 (list (car p9) (- (cadr p9) (/ (- c510 (/ 110.0 m1)) 4.0)))
	     p20 (list (car p19) (- (cadr p19) (/ (- c510 (/ 110.0 m1)) 4.0)))
	     p21 (list (car p20) (- (cadr p20) (/ (- c510 (/ 110.0 m1)) 4.0)))
	     p22 (list (car p13) (- (cadr p13) (/ (- c510 (/ 110.0 m1)) 4.0)))
	     p23 (list (car p22) (- (cadr p22) (/ (- c510 (/ 110.0 m1)) 4.0)))
	     p24 (list (car p23) (- (cadr p23) (/ (- c510 (/ 110.0 m1)) 4.0)))
	     p25 (list (car p9) (+ (cadr p9) c550))
	     p27 (list (car p10) (+ (cadr p10) c550))
	     p29 (list (car p12) (+ (cadr p12) c550))
	     p31 (list (car p13) (+ (cadr p13) c550))
	     p26 (list (car p14) (- (cadr p14) c550))
	     p28 (list (car p15) (- (cadr p15) c550))
	     p30 (list (car p17) (- (cadr p17) c550))
	     p32 (list (car p18) (- (cadr p18) c550))
	     p33 (list (- (car p9) c550) (cadr p9))
	     p35 (list (- (car p19) c550) (cadr p19))
	     p37 (list (- (car p21) c550) (cadr p21))
	     p39 (list (- (car p14) c550) (cadr p14))
	     p34 (list (+ (car p13) c550) (cadr p13))
	     p36 (list (+ (car p22) c550) (cadr p22))
	     p38 (list (+ (car p24) c550) (cadr p24))
	     p40 (list (+ (car p18) c550) (cadr p18))
	     p41 (list (car p10) (- (cadr p10) c550))
	     p43 (list (car p12) (- (cadr p12) c550))
	     p44 (list (car p15) (+ (cadr p15) c550))
	     p46 (list (car p17) (+ (cadr p17) c550))
	     p47 (list (+ (car p19) c550) (cadr p19))
	     p49 (list (+ (car p21) c550) (cadr p21))
	     p50 (list (- (car p22) c550) (cadr p22))
	     p52 (list (- (car p24) c550) (cadr p24))
             p101 (polar p13 (dtr (/ 40.0 m1)) (* scbp (/ 40.0 m1)))
             p102 (polar p101 (dtr 0.0) (* (/ 36.0 m1) scbp))
             p103 (list (car p101) (+ (cadr p101) (/ scbp m1)))
             p104 (polar p103 (dtr 270.0) (* scbp (/ 7.0 m1)))
	     pd1 (list (car p0) (+ (cadr p1) (* scbp (/ 10.0 m1))))
	     pd2 (list (- (car p1) (* scbp (/ 10.0 m1))) (cadr p1))
	     pd3 (list (car p0) (- (cadr p0) (* scbp (/ 10.0 m1))))
	     pd5 (list (+ (car p2) (* scbp (/ 10.0 m1))) (cadr p2))
	     pd6 (list (car p0) (+ (cadr p1) (* scbp (/ 20.0 m1))))
	     pd7 (list (+ (car p1) (/ c510 4.0)) (cadr p1))
	)
	(command "_layer" "s" "0" ""
                 "_linetype" "s" "continuous" "")
                 (line0 p1 p2) (line0 p2 p4) (line0 p4 p3) (line0 p3 p1)
	(command "_circle" p9 "d" c550
                 "_circle" p10 "d" c550
                 "_circle" p11 "d" c550
                 "_circle" p12 "d" c550
                 "_circle" p13 "d" c550
                 "_circle" p14 "d" c550
                 "_circle" p15 "d" c550
                 "_circle" p16 "d" c550
                 "_circle" p17 "d" c550
                 "_circle" p18 "d" c550
                 "_circle" p19 "d" c550
                 "_circle" p20 "d" c550
                 "_circle" p21 "d" c550
                 "_circle" p22 "d" c550
                 "_circle" p23 "d" c550
                 "_circle" p24 "d" c550)
                 (line0 p13 p101) (line0 p101 p102)
	(command "_text" p103 (* scbp (/ 4.0 m1)) "0" (strcat "%%c" (rtos c55 m2 m4) " HOLES")
                 "_text" p104 (* scbp (/ 4.0 m1)) "0" (strcat (rtos c56 2 0) " NOS")
                 "_linetype" "s" "center" ""
                 "_layer" "s" "cen" "")
                 (line0 p5 p6) (line0 p7 p8) (line0 p25 p26)
                 (line0 p27 p41) (line0 p44 p28) (line0 p29 p43)
                 (line0 p46 p30) (line0 p31 p32) (line0 p33 p34)
                 (line0 p35 p47) (line0 p50 p36) (line0 p37 p49)
                 (line0 p52 p38) (line0 p39 p40)
	(command "_linetype" "s" "continuous" ""
                 "_layer" "set" "dim" ""
                 "_dim1" "ver" p2 p4 pd5 (rtos (/ (distance p2 p4) 2.0) m2 m4)
                 "_dim1" "hor" p3 p4 pd3 (rtos (/ (distance p3 p4) 2.0) m2 m4)
        )
   (if (= ov 1) (progn
        (command "_dim1" "hor" p25 p1 pd6 (rtos (/ (distance p25 p1) 2.0) m2 m4)
                 "_dim1" "hor" p31 p2 pd6 (rtos (/ (distance p31 p2) 2.0) m2 m4)
                 "_dim1" "ver" p33 p1 pd4 (rtos (/ (distance p33 p1) 2.0) m2 m4)
                 "_dim1" "ver" p39 p3 pd4 (rtos (/ (distance p39 p3) 2.0) m2 m4)
        )
        (setvar "dimtix" 1)
        (command "_dim1" "hor" p25 p27 pd6 (rtos (/ (distance p25 p27) 2.0) m2 m4)
                 "_dim1" "hor" p27 p5 pd6 (rtos (/ (distance p27 p5) 2.0) m2 m4)
                 "_dim1" "hor" p5 p29 pd6 (rtos (/ (distance p5 p29) 2.0) m2 m4)
                 "_dim1" "hor" p29 p31 pd6 (rtos (/ (distance p29 p31) 2.0) m2 m4)
                 "_dim1" "ver" p33 p35 pd4 (rtos (/ (distance p33 p35) 2.0) m2 m4)
                 "_dim1" "ver" p35 p7 pd4 (rtos (/ (distance p35 p7) 2.0) m2 m4)
                 "_dim1" "ver" p7 p37 pd4 (rtos (/ (distance p7 p37) 2.0) m2 m4)
                 "_dim1" "ver" p37 p39 pd4 (rtos (/ (distance p37 p39) 2.0) m2 m4)
        )
        (setvar "dimtix" 0)
    ))
        (command "_layer" "s" "0" "")
      )
) ; end cond
       (setq p53 (list (- (car p2) (/ c510 20.0)) (- (cadr p2) (/ c510 5.0)))
             p54 (list (+ (car p53) c51) (+ (cadr p53) (/ c51 10.0)))
        )
    (setq wt1 (* 7.85 c51 c51 c54 wtfac1))
(if (= ov 1) (progn (tagno p53 p54 "101" 1 size scbp)
        (nextpt 1 scbp)
    (bom1 size 1 "101" 1 (strcat "Base Plate " (rtos c51 m2 m4) "X" (rtos c51 m2 m4) "X" (rtos c54 m2 m4) "Thk") plmat wt1 "" scbp)
    (bomall_w "a" "101" 1 (strcat "Base Plate " (rtos c51 m2 m4) "X" (rtos c51 m2 m4) "X" (rtos c54 m2 m4) "Thk")
          plmat wt1 (strcat t7 "10"))
)
    (setq wt wt1)
)
; plan of pillar on baseplate
    (setq p55 (list (+ (car p1) (/ c510 2.0)) (- (cadr p1) (/ c510 2.0))) ;plate center point
          p56 (list (- (car p55) (/ c570 2.0)) (cadr p55))
          p57 (list (+ (car p55) (/ c570 2.0)) (cadr p55))
          p58 (list (- (car p56) c410) (cadr p56))
          p59 (list (+ (car p57) c410) (cadr p57))
; point for drawing stiffner
          p81 (list (+ (car p55) (- (/ c570 2.0) (/ 10.0 m1))) (+ (cadr p55) (/ c410 2.0)))
          p82 (list (- (car p55) (- (/ c570 2.0) (/ 10.0 m1))) (+ (cadr p55) (/ c410 2.0)))
          p83 (list (+ (car p55) (- (/ c570 2.0) (/ 10.0 m1))) (- (cadr p55) (/ c410 2.0)))
          p84 (list (- (car p55) (- (/ c570 2.0) (/ 10.0 m1))) (- (cadr p55) (/ c410 2.0)))
          p85 (list (+ (car p55) (/ c410 2.0)) (+ (cadr p55) (/ c410 2.0)))
          p86 (list (- (car p55) (/ c410 2.0)) (+ (cadr p55) (/ c410 2.0)))
          p87 (list (+ (car p55) (/ c410 2.0)) (- (cadr p55) (/ c410 2.0)))
          p88 (list (- (car p55) (/ c410 2.0)) (- (cadr p55) (/ c410 2.0)))
          p89 (list (+ (car p55) (/ c410 2.0)) (+ (cadr p55) (- (/ c570 2.0) (/ 10.0 m1))))
          p90 (list (- (car p55) (/ c410 2.0)) (+ (cadr p55) (- (/ c570 2.0) (/ 10.0 m1))))
          p91 (list (+ (car p55) (/ c410 2.0)) (- (cadr p55) (- (/ c570 2.0) (/ 10.0 m1))))
          p92 (list (- (car p55) (/ c410 2.0)) (- (cadr p55) (- (/ c570 2.0) (/ 10.0 m1))))
          p93 (list (car p0) (- (cadr p0) (* scbp (/ 20.0 m1))))
          p94 (list (car p0) (- (cadr p0) (* scbp (/ 30.0 m1))))
          pd9 (list (car p81) (+ (cadr p81) (/ c51 6.0)))
          pd10 (list (car p56) (cadr p56))
    )
    (command "_layer" "s" "0" ""
             "_linetype" "s" "continuous" ""
             "_circle" p55 "d" c570
             "_circle" p55 "d" (- c570 (* c41 2.0))
             "_circle" p55 "d" c580
             "_circle" p55 "d" (- c580 (* c41 2.0))
             "_text" "c" p93 (* scbp (/ 4.0 m1)) "0" "%%uSEC BB"
             "_text" "c" p94 (* scbp (/ 4.0 m1)) "0" (strcat "Scale 1:" (rtos (* scbp 2.0) 2 1)))
             (line0 p82 p81) (line0 p83 p84) (line0 p86 p90)
  	     (line0 p89 p85) (line0 p88 p92) (line0 p91 p87)
    (command "_solid" p86 (polar p86 (dtr 90.0) (/ 10.0 m1)) (polar p86 (dtr 180.0) (/ 10.0 m1)) "" ""
             "_solid" p85 (polar p85 (dtr 90.0) (/ 10.0 m1)) (polar p85 (dtr 0.0) (/ 10.0 m1)) "" ""
             "_solid" p88 (polar p88 (dtr 270.0) (/ 10.0 m1)) (polar p88 (dtr 180.0) (/ 10.0 m1)) "" ""
             "_solid" p87 (polar p87 (dtr 270.0) (/ 10.0 m1)) (polar p87 (dtr 0.0) (/ 10.0 m1)) "" ""
             "_layer" "s" "dim" ""
             "_dim1" "hor" p89 p90 pd9 (rtos (/ (distance p89 p90) 2.0) m2 m4)
             "_dim1" "hor" p59 p58 pd10 (rtos (/ (distance p59 p58) 2.0) m2 m4)
             "_rotate" "l" "" p55 "45.0"
             "_dim1" "hor" p56 p57 pd10 (rtos (/ (distance p56 p57) 2.0) m2 m4)
             "_rotate" "l" "" p55 "-45.0"
             "_layer" "s" "0" ""
    )  (dsls scp)
        (setvar "osmode" 0)(princ)
) ; end baseplate ------------------------------------------------------------------------
(defun coneplate ( p0 cap pl stht ov sccp1 / wt1 brac
                   p2 p3 p4 p5 p6 p7 p8 p9 p10
                   p11 p12 p13 p14 p15 p16 p17 p18 p19 p20
                   p21 p22 p23 p24 p25 p26 p27 p28 p29 p30
                   p31 p32 p33 p34 p35 p36 p37 p38 p39 p40
                   p41 p42 p43 p44 p45 p46 p47 p48 p49 p50
                   p51 p52 p53 p54 p55 p56 p57 p58 p59 p60
                   p61 p62 p63
                   p76 p77 p78 p79
                   pt2 pt3 pt4 pt5 pt6
                   pd1 pd2 pd3 pd4 pd5
                   p101 p102 p103 p104 p105 p106 p107 p108
                  )

(if                                    (<= (- pl stht) (/ 2700.0 m1)) (setq brac 2))
(if (and (> (- pl stht) (/ 2700.0 m1)) (<= (- pl stht) (/ 4050.0 m1))) (setq brac 3))
(if (and (> (- pl stht) (/ 4050.0 m1)) (<= (- pl stht) (/ 5400.0 m1))) (setq brac 4))
(if      (> (- pl stht) (/ 5400.0 m1)) (setq brac 5))

(setq e (- (/ (- pl stht) (+ brac 1)) (rem (/ (- pl stht) (+ brac 1)) (/ 10.0 m1)))
      p76 (list (- (car p0) (/ c51 2.0)) (cadr p0))
      p77 (list (+ (car p0) (/ c51 2.0)) (cadr p0))
      p78 (list (car p76) (+ (cadr p0) c54))
      p79 (list (car p77) (+ (cadr p0) c54))
      p1 (list (car p0) (cadr p78))
      p2 (list (- (car p1) (/ c57 2.0)) (cadr p1))
      p3 (list (+ (car p1) (/ c57 2.0)) (cadr p1))
      p4 (list (- (car p2) c41) (cadr p1))
      p5 (list (+ (car p3) c41) (cadr p1))
      p6 (list (car p0) (+ (cadr p0) (- pl stht)))
      p7 (list (- (car p6) (/ c57 2.0)) (cadr p6))
      p8 (list (+ (car p6) (/ c57 2.0)) (cadr p6))
      p9 (list (- (car p7) c41) (cadr p6))
      p10 (list (+ (car p8) c41) (cadr p6))
      p11 (list (- (car p6) (/ c58 2.0)) (+ (cadr p7) c53))
      p12 (list (+ (car p6) (/ c58 2.0)) (+ (cadr p8) c53))
      p13 (list (- (car p11) (/ c53 2.0)) (+ (cadr p9) c53))
      p14 (list (+ (car p12) (/ c53 2.0)) (+ (cadr p10) c53))
      p15 (list (car p11) (+ (cadr p7) (- stht c53)))
      p16 (list (car p12) (+ (cadr p8) (- stht c53)))
      p17 (list (car p13) (+ (cadr p9) (- stht c53)))
      p18 (list (car p14) (+ (cadr p10) (- stht c53)))
      p23 (list (car p6) (+ (cadr p6) stht))
)
(if (= typeb 3)      ; length and breadth of top plate
(setq p19 (list (- (car p6) (/ c57 2.0) (/ 35.0  m1)) (cadr p6))
      p20 (list (+ (car p6) (/ c57 2.0) (/ 35.0  m1)) (cadr p6))
      p21 (list (- (car p6) (/ c57 2.0) (/ 35.0  m1)) (+ (cadr p6) c53))
      p22 (list (+ (car p6) (/ c57 2.0) (/ 35.0  m1)) (+ (cadr p6) c53))
      p24 (list (- (car p23) (/ c58 2.0) (/ 35.0  m1)) (cadr p23))
      p25 (list (+ (car p23) (/ c58 2.0) (/ 35.0  m1)) (cadr p23))
      p26 (list (- (car p23) (/ c58 2.0) (/ 35.0  m1)) (- (cadr p23) (/ 6.0 m1)))
      p27 (list (+ (car p23) (/ c58 2.0) (/ 35.0  m1)) (- (cadr p23) (/ 6.0 m1)))
)
(setq p19 (list (- (car p6) (/ c57 2.0) (/ 30.0  m1)) (cadr p6))
      p20 (list (+ (car p6) (/ c57 2.0) (/ 30.0  m1)) (cadr p6))
      p21 (list (- (car p6) (/ c57 2.0) (/ 30.0  m1)) (+ (cadr p6) c53))
      p22 (list (+ (car p6) (/ c57 2.0) (/ 30.0  m1)) (+ (cadr p6) c53))
      p24 (list (- (car p23) (/ c58 2.0) (/ 30.0  m1)) (cadr p23))
      p25 (list (+ (car p23) (/ c58 2.0) (/ 30.0  m1)) (cadr p23))
      p26 (list (- (car p23) (/ c58 2.0) (/ 30.0  m1)) (- (cadr p23) (/ 6.0 m1)))
      p27 (list (+ (car p23) (/ c58 2.0) (/ 30.0  m1)) (- (cadr p23) (/ 6.0 m1)))
)
)
(setq p28 (list (+ (car p2) (/ 10.0 m1)) (+ (cadr p2) (/ 100.0 m1)))
      p29 (list (- (car p3) (/ 10.0 m1)) (+ (cadr p3) (/ 100.0 m1)))
      p30 (polar p1 (dtr 180.0) (/ c41 2.0))
      p31 (polar p1 (dtr 0.0) (/ c41 2.0))
      p32 (list (car p30) (cadr p28))
      p33 (list (car p31) (cadr p29))
      pd1 (list (- (car p4) (* (/ 30.0 m1) sccp1)) (cadr p4))
      pd2 (list (- (car pd1) (* sccp1 (/ 15.0 m1))) (cadr pd1))
      pd3 (list (+ (car p5) (* (/ 10.0 m1) sccp1)) (cadr p5))
      pd4 (list (- (car p1) (* sccp1 (/ 20.0 m1))) (cadr p1))
      pd10 (list (- (car p76) (* sccp1 (/ 20.0 m1))) (cadr p76))
)
(if (= ov 1) (progn
(setq wt1 (* 7.85 c41 (distance p28 p29) (/ 100.0 m1) wtfac1)
       p101 (list (+ (car p33) (/ (distance p11 p15) 2.0)) (+ (cadr p33) (/ 100.0 m1)))
)
      (nextpt 0 sccp1)
(if (= m2 2) (bom1 size 1 "102" 1 (strcat "Bottom Stiffner " (rtos (distance p28 p29) m2 m4) "X100X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 2) (bomall_w "a" "102" 1 (strcat "Bottom Stiffner " (rtos (distance p28 p29) m2 m4) "X100X" (rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
(if (= m2 4) (bom1 size 1 "102" 1 (strcat "Bottom Stiffner " (rtos (distance p28 p29) m2 m4) "X4\"X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 4) (bomall_w "a" "102" 1 (strcat "Bottom Stiffner " (rtos (distance p28 p29) m2 m4) "X4\"X" (rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
      (tagno2 p33 p101 "102" 1 size sccp1)
(setq wt1 (* 7.85 c41 (distance p28 p29) (/ 100.0 m1) wtfac1)
       p101 (list (+ (car p33) (/ (distance p11 p15) 2.0)) (+ (cadr p33) (/ 100.0 m1)))
)
      (nextpt 0 sccp1)
(if (= m2 2) (bom1 size 1 "103" 2 (strcat "Bottom Stiffners " (rtos (- (/ (distance p28 p29) 2.0) 3.0) m2 m4) "X100X" (rtos c41 m2 m4) "Thk") plmat wt1 "Cut to Suit" sccp1))
(if (= m2 2) (bomall_w "a" "103" 2 (strcat "Bottom Stiffners " (rtos (- (/ (distance p28 p29) 2.0) 3.0) m2 m4) "X100X" (rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
(if (= m2 4) (bom1 size 1 "103" 2 (strcat "Bottom Stiffners " (rtos (- (/ (distance p28 p29) 2.0) (/ 3.0 16.0)) m2 m4) "X4\"X" (rtos c41 m2 m4) "Thk") plmat wt1 "Cut to Suit" sccp1))
(if (= m2 4) (bomall_w "a" "103" 2 (strcat "Bottom Stiffners " (rtos (- (/ (distance p28 p29) 2.0) (/ 3.0 16.0)) m2 m4) "X4\"X" (rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
;      (tagno p33 p101 "103" 1 size sccp1)
(setq wt1 (/ (* 7.85 c41 pi (+ c57 c58) (distance p2 p7) wtfac1) 2.0)
       p101 (list (car p1) (+ (cadr p1) (/ 500.0 m1)))
       p102 (list (+ (car p101) (/ (distance p11 p15) 2.0)) (+ (cadr p101) (/ 100.0 m1))) 
)
      (nextpt 0 sccp1)
      (bom1 size 1 "104" 2 (strcat "Bottom Column Pipe " (rtos c57 m2 m4) "DiaX " (rtos (distance p2 p7) m2 m4) "LgX " (rtos c41 m2 m4) "Thk") pimat wt1 "" sccp1)
      (bomall_w "a" "104" 2 (strcat "Bottom Column Pipe " (rtos c57 m2 m4) "DiaX " (rtos (distance p2 p7) m2 m4) "LgX " (rtos c41 m2 m4) "Thk") pimat wt1 (strcat t7 "10"))
      (tagno p101 p102 "104" 1 size sccp1)
(setq wt1 (* 7.85 c41 pi c58 (distance p11 p15) wtfac1)
       p101 (list (car p6) (+ (cadr p6) (/ (distance p11 p15) 2.0)))
       p102 (list (+ (car p101) (/ (distance p11 p15) 2.0)) (+ (cadr p101) (* sccp1 (/ 20.0 m1))))
)
      (nextpt 0 sccp1)
      (bom1 size 1 "105" 2 (strcat "Top Column Pipe " (rtos c58 m2 m4) "Dia X" (rtos (distance p11 p15) m2 m4) "LgX " (rtos c41 m2 m4) "Thk") pimat wt1 "" sccp1)
      (bomall_w "a" "105" 2 (strcat "Top Column Pipe " (rtos c58 m2 m4) "Dia X" (rtos (distance p11 p15) m2 m4) "LgX " (rtos c41 m2 m4) "Thk") pimat wt1 (strcat t7 "20"))
      (tagno p101 p102 "105" 1 size sccp1)

(setq wt1 (* 7.85 c53 (+ c58 (/ 40.0 m1)) (+ c58 (/ 40.0 m1)) wtfac1)
       p101 (list (+ (car p14) (/ (distance p11 p15) 2.0)) (+ (cadr p14) (* sccp1 (/ 10.0 m1))))
       p102 (list (+ (car p25) (/ (distance p11 p15) 2.0)) (+ (cadr p25) (* sccp1 (/ 10.0 m1))))
)
      (nextpt 0 sccp1)
    (if (= m2 2) (progn
      (bom1 size 1 "106" 1 (strcat "Bot Cover Plate " (rtos (+ c58 (/ 60.0 m1)) m2 m4) "X" (rtos (+ c58 (/ 40.0 m1)) m2 m4) "X" (rtos c53 m2 m4) "Thk") plmat wt1 "" sccp1)
      (bomall_w "a" "106" 1 (strcat "Bot Cover Plate " (rtos (+ c58 (/ 60.0 m1)) m2 m4) "X" (rtos (+ c58 (/ 40.0 m1)) m2 m4) "X" (rtos c53 m2 m4) "Thk") plmat wt1 (strcat t7 "10"))
    ))
    (if (= m2 4) (progn
      (bom1 size 1 "106" 1 (strcat "Bot Cover Plate " (rtos (+ c58 2.5) m2 m4) "X" (rtos (+ c58 1.5) m2 m4) "X" (rtos c53 m2 m4) "Thk") plmat wt1 "" sccp1)
      (bomall_w "a" "106" 1 (strcat "Bot Cover Plate " (rtos (+ c58 2.5) m2 m4) "X" (rtos (+ c58 1.5) m2 m4) "X" (rtos c53 m2 m4) "Thk") plmat wt1 (strcat t7 "10"))
    ))
      (tagno p14 p101 "106" 1 size sccp1)

(setq wt1 (* 7.85 (/ 6.0 m1) (+ c58 (/ 40.0 m1)) (+ c58 (/ 40.0 m1)) wtfac1)
       p101 (list (+ (car p14) (/ (distance p11 p15) 2.0)) (+ (cadr p14) (* sccp1 (/ 10.0 m1))))
       p102 (list (+ (car p25) (/ (distance p11 p15) 2.0)) (+ (cadr p25) (* sccp1 (/ 10.0 m1))))
)
      (nextpt 0 sccp1)
(if (= m2 2) (bom1 size 1 "107" 1 (strcat "Top Cover Plate " (rtos (+ c58 (/ 60.0 m1)) m2 m4) "X" (rtos (+ c58 (/ 40.0 m1)) m2 m4) "X 6 Thk") plmat wt1 "" sccp1))
(if (= m2 2) (bomall_w "a" "107" 1 (strcat "Top Cover Plate " (rtos (+ c58 (/ 60.0 m1)) m2 m4) "X" (rtos (+ c58 (/ 40.0 m1)) m2 m4) "X 6 Thk") plmat wt1 (strcat t7 "10")))
(if (= m2 4) (bom1 size 1 "107" 1 (strcat "Top Cover Plate " (rtos (+ c58 2.5) m2 m4) "X" (rtos (+ c58 1.5) m2 m4) "X 1/4\" Thk") plmat wt1 "" sccp1))
(if (= m2 4) (bomall_w "a" "107" 1 (strcat "Top Cover Plate " (rtos (+ c58 2.5) m2 m4) "X" (rtos (+ c58 1.5) m2 m4) "X 1/4\" Thk") plmat wt1 (strcat t7 "10")))
      (tagno p25 p102 "107" 1 size sccp1)
))
(setvar "cmdecho" 0)
    (command "_layer" "s" "0" ""
             "_linetype" "s" "continuous" "")
             (line0 p76 p78) (line0 p78 p79) (line0 p79 p77)
 	     (line0 p77 p76) (line0 p4 p9) (line0 p2 p7)
             (line0 p3 p8) (line0 p5 p10) (line0 p13 p17)
             (line0 p11 p15) (line0 p12 p16) (line0 p14 p18)
             (line0 p19 p20) (line0 p20 p22) (line0 p22 p21)
             (line0 p21 p19) (line0 p26 p24) (line0 p24 p25)
             (line0 p25 p27) (line0 p27 p26)
    (command "_linetype" "s" "hiddenx2" ""
	     "_layer" "set" "hid" "")
             (line0 p28 p29)
    (command "_line" p28 (strcat "@" (rtos (/ 100.0 m1)) "<270") ""
             "_line" p29 (strcat "@" (rtos (/ 100.0 m1)) "<270") "")
             (line0 p30 p32)
             (line0 p31 p33)
    (command "_linetype" "s" "continuous" ""
             "_layer" "s" "dim" ""
             "_dim1" "ver" p78 p76 pd10 ""
             "_dim1" "ver" p2 p28 pd4 ""
             "_dim1" "ver" p0 p24 pd2 ""
             "_dim1" "ver" p0 p6 pd1 ""
             "_dim1" "ver" p6 p24 pd1 ""
             "_layer" "s" "0" "")
	(setq p34 (polar p2 (angle p2 p7) e)
	      p35 (polar p34 (angle p2 p7) c41)
	      p36 (list (- (car p34) (/ 100.0 m1)) (cadr p34))
	      p37 (list (car p36) (cadr p35))
	      p38 (polar p3 (angle p3 p8) e)
	      p39 (polar p38 (angle p3 p8) c41)
	      p64 (list (+ (car p38) (/ 100.0 m1)) (cadr p38))
	      p65 (list (car p64) (cadr p39))
              p40 (polar p2 (angle p2 p7) (* e 2.0))
	      p41 (polar p40 (angle p2 p7) c41)
	      p42 (list (- (car p40) (/ 100.0 m1)) (cadr p40))
	      p43 (list (car p42) (cadr p41))
	      p44 (polar p3 (angle p3 p8) (* e 2.0))
	      p45 (polar p44 (angle p3 p8) c41)
	      p66 (list (+ (car p44) (/ 100.0 m1)) (cadr p44))
	      p67 (list (car p66) (cadr p45))
              p46 (polar p2 (angle p2 p7) (* e 3.0))
	      p47 (polar p46 (angle p2 p7) c41)
	      p48 (list (- (car p46) (/ 100.0 m1)) (cadr p46))
	      p49 (list (car p48) (cadr p47))
	      p50 (polar p3 (angle p3 p8) (* e 3.0))
	      p51 (polar p50 (angle p3 p8) c41)
	      p68 (list (+ (car p50) (/ 100.0 m1)) (cadr p50))
	      p69 (list (car p68) (cadr p51))
              p52 (polar p2 (angle p2 p7) (* e 4.0))
	      p53 (polar p52 (angle p2 p7) c41)
	      p54 (list (- (car p52) (/ 100.0 m1)) (cadr p52))
	      p55 (list (car p54) (cadr p53))
	      p56 (polar p3 (angle p3 p8) (* e 4.0))
	      p57 (polar p56 (angle p3 p8) c41)
	      p70 (list (+ (car p56) (/ 100.0 m1)) (cadr p56))
	      p71 (list (car p70) (cadr p57))
              p58 (polar p2 (angle p2 p7) (* e 5.0))
	      p59 (polar p58 (angle p2 p7) c41)
	      p60 (list (- (car p58) (/ 100.0 m1)) (cadr p58))
	      p61 (list (car p60) (cadr p59))
	      p62 (polar p3 (angle p3 p8) (* e 5.0))
	      p63 (polar p62 (angle p3 p8) c41)
	      p72 (list (+ (car p62) (/ 100.0 m1)) (cadr p62))
	      p73 (list (car p72) (cadr p63))
	      pd5 (polar p35 (dtr 270.0) (* sccp1 (/ 10.0 m1)))
              pt2 (list (- (car p37) (/ (distance p37 p39) 4.0)) (- (cadr p37) (* sccp1 (/ 20.0 m1))))
              pt3 (list (- (car pt2) (* (/ 80.0 m1) sccp1)) (cadr pt2))
              pt4 (list (+ (car pt3) (/ sccp1 m1)) (+ (cadr pt3) (/ sccp1 m1)))
              pt5 (list (car pt4) (- (cadr pt4) (* sccp1 (/ 6.0 m1))))
              pt6 (list (car pt5) (- (cadr pt5) (* sccp1 (/ 6.0 m1))))
	)
          (command "_layer" "s" "dim" ""
                   "_linetype" "s" "continuous" ""
                   "_layer" "s" "0" "")
                   (line0 p35 pt2) (line0 pt2 pt3)
	  (command "_text" pt4 (* sccp1 (/ 4.0 m1)) "0" "100(100)100"
                   "_text" pt5 (* sccp1 (/ 4.0 m1)) "0" "100(100)100 TYP"
                   "_text" pt6 (* sccp1 (/ 4.0 m1)) "0" "FOR RINGS")

(if (= brac 1) (progn
          (command "_layer" "s" "0" "")
                   (line0 p64 p36) (line0 p36 p37) (line0 p37 p65) (line0 p65 p64)
	  (command "_linetype" "s" "continuous" ""
                   "_layer" "s" "dim" ""
                   "_dim1" "ver" p5 p38 pd3 (rtos e m2 m4)
                   "_dim1" "ver" p38 p10 pd3 (rtos (distance p10 p38) m2 m4)
                   "_layer" "s" "0" ""
          )
   (if (= ov 1) (progn	  
       (setq wt1 (* 7.85 (distance p35 p39) pi (/ 100.0 m1) c41 wtfac1)
             p101 (list (car p6) (cadr p39))
             p102 (list (+ (car p101) (/ (distance p11 p15) 2.0)) (+ (cadr p101) (/ 100.0 m1)))
        )
      (nextpt 0 sccp1)
(if (= m2 2) (bom1 size 1 "108" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p35 p39)) m2 m4) "X 100 X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 2) (bomall_w "a" "108" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p35 p39)) m2 m4) "X 100 X"(rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
(if (= m2 4) (bom1 size 1 "108" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p35 p39)) m2 m4) "X 4\" X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 4) (bomall_w "a" "108" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p35 p39)) m2 m4) "X 4\" X"(rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
      (tagno p101 p102 "108" 1 size sccp1)
  ))
))

(if (= brac 2) (progn
          (command "_layer" "s" "0" "")
                   (line0 p64 p36) (line0 p36 p37) (line0 p37 p65) (line0 p65 p64)
                   (line0 p66 p42) (line0 p42 p43) (line0 p43 p67) (line0 p67 p66)
	  (command "_linetype" "s" "continuous" ""
                   "_layer" "s" "0" "")
  (if (= ov 1) (progn
         (command  "_layer" "s" "dim" ""
                   "_dim1" "ver" p5 p38 pd3 (rtos e m2 m4)
                   "_dim1" "ver" p38 p44 pd3 (rtos e m2 m4)
                   "_dim1" "ver" p44 p10 pd3 (rtos (distance p10 p44) m2 m4)
                   "_layer" "s" "0" "")
       (setq wt1 (* 7.85 (distance p35 p39) pi (/ 100.0 m1) c41 wtfac1)
             p101 (list (car p6) (cadr p39))
             p102 (list (+ (car p101) (/ (distance p11 p15) 2.0)) (+ (cadr p101) (/ 100.0 m1)))
        )
      (nextpt 0 sccp1)
(if (= m2 2) (bom1 size 1 "108" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p35 p39)) m2 m4) "X 100 X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 2) (bomall_w "a" "108" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p35 p39)) m2 m4) "X 100 X"(rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
(if (= m2 4) (bom1 size 1 "108" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p35 p39)) m2 m4) "X 4\" X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 4) (bomall_w "a" "108" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p35 p39)) m2 m4) "X 4\" X"(rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
      (tagno p101 p102 "108" 1 size sccp1)
       (setq wt1 (* 7.85 (distance p41 p45) pi (/ 100.0 m1) c41 wtfac1)
                 p101 (list (car p6) (cadr p45))
                 p102 (list (+ (car p101) (/ (distance p11 p15) 2.0)) (+ (cadr p101) (/ 100.0 m1)))
           )
      (nextpt 0 sccp1)
(if (= m2 2) (bom1 size 1 "109" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p41 p45)) m2 m4) "X 100 X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 2) (bomall_w "a" "109" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p41 p45)) m2 m4) "X 100 X"(rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
(if (= m2 4) (bom1 size 1 "109" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p41 p45)) m2 m4) "X 4\" X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 4) (bomall_w "a" "109" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p41 p45)) m2 m4) "X 4\" X"(rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
      (tagno p101 p102 "109" 1 size sccp1)
  ))
))

(if (= brac 3) (progn
	  (command "_layer" "s" "0" "")
                   (line0 p64 p36) (line0 p36 p37) (line0 p37 p65) (line0 p65 p64)
                   (line0 p66 p42) (line0 p42 p43) (line0 p43 p67) (line0 p67 p66)
                   (line0 p68 p48) (line0 p48 p49) (line0 p49 p69) (line0 p69 p68)
          (command "_linetype" "s" "continuous" ""
                   "_layer" "s" "0" "")
 (if (= ov 1) (progn
         (command  "_layer" "s" "dim" ""
                   "_dim1" "ver" p5 p38 pd3 (rtos e m2 m4)
                   "_dim1" "ver" p38 p44 pd3 (rtos e m2 m4)
                   "_dim1" "ver" p44 p50 pd3 (rtos e m2 m4)
                   "_dim1" "ver" p50 p10 pd3 (rtos (distance p10 p50) m2 m4)
                   "_layer" "s" "0" "")
       (setq wt1 (* 7.85 (distance p35 p39) pi (/ 100.0 m1) c41 wtfac1)
             p101 (list (car p6) (cadr p39))
             p102 (list (+ (car p101) (/ (distance p11 p15) 2.0)) (+ (cadr p101) (/ 100.0 m1)))
        )
      (nextpt 0 sccp1)
(if (= m2 2) (bom1 size 1 "108" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p35 p39)) m2 m4) "X 100 X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 2) (bomall_w "a" "108" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p35 p39)) m2 m4) "X 100 X"(rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
(if (= m2 4) (bom1 size 1 "108" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p35 p39)) m2 m4) "X 4\" X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 4) (bomall_w "a" "108" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p35 p39)) m2 m4) "X 4\" X"(rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
      (tagno p101 p102 "108" 1 size sccp1)
       (setq wt1 (* 7.85 (distance p41 p45) pi (/ 100.0 m1) c41 wtfac1)
                 p101 (list (car p6) (cadr p45))
                 p102 (list (+ (car p101) (/ (distance p11 p15) 2.0)) (+ (cadr p101) (/ 100.0 m1)))
           )
      (nextpt 0 sccp1)
(if (= m2 2) (bom1 size 1 "109" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p41 p45)) m2 m4) "X 100 X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 2) (bomall_w "a" "109" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p41 p45)) m2 m4) "X 100 X"(rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
(if (= m2 4) (bom1 size 1 "109" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p41 p45)) m2 m4) "X 4\" X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 4) (bomall_w "a" "109" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p41 p45)) m2 m4) "X 4\" X"(rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
      (tagno p101 p102 "109" 1 size sccp1)
       (setq wt1 (* 7.85 (distance p47 p51) pi (/ 100.0 m1) c41 wtfac1)
                 p101 (list (car p6) (cadr p51))
                 p102 (list (+ (car p101) (/ (distance p11 p15) 2.0)) (+ (cadr p101) (/ 100.0 m1)))
           )
      (nextpt 0 sccp1)
(if (= m2 2) (bom1 size 1 "110" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p47 p51)) m2 m4) "X 100 X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 2) (bomall_w "a" "110" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p47 p51)) m2 m4) "X 100 X"(rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
(if (= m2 4) (bom1 size 1 "110" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p47 p51)) m2 m4) "X 4\" X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 4) (bomall_w "a" "110" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p47 p51)) m2 m4) "X 4\" X"(rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
      (tagno p101 p102 "110" 1 size sccp1)
))
))

(if (= brac 4) (progn
          (command "_layer" "s" "0" "")
                   (line0 p64 p36) (line0 p36 p37) (line0 p37 p65) (line0 p65 p64)
                   (line0 p66 p42) (line0 p42 p43) (line0 p43 p67) (line0 p67 p66)
                   (line0 p68 p48) (line0 p48 p49) (line0 p49 p69) (line0 p69 p68)
                   (line0 p70 p54) (line0 p54 p55) (line0 p55 p71) (line0 p71 p70)
	  (command "_linetype" "s" "continuous" ""
                   "_layer" "s" "0" "")
          (if (= ov 1) (progn
          (command "_layer" "s" "dim" ""
                   "_dim1" "ver" p5 p38 pd3 (rtos e m2 m4)
                   "_dim1" "ver" p38 p44 pd3 (rtos e m2 m4)
                   "_dim1" "ver" p44 p50 pd3 (rtos e m2 m4)
                   "_dim1" "ver" p50 p56 pd3 (rtos e m2 m4)
                   "_dim1" "ver" p56 p10 pd3 (rtos (distance p10 p56) m2 m4)
                   "_layer" "s" "0" "")
       (setq wt1 (* 7.85 (distance p35 p39) pi (/ 100.0 m1) c41 wtfac1)
             p101 (list (car p6) (cadr p39))
             p102 (list (+ (car p101) (/ (distance p11 p15) 2.0)) (+ (cadr p101) (/ 100.0 m1)))
        )
      (nextpt 0 sccp1)
(if (= m2 2) (bom1 size 1 "108" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p35 p39)) m2 m4) "X 100 X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 2) (bomall_w "a" "108" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p35 p39)) m2 m4) "X 100 X"(rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
(if (= m2 4) (bom1 size 1 "108" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p35 p39)) m2 m4) "X 4\" X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 4) (bomall_w "a" "108" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p35 p39)) m2 m4) "X 4\" X"(rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
      (tagno p101 p102 "108" 1 size sccp1)
       (setq wt1 (* 7.85 (distance p41 p45) pi (/ 100.0 m1) c41 wtfac1)
                 p101 (list (car p6) (cadr p45))
                 p102 (list (+ (car p101) (/ (distance p11 p15) 2.0)) (+ (cadr p101) (/ 100.0 m1)))
           )
      (nextpt 0 sccp1)
(if (= m2 2) (bom1 size 1 "109" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p41 p45)) m2 m4) "X 100 X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 2) (bomall_w "a" "109" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p41 p45)) m2 m4) "X 100 X"(rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
(if (= m2 4) (bom1 size 1 "109" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p41 p45)) m2 m4) "X 4\" X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 4) (bomall_w "a" "109" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p41 p45)) m2 m4) "X 4\" X"(rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
      (tagno p101 p102 "109" 1 size sccp1)
       (setq wt1 (* 7.85 (distance p47 p51) pi (/ 100.0 m1) c41 wtfac1)
                 p101 (list (car p6) (cadr p51))
                 p102 (list (+ (car p101) (/ (distance p11 p15) 2.0)) (+ (cadr p101) (/ 100.0 m1)))
           )
      (nextpt 0 sccp1)
(if (= m2 2) (bom1 size 1 "110" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p47 p51)) m2 m4) "X 100 X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 2) (bomall_w "a" "110" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p47 p51)) m2 m4) "X 100 X"(rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
(if (= m2 4) (bom1 size 1 "110" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p47 p51)) m2 m4) "X 4\" X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 4) (bomall_w "a" "110" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p47 p51)) m2 m4) "X 4\" X"(rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
      (tagno p101 p102 "110" 1 size sccp1)
       (setq wt1 (* 7.85 (distance p53 p57) pi (/ 100.0 m1) c41 wtfac1)
                 p101 (list (car p6) (cadr p57))
                 p102 (list (+ (car p101) (/ (distance p11 p15) 2.0)) (+ (cadr p101) (/ 100.0 m1)))
           )
      (nextpt 0 sccp1)
(if (= m2 2) (bom1 size 1 "111" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p53 p57)) m2 m4) "X 100 X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 2) (bomall_w "a" "111" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p53 p57)) m2 m4) "X 100 X"(rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
(if (= m2 4) (bom1 size 1 "111" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p53 p57)) m2 m4) "X 4\" X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 4) (bomall_w "a" "111" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p53 p57)) m2 m4) "X 4\" X"(rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
      (tagno p101 p102 "111" 1 size sccp1)
))
))

(if (= brac 5) (progn
          (command "_layer" "s" "0" "")
                   (line0 p64 p36) (line0 p36 p37) (line0 p37 p65) (line0 p65 p64)
                   (line0 p66 p42) (line0 p42 p43) (line0 p43 p67) (line0 p67 p66)
                   (line0 p68 p48) (line0 p48 p49) (line0 p49 p69) (line0 p69 p68)
                   (line0 p70 p54) (line0 p54 p55) (line0 p55 p71) (line0 p71 p70)
                   (line0 p72 p60) (line0 p60 p61) (line0 p61 p73) (line0 p73 p72)
          (command "_linetype" "s" "continuous" ""
                   "_layer" "s" "0" "")
          (if (= ov 1) (progn
          (command "_layer" "s" "dim" ""
                   "_dim1" "ver" p5 p38 pd3 (rtos e m2 m4)
                   "_dim1" "ver" p38 p44 pd3 (rtos e m2 m4)
                   "_dim1" "ver" p44 p50 pd3 (rtos e m2 m4)
                   "_dim1" "ver" p50 p56 pd3 (rtos e m2 m4)
                   "_dim1" "ver" p56 p62 pd3 (rtos e m2 m4)
                   "_dim1" "ver" p62 p10 pd3 (rtos (distance p10 p62) m2 m4)
                   "_layer" "s" "0" "")
       (setq wt1 (* 7.85 (distance p35 p39) pi (/ 100.0 m1) c41 wtfac1)
             p101 (list (car p6) (cadr p39))
             p102 (list (+ (car p101) (/ (distance p11 p15) 2.0)) (+ (cadr p101) (/ 100.0 m1)))
        )
      (nextpt 0 sccp1)
(if (= m2 2) (bom1 size 1 "108" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p35 p39)) m2 m4) "X 100 X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 2) (bomall_w "a" "108" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p35 p39)) m2 m4) "X 100 X"(rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
(if (= m2 4) (bom1 size 1 "108" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p35 p39)) m2 m4) "X 4\" X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 4) (bomall_w "a" "108" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p35 p39)) m2 m4) "X 4\" X"(rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
      (tagno p101 p102 "108" 1 size sccp1)
       (setq wt1 (* 7.85 (distance p41 p45) pi (/ 100.0 m1) c41 wtfac1)
                 p101 (list (car p6) (cadr p45))
                 p102 (list (+ (car p101) (/ (distance p11 p15) 2.0)) (+ (cadr p101) (/ 100.0 m1)))
           )
      (nextpt 0 sccp1)
(if (= m2 2) (bom1 size 1 "109" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p41 p45)) m2 m4) "X 100 X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 2) (bomall_w "a" "109" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p41 p45)) m2 m4) "X 100 X"(rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
(if (= m2 4) (bom1 size 1 "109" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p41 p45)) m2 m4) "X 4\" X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 4) (bomall_w "a" "109" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p41 p45)) m2 m4) "X 4\" X"(rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
      (tagno p101 p102 "109" 1 size sccp1)
       (setq wt1 (* 7.85 (distance p47 p51) pi (/ 100.0 m1) c41 wtfac1)
                 p101 (list (car p6) (cadr p51))
                 p102 (list (+ (car p101) (/ (distance p11 p15) 2.0)) (+ (cadr p101) (/ 100.0 m1)))
           )
      (nextpt 0 sccp1)
(if (= m2 2) (bom1 size 1 "110" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p47 p51)) m2 m4) "X 100 X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 2) (bomall_w "a" "110" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p47 p51)) m2 m4) "X 100 X"(rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
(if (= m2 4) (bom1 size 1 "110" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p47 p51)) m2 m4) "X 4\" X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 4) (bomall_w "a" "110" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p47 p51)) m2 m4) "X 4\" X"(rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
      (tagno p101 p102 "110" 1 size sccp1)
       (setq wt1 (* 7.85 (distance p53 p57) pi (/ 100.0 m1) c41 wtfac1)
                 p101 (list (car p6) (cadr p57))
                 p102 (list (+ (car p101) (/ (distance p11 p15) 2.0)) (+ (cadr p101) (/ 100.0 m1)))
           )
      (nextpt 0 sccp1)
(if (= m2 2) (bom1 size 1 "111" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p53 p57)) m2 m4) "X 100 X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 2) (bomall_w "a" "111" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p53 p57)) m2 m4) "X 100 X"(rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
(if (= m2 4) (bom1 size 1 "111" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p53 p57)) m2 m4) "X 4\" X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 4) (bomall_w "a" "111" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p53 p57)) m2 m4) "X 4\" X"(rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
      (tagno p101 p102 "111" 1 size sccp1)
       (setq wt1 (* 7.85 (distance p59 p63) pi (/ 100.0 m1) c41 wtfac1)
                 p101 (list (car p6) (cadr p63))
                 p102 (list (+ (car p101) (/ (distance p11 p15) 2.0)) (+ (cadr p101) (/ 100.0 m1)))
           )
      (nextpt 0 sccp1)
(if (= m2 2) (bom1 size 1 "112" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p59 p63)) m2 m4) "X 100 X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 2) (bomall_w "a" "112" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p59 p63)) m2 m4) "X 100 X"(rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
(if (= m2 4) (bom1 size 1 "112" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p59 p63)) m2 m4) "X 4\" X" (rtos c41 m2 m4) "Thk") plmat wt1 "" sccp1))
(if (= m2 4) (bomall_w "a" "112" 1 (strcat "Stiffner for Pillar " (rtos (* (distance p59 p63)) m2 m4) "X 4\" X"(rtos c41 m2 m4) "Thk") plmat wt1 (strcat t7 "10")))
      (tagno p101 p102 "112" 1 size sccp1)
))
))
      (setq p103 (list (- (car p4) (* sccp1 (/ 20.0 m1))) (+ (cadr p3) (/ 400.0 m1)))
            p104 (list (+ (car p5) (* sccp1 (/ 20.0 m1))) (+ (cadr p5) (/ 400.0 m1)))
            p105 (list (+ (car p103) (* sccp1 (/ 5.0 m1))) (cadr p103))
            p106 (list (- (car p104) (* sccp1 (/ 5.0 m1))) (cadr p104))
            p107 (list (car p105) (+ (cadr p105) (* sccp1 (/ 20.0 m1))))
            p108 (list (car p106) (+ (cadr p106) (* sccp1 (/ 20.0 m1))))
      )
          (command "_linetype" "s" "center" ""
	           "_layer" "set" "cen" "")
                   (line0 p1 p23)
          (command "_linetype" "s" "phantom" ""
	           "_layer" "set" "hid" "")
                   (line0 p103 p104)
          (command "_linetype" "s" "continuous" ""
                   "_pline" p105 "w" "0" (rtos (* (/ 2.0 m1) sccp1)) (strcat "@" (rtos (* (/ 4.0 m1) sccp1)) "<90") "w" "0" "0" (strcat "@" (rtos (* (/ 10.0 m1) sccp1)) "<90") ""
                   "_pline" p106 "w" "0" (rtos (* (/ 2.0 m1) sccp1)) (strcat "@" (rtos (* (/ 4.0 m1) sccp1)) "<90") "w" "0" "0" (strcat "@" (rtos (* (/ 10.0 m1) sccp1)) "<90") ""
                   "_text" "c" p107 (* sccp1 (/ 4.0 m1)) "0" "B"
                   "_text" "c" p108 (* sccp1 (/ 4.0 m1)) "0" "B"
                   "_layer" "s" "0" ""
          )
    (dsls scp) (princ)
) ; end coneplate ----------------------------------------------------------------