
(defun ppad ( ov scpad p1 / tk d d1 wt z3 te1
                   p2 p3 p4 p5 p6 p7 p8 p9 p10 
		   p11 p12 p13 p14 p15
                   pd1 pd2 pd3 pm1 pm2 pm3 pm4
	     )
	(setq size "*a4")
	(if (and (not scpad) (<= c8 (/ 50.0 m1))) (setq scpad 0.5))
	(if (and (not scpad) (> c8 (/ 50.0 m1)) (<= c8 (/ 100.0 m1))) (setq scpad 1.0))
	(if (and (not scpad) (> c8 (/ 100.0 m1))) (setq scpad 2.0))
 ; inner dia
(if (<= c8 (/ 30.0 m1)) (setq d (/ 27.0 m1)))
(if (and (> c8 (/ 30.0 m1)) (<= c8 (/ 50.0 m1))) (setq d (/ 39.0 m1)))
(if (and (> c8 (/ 50.0 m1)) (<= c8 (/ 70.0 m1))) (setq d (/ 60.0 m1)))
(if (and (> c8 (/ 70.0 m1)) (<= c8 (/ 90.0 m1))) (setq d (/ 76.0 m1)))
(if (> c8 90.0) (setq d 85.0))
  	 (setq tk (/ 12.0 m1) ; thk of Pressure Pad
	       d1 (* d 2.0) ; od of Pressure Pad
         )
        (setup scpad size ov)
        (setvar "osmode" 0)
	(if (not p1) (setq p1 (list (* (/ 130.0 m1) scpad) (* (/ 130.0 m1) scpad))))
	(setq 
	    p2 (list (- (car p1) (/ d1 2.0)) (cadr p1))
	    p3 (list (+ (car p1) (/ d1 2.0)) (cadr p1))
	    p4 (list (car p2) (+ (cadr p2) tk))
	    p5 (list (car p3) (+ (cadr p3) tk))
	    p6 (list (- (car p1) (/ d 2.0)) (cadr p1))
	    p7 (list (+ (car p1) (/ d 2.0)) (cadr p1))
	    p8 (list (- (car p1) (/ d 2.0)) (+ (cadr p1) tk))
	    p9 (list (+ (car p1) (/ d 2.0)) (+ (cadr p1) tk))
	    p10 (list (car p1) (- (cadr p1) (* scpad (/ 5.0 m1))))
	    p11 (list (car p1) (+ (cadr p1) tk (* scpad (/ 5.0 m1))))
	    pd1 (list (car p1) (- (cadr p1) (* scpad (/ 10.0 m1))))
	    pd2 (list (car p1) (+ (cadr p1) (* scpad (/ 10.0 m1)) tk))
	    pd3 (list (+ (car p3) (* scpad (/ 15.0 m1))) (cadr p3))
	    pm1 (list (car p4) (- (cadr p4) (/ tk 2.0)))
	    pm2 (list (car p8) (- (cadr p8) (/ tk 2.0)))
	    pm3 (list (- (car p8) (/ d 8.0)) (cadr p8))
	    pm4 (list (- (car p6) (/ d 8.0)) (cadr p6))
	)
	(command "_layer" "s" "0" ""
	 	 "_linetype" "set" "continuous" "")
		 (line0 p2 p4) (line0 p4 p8) (line0 p8 p9)
                 (line0 p9 p5) (line0 p5 p3) (line0 p3 p7)
                 (line0 p7 p6) (line0 p6 p2)
	 	 (line0 p6 p8) (line0 p7 p9)
(cond ( (= ov 1)
	(command "_linetype" "set" "center" "" 
                 "_layer" "s" "cen" "")
	 	 (line0 p10 p11)
	(command "_linetype" "set" "continuous" "" 
                 "_layer" "s" "dim" ""
		 "_dim1" "hor" p2 p3 pd1 "%%c<>"
		 "_dim1" "hor" p8 p9 pd2 "%%c<>"
		 "_dim1" "ver" p3 p5 pd3 ""
		 "_layer" "s" "0" ""
	         "_hatch" "ansi31" m3 "0" "w" p4 p6 ""
	         "_hatch" "ansi31" m3 "0" "w" p9 p3 "")
        (macmark pm1 scpad 90.0 1)
        (macmark pm2 scpad 270.0 2)
        (macmark pm3 scpad 0.0 1)
        (macmark pm4 scpad 180.0 1)
        (tol pd2 d scpad)
	(nextpt 4 scpad)
        (setq wt (/ (* 7.85 pi (- (* d1 d1) (* d d)) tk wtfac1) 4.0))
	(bom1 size 1 "26" 1 "Pressure Pad" plmat wt "" scpad)
	(bomall_w "a" "26" 1 "Pressure Pad" plmat wt (strcat t7 "26"))
	(command "_layer" "s" "0" "")
	(bomtab scpad z3 size)
	(setq p12 (list (car p6) (- (cadr p6) (* scpad (/ 30.0 m1)) tk))
              p13 (polar p12 (dtr 90.0) (* scpad (/ 10.0 m1)))
	      p14 (list (+ (car p13) (* scpad (/ 10.0 m1))) (cadr p13))
	      p15 (list (car p14) (- (cadr p14) (* scpad (/ 7.5 m1))))
	)
	(command "_layer" "s" "0" ""
	 	 "_linetype" "set" "continuous" ""
	         "_circle" "2p" p12 p13 
         	 "_text" "middle" (polar p13 (angle p13 p12) (* scpad (/ 5.0 m1))) (* scpad (/ 3.0 m1)) "0.0" "26"
         	 "_text" p14 (* scpad (/ 5.0 m1)) "0.0" "%%uPressure Pad"
	)
        (findrep plmat "1" "Pressure Pad" "26" t3 t4 t5 
                 (strcat "1:"(rtos scpad 2 1)) (strcat t7 "26") t1
                 c2 (rtos wt 2 1) t6)
         (gwt_w "a" (rtos wt 2 1))
	(bomga_w "a" "26" 1 "Pressure Pad" plmat wt "")
     )
)
  (dsls scpad)
        (setvar "osmode" 0)(princ)
) ; end ppad ----------------------------------------------------------------------