
(defun angle_l ( c31 c32 p1 / p2 p3 p4 p5 p6 p7 gap)
	(setvar "cmdecho" 0)
	(setvar "osmode" 0)
(if (<= c31 (/ 65.0 m1)) (setq gap (/ 20.0 m1)))
(if (>  c31 (/ 65.0 m1)) (setq gap (/ 40.0 m1)))
(if (= p1 nil) (setq p1 (getpoint "\nPlease Select Top Left-Point of the BEAM  :  ")))
    (setq p2 (list (- (car p1) gap) (+ (cadr p1) c32))
          p3 (list (+ (car p1) (- c31 gap)) (+ (cadr p1) c32))
          p4 (list (+ (car p2) c32) (- (cadr p2) c32))
          p5 (list (- (car p3) c32) (cadr p4))
          p6 (list (car p2) (- (cadr p2) c31))
          p7 (list (car p4) (+ (cadr p6) c32))
    )
    (command "_layer" "set" "0" ""
	     "_linetype" "set" "continuous" "")
             (line0 p2 p3) (line0 p3 p5) (line0 p5 p4)
             (line0 p4 p7) (line0 p7 p6) (line0 p6 p2)
    (command "_hatch" "ansi31" m3 "90" "w" p3 p6 ""
             "_layer" "set" "0" "")
) ; end angle_l -----------------------------------------------------
(defun angle_r ( c31 c32 p1 / p2 p3 p4 p5 p6 p7)
	(setvar "cmdecho" 0)
	(setvar "osmode" 0)
(if (<= c31 (/ 65.0 m1)) (setq gap (/ 20.0 m1)))
(if (>  c31 (/ 65.0 m1)) (setq gap (/ 40.0 m1)))
(if (= p1 nil) (setq p1 (getpoint "\nPlease Select Top Right-Point of the BEAM  :  ")))
    (setq p2 (list (+ (car p1) gap) (+ (cadr p1) c32))
          p3 (list (- (car p1) (- c31 gap)) (+ (cadr p1) c32))
          p4 (list (- (car p2) c32) (- (cadr p2) c32))
          p5 (list (+ (car p3) c32) (cadr p4))
          p6 (list (car p2) (- (cadr p2) c31))
          p7 (list (car p4) (+ (cadr p6) c32))
    )
    (command "_layer" "set" "0" ""
 	     "_linetype" "set" "continuous" "")
             (line0 p2 p3) (line0 p3 p5) (line0 p5 p4)
             (line0 p4 p7) (line0 p7 p6) (line0 p6 p2)
    (command "_hatch" "ansi31" m3 "90" "w" p6 p3 ""
             "_layer" "set" "0" "")
) ; end angle_r --------------------------------------------------------------------------
(defun channel1 (c33 p1 / p162 p163 p164 p165 p166 p167 p168 p169
                         c33 bc tf tw r1 r2
                         e1 e2 e3 e4 e5 e6 e7 e8)
	(setvar "cmdecho" 0)
	(setvar "osmode" 0)
(if (= p1 nil) (setq p1 (getpoint "\nPlease Select Top Mid-Point of the channel :  ")))
    (setq p162 (list (- (car p1) (/ c33 2.0)) (+ (cadr p1) c333))
          p163 (list (+ (car p1) (/ c33 2.0)) (+ (cadr p1) c333))
          p164 (list (car p162) (- (cadr p162) c331))
          p165 (list (car p163) (- (cadr p163) c331))
          p166 (list (+ (car p164) (- c332 (/ 2.0 m1))) (cadr p164))
          p167 (list (- (car p165) (- c332 (/ 2.0 m1))) (cadr p165))
          p168 (list (+ (car p162) (+ c332 (/ 2.0 m1))) (- (cadr p162) c333))
          p169 (list (- (car p163) (+ c332 (/ 2.0 m1))) (- (cadr p163) c333))
          e1 (ssadd) e2 (ssadd) e3 (ssadd) e4 (ssadd)
          e5 (ssadd) e6 (ssadd) e7 (ssadd) e8 (ssadd)
     )
    (command "_layer" "s" "0" ""
 	     "_linetype" "set" "continuous" "")
             	(line0 p162 p163)
    (setq e1 (ssadd (entlast) e1))
    		(line0 p162 p164)
    (setq e2 (ssadd (entlast) e2))
		(line0 p163 p165)
    (setq e3 (ssadd (entlast) e3))
    		(line0 p164 p166)
    (setq e4 (ssadd (entlast) e4))
    		(line0 p165 p167)
    (setq e5 (ssadd (entlast) e5))
    		(line0 p167 p169)
    (setq e6 (ssadd (entlast) e6))
    		(line0 p169 p168)
    (setq e7 (ssadd (entlast) e7))
    		(line0 p168 p166)
    (setq e8 (ssadd (entlast) e8))
  (if (null r1) (princ)
    (command "_fillet" "rad" r1
             "_fillet" e8 e7
             "_fillet" e7 e6
             "_fillet" "rad" r2
             "_fillet" e4 e8
             "_fillet" e5 e6
             "_fillet" "rad" 0
             "_hatch" "ansi31" m3 "0" "w" p162 p165 ""
             "_layer" "s" "0" ""))
) ; end channel1 -------------------------------------------------------------------------
(defun beam1 ( c12 c11 p1 / p2 p3 p4 p5 p6 p7 p8 p9 p10 
               p11 p12 p13 p14 p15
               beamh b tf tw r1 r2 scbm1
               e1 e2 e3 e4 e5 e6 e7 e8 e9 e10)
	(setvar "cmdecho" 0)
	(setvar "osmode" 0)
     (if (and (<= c1 (/ 3000.0 m1)) (not scbm1)) (setq scbm1 5.0))
     (if (and (> c1  (/ 3000.0 m1)) (not scbm1)) (setq scbm1 7.5))
     (if (= p1 nil) (setq p1 (getpoint "\nPlease Select Top Mid-Point of the Beam :  "))) ; end view of beam
    (setq p2 (list (- (car p1) (/ c111 2.0)) (cadr p1))
          p3 (list (+ (car p1) (/ c111 2.0)) (cadr p1))
          p4 (list (car p2) (- (cadr p2) c112))
          p5 (list (car p3) (- (cadr p3) c112))
          p6 (list (- (car p1) (/ c113 2.0)) (- (cadr p2) (* 1.5 c112)))
          p7 (list (+ (car p1) (/ c113 2.0)) (- (cadr p3) (* 1.5 c112)))
          p8 (list (- (car p1) (/ c111 2.0)) (- (cadr p2) c11))
          p9 (list (+ (car p1) (/ c111 2.0)) (- (cadr p2) c11))
          p10 (list (car p8) (+ (cadr p8) c112))
          p11 (list (car p9) (+ (cadr p9) c112))
          p12 (list (- (car p1) (/ c113 2.0)) (+ (cadr p8) (* 1.5 c112)))
          p13 (list (+ (car p1) (/ c113 2.0)) (+ (cadr p9) (* 1.5 c112)))
          p14 (list (car p1) (- (cadr p1) c11))
          p15 (polar p14 (dtr 270.0) (* scbm1 (/ 10.0 m1)))
          e1 (ssadd) e2 (ssadd) e3 (ssadd) e4 (ssadd) e5 (ssadd)
          e6 (ssadd) e7 (ssadd) e8 (ssadd) e9 (ssadd) e10 (ssadd)
          )
    (command "_layer" "set" "0" ""
 	     "_linetype" "set" "continuous" "")
             	(line0 p2 p3) (line0 p3 p5)
    (setq e1 (ssadd (entlast) e1))
    		(line0 p5 p7)
    (setq e2 (ssadd (entlast) e2))
    		(line0 p7 p13)
    (setq e3 (ssadd (entlast) e3))
    		(line0 p13 p11)
    (setq e4 (ssadd (entlast) e4))
    		(line0 p11 p9)
    (setq e5 (ssadd (entlast) e5))
    		(line0 p9 p8)
                (line0 p8 p10)
    (setq e6 (ssadd (entlast) e6))
    		(line0 p10 p12)
    (setq e7 (ssadd (entlast) e7))
    		(line0 p12 p6)
    (setq e8 (ssadd (entlast) e8))
    		(line0 p6 p4)
    (setq e9 (ssadd (entlast) e9))
    		(line0 p4 p2)
    (setq e10 (ssadd (entlast) e10))
  (if (null r1) (princ)
    (command "_layer" "set" "0" ""
             "_linetype" "set" "continuous" ""
             "_fillet" "rad" r1
             "_fillet" e2 e3
             "_fillet" e3 e4
             "_fillet" e7 e8
             "_fillet" e8 e9
             "_fillet" "rad" r2
             "_fillet" e1 e2
             "_fillet" e4 e5
             "_fillet" e6 e7
             "_fillet" e9 e10
             "_fillet" "rad" 0
;             "_hatch" "ansi31" m3 "0" "w" p2 p9 ""
    ))
    (command "_text" "c" p15 (* scbm1 (/ 4.0 m1)) "0" "SECTION BB"
             "_layer" "set" "0" "")
(if (= c12 1) (progn (platetop1 c29 c30 p1)))
(if (= c12 2) (progn
	(if (and (not c311) (= strstd 1)) (progn (angledata_usa c31 c32) (setq c31 angwid c32 angthk c311 rwta c312 atype)))
	(if (and (not c311) (= strstd 2)) (progn (angledata_isa c31 c32) (setq c31 angwid c32 angthk c311 rwta c312 atype)))
	(if (and (not c311) (= strstd 3)) (progn (angledata_dsa c31 c32) (setq c31 angwid c32 angthk c311 rwta c312 atype)))
	(if (and (not c311) (= strstd 4)) (progn (angledata_bsa c31 c32) (setq c31 angwid c32 angthk c311 rwta c312 atype)))
	(angle_l c31 c32 p2) (angle_r c31 c32 p3)
))
(if (= c12 3) (progn
	(if (and (not c331) (= strstd 1)) (progn  (channeldata_usc chansize csize) (setq c33 h c331 bc c332 tf c333 tw c334 rwtc c335 ctype)))
	(if (and (not c331) (= strstd 2)) (progn  (channeldata_ismc c33) (setq c33 h c331 bc c332 tf c333 tw c334 rwtc c335 ctype)))
	(if (and (not c331) (= strstd 3)) (progn  (channeldata_dsc c33) (setq c33 h c331 bc c332 tf c333 tw c334 rwtc c335 ctype)))
	(if (and (not c331) (= strstd 4)) (progn  (channeldata_bsc c33) (setq c33 h c331 bc c332 tf c333 tw c334 rwtc c335 ctype)))
	(channel1 c33 p1)
))
(if (= c12 4) (progn
	(if (and (not c331) (= strstd 1)) (progn  (channeldata_usc chansize csize) (setq c33 h c331 bc c332 tf c333 tw c334 rwtc c335 ctype)))
	(if (and (not c331) (= strstd 2)) (progn  (channeldata_ismc c33) (setq c33 h c331 bc c332 tf c333 tw c334 rwtc c335 ctype)))
	(if (and (not c331) (= strstd 3)) (progn  (channeldata_dsc c33) (setq c33 h c331 bc c332 tf c333 tw c334 rwtc c335 ctype)))
	(if (and (not c331) (= strstd 4)) (progn  (channeldata_bsc c33) (setq c33 h c331 bc c332 tf c333 tw c334 rwtc c335 ctype)))
        (platebot1 c29 c30 p14) (channel1 c33 p1)
))
) ; end beam1 ------------------------------------------------------------------
(defun beam2 (  c12 ; type of beam combination
                c11 ; size of beam
                c101 ; jib length 
                p1 ; left top point of beam in elevation
                p31 ; left center point of beam in plan
     	        tag ; tag no
                ov ; other view
                scbe2 ; scale factor
              / b tf tw r1 r2 ; properties of beam
                bc ; breadth of channel
                lcf ; flange thickness of channel
                lcw ; web thickness of channel
                rwtb rwtc rwta gap
              p2 p3 p4 p5 p6 p7 p8 p9 p10 
              p11 p12 p13 p14 p15 p16 p17 p18 p19 p20
              p21 p22 p23 p24 p25 p26 p27 p28 p29 p30
              p32 p33 p34 p35 p36 p37 p38 p39 p40
              p41 p42 p43 p44 p45 p46 p47 p48 p49 p50
              p51 p52 p53 p54 p55 p56 p57 p58 p59 p60
              p61 p62 p63 p64 p65 p66
              pd1
            )
     (setvar "cmdecho" 0)
     (if (and (<= c1 (/ 3000.0 m1)) (not scbe2)) (setq scbe2 5.0))
     (if (and (> c1  (/ 3000.0 m1)) (not scbe2)) (setq scbe2 7.5))
(if (and (= strstd 1) (not c111)) (progn (beamdata_usb beamsize bsize) (setq c11 h c111 b c112 tf c113 tw c114 rwtb c115 btype c101 (- c1 c511))))
(if (and (= strstd 2) (not c111)) (progn (beamdata_ismb beamsize)      (setq c11 h c111 b c112 tf c113 tw c114 rwtb c115 btype c101 (- c1 c511))))
(if (and (= strstd 3) (not c111)) (progn (beamdata_dsb beamsize)       (setq c11 h c111 b c112 tf c113 tw c114 rwtb c115 btype c101 (- c1 c511))))
(if (and (= strstd 4) (not c111)) (progn (beamdata_bsb beamsize)       (setq c11 h c111 b c112 tf c113 tw c114 rwtb c115 btype c101 (- c1 c511))))
    (if (= ov 1)
          (setq pd1 (polar p1 (dtr 270.0) (+ c11 (* scbe2 (/ 10.0 m1)))))
          (setq pd1 (polar p1 (dtr 90.0) (* scbe2 (/ 15.0 m1))))
    )

    (if (or (= c12 0) (= c12 5)) (progn 
; only beam
; lines in elevation p1-p2, p3-p4, p5-p6, p7-p8, (hor)
;                    p1-p7, p2-p8 (ver)
         (setq p2 (list (+ (car p1) c101) (cadr p1))
               p3 (list (car p1) (- (cadr p1) c112))
               p4 (list (car p2) (- (cadr p2) c112))
               p7 (list (car p1) (- (cadr p1) c11))
               p8 (list (car p2) (- (cadr p2) c11))
               p5 (list (car p7) (+ (cadr p7) c112))
               p6 (list (car p8) (+ (cadr p8) c112))

; lines in plan p33-p34-p36-p35-p33 (outer)
;               p37-p38, p39-p40 (hidden)
; beam centre line in plan p31-p32
               p32 (list (+ (car p31) c101) (cadr p31))
               p33 (list (car p31) (+ (cadr p31) (/ c111 2.0)))
               p34 (list (car p32) (+ (cadr p32) (/ c111 2.0)))
               p35 (list (car p31) (- (cadr p31) (/ c111 2.0)))
               p36 (list (car p32) (- (cadr p32) (/ c111 2.0)))
               p37 (list (car p31) (+ (cadr p31) (/ c113 2.0)))
               p38 (list (car p32) (+ (cadr p32) (/ c113 2.0)))
               p39 (list (car p31) (- (cadr p31) (/ c113 2.0)))
               p40 (list (car p32) (- (cadr p32) (/ c113 2.0)))
               p51 (polar p7 (dtr 0.0) (/ c101 7.0))
	)
    (setq wt1 (* c114 c101 wtfac2))
	(command "_layer" "s" "0" ""
                 "_linetype" "s" "continuous" "")
                 (line0 p1 p2) (line0 p3 p4) (line0 p5 p6)
	         (line0 p7 p8) (line0 p1 p7) (line0 p8 p2)
    	(command "_layer" "s" "dim" ""
                 "_dim1" "hor" p7 p8 pd1 ""
		 "_layer" "s" "0" "")
    (if (= ov 1) (progn
                 (line0 p33 p34) (line0 p34 p36) (line0 p36 p35) (line0 p35 p33)
        (command "_linetype" "s" "hiddenx2" ""
	         "_layer" "set" "hid" "")
                 (line0 p37 p38)
                 (line0 p39 p40)
    	(command "_layer" "s" "cen" ""
                 "_linetype" "s" "center" ""
                 "_line" (polar p31 (dtr 180.0) (* scbe2 (/ 5.0 m1)))(polar p32 (dtr 0.0) (* scbe2 (/ 5.0 m1))) ""
                 "_linetype" "s" "continuous" ""
		 "_layer" "s" "0" "")
     ))
    ))

    (if (= c12 1) (progn
; lines in elevation p1-p2, p3-p4, p5-p6, p7-p8, p11-p12 (hor)
;                    p11-p7, p12-p8 (ver)
         (setq p2 (list (+ (car p1) c101) (cadr p1))
               p3 (list (car p1) (- (cadr p1) c112))
               p4 (list (car p2) (- (cadr p2) c112))
               p7 (list (car p1) (- (cadr p1) c11))
               p8 (list (car p2) (- (cadr p2) c11))
               p5 (list (car p7) (+ (cadr p7) c112))
               p6 (list (car p8) (+ (cadr p8) c112))
               p11 (list (car p1) (+ (cadr p1) c113))
               p12 (list (car p2) (+ (cadr p2) c113))
; lines in plan p45-p46-p48-p47-p45 (outer)
;               p33-p34, p35-p36, p37-p38, p39-p40 (hidden)
; beam centre line in plan p31-p32
               p32 (list (+ (car p31) c101) (cadr p31))
               p33 (list (car p31) (+ (cadr p31) (/ c111 2.0)))
               p34 (list (car p32) (+ (cadr p32) (/ c111 2.0)))
               p35 (list (car p31) (- (cadr p31) (/ c111 2.0)))
               p36 (list (car p32) (- (cadr p32) (/ c111 2.0)))
               p37 (list (car p31) (+ (cadr p31) (/ c113 2.0)))
               p38 (list (car p32) (+ (cadr p32) (/ c113 2.0)))
               p39 (list (car p31) (- (cadr p31) (/ c113 2.0)))
               p40 (list (car p32) (- (cadr p32) (/ c113 2.0)))
               p41 (list (car p31) (+ (cadr p31) (/ c29 2.0)))
               p42 (list (car p32) (+ (cadr p32) (/ c29 2.0)))
               p43 (list (car p31) (- (cadr p31) (/ c29 2.0)))
               p44 (list (car p32) (- (cadr p32) (/ c29 2.0)))
	)
              (setq wt1 (+ (* c114 c101 wtfac2) (* 7.85 c30 c29 c101 wtfac1)))
	(command "_layer" "s" "0" ""
                 "_linetype" "s" "continuous" ""
                 (line0 p1 p2) (line0 p3 p4) (line0 p5 p6)
                 (line0 p11 p12) (line0 p12 p8) (line0 p8 p7) (line0 p7 p11)
    	         "_layer" "s" "dim" ""
                 "_dim1" "hor" p7 p8 pd1 ""
                 "_layer" "s" "0" "")
   (if (and (= ov 1) (> c29 b)) (progn
                 (line0 p41 p42) (line0 p42 p44) (line0 p44 p43) (line0 p43 p41)
        (command "_linetype" "s" "hiddenx2" ""
	         "_layer" "set" "hid" "")
                 (line0 p33 p34)
                 (line0 p35 p36)
                 (line0 p37 p38)
                 (line0 p39 p40)
        (command "_linetype" "s" "center" ""
		 "_layer" "s" "cen" ""
                 "_line" (polar p31 (dtr 180.0) (* scbe2 (/ 5.0 m1))) (polar p32 (dtr 0.0) (* scbe2 (/ 5.0 m1))) ""
                 "_linetype" "s" "continuous" ""
                 "_layer" "s" "0" ""
	)
    ))
   (if (and (= ov 1) (< c29 b)) (progn
                 (line0 p33 p34) (line0 p34 p36) (line0 p36 p35)
		 (line0 p35 p33) (line0 p41 p42) (line0 p43 p44)
        (command "_linetype" "s" "hiddenx2" ""
	         "_layer" "set" "hid" "")
                 (line0 p37 p38) (line0 p39 p40)
        (command "_linetype" "s" "center" ""
		 "_layer" "s" "cen" ""
                 "_line" (polar p31 (dtr 180.0) (* scbe2 (/ 5.0 m1))) (polar p32 (dtr 0.0) (* scbe2 (/ 5.0 m1))) ""
                 "_linetype" "s" "continuous" ""
                 "_layer" "s" "0" "")
    ))
    ))

    (if (= c12 2) (progn
	(if (<= c31 (/ 65.0 m1)) (setq gap (/ 20.0 m1)))
	(if (>= c31 (/ 75.0 m1)) (setq gap (/ 40.0 m1)))
; lines in elevation p1-p2, p3-p4, p5-p6, p7-p8, p11-p12 (hor)
;                    p11-p7, p12-p8 (ver)
         (setq p2 (list (+ (car p1) c101) (cadr p1))
               p3 (list (car p1) (- (cadr p1) c112))
               p4 (list (car p2) (- (cadr p2) c112))
               p7 (list (car p1) (- (cadr p1) c11))
               p8 (list (car p2) (- (cadr p2) c11))
               p5 (list (car p7) (+ (cadr p7) c113))
               p6 (list (car p8) (+ (cadr p8) c113))
               p11 (list (car p1) (+ (cadr p1) c32))
               p12 (list (car p2) (+ (cadr p2) c32))
               p13 (list (car p11) (- (cadr p11) c31))
               p14 (list (car p12) (- (cadr p12) c31))
; lines in plan p41-p42, p43-p44, p45-p46, p47-p48, p45-p47, p46-p48
;               p33-p34, p35-p36, p37-p38, p39-p40 (hidden)
; beam centre line in plan p31-p32
               p32 (list (+ (car p31) c101) (cadr p31))
               p33 (list (car p31) (+ (cadr p31) (/ c111 2.0)))
               p34 (list (car p32) (+ (cadr p32) (/ c111 2.0)))
               p35 (list (car p31) (- (cadr p31) (/ c111 2.0)))
               p36 (list (car p32) (- (cadr p32) (/ c111 2.0)))
               p37 (list (car p31) (+ (cadr p31) (/ c113 2.0)))
               p38 (list (car p32) (+ (cadr p32) (/ c113 2.0)))
               p39 (list (car p31) (- (cadr p31) (/ c113 2.0)))
               p40 (list (car p32) (- (cadr p32) (/ c113 2.0)))
               p41 (list (car p33) (- (cadr p33) (- c31 gap)))
               p42 (list (car p34) (- (cadr p34) (- c31 gap)))
               p43 (list (car p35) (+ (cadr p35) (- c31 gap)))
               p44 (list (car p36) (+ (cadr p36) (- c31 gap)))
               p45 (list (car p41) (+ (cadr p41) c31))
               p46 (list (car p42) (+ (cadr p42) c31))
               p47 (list (car p43) (- (cadr p43) c31))
               p48 (list (car p44) (- (cadr p44) c31))
               p49 (list (car p45) (- (cadr p45) c32))
               p50 (list (car p46) (- (cadr p46) c32))
               p51 (list (car p47) (+ (cadr p47) c32))
               p52 (list (car p48) (+ (cadr p48) c32))
	)
    (setq wt1 (+ (* c114 c101 wtfac2) (* c311 2.0 c101 wtfac2)))
	(command "_layer" "s" "0" ""
                 "_linetype" "s" "continuous" "")
                 (line0 p5 p6) (line0 p7 p8) (line0 p11 p7)
                 (line0 p8 p12) (line0 p11 p12) (line0 p13 p14)
        (command "_linetype" "s" "hiddenx2" ""
	         "_layer" "set" "hid" "")
                 (line0 p1 p2) (line0 p3 p4)
        (command "_linetype" "s" "continuous" ""
    	         "_layer" "s" "dim" ""
                 "_dim1" "hor" p7 p8 pd1 ""
		 "_layer" "s" "0" "")
(if (= ov 1) (progn
                 (line0 p43 p44) (line0 p41 p42) (line0 p45 p46)
                 (line0 p47 p48) (line0 p46 p48) (line0 p45 p47)
        (command "_linetype" "s" "hiddenx2" ""
	         "_layer" "set" "hid" "")
                 (line0 p33 p34) (line0 p36 p35) (line0 p37 p38)
                 (line0 p39 p40) (line0 p49 p50) (line0 p51 p52)
        (command "_linetype" "s" "center" ""
		 "_layer" "s" "cen" ""
                 "_line" (polar p31 (dtr 180.0) (* scbe2 (/ 5.0 m1)))(polar p32 (dtr 0.0) (* scbe2 (/ 5.0 m1))) ""
                 "_linetype" "s" "continuous" ""
		 "_layer" "s" "0" "")
	))
    ))

    (if (= c12 3) (progn
; lines in elevation p1-p2, p3-p4, p5-p6, p7-p8, p11-p12 (hor)
;                    p11-p7, p12-p8 (ver)
         (setq p2 (list (+ (car p1) c101) (cadr p1))
               p3 (list (car p1) (- (cadr p1) c112))
               p4 (list (car p2) (- (cadr p2) c112))
               p7 (list (car p1) (- (cadr p1) c11))
               p8 (list (car p2) (- (cadr p2) c11))
               p5 (list (car p7) (+ (cadr p7) c112))
               p6 (list (car p8) (+ (cadr p8) c112))
               p11 (list (car p1) (+ (cadr p1) c333))
               p12 (list (car p2) (+ (cadr p2) c333))
               p13 (list (car p11) (- (cadr p11) c331))
               p14 (list (car p12) (- (cadr p12) c331))
; lines in plan p41-p42, p43-p44, p45-p46, p47-p48, p45-p47, p46-p48
;               p33-p34, p35-p36, p37-p38, p39-p40 (hidden)
; beam centre line in plan p31-p32
               p32 (list (+ (car p31) c101) (cadr p31))
               p33 (list (car p31) (+ (cadr p31) (/ c111 2.0)))
               p34 (list (car p32) (+ (cadr p32) (/ c111 2.0)))
               p35 (list (car p31) (- (cadr p31) (/ c111 2.0)))
               p36 (list (car p32) (- (cadr p32) (/ c111 2.0)))
               p37 (list (car p31) (+ (cadr p31) (/ c113 2.0)))
               p38 (list (car p32) (+ (cadr p32) (/ c113 2.0)))
               p39 (list (car p31) (- (cadr p31) (/ c113 2.0)))
               p40 (list (car p32) (- (cadr p32) (/ c113 2.0)))

               p45 (list (car p31) (+ (cadr p31) (/ c5 2.0)))
               p46 (list (car p32) (+ (cadr p32) (/ c5 2.0)))
               p47 (list (car p31) (- (cadr p31) (/ c5 2.0)))
               p48 (list (car p32) (- (cadr p32) (/ c5 2.0)))
               p49 (list (car p45) (- (cadr p45) c332))
               p50 (list (car p46) (- (cadr p46) c332))
               p51 (list (car p47) (+ (cadr p47) c332))
               p52 (list (car p48) (+ (cadr p48) c332))
	)
    (setq wt1 (* (+ c114 c334) c101 wtfac2))
	(command "_layer" "s" "0" ""
                 "_linetype" "s" "continuous" "")
                 (line0 p5 p6) (line0 p7 p8) (line0 p11 p7)
                 (line0 p8 p12) (line0 p11 p12) (line0 p13 p14)
        (command "_linetype" "s" "hiddenx2" ""
	         "_layer" "set" "hid" "")
                 (line0 p1 p2) (line0 p3 p4)
        (command "_linetype" "s" "continuous" ""
    	         "_layer" "s" "dim" ""
                 "_dim1" "hor" p7 p8 pd1 ""
		 "_layer" "s" "0" "")
   (if (= ov 1) (progn
                 (line0 p45 p46) (line0 p47 p48)
                 (line0 p46 p48) (line0 p45 p47)
        (command "_linetype" "s" "hiddenx2" ""
	         "_layer" "set" "hid" "")
                 (line0 p33 p34) (line0 p36 p35) (line0 p37 p38)
                 (line0 p39 p40) (line0 p49 p50) (line0 p51 p52)
        (command "_linetype" "s" "center" ""
		 "_layer" "s" "cen" ""
                 "_line" (polar p31 (dtr 180.0) (* scbe2 (/ 5.0 m1))) (polar p32 (dtr 0.0) (* scbe2 (/ 5.0 m1))) ""
                 "_linetype" "s" "continuous" ""
                 "_layer" "s" "0" "")
      ))
    ))
  
    (if (= c12 4) (progn
; lines in elevation p1-p2, p3-p4, p5-p6, p7-p8, p11-p12 (hor)
;                    p11-p7, p12-p8 (ver)
         (setq p2 (list (+ (car p1) c101) (cadr p1))
               p3 (list (car p1) (- (cadr p1) c112))
               p4 (list (car p2) (- (cadr p2) c112))
               p7 (list (car p1) (- (cadr p1) c11))
               p8 (list (car p2) (- (cadr p2) c11))
               p5 (list (car p7) (+ (cadr p7) c112))
               p6 (list (car p8) (+ (cadr p8) c112))
               p9 (list (car p7) (- (cadr p7) c30))
               p10 (list (car p8) (- (cadr p8) c30))
               p11 (list (car p1) (+ (cadr p1) c333))
               p12 (list (car p2) (+ (cadr p2) c333))
               p13 (list (car p11) (- (cadr p11) c331))
               p14 (list (car p12) (- (cadr p12) c331))
; lines in plan p41-p42, p43-p44, p45-p46, p47-p48, p45-p47, p46-p48
;               p33-p34, p35-p36, p37-p38, p39-p40 (hidden)
; beam centre line in plan p31-p32
               p32 (list (+ (car p31) c101) (cadr p31))
               p33 (list (car p31) (+ (cadr p31) (/ c111 2.0)))
               p34 (list (car p32) (+ (cadr p32) (/ c111 2.0)))
               p35 (list (car p31) (- (cadr p31) (/ c111 2.0)))
               p36 (list (car p32) (- (cadr p32) (/ c111 2.0)))
               p37 (list (car p31) (+ (cadr p31) (/ c113 2.0)))
               p38 (list (car p32) (+ (cadr p32) (/ c113 2.0)))
               p39 (list (car p31) (- (cadr p31) (/ c113 2.0)))
               p40 (list (car p32) (- (cadr p32) (/ c113 2.0)))
               p41 (list (car p31) (+ (cadr p31) (/ c29 2.0)))
               p42 (list (car p32) (+ (cadr p32) (/ c29 2.0)))
               p43 (list (car p31) (- (cadr p31) (/ c29 2.0)))
               p44 (list (car p32) (- (cadr p32) (/ c29 2.0)))
               p45 (list (car p31) (+ (cadr p31) (/ c5 2.0)))
               p46 (list (car p32) (+ (cadr p32) (/ c5 2.0)))
               p47 (list (car p31) (- (cadr p31) (/ c5 2.0)))
               p48 (list (car p32) (- (cadr p32) (/ c5 2.0)))
               p49 (list (car p45) (- (cadr p45) c332))
               p50 (list (car p46) (- (cadr p46) c332))
               p51 (list (car p47) (+ (cadr p47) c332))
               p52 (list (car p48) (+ (cadr p48) c332))
	)
    (setq wt1 (+ (* (+ c114 c334) c101 wtfac2) (* 7.85 c30 c29 c101 wtfac1)))
	(command "_layer" "s" "0" ""
                 "_linetype" "s" "continuous" "")
                 (line0 p5 p6) (line0 p7 p8) (line0 p9 p10) (line0 p11 p9)
                 (line0 p10 p12) (line0 p11 p12) (line0 p13 p14)
        (command "_linetype" "s" "hiddenx2" ""
	         "_layer" "set" "hid" "")
                 (line0 p1 p2) (line0 p3 p4)
        (command "_linetype" "s" "continuous" ""
		 "_layer" "s" "dim" ""
                 "_dim1" "hor" p9 p10 pd1 ""
		 "_layer" "s" "0" "")
   (if (= ov 1) (progn
                 (line0 p45 p46) (line0 p47 p48) (line0 p46 p48) (line0 p45 p47)
        (command "_linetype" "s" "hiddenx2" ""
	         "_layer" "set" "hid" "")
                 (line0 p33 p34) (line0 p36 p35) (line0 p37 p38)
                 (line0 p39 p40) (line0 p41 p42) (line0 p43 p44)
                 (line0 p49 p50) (line0 p51 p52)
        (command "_linetype" "s" "center" ""
		 "_layer" "s" "cen" ""
                 "_line" (polar p31 (dtr 180.0) (* scbe2 (/ 5.0 m1))) (polar p32 (dtr 0.0) (* scbe2 (/ 5.0 m1))) ""
                 "_linetype" "s" "continuous" ""
		 "_layer" "s" "0" "")
      ))
    ))
        (setq p52t (list (- (car p2) (* c11 2.0)) (- (cadr p1) (/ c11 2.0)))
              p53t (polar p52t (dtr 210.0) (* scbe2 (/ 50.0 m1)))
         )
        (if (= ov 1) (tagno p52t p53t (itoa tag) 1 size scbe2))

(if (= ov 1) (progn
        (if (not z3) (setq z3 1))
	(nextpt 0 scbe2)
(if (= c12 0) (progn
        (command "_layer" "set" "0" ""
	 	 "_linetype" "set" "continuous" ""
                 "_text" pt1101 (* scbe2 (/ 3.0 m1)) "0" "21"
                 "_text" "c" pt2101 (* scbe2 (/ 3.0 m1)) "0" "1"
                 "_text" pt3101 (* scbe2 (/ 3.0 m1)) "0" (strcat c115 (rtos c11 m2 m4))
                 "_text" "c" pt4101 (* scbe2 (/ 3.0 m1)) "0" "Std"
                 "_text" "c" pt5101 (* scbe2 (/ 3.0 m1)) "0" (rtos wt1 2 1)
                 "_text" "c" pt6101 (* scbe2 (/ 3.0 m1)) "0" (rtos wt1 2 1)
        )
    (setq z3 (+ z3 1))
    (if wt (setq wt (+ wt wt1)) (setq wt wt1))
    (if (= ov 1) (gwt_w "a" (rtos wt 2 1)))
	(bomall_w "a" "21" 1 (strcat c115 (rtos c11 2 0)) "Std" wt1 (strcat t7 "20"))
))
(if (= c12 2) (progn
        (command "_layer" "set" "0" ""
	 	 "_linetype" "set" "continuous" ""
                 "_text" pt1101 (* scbe2 (/ 3.0 m1)) "0" "21"
                 "_text" "c" pt2101 (* scbe2 (/ 3.0 m1)) "0" "1"
                 "_text" pt3101 (* scbe2 (/ 3.0 m1)) "0" (strcat c115 " " (rtos c11 m2 m4) "/2 Nos." c312 " " (rtos c31 m2 m4) "x" (rtos c32 m2 m4) "x" (rtos c101 m2 m4) "LG")
                 "_text" "c" pt4101 (* scbe2 (/ 3.0 m1)) "0" "Std"
                 "_text" "c" pt5101 (* scbe2 (/ 3.0 m1)) "0" (rtos wt1 2 1)
                 "_text" "c" pt6101 (* scbe2 (/ 3.0 m1)) "0" (rtos wt1 2 1)
        )
    (setq z3 (+ z3 1))
    (if wt (setq wt (+ wt wt1)) (setq wt wt1))
    (if (= ov 1) (gwt_w "a" (rtos wt 2 1)))
	(bomall_w "a" "21" 1 (strcat c115 (rtos c11 m2 m4) "/2 Nos." c312 (rtos c31 m2 m4) "x" (rtos c32 m2 m4) "x" (rtos c101 m2 m4) "LG") strmat wt1 (strcat t7 "20"))
))
(if (= c12 1) (progn 

        (command "_layer" "set" "0" ""
	 	 "_linetype" "set" "continuous" ""
                 "_text" pt1101 (* scbe2 (/ 3.0 m1)) "0" "21"
                 "_text" "c" pt2101 (* scbe2 (/ 3.0 m1)) "0" "1"
                 "_text" pt3101 (* scbe2 (/ 3.0 m1)) "0" (strcat c115 (rtos c11 m2 m4) "/Flat" (rtos c29 m2 m4) "x" (rtos c30 m2 m4) "x" (rtos c101 m2 m4) "LG")
                 "_text" "c" pt4101 (* scbe2 (/ 3.0 m1)) "0" "Std"
                 "_text" "c" pt5101 (* scbe2 (/ 3.0 m1)) "0" (rtos wt1 2 1)
                 "_text" "c" pt6101 (* scbe2 (/ 3.0 m1)) "0" (rtos wt1 2 1)
        )
    (setq z3 (+ z3 1))
    (if wt (setq wt (+ wt wt1)) (setq wt wt1))
    (if (= ov 1) (gwt_w "a" (rtos wt 2 1)))
	(bomall_w "a" "21" 1 (strcat c115 (rtos c11 m2 m4) "/Flat" (rtos c29 m2 m4) "x" (rtos c30 m2 m4) "x" (rtos c101 m2 m4) "LG") plmat wt1 (strcat t7 "20"))
))
(if (= c12 3) (progn
        (command "_layer" "set" "0" ""
	 	 "_linetype" "set" "continuous" ""
                 "_text" pt1101 (* scbe2 (/ 3.0 m1)) "0" "21"
                 "_text" "c" pt2101 (* scbe2 (/ 3.0 m1)) "0" "1"
                 "_text" pt3101 (* scbe2 (/ 3.0 m1)) "0" (strcat c115 (rtos c11 m2 m4) "/" c335 (rtos c5 m2 m4) "X" (rtos c101 m2 m4) "LG")
                 "_text" "c" pt4101 (* scbe2 (/ 3.0 m1)) "0" "Std"
                 "_text" "c" pt5101 (* scbe2 (/ 3.0 m1)) "0" (rtos wt1 2 1)
                 "_text" "c" pt6101 (* scbe2 (/ 3.0 m1)) "0" (rtos wt1 2 1)
        )
    (setq z3 (+ z3 1))
    (if wt (setq wt (+ wt wt1)) (setq wt wt1))
    (if (= ov 1) (gwt_w "a" (rtos wt 2 1)))
	(bomall_w "a" "21" 1 (strcat c115 (rtos c11 m2 m4) "/" c335 (rtos c5 m2 m4) "X" (rtos c101 m2 m4) "LG") strmat wt1 (strcat t7 "20"))
))
(if (= c12 4) (progn
        (command "_layer" "set" "0" ""
	 	 "_linetype" "set" "continuous" ""
                 "_text" pt1101 (* scbe2 (/ 3.0 m1)) "0" "21"
                 "_text" "c" pt2101 (* scbe2 (/ 3.0 m1)) "0" "1"
                 "_text" pt3101 (* scbe2 (/ 3.0 m1)) "0" (strcat c115 (rtos c11 m2 m4) "/" c335 (rtos c5 m2 m4) "/Flat" (rtos c29 m2 m4) "x" (rtos c30 m2 m4) "x" (rtos c101 m2 m4) "LG")
                 "_text" "c" pt4101 (* scbe2 (/ 3.0 m1)) "0" "Std"
                 "_text" "c" pt5101 (* scbe2 (/ 3.0 m1)) "0" (rtos wt1 2 1)
                 "_text" "c" pt6101 (* scbe2 (/ 3.0 m1)) "0" (rtos wt1 2 1)
        )
    (setq z3 (+ z3 1))
    (if wt (setq wt (+ wt wt1)) (setq wt wt1))
    (if (= ov 1) (gwt_w "a" (rtos wt 2 1)))
	(bomall_w "a" "21" 1 (strcat c115 (rtos c11 m2 m4) "/" c335 (rtos c5 m2 m4) "/Flat" (rtos c29 m2 m4) "x" (rtos c30 m2 m4) "x" (rtos c101 m2 m4) "LG") plmat wt1 (strcat t7 "20"))
))
))
	(command "_layer" "s" "0" "")
(princ)
) ; end beam2 ------------------------------------------------------------------------
(defun platetop1 ( c29 c30 p1 / p2 p3 p4 p5)
	(setvar "cmdecho" 0)
	(setvar "osmode" 0)
(if (= p1 nil) (setq p1 (getpoint "\nPlease Select Top Mid-Point of the Beam :  ")))
    (setq p2 (list (+ (car p1) (/ c29 2.0)) (+ (cadr p1) c30))
          p3 (list (- (car p1) (/ c29 2.0)) (+ (cadr p1) c30))
          p4 (list (car p2) (- (cadr p2) c30))
          p5 (list (car p3) (- (cadr p3) c30))
    )
    (command "_layer" "set" "0" ""
 	     "_linetype" "set" "continuous" "")
             (line0 p5 p3) (line0 p3 p2) (line0 p2 p4) (line0 p4 p5)
   (command "_hatch" "ansi31" m3 "90" "w" p4 p3 "")
) ; end platetop1 ---------------------------------------------------------------
(defun platebot1 ( c29 c30 p1 / p2 p3 p4 p5)
	(setvar "cmdecho" 0)
	(setvar "osmode" 0)
(if (= p1 nil) (setq p1 (getpoint "\nPlease Select Bottom Mid-Point of the Beam :  ")))
    (setq p2 (list (- (car p1) (/ c29 2.0)) (- (cadr p1) c30))
          p3 (list (+ (car p1) (/ c29 2.0)) (- (cadr p1) c30))
          p4 (list (car p2) (+ (cadr p2) c30))
          p5 (list (car p3) (+ (cadr p3) c30))
    )
    (command "_layer" "set" "0" ""
 	     "_linetype" "set" "continuous" "")
             (line0 p5 p3) (line0 p3 p2) (line0 p2 p4) (line0 p4 p5)
   (command "_hatch" "ansi31" m3 "90" "w" p4 p3 "")
) ; end platebot1 ---------------------------------------------------------------
; draws ISA in elevation
(defun isa ( p1 p2 asize th cg rwt ov scisa atype1
             / p61 p62 p63 p64 p65 p66 p67 p68 p71 p72)
	(setq p61 (polar p1 (- (angle p1 p2) (dtr 90.0)) cg)
              p62 (polar p1 (- (angle p1 p2) (dtr 90.0)) (- cg th))
              p63 (polar p1 (+ (angle p1 p2) (dtr 90.0)) (- asize cg))
              p64 (polar p2 (- (angle p1 p2) (dtr 90.0)) cg)
              p65 (polar p2 (- (angle p1 p2) (dtr 90.0)) (- cg th))
              p66 (polar p2 (+ (angle p1 p2) (dtr 90.0)) (- asize cg))
              p67 (polar p1 (angle p1 p2) (/ (distance p1 p2) 2.0))
              p68 (polar p61 (angle p61 p64) (/ (distance p1 p2) 2.0))
              ptc p63
        )
        (if                                         (<= (distance p1 p2) (/ 2000.0 m1))
              (setq p71 (polar p1 (angle p1 p2) (* (distance p1 p2) 0.75))
                    p72 (polar p71 (- (angle p1 p2) (dtr 40.0)) (* scisa (/ 20.0 m1))))
        )
        (if (and (> (distance p1 p2) (/ 2000.0 m1)) (<= (distance p1 p2) (/ 3600.0 m1)))
                 (setq p71 (polar p1 (angle p1 p2) (* (distance p1 p2) 0.75))
                       p72 (polar p71 (- (angle p1 p2) (dtr 90.0)) (* scisa (/ 15.0 m1))))
        )
        (if (and (> (distance p1 p2) (/ 3600.0 m1)) (<= (distance p1 p2) (/ 4700.0 m1)))
                 (setq p71 (polar p1 (angle p1 p2) (* (distance p1 p2) 0.6))
                       p72 (polar p71 (- (angle p1 p2) (dtr 90.0)) (* scisa (/ 15.0 m1))))
        )
        (if      (> (distance p1 p2) (/ 4700.0 m1))
                 (setq p71 (polar p1 (angle p1 p2) (* (distance p1 p2) 0.65))
                       p72 (polar p71 (- (angle p1 p2) (dtr 90.0)) (* scisa (/ 15.0 m1))))
        )
        (command "_layer" "s" "0" ""
	 	 "_linetype" "set" "continuous" "")
                 (line0 p63 p61) (line0 p61 p64) (line0 p64 p66)
                 (line0 p66 p63) (line0 p62 p65)
(if (= m2 2) (progn
      (if (> (fix (atof (getvar "acadver"))) 17)
        (command "_text" p61 (/ scisa 2.0) (rtd (+ (angle p2 p1) (/ pi 4.0))) "="
                 "_copy" "l" "" p61 
                      (strcat "@15<" (rtos (rtd (angle p1 p2)))) 
                      (strcat "@30<" (rtos (rtd (angle p1 p2)))) 
                      (strcat "@45<" (rtos (rtd (angle p1 p2))))
                      (strcat "@60<" (rtos (rtd (angle p1 p2)))) ""
                 "_text" p64 (/ scisa 2.0) (rtd (+ (angle p2 p1) (/ pi 4.0))) "="
                 "_copy" "l" "" p64 
                      (strcat "@15<" (rtos (rtd (angle p2 p1)))) 
                      (strcat "@30<" (rtos (rtd (angle p2 p1)))) 
                      (strcat "@45<" (rtos (rtd (angle p2 p1)))) ""
                 "_text" p63 (/ scisa 2.0) (rtd (+ (angle p1 p2) (/ pi 4.0))) "="
                 "_copy" "l" "" p63 
                      (strcat "@15<" (rtos (rtd (angle p1 p2)))) 
                      (strcat "@30<" (rtos (rtd (angle p1 p2)))) 
                      (strcat "@45<" (rtos (rtd (angle p1 p2))))
                      (strcat "@60<" (rtos (rtd (angle p1 p2)))) ""
                 "_text" p66 (/ scisa 2.0) (rtd (+ (angle p1 p2) (/ pi 4.0))) "="
                 "_copy" "l" "" p66 
                      (strcat "@15<" (rtos (rtd (angle p2 p1)))) 
                      (strcat "@30<" (rtos (rtd (angle p2 p1)))) 
                      (strcat "@45<" (rtos (rtd (angle p2 p1)))) ""
                 "_layer" "s" "0" ""
        )
        (command "_text" p61 (/ scisa 2.0) (rtd (+ (angle p2 p1) (/ pi 4.0))) "="
                 "_copy" "l" "" "m" p61 
                      (strcat "@15<" (rtos (rtd (angle p1 p2)))) 
                      (strcat "@30<" (rtos (rtd (angle p1 p2)))) 
                      (strcat "@45<" (rtos (rtd (angle p1 p2))))
                      (strcat "@60<" (rtos (rtd (angle p1 p2)))) ""
                 "_text" p64 (/ scisa 2.0) (rtd (+ (angle p2 p1) (/ pi 4.0))) "="
                 "_copy" "l" "" "m" p64 
                      (strcat "@15<" (rtos (rtd (angle p2 p1)))) 
                      (strcat "@30<" (rtos (rtd (angle p2 p1)))) 
                      (strcat "@45<" (rtos (rtd (angle p2 p1)))) ""
                 "_text" p63 (/ scisa 2.0) (rtd (+ (angle p1 p2) (/ pi 4.0))) "="
                 "_copy" "l" "" "m" p63 
                      (strcat "@15<" (rtos (rtd (angle p1 p2)))) 
                      (strcat "@30<" (rtos (rtd (angle p1 p2)))) 
                      (strcat "@45<" (rtos (rtd (angle p1 p2))))
                      (strcat "@60<" (rtos (rtd (angle p1 p2)))) ""
                 "_text" p66 (/ scisa 2.0) (rtd (+ (angle p1 p2) (/ pi 4.0))) "="
                 "_copy" "l" "" "m" p66 
                      (strcat "@15<" (rtos (rtd (angle p2 p1)))) 
                      (strcat "@30<" (rtos (rtd (angle p2 p1)))) 
                      (strcat "@45<" (rtos (rtd (angle p2 p1)))) ""
                 "_layer" "s" "0" ""
        )
      )
      (if (and (= asize 75) (> (fix (atof (getvar "acadver"))) 17))
        (command "_layer" "s" "0" ""
                 "_text" p66 (/ scisa 2.0) (rtd (- (angle p1 p2) (/ pi 4.0))) "="
                 "_copy" "l" "" p66 
                      (strcat "@15<" (rtos (rtd (angle p66 p64)))) 
                      (strcat "@30<" (rtos (rtd (angle p66 p64)))) 
                      (strcat "@45<" (rtos (rtd (angle p66 p64))))
                      (strcat "@60<" (rtos (rtd (angle p66 p64))))
                      (strcat "@75<" (rtos (rtd (angle p66 p64)))) ""
                 "_text" p63 (/ scisa 2.0) (rtd (- (angle p2 p1) (/ pi 4.0))) "="
                 "_copy" "l" "" p63 
                      (strcat "@15<" (rtos (rtd (angle p63 p61)))) 
                      (strcat "@30<" (rtos (rtd (angle p63 p61)))) 
                      (strcat "@45<" (rtos (rtd (angle p63 p61))))
                      (strcat "@60<" (rtos (rtd (angle p63 p61))))
                      (strcat "@75<" (rtos (rtd (angle p63 p61)))) ""
                 "_layer" "s" "0" ""
        )
        (command "_layer" "s" "0" ""
                 "_text" p66 (/ scisa 2.0) (rtd (- (angle p1 p2) (/ pi 4.0))) "="
                 "_copy" "l" "" "m" p66 
                      (strcat "@15<" (rtos (rtd (angle p66 p64)))) 
                      (strcat "@30<" (rtos (rtd (angle p66 p64)))) 
                      (strcat "@45<" (rtos (rtd (angle p66 p64))))
                      (strcat "@60<" (rtos (rtd (angle p66 p64))))
                      (strcat "@75<" (rtos (rtd (angle p66 p64)))) ""
                 "_text" p63 (/ scisa 2.0) (rtd (- (angle p2 p1) (/ pi 4.0))) "="
                 "_copy" "l" "" "m" p63 
                      (strcat "@15<" (rtos (rtd (angle p63 p61)))) 
                      (strcat "@30<" (rtos (rtd (angle p63 p61)))) 
                      (strcat "@45<" (rtos (rtd (angle p63 p61))))
                      (strcat "@60<" (rtos (rtd (angle p63 p61))))
                      (strcat "@75<" (rtos (rtd (angle p63 p61)))) ""
                 "_layer" "s" "0" ""
        )
      )
      (if (and (= asize 65) (> (fix (atof (getvar "acadver"))) 17))
        (command "_layer" "s" "0" ""
                 "_text" p66 (/ scisa 2.0) (rtd (- (angle p1 p2) (/ pi 4.0))) "="
                 "_copy" "l" "" p66 
                      (strcat "@15<" (rtos (rtd (angle p66 p64)))) 
                      (strcat "@30<" (rtos (rtd (angle p66 p64)))) 
                      (strcat "@45<" (rtos (rtd (angle p66 p64))))
                      (strcat "@60<" (rtos (rtd (angle p66 p64)))) ""
                 "_text" p63 (/ scisa 2.0) (rtd (- (angle p2 p1) (/ pi 4.0))) "="
                 "_copy" "l" "" p63 
                      (strcat "@15<" (rtos (rtd (angle p63 p61)))) 
                      (strcat "@30<" (rtos (rtd (angle p63 p61)))) 
                      (strcat "@45<" (rtos (rtd (angle p63 p61))))
                      (strcat "@60<" (rtos (rtd (angle p63 p61)))) ""
                 "_layer" "s" "0" ""
        )
        (command "_layer" "s" "0" ""
                 "_text" p66 (/ scisa 2.0) (rtd (- (angle p1 p2) (/ pi 4.0))) "="
                 "_copy" "l" "" "m" p66 
                      (strcat "@15<" (rtos (rtd (angle p66 p64)))) 
                      (strcat "@30<" (rtos (rtd (angle p66 p64)))) 
                      (strcat "@45<" (rtos (rtd (angle p66 p64))))
                      (strcat "@60<" (rtos (rtd (angle p66 p64)))) ""
                 "_text" p63 (/ scisa 2.0) (rtd (- (angle p2 p1) (/ pi 4.0))) "="
                 "_copy" "l" "" "m" p63 
                      (strcat "@15<" (rtos (rtd (angle p63 p61)))) 
                      (strcat "@30<" (rtos (rtd (angle p63 p61)))) 
                      (strcat "@45<" (rtos (rtd (angle p63 p61))))
                      (strcat "@60<" (rtos (rtd (angle p63 p61)))) ""
                 "_layer" "s" "0" ""
        )
      )
      (if (and (= asize 50) (> (fix (atof (getvar "acadver"))) 17))
        (command "_layer" "s" "0" ""
                 "_text" p66 (/ scisa 2.0) (rtd (- (angle p1 p2) (/ pi 4.0))) "="
                 "_copy" "l" "" p66 
                      (strcat "@15<" (rtos (rtd (angle p66 p64)))) 
                      (strcat "@30<" (rtos (rtd (angle p66 p64))))
                      (strcat "@45<" (rtos (rtd (angle p66 p64)))) ""
                 "_text" p63 (/ scisa 2.0) (rtd (- (angle p2 p1) (/ pi 4.0))) "="
                 "_copy" "l" "" p63 
                      (strcat "@15<" (rtos (rtd (angle p63 p61)))) 
                      (strcat "@30<" (rtos (rtd (angle p63 p61))))
                      (strcat "@45<" (rtos (rtd (angle p63 p61)))) ""
                 "_layer" "s" "0" ""
        )
        (command "_layer" "s" "0" ""
                 "_text" p66 (/ scisa 2.0) (rtd (- (angle p1 p2) (/ pi 4.0))) "="
                 "_copy" "l" "" "m" p66 
                      (strcat "@15<" (rtos (rtd (angle p66 p64)))) 
                      (strcat "@30<" (rtos (rtd (angle p66 p64))))
                      (strcat "@45<" (rtos (rtd (angle p66 p64)))) ""
                 "_text" p63 (/ scisa 2.0) (rtd (- (angle p2 p1) (/ pi 4.0))) "="
                 "_copy" "l" "" "m" p63 
                      (strcat "@15<" (rtos (rtd (angle p63 p61)))) 
                      (strcat "@30<" (rtos (rtd (angle p63 p61))))
                      (strcat "@45<" (rtos (rtd (angle p63 p61)))) ""
                 "_layer" "s" "0" ""
        )
      )
      (if (and (= asize 40) (> (fix (atof (getvar "acadver"))) 17))
        (command "_layer" "s" "0" ""
                 "_text" p66 (/ scisa 2.0) (rtd (- (angle p1 p2) (/ pi 4.0))) "="
                 "_copy" "l" "" p66 
                      (strcat "@15<" (rtos (rtd (angle p66 p64)))) 
                      (strcat "@30<" (rtos (rtd (angle p66 p64)))) ""
                 "_text" p63 (/ scisa 2.0) (rtd (- (angle p2 p1) (/ pi 4.0))) "="
                 "_copy" "l" "" p63 
                      (strcat "@15<" (rtos (rtd (angle p63 p61)))) 
                      (strcat "@30<" (rtos (rtd (angle p63 p61)))) ""
		 "_layer" "s" "0" ""
        )
        (command "_layer" "s" "0" ""
                 "_text" p66 (/ scisa 2.0) (rtd (- (angle p1 p2) (/ pi 4.0))) "="
                 "_copy" "l" "" "m" p66 
                      (strcat "@15<" (rtos (rtd (angle p66 p64)))) 
                      (strcat "@30<" (rtos (rtd (angle p66 p64)))) ""
                 "_text" p63 (/ scisa 2.0) (rtd (- (angle p2 p1) (/ pi 4.0))) "="
                 "_copy" "l" "" "m" p63 
                      (strcat "@15<" (rtos (rtd (angle p63 p61)))) 
                      (strcat "@30<" (rtos (rtd (angle p63 p61)))) ""
		 "_layer" "s" "0" ""
        )
      )
))
(if (= m2 4) (progn
      (if (> (fix (atof (getvar "acadver"))) 17)
        (command "_text" p61 (/ scisa m1) (rtd (+ (angle p2 p1) (/ pi 4.0))) "="
                 "_copy" "l" "" p61 
                      (strcat "@0.4<" (rtos (rtd (angle p1 p2)) 2 0)) 
                      (strcat "@0.8<" (rtos (rtd (angle p1 p2)) 2 0)) 
                      (strcat "@1.2<" (rtos (rtd (angle p1 p2)) 2 0))
                      (strcat "@1.6<" (rtos (rtd (angle p1 p2)) 2 0)) ""
                 "_text" p64 (/ scisa m1) (rtd (+ (angle p2 p1) (/ pi 4.0))) "="
                 "_copy" "l" "" p64 
                      (strcat "@0.4<" (rtos (rtd (angle p2 p1)) 2 0)) 
                      (strcat "@0.8<" (rtos (rtd (angle p2 p1)) 2 0)) 
                      (strcat "@1.2<" (rtos (rtd (angle p2 p1)) 2 0)) ""
                 "_text" p63 (/ scisa m1) (rtd (+ (angle p1 p2) (/ pi 4.0))) "="
                 "_copy" "l" "" p63 
                      (strcat "@0.4<" (rtos (rtd (angle p1 p2)) 2 0)) 
                      (strcat "@0.8<" (rtos (rtd (angle p1 p2)) 2 0)) 
                      (strcat "@1.2<" (rtos (rtd (angle p1 p2)) 2 0))
                      (strcat "@1.6<" (rtos (rtd (angle p1 p2)) 2 0)) ""
                 "_text" p66 (/ scisa m1) (rtd (+ (angle p1 p2) (/ pi 4.0))) "="
                 "_copy" "l" "" p66 
                      (strcat "@0.4<" (rtos (rtd (angle p2 p1)) 2 0)) 
                      (strcat "@0.8<" (rtos (rtd (angle p2 p1)) 2 0)) 
                      (strcat "@1.2<" (rtos (rtd (angle p2 p1)) 2 0)) ""
                 "_layer" "s" "0" ""
        )
        (command "_text" p61 (/ scisa m1) (rtd (+ (angle p2 p1) (/ pi 4.0))) "="
                 "_copy" "l" "" "m" p61 
                      (strcat "@0.4<" (rtos (rtd (angle p1 p2)) 2 0)) 
                      (strcat "@0.8<" (rtos (rtd (angle p1 p2)) 2 0)) 
                      (strcat "@1.2<" (rtos (rtd (angle p1 p2)) 2 0))
                      (strcat "@1.6<" (rtos (rtd (angle p1 p2)) 2 0)) ""
                 "_text" p64 (/ scisa m1) (rtd (+ (angle p2 p1) (/ pi 4.0))) "="
                 "_copy" "l" "" "m" p64 
                      (strcat "@0.4<" (rtos (rtd (angle p2 p1)) 2 0)) 
                      (strcat "@0.8<" (rtos (rtd (angle p2 p1)) 2 0)) 
                      (strcat "@1.2<" (rtos (rtd (angle p2 p1)) 2 0)) ""
                 "_text" p63 (/ scisa m1) (rtd (+ (angle p1 p2) (/ pi 4.0))) "="
                 "_copy" "l" "" "m" p63 
                      (strcat "@0.4<" (rtos (rtd (angle p1 p2)) 2 0)) 
                      (strcat "@0.8<" (rtos (rtd (angle p1 p2)) 2 0)) 
                      (strcat "@1.2<" (rtos (rtd (angle p1 p2)) 2 0))
                      (strcat "@1.6<" (rtos (rtd (angle p1 p2)) 2 0)) ""
                 "_text" p66 (/ scisa m1) (rtd (+ (angle p1 p2) (/ pi 4.0))) "="
                 "_copy" "l" "" "m" p66 
                      (strcat "@0.4<" (rtos (rtd (angle p2 p1)) 2 0)) 
                      (strcat "@0.8<" (rtos (rtd (angle p2 p1)) 2 0)) 
                      (strcat "@1.2<" (rtos (rtd (angle p2 p1)) 2 0)) ""
                 "_layer" "s" "0" ""
        )
      )
      (if (and (= asize 75) (> (fix (atof (getvar "acadver"))) 17))
        (command "_layer" "s" "0" ""
                 "_text" p66 (/ scisa m1) (rtd (- (angle p1 p2) (/ pi 4.0))) "="
                 "_copy" "l" "" p66 
                      (strcat "@0.4<" (rtos (rtd (angle p66 p64)) 2 0)) 
                      (strcat "@0.8<" (rtos (rtd (angle p66 p64)) 2 0)) 
                      (strcat "@1.2<" (rtos (rtd (angle p66 p64)) 2 0))
                      (strcat "@1.6<" (rtos (rtd (angle p66 p64)) 2 0))
                      (strcat "@2.0<" (rtos (rtd (angle p66 p64)) 2 0)) ""
                 "_text" p63 (/ scisa m1) (rtd (- (angle p2 p1) (/ pi 4.0))) "="
                 "_copy" "l" "" p63 
                      (strcat "@0.4<" (rtos (rtd (angle p63 p61)) 2 0)) 
                      (strcat "@0.8<" (rtos (rtd (angle p63 p61)) 2 0)) 
                      (strcat "@1.2<" (rtos (rtd (angle p63 p61)) 2 0))
                      (strcat "@1.6<" (rtos (rtd (angle p63 p61)) 2 0))
                      (strcat "@2.0<" (rtos (rtd (angle p63 p61)) 2 0)) ""
                 "_layer" "s" "0" ""
        )
        (command "_layer" "s" "0" ""
                 "_text" p66 (/ scisa m1) (rtd (- (angle p1 p2) (/ pi 4.0))) "="
                 "_copy" "l" "" "m" p66 
                      (strcat "@0.4<" (rtos (rtd (angle p66 p64)) 2 0)) 
                      (strcat "@0.8<" (rtos (rtd (angle p66 p64)) 2 0)) 
                      (strcat "@1.2<" (rtos (rtd (angle p66 p64)) 2 0))
                      (strcat "@1.6<" (rtos (rtd (angle p66 p64)) 2 0))
                      (strcat "@2.0<" (rtos (rtd (angle p66 p64)) 2 0)) ""
                 "_text" p63 (/ scisa m1) (rtd (- (angle p2 p1) (/ pi 4.0))) "="
                 "_copy" "l" "" "m" p63 
                      (strcat "@0.4<" (rtos (rtd (angle p63 p61)) 2 0)) 
                      (strcat "@0.8<" (rtos (rtd (angle p63 p61)) 2 0)) 
                      (strcat "@1.2<" (rtos (rtd (angle p63 p61)) 2 0))
                      (strcat "@1.6<" (rtos (rtd (angle p63 p61)) 2 0))
                      (strcat "@2.0<" (rtos (rtd (angle p63 p61)) 2 0)) ""
                 "_layer" "s" "0" ""
        )
      )
      (if (and (= asize 65) (> (fix (atof (getvar "acadver"))) 17))
        (command "_layer" "s" "0" ""
                 "_text" p66 (/ scisa m1) (rtd (- (angle p1 p2) (/ pi 4.0))) "="
                 "_copy" "l" "" p66 
                      (strcat "@0.4<" (rtos (rtd (angle p66 p64)) 2 0)) 
                      (strcat "@0.8<" (rtos (rtd (angle p66 p64)) 2 0)) 
                      (strcat "@1.2<" (rtos (rtd (angle p66 p64)) 2 0))
                      (strcat "@1.6<" (rtos (rtd (angle p66 p64)) 2 0)) ""
                 "_text" p63 (/ scisa m1) (rtd (- (angle p2 p1) (/ pi 4.0))) "="
                 "_copy" "l" "" p63 
                      (strcat "@0.4<" (rtos (rtd (angle p63 p61)) 2 0)) 
                      (strcat "@0.8<" (rtos (rtd (angle p63 p61)) 2 0)) 
                      (strcat "@1.2<" (rtos (rtd (angle p63 p61)) 2 0))
                      (strcat "@1.6<" (rtos (rtd (angle p63 p61)) 2 0)) ""
                 "_layer" "s" "0" ""
        )
        (command "_layer" "s" "0" ""
                 "_text" p66 (/ scisa m1) (rtd (- (angle p1 p2) (/ pi 4.0))) "="
                 "_copy" "l" "" "m" p66 
                      (strcat "@0.4<" (rtos (rtd (angle p66 p64)) 2 0)) 
                      (strcat "@0.8<" (rtos (rtd (angle p66 p64)) 2 0)) 
                      (strcat "@1.2<" (rtos (rtd (angle p66 p64)) 2 0))
                      (strcat "@1.6<" (rtos (rtd (angle p66 p64)) 2 0)) ""
                 "_text" p63 (/ scisa m1) (rtd (- (angle p2 p1) (/ pi 4.0))) "="
                 "_copy" "l" "" "m" p63 
                      (strcat "@0.4<" (rtos (rtd (angle p63 p61)) 2 0)) 
                      (strcat "@0.8<" (rtos (rtd (angle p63 p61)) 2 0)) 
                      (strcat "@1.2<" (rtos (rtd (angle p63 p61)) 2 0))
                      (strcat "@1.6<" (rtos (rtd (angle p63 p61)) 2 0)) ""
                 "_layer" "s" "0" ""
        )
      )
      (if (and (= asize 50) (> (fix (atof (getvar "acadver"))) 17))
        (command "_layer" "s" "0" ""
                 "_text" p66 (/ scisa m1) (rtd (- (angle p1 p2) (/ pi 4.0))) "="
                 "_copy" "l" "" p66 
                      (strcat "@0.4<" (rtos (rtd (angle p66 p64)) 2 0)) 
                      (strcat "@0.8<" (rtos (rtd (angle p66 p64)) 2 0))
                      (strcat "@1.2<" (rtos (rtd (angle p66 p64)) 2 0)) ""
                 "_text" p63 (/ scisa m1) (rtd (- (angle p2 p1) (/ pi 4.0))) "="
                 "_copy" "l" "" p63 
                      (strcat "@0.4<" (rtos (rtd (angle p63 p61)) 2 0)) 
                      (strcat "@0.8<" (rtos (rtd (angle p63 p61)) 2 0))
                      (strcat "@1.2<" (rtos (rtd (angle p63 p61)) 2 0)) ""
                 "_layer" "s" "0" ""
        )
        (command "_layer" "s" "0" ""
                 "_text" p66 (/ scisa m1) (rtd (- (angle p1 p2) (/ pi 4.0))) "="
                 "_copy" "l" "" "m" p66 
                      (strcat "@0.4<" (rtos (rtd (angle p66 p64)) 2 0)) 
                      (strcat "@0.8<" (rtos (rtd (angle p66 p64)) 2 0))
                      (strcat "@1.2<" (rtos (rtd (angle p66 p64)) 2 0)) ""
                 "_text" p63 (/ scisa m1) (rtd (- (angle p2 p1) (/ pi 4.0))) "="
                 "_copy" "l" "" "m" p63 
                      (strcat "@0.4<" (rtos (rtd (angle p63 p61)) 2 0)) 
                      (strcat "@0.8<" (rtos (rtd (angle p63 p61)) 2 0))
                      (strcat "@1.2<" (rtos (rtd (angle p63 p61)) 2 0)) ""
                 "_layer" "s" "0" ""
        )
      )
      (if (and (= asize 40) (> (fix (atof (getvar "acadver"))) 17))
        (command "_layer" "s" "0" ""
                 "_text" p66 (/ scisa m1) (rtd (- (angle p1 p2) (/ pi 4.0))) "="
                 "_copy" "l" "" p66 
                      (strcat "@0.4<" (rtos (rtd (angle p66 p64)) 2 0)) 
                      (strcat "@0.8<" (rtos (rtd (angle p66 p64)) 2 0)) ""
		 "_text" p63 (/ scisa m1) (rtd (- (angle p2 p1) (/ pi 4.0))) "="
                 "_copy" "l" "" p63 
                      (strcat "@0.4<" (rtos (rtd (angle p63 p61)) 2 0)) 
                      (strcat "@0.8<" (rtos (rtd (angle p63 p61)) 2 0)) ""
		 "_layer" "s" "0" ""
        )
        (command "_layer" "s" "0" ""
                 "_text" p66 (/ scisa m1) (rtd (- (angle p1 p2) (/ pi 4.0))) "="
                 "_copy" "l" "" "m" p66 
                      (strcat "@0.4<" (rtos (rtd (angle p66 p64)) 2 0)) 
                      (strcat "@0.8<" (rtos (rtd (angle p66 p64)) 2 0)) ""
		 "_text" p63 (/ scisa m1) (rtd (- (angle p2 p1) (/ pi 4.0))) "="
                 "_copy" "l" "" "m" p63 
                      (strcat "@0.4<" (rtos (rtd (angle p63 p61)) 2 0)) 
                      (strcat "@0.8<" (rtos (rtd (angle p63 p61)) 2 0)) ""
		 "_layer" "s" "0" ""
        )
      )
))
(if (= ov 1) (progn
	(command "_layer" "set" "dim" ""
		 "_dim1" "rot" (+ (rtd (angle p1 p2)) 90.0) p67 p68 p68 ""
                 "_layer" "set" "0" ""
        )
        (setq wt1 (* rwt (distance p1 p2) wtfac2))
	(nextpt 0 scisa)
        (tagno p71 p72 (itoa (+ z1 z2 z3)) 1 size scisa)
	(bom1 size 1 (itoa (+ z1 z2 z3)) 1 (strcat atype1 " " (rtos asize m2 m4) "X" (rtos th m2 m4) "X" (rtos (distance p1 p2) m2 m4) "LG") strmat wt1 "" scisa)
	(bomall_w "a" (itoa (- (+ z1 z2 z3) 1)) 1 (strcat atype1 " " (rtos asize m2 m4) "X" (rtos th m2 m4) "X" (rtos (distance p1 p2) m2 m4) "LG") strmat wt1 (strcat t7 "20"))
))
) ; end isa -----------------------------------------------------------------
; draws angle in detail
(defun isa1 ( p1 asize th cg rwt scisa1 / p2 p61 p62 p63 p64 p65 p66)
	(setq p1 (polar p1 (dtr 90.0) (/ 20.0 m1))
              p2 (polar p1 (dtr 90.0) (* asize 6.0))
              p61 (polar p1 (- (angle p1 p2) (dtr 90.0)) cg)
              p62 (polar p1 (- (angle p1 p2) (dtr 90.0)) (- cg th))
              p63 (polar p1 (+ (angle p1 p2) (dtr 90.0)) (- asize cg))
              p64 (polar p2 (- (angle p1 p2) (dtr 90.0)) cg)
              p65 (polar p2 (- (angle p1 p2) (dtr 90.0)) (- cg th))
              p66 (polar p2 (+ (angle p1 p2) (dtr 90.0)) (- asize cg))
       )
        (command "_layer" "s" "0" ""
	 	 "_linetype" "set" "continuous" "")
                 (line0 p63 p61) (line0 p61 p64) (line0 p64 p66)
                 (line0 p66 p63) (line0 p62 p65)
        (command "_layer" "set" "cen" ""
                 "_linetype" "set" "center" ""
                 "_line" (polar p1 (dtr 270.0) (* scisa1 (/ 5.0 m1))) (polar p2 (dtr 90.0) (* scisa1 (/ 5.0 m1))) "" 
                 "_linetype" "set" "continuous" ""
                 "_layer" "set" "0" ""
	)
) ; end isa1 -----------------------------------------------------------------------
(defun weld ( p1 scweld text1 text2 w1 / p2 p3 p4 p5 p6 p7 p8)
     (setq p2 (list (+ (car p1) (* (strlen text1) scweld (/ 2.0 m1))) (cadr p1))
           p3 (list (+ (car p1) (/ scweld m1)) (+ (cadr p1) (/ scweld m1)))
           p4 (list (+ (car p1) (/ scweld m1)) (- (cadr p1) (* scweld (/ 4.0 m1))))
           p5 (list (+ (car p1) (* scweld (/ 3.0 m1))) (cadr p1))
           p6 (list (car p5) (+ (cadr p1) (* scweld (/ 5.0 m1))))
           p7 (list (car p5) (- (cadr p1) (* scweld (/ 5.0 m1))))
           p8 (list (+ (car p5) (* scweld (/ 4.0 m1))) (cadr p5))
     )
     (command "_layer" "s" "dim" ""
              "_linetype" "s" "continuous" "")
              (line0 p1 p2)
     (command "_layer" "s" "0" ""
              "_text" p3 (* scweld (/ 2.0 m1)) "0" text1
              "_text" p4 (* scweld (/ 2.0 m1)) "0" text2
     )
     (if (= w1 2) (progn (line0 p6 p7) (line0 p7 p8) (line0 p8 p6))
                  (progn (line0 p8 p6) (line0 p6 p5))
     )
) ; end weld ------------------------------------------------------------------
(defun weld1 ( p0 scwel1 / p1 p2 p3 p4 p5 p6 p7 p8 p9 p10 p11 p12)
     (setq p1 (list (+ (car p0) (* scwel1 (/ 20.0 m1))) (+ (cadr p0) (* scwel1 (/ 10.0 m1))))
           p2 (list (+ (car p1) (* scwel1 (/ 10.0 m1))) (cadr p1))
           p4 (list (+ (car p1) (* scwel1 (/ 4.0 m1))) (cadr p1))
           p5 (list (+ (car p1) (* scwel1 (/ 6.0 m1))) (cadr p1))
           p6 (list (car p4) (- (cadr p4) (* scwel1 (/ 3.0 m1))))
           p7 (list (car p5) (- (cadr p5) (* scwel1 (/ 3.0 m1))))
           p8 (list (- (car p6) (* scwel1 (/ 1.0 m1))) (cadr p6))
           p9 (list (+ (car p1) (* scwel1 (/ 5.0 m1))) (- (cadr p1) (* scwel1 (/ 4.0 m1))))
           p10 (list (+ (car p7) (* scwel1 (/ 1.0 m1))) (cadr p7))
           p11 (list (+ (car p10) (* scwel1 (/ 5.0 m1))) (cadr p10))
           p12 (list (+ (car p10) (* scwel1 (/ 7.5 m1))) (- (cadr p10) (* scwel1 (/ 7.5 m1))))
     )
     (command "_layer" "s" "dim" ""
              "_linetype" "s" "continuous" "")
              (line0 p0 p1) (line0 p1 p2) (line0 p4 p6) (line0 p5 p7)
     (command "_arc" p8 p9 p10
              "_layer" "s" "0" ""
              "_text" "c" p11 (* scwel1 (/ 2.0 m1)) "0" "5"
              "_text" "c" p12 (* scwel1 (/ 2.0 m1)) "0" "(TYP)")
) ;end weld1   ------------------------------------------------------------------
(defun macmark ( p1 scmak i1 i2 / p2 p3 p4 p5)
    (setq p2 (polar p1 (dtr (+ i1 60.0)) (* scmak (/ 3.0 m1)))
          p3 (polar p2 (dtr (+ i1 180.0)) (* scmak (/ 3.0 m1)))
          p4 (polar p1 (dtr i1) (* scmak (/ 3.0 m1)))
          p5 (polar p4 (dtr (+ i1 60.0)) (* scmak (/ 3.0 m1)))
    )
          (line0 p1 p2) (line0 p2 p3) (line0 p3 p1)
  (if (= i2 2) (progn (line0 p4 p5) (line0 p5 p2) (line0 p2 p4)))
) ; end macmark ------------------------------------------------------------------
(defun macj6 ( size scmaj te1 te2 te3 te4 te5 te6 / te7 te8 te9 te10 te11 te12
               p1 p2 p3 p4 p5 p6 p11 p12 p13 p14 p15 p16)
(cond 
      ((= size "*a1")
     	(setq p1 (list (* scmaj (/ 409.0 m1)) (* scmaj (/ 18.0 m1)))
	      p2 (list (* scmaj (/ 409.0 m1)) (* scmaj (/ 22.0 m1)))
              p11 (list (* scmaj (/ 435.0 m1)) (* scmaj (/ 14.0 m1)))
	      p12 (list (* scmaj (/ 435.0 m1)) (* scmaj (/ 20.0 m1)))
	      p3 (list (* scmaj (/ 409.0 m1)) (* scmaj (/ 31.0 m1)))
	      p4 (list (* scmaj (/ 409.0 m1)) (* scmaj (/ 35.0 m1)))
	      p13 (list (* scmaj (/ 435.0 m1)) (* scmaj (/ 27.0 m1)))
	      p14 (list (* scmaj (/ 435.0 m1)) (* scmaj (/ 33.0 m1)))
	      p5 (list (* scmaj (/ 409.0 m1)) (* scmaj (/ 44.0 m1)))
	      p6 (list (* scmaj (/ 409.0 m1)) (* scmaj (/ 48.0 m1)))
	      p15 (list (* scmaj (/ 435.0 m1)) (* scmaj (/ 40.0 m1)))
	      p16 (list (* scmaj (/ 435.0 m1)) (* scmaj (/ 46.0 m1)))
        )
      )
      ((= size "*a2")
     	(setq p1 (list (* scmaj (/ 192.0 m1)) (* scmaj (/ 18.0 m1)))
	      p2 (list (* scmaj (/ 192.0 m1)) (* scmaj (/ 22.0 m1)))
              p11 (list (* scmaj (/ 214.0 m1)) (* scmaj (/ 14.0 m1)))
	      p12 (list (* scmaj (/ 214.0 m1)) (* scmaj (/ 20.0 m1)))
	      p3 (list (* scmaj (/ 192.0 m1)) (* scmaj (/ 31.0 m1)))
	      p4 (list (* scmaj (/ 192.0 m1)) (* scmaj (/ 35.0 m1)))
	      p13 (list (* scmaj (/ 214.0 m1)) (* scmaj (/ 27.0 m1)))
	      p14 (list (* scmaj (/ 214.0 m1)) (* scmaj (/ 33.0 m1)))
	      p5 (list (* scmaj (/ 192.0 m1)) (* scmaj (/ 44.0 m1)))
	      p6 (list (* scmaj (/ 192.0 m1)) (* scmaj (/ 48.0 m1)))
	      p15 (list (* scmaj (/ 214.0 m1)) (* scmaj (/ 40.0 m1)))
	      p16 (list (* scmaj (/ 214.0 m1)) (* scmaj (/ 46.0 m1)))
        )
      )
      ((= size "*a3")
     	(setq p1 (list (* scmaj (/ 56.0 m1)) (* scmaj (/ 17.0 m1)))
	      p2 (list (* scmaj (/ 56.0 m1)) (* scmaj (/ 21.0 m1)))
              p11 (list (* scmaj (/ 79.0 m1)) (* scmaj (/ 13.0 m1)))
	      p12 (list (* scmaj (/ 79.0 m1)) (* scmaj (/ 19.0 m1)))
	      p3 (list (* scmaj (/ 56.0 m1)) (* scmaj (/ 26.0 m1)))
	      p4 (list (* scmaj (/ 56.0 m1)) (* scmaj (/ 30.0 m1)))
	      p13 (list (* scmaj (/ 79.0 m1)) (* scmaj (/ 22.0 m1)))
	      p14 (list (* scmaj (/ 79.0 m1)) (* scmaj (/ 28.0 m1)))
	      p5 (list (* scmaj (/ 56.0 m1)) (* scmaj (/ 35.0 m1)))
	      p6 (list (* scmaj (/ 56.0 m1)) (* scmaj (/ 39.0 m1)))
	      p15 (list (* scmaj (/ 79.0 m1)) (* scmaj (/ 31.0 m1)))
	      p16 (list (* scmaj (/ 79.0 m1)) (* scmaj (/ 37.0 m1)))
        )
      )
)
(cond
  ((= m2 2)
    (if (and (= te2 "H7") (>= c10 30.0) (< c10 50.0)) (setq te7 "+0.025" te8 "0.00"))
    (if (and (= te2 "H7") (>= c10 50.0) (< c10 80.0)) (setq te7 "+0.030" te8 "0.00"))
    (if (and (= te2 "H7") (>= c10 80.0) (< c10 120.0)) (setq te7 "+0.035" te8 "0.00"))
    (if (and (= te2 "H7") (>= c10 120.0) (< c10 180.0)) (setq te7 "+0.040" te8 "0.00"))

    (if (and (= te4 "H7") (>= c10 30.0) (< c10 50.0)) (setq te9 "+0.025" te10 "0.00"))
    (if (and (= te4 "H7") (>= c10 50.0) (< c10 80.0)) (setq te9 "+0.030" te10 "0.00"))
    (if (and (= te4 "H7") (>= c10 80.0) (< c10 120.0)) (setq te9 "+0.035" te10 "0.00"))
    (if (and (= te4 "H7") (>= c10 120.0) (< c10 180.0)) (setq te9 "+0.040" te10 "0.00"))

    (if (and (= te6 "H7") (>= c10 30.0) (< c10 50.0)) (setq te11 "+0.025" te12 "0.00"))
    (if (and (= te6 "H7") (>= c10 50.0) (< c10 80.0)) (setq te11 "+0.030" te12 "0.00"))
    (if (and (= te6 "H7") (>= c10 80.0) (< c10 120.0)) (setq te11 "+0.035" te12 "0.00"))
    (if (and (= te6 "H7") (>= c10 120.0) (< c10 180.0)) (setq te11 "+0.040" te12 "0.00"))

    (if (and (= te2 "H7") (>= c9 30.0) (< c9 50.0)) (setq te7 "+0.025" te8 "0.00"))
    (if (and (= te2 "H7") (>= c9 50.0) (< c9 80.0)) (setq te7 "+0.030" te8 "0.00"))
    (if (and (= te2 "H7") (>= c9 80.0) (< c9 120.0)) (setq te7 "+0.035" te8 "0.00"))
    (if (and (= te2 "H7") (>= c9 120.0) (< c9 180.0)) (setq te7 "+0.040" te8 "0.00"))

    (if (and (= te4 "H7") (>= c9 30.0) (< c9 50.0)) (setq te9 "+0.025" te10 "0.00"))
    (if (and (= te4 "H7") (>= c9 50.0) (< c9 80.0)) (setq te9 "+0.030" te10 "0.00"))
    (if (and (= te4 "H7") (>= c9 80.0) (< c9 120.0)) (setq te9 "+0.035" te10 "0.00"))
    (if (and (= te4 "H7") (>= c9 120.0) (< c9 180.0)) (setq te9 "+0.040" te10 "0.00"))

    (if (and (= te6 "H7") (>= c9 30.0) (< c9 50.0)) (setq te11 "+0.025" te12 "0.00"))
    (if (and (= te6 "H7") (>= c9 50.0) (< c9 80.0)) (setq te11 "+0.030" te12 "0.00"))
    (if (and (= te6 "H7") (>= c9 80.0) (< c9 120.0)) (setq te11 "+0.035" te12 "0.00"))
    (if (and (= te6 "H7") (>= c9 120.0) (< c9 180.0)) (setq te11 "+0.040" te12 "0.00"))

    (if (and (= te2 "j6") (>= c7 18.0) (< c7 30.0)) (setq te7 "+0.009" te8 "-0.004"))
    (if (and (= te2 "j6") (>= c7 30.0) (< c7 50.0)) (setq te7 "+0.011" te8 "-0.005"))
    (if (and (= te2 "j6") (>= c7 50.0) (< c7 80.0)) (setq te7 "+0.012" te8 "-0.007"))
    (if (and (= te2 "j6") (>= c7 80.0) (< c7 120.0)) (setq te7 "+0.013" te8 "-0.009"))
    (if (and (= te2 "j6") (>= c7 120.0) (< c7 180.0)) (setq te7 "+0.014" te8 "-0.011"))

    (if (and (= te4 "j6") (>= c7 18.0) (< c7 30.0)) (setq te9 "+0.009" te10 "-0.004"))
    (if (and (= te4 "j6") (>= c7 30.0) (< c7 50.0)) (setq te9 "+0.011" te10 "-0.005"))
    (if (and (= te4 "j6") (>= c7 50.0) (< c7 80.0)) (setq te9 "+0.012" te10 "-0.007"))
    (if (and (= te4 "j6") (>= c7 80.0) (< c7 120.0)) (setq te9 "+0.013" te10 "-0.009"))
    (if (and (= te4 "j6") (>= c7 120.0) (< c7 180.0)) (setq te9 "+0.014" te10 "-0.011"))

    (if (and (= te6 "j6") (>= c7 18.0) (< c7 30.0)) (setq te11 "+0.009" te12 "-0.004"))
    (if (and (= te6 "j6") (>= c7 30.0) (< c7 50.0)) (setq te11 "+0.011" te12 "-0.005"))
    (if (and (= te6 "j6") (>= c7 50.0) (< c7 80.0)) (setq te11 "+0.012" te12 "-0.007"))
    (if (and (= te6 "j6") (>= c7 80.0) (< c7 120.0)) (setq te11 "+0.013" te12 "-0.009"))
    (if (and (= te6 "j6") (>= c7 120.0) (< c7 180.0)) (setq te11 "+0.014" te12 "-0.011"))

    (if (and (= te2 "j6") (>= c8 18.0) (< c8 30.0)) (setq te7 "+0.009" te8 "-0.004"))
    (if (and (= te2 "j6") (>= c8 30.0) (< c8 50.0)) (setq te7 "+0.011" te8 "-0.005"))
    (if (and (= te2 "j6") (>= c8 50.0) (< c8 80.0)) (setq te7 "+0.012" te8 "-0.007"))
    (if (and (= te2 "j6") (>= c8 80.0) (< c8 120.0)) (setq te7 "+0.013" te8 "-0.009"))
    (if (and (= te2 "j6") (>= c8 120.0) (< c8 180.0)) (setq te7 "+0.014" te8 "-0.011"))

    (if (and (= te4 "j6") (>= c8 18.0) (< c8 30.0)) (setq te9 "+0.009" te10 "-0.004"))
    (if (and (= te4 "j6") (>= c8 30.0) (< c8 50.0)) (setq te9 "+0.011" te10 "-0.005"))
    (if (and (= te4 "j6") (>= c8 50.0) (< c8 80.0)) (setq te9 "+0.012" te10 "-0.007"))
    (if (and (= te4 "j6") (>= c8 80.0) (< c8 120.0)) (setq te9 "+0.013" te10 "-0.009"))
    (if (and (= te4 "j6") (>= c8 120.0) (< c8 180.0)) (setq te9 "+0.014" te10 "-0.011"))

    (if (and (= te6 "j6") (>= c8 18.0) (< c8 30.0)) (setq te11 "+0.009" te12 "-0.004"))
    (if (and (= te6 "j6") (>= c8 30.0) (< c8 50.0)) (setq te11 "+0.011" te12 "-0.005"))
    (if (and (= te6 "j6") (>= c8 50.0) (< c8 80.0)) (setq te11 "+0.012" te12 "-0.007"))
    (if (and (= te6 "j6") (>= c8 80.0) (< c8 120.0)) (setq te11 "+0.013" te12 "-0.009"))
    (if (and (= te6 "j6") (>= c8 120.0) (< c8 180.0)) (setq te11 "+0.014" te12 "-0.011"))
  )
  ((= m2 4)
    (if (and (= te2 "H7") (>= c10 (/ 30.0 m1))  (< c10 (/ 50.0 m1))) (setq te7 "+0.025" te8 "0.00"))
    (if (and (= te2 "H7") (>= c10 (/ 50.0 m1)) (< c10 (/ 80.0 m1))) (setq te7 "+0.030" te8 "0.00"))
    (if (and (= te2 "H7") (>= c10 (/ 80.0 m1)) (< c10 (/ 120.0 m1))) (setq te7 "+0.035" te8 "0.00"))
    (if (and (= te2 "H7") (>= c10 (/ 120.0 m1)) (< c10 (/ 180.0 m1))) (setq te7 "+0.040" te8 "0.00"))

    (if (and (= te4 "H7") (>= c10 (/ 30.0 m1)) (< c10 (/ 50.0 m1))) (setq te9 "+0.025" te10 "0.00"))
    (if (and (= te4 "H7") (>= c10 (/ 50.0 m1)) (< c10 (/ 80.0 m1))) (setq te9 "+0.030" te10 "0.00"))
    (if (and (= te4 "H7") (>= c10 (/ 80.0 m1)) (< c10 (/ 120.0 m1))) (setq te9 "+0.035" te10 "0.00"))
    (if (and (= te4 "H7") (>= c10 (/ 120.0 m1)) (< c10 (/ 180.0 m1))) (setq te9 "+0.040" te10 "0.00"))

    (if (and (= te6 "H7") (>= c10 (/ 30.0 m1)) (< c10 (/ 50.0 m1))) (setq te11 "+0.025" te12 "0.00"))
    (if (and (= te6 "H7") (>= c10 (/ 50.0 m1)) (< c10 (/ 80.0 m1))) (setq te11 "+0.030" te12 "0.00"))
    (if (and (= te6 "H7") (>= c10 (/ 80.0 m1)) (< c10 (/ 120.0 m1))) (setq te11 "+0.035" te12 "0.00"))
    (if (and (= te6 "H7") (>= c10 (/ 120.0 m1)) (< c10 (/ 180.0 m1))) (setq te11 "+0.040" te12 "0.00"))

    (if (and (= te2 "H7") (>= c9 (/ 30.0 m1)) (< c9 (/ 50.0 m1))) (setq te7 "+0.025" te8 "0.00"))
    (if (and (= te2 "H7") (>= c9 (/ 50.0 m1)) (< c9 (/ 80.0 m1))) (setq te7 "+0.030" te8 "0.00"))
    (if (and (= te2 "H7") (>= c9 (/ 80.0 m1)) (< c9 (/ 120.0 m1))) (setq te7 "+0.035" te8 "0.00"))
    (if (and (= te2 "H7") (>= c9 (/ 120.0 m1)) (< c9 (/ 180.0 m1))) (setq te7 "+0.040" te8 "0.00"))

    (if (and (= te4 "H7") (>= c9 (/ 30.0 m1)) (< c9 (/ 50.0 m1))) (setq te9 "+0.025" te10 "0.00"))
    (if (and (= te4 "H7") (>= c9 (/ 50.0 m1)) (< c9 (/ 80.0 m1))) (setq te9 "+0.030" te10 "0.00"))
    (if (and (= te4 "H7") (>= c9 (/ 80.0 m1)) (< c9 (/ 120.0 m1))) (setq te9 "+0.035" te10 "0.00"))
    (if (and (= te4 "H7") (>= c9 (/ 120.0 m1)) (< c9 (/ 180.0 m1))) (setq te9 "+0.040" te10 "0.00"))

    (if (and (= te6 "H7") (>= c9 (/ 30.0 m1)) (< c9 (/ 50.0 m1))) (setq te11 "+0.025" te12 "0.00"))
    (if (and (= te6 "H7") (>= c9 (/ 50.0 m1)) (< c9 (/ 80.0 m1))) (setq te11 "+0.030" te12 "0.00"))
    (if (and (= te6 "H7") (>= c9 (/ 80.0 m1)) (< c9 (/ 120.0 m1))) (setq te11 "+0.035" te12 "0.00"))
    (if (and (= te6 "H7") (>= c9 (/ 120.0 m1)) (< c9 (/ 180.0 m1))) (setq te11 "+0.040" te12 "0.00"))

    (if (and (= te2 "j6") (>= c7 (/ 18.0 m1)) (< c7 (/ 30.0 m1))) (setq te7 "+0.009" te8 "-0.004"))
    (if (and (= te2 "j6") (>= c7 (/ 30.0 m1)) (< c7 (/ 50.0 m1))) (setq te7 "+0.011" te8 "-0.005"))
    (if (and (= te2 "j6") (>= c7 (/ 50.0 m1)) (< c7 (/ 80.0 m1))) (setq te7 "+0.012" te8 "-0.007"))
    (if (and (= te2 "j6") (>= c7 (/ 80.0 m1)) (< c7 (/ 120.0 m1))) (setq te7 "+0.013" te8 "-0.009"))
    (if (and (= te2 "j6") (>= c7 (/ 120.0 m1)) (< c7 (/ 180.0 m1))) (setq te7 "+0.014" te8 "-0.011"))

    (if (and (= te4 "j6") (>= c7 (/ 18.0 m1)) (< c7 (/ 30.0 m1))) (setq te9 "+0.009" te10 "-0.004"))
    (if (and (= te4 "j6") (>= c7 (/ 30.0 m1)) (< c7 (/ 50.0 m1))) (setq te9 "+0.011" te10 "-0.005"))
    (if (and (= te4 "j6") (>= c7 (/ 50.0 m1)) (< c7 (/ 80.0 m1))) (setq te9 "+0.012" te10 "-0.007"))
    (if (and (= te4 "j6") (>= c7 (/ 80.0 m1)) (< c7 (/ 120.0 m1))) (setq te9 "+0.013" te10 "-0.009"))
    (if (and (= te4 "j6") (>= c7 (/ 120.0 m1)) (< c7 (/ 180.0 m1))) (setq te9 "+0.014" te10 "-0.011"))

    (if (and (= te6 "j6") (>= c7 (/ 18.0 m1)) (< c7 (/ 30.0 m1))) (setq te11 "+0.009" te12 "-0.004"))
    (if (and (= te6 "j6") (>= c7 (/ 30.0 m1)) (< c7 (/ 50.0 m1))) (setq te11 "+0.011" te12 "-0.005"))
    (if (and (= te6 "j6") (>= c7 (/ 50.0 m1)) (< c7 (/ 80.0 m1))) (setq te11 "+0.012" te12 "-0.007"))
    (if (and (= te6 "j6") (>= c7 (/ 80.0 m1)) (< c7 (/ 120.0 m1))) (setq te11 "+0.013" te12 "-0.009"))
    (if (and (= te6 "j6") (>= c7 (/ 120.0 m1)) (< c7 (/ 180.0 m1))) (setq te11 "+0.014" te12 "-0.011"))

    (if (and (= te2 "j6") (>= c8 (/ 18.0 m1)) (< c8 (/ 30.0 m1))) (setq te7 "+0.009" te8 "-0.004"))
    (if (and (= te2 "j6") (>= c8 (/ 30.0 m1)) (< c8 (/ 50.0 m1))) (setq te7 "+0.011" te8 "-0.005"))
    (if (and (= te2 "j6") (>= c8 (/ 50.0 m1)) (< c8 (/ 80.0 m1))) (setq te7 "+0.012" te8 "-0.007"))
    (if (and (= te2 "j6") (>= c8 (/ 80.0 m1)) (< c8 (/ 120.0 m1))) (setq te7 "+0.013" te8 "-0.009"))
    (if (and (= te2 "j6") (>= c8 (/ 120.0 m1)) (< c8 (/ 180.0 m1))) (setq te7 "+0.014" te8 "-0.011"))

    (if (and (= te4 "j6") (>= c8 (/ 18.0 m1)) (< c8 (/ 30.0 m1))) (setq te9 "+0.009" te10 "-0.004"))
    (if (and (= te4 "j6") (>= c8 (/ 30.0 m1)) (< c8 (/ 50.0 m1))) (setq te9 "+0.011" te10 "-0.005"))
    (if (and (= te4 "j6") (>= c8 (/ 50.0 m1)) (< c8 (/ 80.0 m1))) (setq te9 "+0.012" te10 "-0.007"))
    (if (and (= te4 "j6") (>= c8 (/ 80.0 m1)) (< c8 (/ 120.0 m1))) (setq te9 "+0.013" te10 "-0.009"))
    (if (and (= te4 "j6") (>= c8 (/ 120.0 m1)) (< c8 (/ 180.0 m1))) (setq te9 "+0.014" te10 "-0.011"))

    (if (and (= te6 "j6") (>= c8 (/ 18.0 m1)) (< c8 (/ 30.0 m1))) (setq te11 "+0.009" te12 "-0.004"))
    (if (and (= te6 "j6") (>= c8 (/ 30.0 m1)) (< c8 (/ 50.0 m1))) (setq te11 "+0.011" te12 "-0.005"))
    (if (and (= te6 "j6") (>= c8 (/ 50.0 m1)) (< c8 (/ 80.0 m1))) (setq te11 "+0.012" te12 "-0.007"))
    (if (and (= te6 "j6") (>= c8 (/ 80.0 m1)) (< c8 (/ 120.0 m1))) (setq te11 "+0.013" te12 "-0.009"))
    (if (and (= te6 "j6") (>= c8 (/ 120.0 m1)) (< c8 (/ 180.0 m1))) (setq te11 "+0.014" te12 "-0.011"))
  )
)
     (if (/= te1 "") (command "_text" "r" p1 (* scmaj (/ 2.0 m1)) "0" te1))
     (if (/= te2 "") (command "_text" p2 (* scmaj (/ 2.0 m1)) "0" te2))
     (if (/= te3 "") (command "_text" "r" p3 (* scmaj (/ 2.0 m1)) "0" te3))
     (if (/= te4 "") (command "_text" p4 (* scmaj (/ 2.0 m1)) "0" te4))
     (if (/= te5 "") (command "_text" "r" p5 (* scmaj (/ 2.0 m1)) "0" te5))
     (if (/= te6 "") (command "_text" p6 (* scmaj (/ 2.0 m1)) "0" te6))
     (if (/= te7 "") (command "_text" "c" p12 (* scmaj (/ 2.0 m1)) "0" te7))
     (if (/= te8 "") (command "_text" "c" p11 (* scmaj (/ 2.0 m1)) "0" te8))
     (if (/= te9 "") (command "_text" "c" p14 (* scmaj (/ 2.0 m1)) "0" te9))
     (if (/= te10 "") (command "_text" "c" p13 (* scmaj (/ 2.0 m1)) "0" te10))
     (if (/= te11 "") (command "_text" "c" p16 (* scmaj (/ 2.0 m1)) "0" te11))
     (if (/= te12 "") (command "_text" "c" p15 (* scmaj (/ 2.0 m1)) "0" te12))
) ; end macj6   --------------------------------------------------------
(defun tol ( pdim diam sctol / pd1 pd2 te17 te18)
    (if (and (>= diam (/ 30.0 m1)) (< diam (/ 50.0 m1))) (setq te17 "+0.025" te18 " 0.00"))
    (if (and (>= diam (/ 50.0 m1)) (< diam (/ 80.0 m1))) (setq te17 "+0.030" te18 " 0.00"))
    (if (and (>= diam (/ 80.0 m1)) (< diam (/ 120.0 m1))) (setq te17 "+0.035" te18 " 0.00"))
    (if (and (>= diam (/ 120.0 m1)) (< diam (/ 180.0 m1))) (setq te17 "+0.040" te18 " 0.00"))

    (if (/= pdim nil) (progn 
    	(setq pd1 (list (+ (car pdim) (* sctol (/ 4.0 m1))) (+ (cadr pdim) (* sctol (/ 4.0 m1))))
              pd2 (list (+ (car pdim) (* sctol (/ 4.0 m1))) (+ (cadr pdim) (* sctol (/ 7.0 m1))))
        )
        (command "_text" pd1 (* sctol (/ 2.0 m1)) "0" te17
                 "_text" pd2 (* sctol (/ 2.0 m1)) "0" te18
        )
    ))
) ; end tol ------------------------------------------------------------------
(defun tol1 ( pdim diam sctol1 / pd1 pd2 te17 te18)
    (if (and (>= diam (/ 18.0 m1)) (< diam (/ 30.0 m1))) (setq te17 "+0.009" te18 "-0.004"))
    (if (and (>= diam (/ 30.0 m1)) (< diam (/ 50.0 m1))) (setq te17 "+0.011" te18 "-0.005"))
    (if (and (>= diam (/ 50.0 m1)) (< diam (/ 80.0 m1))) (setq te17 "+0.012" te18 "-0.007"))
    (if (and (>= diam (/ 80.0 m1)) (< diam (/ 12.0 m1))) (setq te17 "+0.013" te18 "-0.009"))
    (if (and (>= diam (/ 120.0 m1)) (< diam (/ 180.0 m1))) (setq te17 "+0.014" te18 "-0.011"))

    (if (/= pdim nil) (progn 
    	(setq pd1 (list (+ (car pdim) (* sctol1 (/ 4.0 m1))) (+ (cadr pdim) (* sctol1 (/ 6.0 m1))))
              pd2 (list (+ (car pdim) (* sctol1 (/ 4.0 m1))) (+ (cadr pdim) (* sctol1 (/ 9.0 m1))))
        )
        (command "_text" pd1 (* sctol1 (/ 2.0 m1)) "0" t17
                 "_text" pd2 (* sctol1 (/ 2.0 m1)) "0" t18
        )
    ))
) ; end tol1 -------------------------------------------------------------------
(defun hook ( p1 schook / p2 p3 p4 p5)
      (setq p2 (list (- (car p1) (* c64 0.5) (* schook (/ 5.0 m1)) (/ 25.0 m1)) (cadr p1))
	    p3 (list (+ (car p1) (* c64 0.5) (* schook (/ 5.0 m1)) (/ 25.0 m1)) (cadr p1))
	    p4 (list (car p1) (+ (cadr p1) (* c64 0.5) (* schook (/ 5.0 m1)) (/ 25.0 m1)))
	    p5 (list (car p1) (- (cadr p1) (* c64 0.5) (* schook (/ 5.0 m1)) (/ 25.0 m1)))
            p6 (polar p1 (dtr 0.0) (/ 25.0 m1))
            p7 (polar p1 (dtr 0.0) (/ 30.0 m1))
            p8 (polar p1 (dtr 270.0) (/ 25.0 m1))
            p9 (polar p1 (dtr 270.0) (/ 30.0 m1))
            p10 (polar p1 (dtr 90.0) (/ 25.0 m1))
            p11 (polar p1 (dtr 90.0) (/ 30.0 m1))
            p12 (polar p10 (dtr 0.0) (/ 5.0 m1))
            p13 (polar p11 (dtr 90.0) (/ 25.0 m1))
            p14 (polar p12 (dtr 90.0) (/ 30.0 m1))
      )
      (command   "_layer" "set" "cen" ""
		 "_linetype" "set" "center" "")
	 	 (line0 p2 p3) (line0 p4 p5)
      (command	 "_linetype" "set" "continuous" ""
                 "_layer" "s" "0" ""
		 "_arc" p7 "e" p6 "a" "180.0"
                 "_arc" p11 p9 p7
                 "_arc" p10 p8 p6)
	 	 (line0 p10 p12) (line0 p12 p14) (line0 p11 p13)
) ; end hook ------------------------------------------------------------------
(defun nuts( p0 c7 / p1 p2 p3 p4 p5 p6 p7 p8 p9 p10
                     p11 p12 p13 p14 p15 p16 p17 p18 p19 p20
                     p21 p22 p23 p24 d d1 d2)
(if                         (<= c8 (/ 30.0 m1))  (setq d (/ 24.0 m1) d1 (/ 12.0 m1) d2 (/ 6.0 m1)))
(if (and (> c8 (/ 30.0 m1)) (<= c8 (/ 50.0 m1))) (setq d (/ 36.0 m1) d1 (/ 18.0 m1) d2 (/ 9.0 m1)))
(if (and (> c8 (/ 50.0 m1)) (<= c8 (/ 70.0 m1))) (setq d (/ 56.0 m1) d1 (/ 28.0 m1) d2 (/ 14.0 m1)))
(if (and (> c8 (/ 70.0 m1)) (<= c8 (/ 90.0 m1))) (setq d (/ 72.0 m1) d1 (/ 36.0 m1) d2 (/ 18.0 m1)))
(if      (> c8 (/ 90.0 m1))                      (setq d (/ 80.0 m1) d1 (/ 40.0 m1) d2 (/ 20.0 m1)))
(setq p1 (list (- (car p0) d1) (- (cadr p0) (/ 3.0 m1)))
      p2 (list (+ (car p0) d1) (- (cadr p0) (/ 3.0 m1)))
      p3 (list (- (car p0) d1 d2) (cadr p0))
      p4 (list (+ (car p0) d1 d2) (cadr p0))
      p5 (list (- (car p0) d1 d1) (- (cadr p0) (/ 3.0 m1)))
      p6 (list (+ (car p0) d1 d1) (- (cadr p0) (/ 3.0 m1)))
      p7 (list (car p0) (- (cadr p0) d))
      p8 (list (car p7) (- (cadr p7) d1))
      p9 (list (- (car p7) d1) (+ (cadr p7) (/ 3.0 m1)))
      p10 (list (+ (car p7) d1) (+ (cadr p7) (/ 3.0 m1)))
      p11 (list (- (car p7) d1 d2) (cadr p7))
      p12 (list (+ (car p7) d1 d2) (cadr p7))
      p13 (list (- (car p7) d1 d1) (+ (cadr p7) (/ 3.0 m1)))
      p14 (list (+ (car p7) d1 d1) (+ (cadr p7) (/ 3.0 m1)))
      p15 (list (- (car p7) d1 d1) (- (cadr p7) (/ 3.0 m1)))
      p16 (list (- (car p7) d1) (- (cadr p7) (/ 3.0 m1)))
      p17 (list (+ (car p7) d1) (- (cadr p7) (/ 3.0 m1)))
      p18 (list (+ (car p7) d1 d1) (- (cadr p7) (/ 3.0 m1)))
      p19 (list (- (car p8) d1 d1) (+ (cadr p8) (/ 3.0 m1)))
      p20 (list (- (car p8) d1) (+ (cadr p8) (/ 3.0 m1)))
      p21 (list (+ (car p8) d1) (+ (cadr p8) (/ 3.0 m1)))
      p22 (list (+ (car p8) d1 d1) (+ (cadr p8) (/ 3.0 m1)))
      p23 (list (- (car p8) d1 d2) (cadr p8))
      p24 (list (+ (car p8) d1 d2) (cadr p8))
)
(command "_layer" "s" "0" ""
         "_linetype" "s" "continuous" "")
         (line0 p5 p13) (line0 p1 p9) (line0 p2 p10) (line0 p6 p14)
         (line0 p15 p19) (line0 p16 p20) (line0 p17 p21) (line0 p18 p22)
         (line0 p3 p4) (line0 p11 p12) (line0 p23 p24)
(command "_arc" p6 p4 p2
         "_arc" p2 p0 p1
         "_arc" p1 p3 p5
         "_arc" p13 p11 p9
         "_arc" p9 p7 p10
         "_arc" p10 p12 p14
         "_arc" p18 p12 p17
         "_arc" p17 p7 p16
         "_arc" p16 p11 p15
         "_arc" p19 p23 p20
         "_arc" p20 p8 p21
         "_arc" p21 p24 p22)
) ; end nuts ------------------------------------------------------------------