(defun jibus_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "sel_beam" i0)) (exit))
  	(settile demomode)
  	(set_tile "usb" "1") (setq btype "usb")
  (if (= demomode 0) (action_tile "accept" "(setq btype (get_tile \"selbeam\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= btype "usb") (selusb_db))
	((= btype "cbl") (selcbl_db))
	((= btype "cbs") (selcbs_db))
	((= btype "cbj") (selcbj_db))
  )
) ; end jibus_db ---------------------------------------------------
(defun selusb_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "sel_usb" i0)) (exit))
  	(settile demomode)
(cond
  ((= c11  3.0) (set_tile "usb3" "1") (setq btype "usb3"))
  ((= c11  4.0) (set_tile "usb4" "1") (setq btype "usb4"))
  ((= c11  5.0) (set_tile "usb5" "1") (setq btype "usb5"))
  ((= c11  6.0) (set_tile "usb6" "1") (setq btype "usb6"))
  ((= c11  7.0) (set_tile "usb7" "1") (setq btype "usb7"))
  ((= c11  8.0) (set_tile "usb8" "1") (setq btype "usb8"))
  ((= c11 10.0) (set_tile "usb10" "1") (setq btype "usb10"))
  ((= c11 12.0) (set_tile "usb12" "1") (setq btype "usb12"))
  ((= c11 15.0) (set_tile "usb15" "1") (setq btype "usb15"))
  ((= c11 18.0) (set_tile "usb18" "1") (setq btype "usb18"))
  ((= c11 20.0) (set_tile "usb20" "1") (setq btype "usb20"))
  ((= c11 24.0) (set_tile "usb24" "1") (setq btype "usb24"))
)
  (if (= demomode 0) (action_tile "accept" "(setq btype (get_tile \"selusb\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= btype "usb3")  (selusb3_db))
	((= btype "usb4")  (selusb4_db))
	((= btype "usb5")  (selusb5_db))
	((= btype "usb6")  (selusb6_db))
	((= btype "usb7")  (selusb7_db))
	((= btype "usb8")  (selusb8_db))
	((= btype "usb10") (selusb10_db))
	((= btype "usb12") (selusb12_db))
	((= btype "usb15") (selusb15_db))
	((= btype "usb18") (selusb18_db))
	((= btype "usb20") (selusb20_db))
	((= btype "usb24") (selusb24_db))
  )
) ; end selusb_db -------------------------------------------------
(defun selusb3_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "sel_usb3" i0)) (exit))
  	(settile demomode)
	(set_tile "31" "1") (setq beamsize 3.0 bsize 1)
  (if (= demomode 0) (action_tile "accept" "(setq btype (get_tile \"selusb3\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= btype "31")  (setq beamsize 3.0 bsize 1))
	((= btype "32")  (setq beamsize 3.0 bsize 2))
  )
) ; end selusb3_db -------------------------------------------------
(defun selusb4_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "sel_usb4" i0)) (exit))
  	(settile demomode)
	(set_tile "41" "1") (setq beamsize 4.0 bsize 1)
  (if (= demomode 0) (action_tile "accept" "(setq btype (get_tile \"selusb4\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= btype "41")  (setq beamsize 4.0 bsize 1))
	((= btype "42")  (setq beamsize 4.0 bsize 2))
  )
) ; end selusb4_db -------------------------------------------------
(defun selusb5_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "sel_usb5" i0)) (exit))
  	(settile demomode)
	(set_tile "51" "1") (setq beamsize 5.0 bsize 1)
  (if (= demomode 0) (action_tile "accept" "(setq btype (get_tile \"selusb5\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= btype "51")  (setq beamsize 5.0 bsize 1))
	((= btype "52")  (setq beamsize 5.0 bsize 2))
  )
) ; end selusb5_db -------------------------------------------------
(defun selusb6_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "sel_usb6" i0)) (exit))
  	(settile demomode)
	(set_tile "61" "1") (setq beamsize 6.0 bsize 1)
  (if (= demomode 0) (action_tile "accept" "(setq btype (get_tile \"selusb6\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= btype "61")  (setq beamsize 6.0 bsize 1))
	((= btype "62")  (setq beamsize 6.0 bsize 2))
  )
) ; end selusb6_db -------------------------------------------------
(defun selusb7_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "sel_usb7" i0)) (exit))
  	(settile demomode)
	(set_tile "71" "1") (setq beamsize 7.0 bsize 1)
  (if (= demomode 0) (action_tile "accept" "(setq btype (get_tile \"selusb7\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= btype "71")  (setq beamsize 7.0 bsize 1))
	((= btype "72")  (setq beamsize 7.0 bsize 2))
  )
) ; end selusb7_db -------------------------------------------------
(defun selusb8_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "sel_usb8" i0)) (exit))
  	(settile demomode)
	(set_tile "81" "1") (setq beamsize 8.0 bsize 1)
  (if (= demomode 0) (action_tile "accept" "(setq btype (get_tile \"selusb8\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= btype "81")  (setq beamsize 8.0 bsize 1))
	((= btype "82")  (setq beamsize 8.0 bsize 2))
  )
) ; end selusb8_db -------------------------------------------------
(defun selusb10_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "sel_usb10" i0)) (exit))
  	(settile demomode)
	(set_tile "101" "1") (setq beamsize 10.0 bsize 1)
  (if (= demomode 0) (action_tile "accept" "(setq btype (get_tile \"selusb10\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= btype "101")  (setq beamsize 10.0 bsize 1))
	((= btype "102")  (setq beamsize 10.0 bsize 2))
  )
) ; end selusb10_db -------------------------------------------------
(defun selusb12_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "sel_usb12" i0)) (exit))
  	(settile demomode)
	(set_tile "121" "1") (setq beamsize 12.0 bsize 1)
  (if (= demomode 0) (action_tile "accept" "(setq btype (get_tile \"selusb12\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= btype "121")  (setq beamsize 12.0 bsize 1))
	((= btype "122")  (setq beamsize 12.0 bsize 2))
	((= btype "123")  (setq beamsize 12.0 bsize 3))
	((= btype "124")  (setq beamsize 12.0 bsize 4))
  )
) ; end selusb12_db -------------------------------------------------
(defun selusb15_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "sel_usb15" i0)) (exit))
  	(settile demomode)
	(set_tile "151" "1") (setq beamsize 15.0 bsize 1)
  (if (= demomode 0) (action_tile "accept" "(setq btype (get_tile \"selusb15\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= btype "151")  (setq beamsize 15.0 bsize 1))
	((= btype "152")  (setq beamsize 15.0 bsize 2))
  )
) ; end selusb15_db -------------------------------------------------
(defun selusb18_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "sel_usb18" i0)) (exit))
  	(settile demomode)
	(set_tile "181" "1") (setq beamsize 18.0 bsize 1)
  (if (= demomode 0) (action_tile "accept" "(setq btype (get_tile \"selusb18\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= btype "181")  (setq beamsize 18.0 bsize 1))
	((= btype "182")  (setq beamsize 18.0 bsize 2))
  )
) ; end selusb18_db -------------------------------------------------
(defun selusb20_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "sel_usb20" i0)) (exit))
  	(settile demomode)
	(set_tile "201" "1") (setq beamsize 20.0 bsize 1)
  (if (= demomode 0) (action_tile "accept" "(setq btype (get_tile \"selusb20\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= btype "201")  (setq beamsize 20.0 bsize 1))
	((= btype "202")  (setq beamsize 20.0 bsize 2))
	((= btype "203")  (setq beamsize 20.0 bsize 3))
	((= btype "204")  (setq beamsize 20.0 bsize 4))
  )
) ; end selusb20_db -------------------------------------------------
(defun selusb24_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "sel_usb24" i0)) (exit))
  	(settile demomode)
	(set_tile "241" "1") (setq beamsize 24.0 bsize 1)
  (if (= demomode 0) (action_tile "accept" "(setq btype (get_tile \"selusb24\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= btype "241")  (setq beamsize 24.0 bsize 1))
	((= btype "242")  (setq beamsize 24.0 bsize 2))
	((= btype "243")  (setq beamsize 24.0 bsize 3))
	((= btype "244")  (setq beamsize 24.0 bsize 4))
	((= btype "245")  (setq beamsize 24.0 bsize 5))
  )
) ; end selusb24_db -------------------------------------------------
(defun seluscbl6_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "sel_uscbl6" i0)) (exit))
  	(settile demomode)
	(set_tile "61" "1") (setq beamsize 6.0 bsize 1)
  (if (= demomode 0) (action_tile "accept" "(setq btype (get_tile \"seluscbl6\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= btype "61")  (setq beamsize 6.0 bsize 1))
	((= btype "62")  (setq beamsize 6.0 bsize 2))
  )
) ; end seluscbl6_db -------------------------------------------------
(defun seluscbl8_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "sel_uscbl8" i0)) (exit))
  	(settile demomode)
	(set_tile "81" "1") (setq beamsize 8.0 bsize 1)
  (if (= demomode 0) (action_tile "accept" "(setq btype (get_tile \"seluscbl8\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= btype "81")  (setq beamsize 8.0 bsize 1))
	((= btype "82")  (setq beamsize 8.0 bsize 2))
  )
) ; end seluscbl8_db -------------------------------------------------
(defun seluscbl10_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "sel_uscbl10" i0)) (exit))
  	(settile demomode)
	(set_tile "101" "1") (setq beamsize 10.0 bsize 1)
  (if (= demomode 0) (action_tile "accept" "(setq btype (get_tile \"seluscbl10\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= btype "101")  (setq beamsize 10.0 bsize 1))
	((= btype "102")  (setq beamsize 10.0 bsize 2))
	((= btype "103")  (setq beamsize 10.0 bsize 3))
  )
) ; end seluscbl10_db -------------------------------------------------
(defun seluscbl12_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "sel_uscbl12" i0)) (exit))
  	(settile demomode)
	(set_tile "121" "1") (setq beamsize 12.0 bsize 1)
  (if (= demomode 0) (action_tile "accept" "(setq btype (get_tile \"seluscbl12\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= btype "121")  (setq beamsize 12.0 bsize 1))
	((= btype "122")  (setq beamsize 12.0 bsize 2))
	((= btype "123")  (setq beamsize 12.0 bsize 3))
  )
) ; end seluscbl12_db -------------------------------------------------
(defun seluscbs_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "sel_uscbs" i0)) (exit))
  	(settile demomode)
(cond
  ((= c11  5.0) (set_tile "uscbs5" "1") (setq btype "uscbs5"))
  ((= c11  6.0) (set_tile "uscbs6" "1") (setq btype "uscbs6"))
)
  (if (= demomode 0) (action_tile "accept" "(setq btype (get_tile \"seluscbs\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= btype "uscbs5")  (seluscbs5_db))
	((= btype "uscbs6")  (seluscbs6_db))
  )
) ; end seluscbs_db -------------------------------------------------
(defun seluscbs5_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "sel_uscbs5" i0)) (exit))
  	(settile demomode)
	(set_tile "51" "1") (setq beamsize 5.0 bsize 1)
  (if (= demomode 0) (action_tile "accept" "(setq btype (get_tile \"seluscbs5\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= btype "51")  (setq beamsize 5.0 bsize 1))
	((= btype "52")  (setq beamsize 5.0 bsize 2))
  )
) ; end seluscbs5_db -------------------------------------------------
(defun seluscbs6_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "sel_uscbs6" i0)) (exit))
  	(settile demomode)
	(set_tile "61" "1") (setq beamsize 6.0 bsize 1)
  (if (= demomode 0) (action_tile "accept" "(setq btype (get_tile \"seluscbs6\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= btype "61")  (setq beamsize 6.0 bsize 1))
	((= btype "62")  (setq beamsize 6.0 bsize 2))
	((= btype "63")  (setq beamsize 6.0 bsize 3))
  )
) ; end seluscbs6_db -------------------------------------------------
(defun seluscbj_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "sel_uscbj" i0)) (exit))
  	(settile demomode)
(cond
  ((= c11 12.0) (set_tile "uscbj12" "1") (setq btype "uscbj12"))
  ((= c11 10.0) (set_tile "uscbj10" "1") (setq btype "uscbj10"))
  ((= c11  8.0) (set_tile "uscbj8" "1")  (setq btype "uscbj8"))
  ((= c11  6.0) (set_tile "uscbj6" "1")  (setq btype "uscbj6"))
)
  (if (= demomode 0) (action_tile "accept" "(setq btype (get_tile \"seluscbj\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= btype "uscbj12") (seluscbj12_db))
	((= btype "uscbj10") (seluscbj10_db))
	((= btype "uscbj8")  (seluscbj8_db))
	((= btype "uscbj6")  (seluscbj6_db))
  )
) ; end seluscbj_db -------------------------------------------------

(defun beam_data ()
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "beam_data" i0)) (exit))
  	(settile demomode)
        (set_tile "c11"  (rtos c11  m2 m4))
        (set_tile "c111_db" (rtos c111 m2 m4))
        (set_tile "c112_db" (rtos c112 m2 m4))
        (set_tile "c113_db" (rtos c113 m2 m4))
        (set_tile "c114_db" (rtos c114 m2 m4))
        (set_tile "c115_db" c115)
  (if (= demomode 0) (progn
    (action_tile "c11"  "(get_c11)")
    (action_tile "c111_db" "(get_c111)")
    (action_tile "c112_db" "(get_c112)")
    (action_tile "c113_db" "(get_c113)")
    (action_tile "c114_db" "(get_c114)")
    (action_tile "c115_db" "(get_c115)")
  ))
    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(done_dialog 0)")
    (setq i1 (start_dialog))
    (unload_dialog i0)
) ; end beam_data -------------------------------------------------

(defun selusc_db ( chan_var) ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "sel_usc" i0)) (exit))
  	(settile demomode)
(cond
  ((= chan_var  3.0) (set_tile "usc3" "1")  (setq ctype "usc3"))
  ((= chan_var  4.0) (set_tile "usc4" "1")  (setq ctype "usc4"))
  ((= chan_var  5.0) (set_tile "usc5" "1")  (setq ctype "usc5"))
  ((= chan_var  6.0) (set_tile "usc6" "1")  (setq ctype "usc6"))
  ((= chan_var  7.0) (set_tile "usc7" "1")  (setq ctype "usc7"))
  ((= chan_var  8.0) (set_tile "usc8" "1")  (setq ctype "usc8"))
  ((= chan_var  9.0) (set_tile "usc9" "1")  (setq ctype "usc9"))
  ((= chan_var 10.0) (set_tile "usc10" "1") (setq ctype "usc10"))
  ((= chan_var 12.0) (set_tile "usc12" "1") (setq ctype "usc12"))
  ((= chan_var 13.0) (set_tile "usc13" "1") (setq ctype "usc13"))
  ((= chan_var 15.0) (set_tile "usc15" "1") (setq ctype "usc15"))
  ((= chan_var 18.0) (set_tile "usc18" "1") (setq ctype "usc18"))
)
  (if (= demomode 0) (action_tile "accept" "(setq ctype (get_tile \"selusc\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond
	((= ctype "usc3")  (selusc3_db))
	((= ctype "usc4")  (selusc4_db))
	((= ctype "usc5")  (selusc5_db))
	((= ctype "usc6")  (selusc6_db))
	((= ctype "usc7")  (selusc7_db))
	((= ctype "usc8")  (selusc8_db))
	((= ctype "usc9")  (selusc9_db))
	((= ctype "usc10") (selusc10_db))
	((= ctype "usc12") (selusc12_db))
	((= ctype "usc13") (selusc13_db))
	((= ctype "usc15") (selusc15_db))
	((= ctype "usc18") (selusc18_db))
  )
) ; end selusc_db -------------------------------------------------
(defun selusc3_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "selusc3_db" i0)) (exit))
  	(settile demomode)
	(set_tile "31" "1") (setq chansize 3.0 csize 1)
  (if (= demomode 0) (action_tile "accept" "(setq ctype (get_tile \"selusc3\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= ctype "31")  (setq chansize 3.0 csize 1))
	((= ctype "32")  (setq chansize 3.0 csize 2))
	((= ctype "33")  (setq chansize 3.0 csize 3))
  )
) ; end selusc3_db -------------------------------------------------
(defun selusc4_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "selusc4_db" i0)) (exit))
  	(settile demomode)
	(set_tile "41" "1") (setq chansize 4.0 csize 1)
  (if (= demomode 0) (action_tile "accept" "(setq ctype (get_tile \"selusc4\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= ctype "41")  (setq chansize 4.0 csize 1))
	((= ctype "42")  (setq chansize 4.0 csize 2))
  )
) ; end selusc4_db -------------------------------------------------
(defun selusc5_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "selusc5_db" i0)) (exit))
  	(settile demomode)
	(set_tile "51" "1") (setq chansize 5.0 csize 1)
  (if (= demomode 0) (action_tile "accept" "(setq ctype (get_tile \"selusc5\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= ctype "51")  (setq chansize 5.0 csize 1))
	((= ctype "52")  (setq chansize 5.0 csize 2))
  )
) ; end selusc5_db -------------------------------------------------
(defun selusc6_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "selusc6_db" i0)) (exit))
  	(settile demomode)
	(set_tile "61" "1") (setq chansize 6.0 csize 1)
  (if (= demomode 0) (action_tile "accept" "(setq ctype (get_tile \"selusc6\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= ctype "61")  (setq chansize 6.0 csize 1))
	((= ctype "62")  (setq chansize 6.0 csize 2))
	((= ctype "63")  (setq chansize 6.0 csize 3))
  )
) ; end selusc6_db -------------------------------------------------
(defun selusc7_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "selusc7_db" i0)) (exit))
  	(settile demomode)
	(set_tile "71" "1") (setq chansize 7.0 csize 1)
  (if (= demomode 0) (action_tile "accept" "(setq ctype (get_tile \"selusc7\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= ctype "71")  (setq chansize 7.0 csize 1))
	((= ctype "72")  (setq chansize 7.0 csize 2))
	((= ctype "73")  (setq chansize 7.0 csize 3))
  )
) ; end selusc7_db -------------------------------------------------
(defun selusc8_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "selusc8_db" i0)) (exit))
  	(settile demomode)
	(set_tile "81" "1") (setq chansize 8.0 csize 1)
  (if (= demomode 0) (action_tile "accept" "(setq ctype (get_tile \"selusc8\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= ctype "81")  (setq chansize 8.0 csize 1))
	((= ctype "82")  (setq chansize 8.0 csize 2))
	((= ctype "83")  (setq chansize 8.0 csize 3))
  )
) ; end selusc8_db -------------------------------------------------
(defun selusc9_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "selusc9_db" i0)) (exit))
  	(settile demomode)
	(set_tile "91" "1") (setq chansize 9.0 csize 1)
  (if (= demomode 0) (action_tile "accept" "(setq ctype (get_tile \"selusc9\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= ctype "91")  (setq chansize 9.0 csize 1))
	((= ctype "92")  (setq chansize 9.0 csize 2))
	((= ctype "93")  (setq chansize 9.0 csize 3))
  )
) ; end selusc9_db -------------------------------------------------
(defun selusc10_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "selusc10_db" i0)) (exit))
  	(settile demomode)
	(set_tile "101" "1") (setq chansize 10.0 csize 1)
  (if (= demomode 0) (action_tile "accept" "(setq ctype (get_tile \"selusc10\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= ctype "101")  (setq chansize 10.0 csize 1))
	((= ctype "102")  (setq chansize 10.0 csize 2))
	((= ctype "103")  (setq chansize 10.0 csize 3))
	((= ctype "104")  (setq chansize 10.0 csize 4))
  )
) ; end selusc10_db -------------------------------------------------
(defun selusc12_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "selusc12_db" i0)) (exit))
  	(settile demomode)
	(set_tile "121" "1") (setq chansize 12.0 csize 1)
  (if (= demomode 0) (action_tile "accept" "(setq ctype (get_tile \"selusc12\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= ctype "121")  (setq chansize 12.0 csize 1))
	((= ctype "122")  (setq chansize 12.0 csize 2))
	((= ctype "123")  (setq chansize 12.0 csize 3))
  )
) ; end selusc12_db -------------------------------------------------
(defun selusc13_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "selusc13_db" i0)) (exit))
  	(settile demomode)
	(set_tile "131" "1") (setq chansize 13.0 csize 1)
  (if (= demomode 0) (action_tile "accept" "(setq ctype (get_tile \"selusc13\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= ctype "131")  (setq chansize 13.0 csize 1))
	((= ctype "132")  (setq chansize 13.0 csize 2))
	((= ctype "133")  (setq chansize 13.0 csize 3))
	((= ctype "134")  (setq chansize 13.0 csize 4))
  )
) ; end selusc13_db -------------------------------------------------
(defun selusc15_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "selusc15_db" i0)) (exit))
  	(settile demomode)
	(set_tile "151" "1") (setq chansize 15.0 csize 1)
  (if (= demomode 0) (action_tile "accept" "(setq ctype (get_tile \"selusc15\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= ctype "151")  (setq chansize 15.0 csize 1))
	((= ctype "152")  (setq chansize 15.0 csize 2))
	((= ctype "153")  (setq chansize 15.0 csize 3))
  )
) ; end selusc15_db -------------------------------------------------
(defun selusc18_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "selusc18_db" i0)) (exit))
  	(settile demomode)
	(set_tile "181" "1") (setq chansize 18.0 csize 1)
  (if (= demomode 0) (action_tile "accept" "(setq ctype (get_tile \"selusc18\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= ctype "181")  (setq chansize 18.0 csize 1))
	((= ctype "182")  (setq chansize 18.0 csize 2))
	((= ctype "183")  (setq chansize 18.0 csize 3))
	((= ctype "184")  (setq chansize 18.0 csize 4))
  )
) ; end selusc18_db -------------------------------------------------

(defun chan_data5 ()
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "chan_data5" i0)) (exit))
  	(settile demomode)
        (set_tile "c5"      (rtos c5   m2 m4))
        (set_tile "c511_db" (rtos c511 m2 m4))
        (set_tile "c512_db" (rtos c512 m2 m4))
        (set_tile "c513_db" (rtos c513 m2 m4))
        (set_tile "c514_db" (rtos c514 2 2))
        (set_tile "c515_db" c515)
  (if (= demomode 0) (progn
    (action_tile "c5"      "(get_c5)")
    (action_tile "c511_db" "(get_c511)")
    (action_tile "c512_db" "(get_c512)")
    (action_tile "c513_db" "(get_c513)")
    (action_tile "c514_db" "(get_c514)")
    (action_tile "c515_db" "(get_c515)")
  ))
    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(done_dialog 0)")
    (setq i1 (start_dialog))
    (unload_dialog i0)
) ; end chan_data5 -------------------------------------------------
(defun chan_data33 ()
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "chan_data33" i0)) (exit))
  	(settile demomode)
        (set_tile "c33"     (rtos c33  m2 m4))
        (set_tile "c331_db" (rtos c331 m2 m4))
        (set_tile "c332_db" (rtos c332 m2 m4))
        (set_tile "c333_db" (rtos c333 m2 m4))
  (if (= demomode 0) (progn
    (action_tile "c33"     "(get_c33)")
    (action_tile "c331_db" "(get_c331)")
    (action_tile "c332_db" "(get_c332)")
    (action_tile "c333_db" "(get_c333)")
  ))
    (action_tile "accept" "(done_dialog 1)")
    (action_tile "cancel" "(done_dialog 0)")
    (setq i1 (start_dialog))
    (unload_dialog i0)
) ; end chan_data33 -------------------------------------------------

(defun selusa_db ( angsize ) ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "sel_usa" i0)) (exit))
  	(settile demomode)
(cond
  (                      (<= angsize 1.5)  (set_tile "usa1h" "1") (setq atype "usa1h"))
  ((and (> angsize  1.5) (<= angsize 2.0)) (set_tile "usa2" "1")  (setq atype "usa2"))
  ((and (> angsize  2.0) (<= angsize 2.5)) (set_tile "usa2h" "1") (setq atype "usa2h"))
  ((and (> angsize  2.5) (<= angsize 3.0)) (set_tile "usa3" "1")  (setq atype "usa3"))
)
  (if (= demomode 0) (action_tile "accept" "(setq btype (get_tile \"selusa\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= atype "usa1h") (selusa1h_db))
	((= atype "usa2")  (selusa2_db))
	((= atype "usa2h") (selusa2h_db))
	((= atype "usa3")  (selusa3_db))
  )
) ; end selusa_db ---------------------------------------------------
(defun selusa1h_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "sel_usa1h" i0)) (exit))
  	(settile demomode)
	(set_tile "1h1" "1") (setq angsize 1.5 angthk (/ 1.0  4.0))
  (if (= demomode 0) (action_tile "accept" "(setq atype (get_tile \"selusa1h\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= atype "1h1")  (setq angsize 1.5 angthk (/ 1.0  4.0)))
	((= atype "1h2")  (setq angsize 1.5 angthk (/ 3.0 16.0)))
	((= atype "1h3")  (setq angsize 1.5 angthk (/ 1.0  8.0)))
  )
) ; end selusa1h_db -------------------------------------------------
(defun selusa2_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "sel_usa2" i0)) (exit))
  	(settile demomode)
	(set_tile "21" "1") (setq angsize 2.0 angthk (/ 3.0  8.0))
  (if (= demomode 0) (action_tile "accept" "(setq atype (get_tile \"selusa2\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= atype "21")  (setq angsize 2.0 angthk (/ 3.0  8.0)))
	((= atype "22")  (setq angsize 2.0 angthk (/ 5.0 16.0)))
	((= atype "23")  (setq angsize 2.0 angthk (/ 1.0  4.0)))
	((= atype "24")  (setq angsize 2.0 angthk (/ 3.0 16.0)))
	((= atype "25")  (setq angsize 2.0 angthk (/ 1.0  8.0)))
  )
) ; end selusa2_db -------------------------------------------------
(defun selusa2h_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "sel_usa2h" i0)) (exit))
  	(settile demomode)
	(set_tile "2h1" "1") (setq angsize 2.5 angthk (/ 1.0  2.0))
  (if (= demomode 0) (action_tile "accept" "(setq atype (get_tile \"selusa2h\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= atype "2h1")  (setq angsize 2.5 angthk (/ 1.0  2.0)))
	((= atype "2h2")  (setq angsize 2.5 angthk (/ 3.0  8.0)))
	((= atype "2h3")  (setq angsize 2.5 angthk (/ 5.0 16.0)))
	((= atype "2h4")  (setq angsize 2.5 angthk (/ 1.0  4.0)))
	((= atype "2h5")  (setq angsize 2.5 angthk (/ 3.0 16.0)))
  )
) ; end selusa2h_db -------------------------------------------------
(defun selusa3_db () ; jibus.dcl
	(setq i0 (load_dialog "jibus.dcl"))
	(if (not (new_dialog "sel_usa3" i0)) (exit))
  	(settile demomode)
	(set_tile "31" "1") (setq angsize 3.0 angthk (/ 1.0  2.0))
  (if (= demomode 0) (action_tile "accept" "(setq atype (get_tile \"selusa3\"))"))
  	(start_dialog)
  	(unload_dialog i0)
  (cond 
	((= atype "31")  (setq angsize 3.0 angthk (/ 1.0  2.0)))
	((= atype "32")  (setq angsize 3.0 angthk (/ 7.0 16.0)))
	((= atype "33")  (setq angsize 3.0 angthk (/ 3.0  8.0)))
	((= atype "34")  (setq angsize 3.0 angthk (/ 5.0 16.0)))
	((= atype "35")  (setq angsize 3.0 angthk (/ 1.0  4.0)))
	((= atype "36")  (setq angsize 3.0 angthk (/ 3.0 16.0)))
  )
) ; end selusa3_db -------------------------------------------------