;----------------------------------------------------------------
(defun ldi ()(load_dialog "jib.dcl"))
;----------------------------------------------------------------
(defun rtd (a) (* (/ a pi) 180.0))
(defun dtr (a) (* (/ a 180.0) pi))
;----------------------------------------------------------------
(defun setup ( scset size border)
(setvar "cmdecho" 0)
(if (and (= border 1) (= size "*a4") (= m2 2))
    (command "_limits" "0,0" (strcat (rtos (* (/ 284.0 m1) scset)) "," (rtos (* (/ 199.0 m1) scset)))
  	     "_insert" "*a4" "0,0" (/ scset m1) ""
    )
)
(if (and (= border 1) (= size "*a4") (= m2 4))
    (command "_limits" "0,0" (strcat (rtos (* (/ 284.0 m1) scset)) "," (rtos (* (/ 199.0 m1) scset)))
  	     "_insert" "*a4i" "0,0" (/ scset m1) ""
    )
)
(if (and (= border 1) (= size "*a3") (= m2 2))
    (command "_limits" "0,0" (strcat (rtos (* (/ 381.0 m1) scset)) "," (rtos (* (/ 273.0 m1) scset)))
  	     "_insert" "*a3" "0,0" (/ scset m1) ""
    )
)
(if (and (= border 1) (= size "*a3") (= m2 4))
    (command "_limits" "0,0" (strcat (rtos (* (/ 381.0 m1) scset)) "," (rtos (* (/ 273.0 m1) scset)))
  	     "_insert" "*a3i" "0,0" (/ scset m1) ""
    )
)
(if (and (= border 1) (= size "*a2") (= m2 2))
    (command "_limits" "0,0" (strcat (rtos (* (/ 570.0 m1) scset)) "," (rtos (* (/ 396.0 m1) scset)))
  	     "_insert" "*a2" "0,0" (/ scset m1) ""
    )
)
(if (and (= border 1) (= size "*a2") (= m2 4))
    (command "_limits" "0,0" (strcat (rtos (* (/ 570.0 m1) scset)) "," (rtos (* (/ 396.0 m1) scset)))
  	     "_insert" "*a2i" "0,0" (/ scset m1) ""
    )
)
(if (and (= border 1) (= size "*a1") (= m2 2))
    (command "_limits" "0,0" (strcat (rtos (* (/ 792.0 m1) scset)) "," (rtos (* (/ 570.0 m1) scset)))
  	     "_insert" "*a1" "0,0" (/ scset m1) ""
    )
)
(if (and (= border 1) (= size "*a1") (= m2 4))
    (command "_limits" "0,0" (strcat (rtos (* (/ 792.0 m1) scset)) "," (rtos (* (/ 570.0 m1) scset)))
  	     "_insert" "*a1i" "0,0" (/ scset m1) ""
    )
)
(setvar "angdir" 0)
(setvar "aperture" 3)
(setvar "aunits" 0)
(setvar "auprec" 2)
(setvar "blipmode" 0)
(setvar "dragmode" 2)
(setvar "donutid" 0)
(setvar "donutod" 1.5)
(setvar "fillmode" 1)
(setvar "gridmode" 0)
(setvar "mirrtext" 0)
(setvar "pdmode" 1)
(setvar "pickadd" 1)
(setvar "pickauto" 1)
(setvar "pickdrag" 1)
(setvar "regenmode" 1)
(setvar "savetime" 10)
(setvar "snapmode" 0)
(setvar "snapstyl" 0)
(setvar "dimalt" 0)
(setvar "dimaso" 1)
  (if (= m2 2) (progn
	(setvar "lunits" 2)
	(if (> (distof (getvar "acadver")) 14.0) (setvar "dimlunit" 2))
        (if (> (distof (getvar "acadver")) 14.0) (setvar "dimatfit" 3))
	(setvar "luprec" 0)
	(setvar "hpscale" 25.0)
	(setvar "lunits" 2)
        (setvar "luprec" 0)
        (setvar "dimdec" 0)
	(setvar "dimasz" 2.5)
	(setvar "dimcen" 0)
	(setvar "dimclrd" 4)
	(setvar "dimclre" 4)
	(setvar "dimclrt" 7)
	(setvar "dimdle" 0)
	(setvar "dimdli" 0.38)
	(setvar "dimexe" 0.1)
	(setvar "dimexo" 0.1)
	(setvar "dimgap" 2)
	(setvar "dimjust" 0)
	(setvar "dimlfac" 1.00)
	(setvar "dimfit" 1)
	(setvar "dimlim" 0)
	(setvar "dimrnd" 0.0)
	(setvar "dimsah" 0)
	(setvar "dimse1" 0)
	(setvar "dimse2" 0)
	(setvar "dimsho" 0)
	(setvar "dimsoxd" 0)
	(setvar "dimtad" 1)
	(setvar "dimtfac" 1.0)
	(setvar "dimtih" 0)
	(setvar "dimtix" 1)
	(setvar "dimtm" 0)
	(setvar "dimtofl" 1)
	(setvar "dimtoh" 0)
	(setvar "dimtol" 0)
	(setvar "dimtp" 0)
	(setvar "dimtsz" 0)
	(setvar "dimtvp" 0.00)
	(setvar "dimtxsty" "romans")
	(setvar "dimtxt" 2.5)
	(setvar "dimzin" 0)
	(setvar "dimpost" ".")
	(setvar "hpscale" 125.0)
    ))
  (if (= m2 4) (progn
	(setvar "lunits" 4)
	(if (> (distof (getvar "acadver")) 14.0) (setvar "dimlunit" 4))
        (if (> (distof (getvar "acadver")) 14.0) (setvar "dimatfit" 3))
	(setvar "luprec" 4)
	(setvar "hpscale" 1.0)
	(setvar "lunits" 4)
	(setvar "luprec" 4)
	(setvar "dimdec" 4)
	(setvar "dimasz" 0.18)
	(setvar "dimcen" 0)
	(setvar "dimclrd" 4)
	(setvar "dimclre" 4)
	(setvar "dimclrt" 7)
	(setvar "dimdle" 0)
	(setvar "dimdli" 0.38)
	(setvar "dimexe" 0.05)
	(setvar "dimexo" 0.05)
	(setvar "dimgap" 0.09)
	(setvar "dimjust" 0)
	(setvar "dimlfac" 1.00)
	(setvar "dimfit" 1)
	(setvar "dimlim" 0)
	(setvar "dimrnd" 0.0)
	(setvar "dimsah" 0)
	(setvar "dimse1" 0)
	(setvar "dimse2" 0)
	(setvar "dimsho" 0)
	(setvar "dimsoxd" 0)
	(setvar "dimtad" 1)
	(setvar "dimtfac" 1.0)
	(setvar "dimtih" 0)
	(setvar "dimtix" 1)
	(setvar "dimtm" 0)
	(setvar "dimtofl" 0)
	(setvar "dimtoh" 0)
	(setvar "dimtol" 0)
	(setvar "dimtp" 0)
	(setvar "dimtsz" 0)
	(setvar "dimtvp" 0.00)
	(setvar "dimtxsty" "romans")
	(setvar "dimtxt" 0.18)
	(setvar "dimzin" 0)
	(setvar "dimpost" ".")
	(setvar "hpscale" 5.0)
    ))
(command "_style" "romans" "romans" 0.0 0.75 0.0 "" "" "")
(if (= size "*a4") (setvar "dimtxt" (/ 3.0 m1)) (setvar "dimtxt" (/ 4.0 m1)))
(setvar "dimzin" 0)
(setvar "dimpost" ".")
        (setvar "osmode" 0)(princ)
(command "_style" "romans" "romans" 0.0 1.0 0.0 "" "" ""
         "_layer" "make" "BOM" "color" "6" "" ""
	 "_layer" "make" "CEN" "color" "2" "" ""
         "_layer" "make" "DIM" "color" "4" "" ""
	 "_layer" "make" "HID" "color" "3" "" ""
	 "_ucs" "o" "0,0"
         "_zoom" "all")
  (princ)
) ;end setup  --------------------------------------------------------------------
(defun tagno ( p54 p55 tag scta01 size scta0)
(if (= size "*a4")
   (progn
	(command "_layer" "set" "dim" "")
        (line0 p54 p55)
	(command "_circle" "2p" p55 (polar p55 (angle p54 p55) (* scta0 scta01 (/ 7.0 m1)))
;                 "_pline" p54 "w" "0" (rtos (* scta0 (/ 1.0 m1))) (strcat "@" (rtos (* (/ 3.0 m1) scta0)) "<" (rtos (rtd (angle p54 p55)))) ""
;                 "_pline" p54 "w" "0" (* scta0 (/ 2.0 m1)) (strcat "@" (rtos (* (/ 3.0 m1) scta0)) "<" (rtos (rtd (angle p54 p55)))) ""
	         "_layer" "set" "0" ""
                 "_text" "middle" (polar p55 (angle p54 p55) (* scta0 scta01 (/ 3.5 m1))) (* scta0 scta01 (/ 2.0 m1)) 0.0 tag
        )
   )
   (progn
         (command "_layer" "set" "dim" "")
         (line0 p54 p55)
	 (command "_circle" "2p" p55 (polar p55 (angle p54 p55) (* scta0 scta01 (/ 7.0 m1)))
;                  "_pline" p54 "w" "0" (rtos (* scta0 (/ 1.0 m1))) (strcat "@" (rtos (* (/ 2.0 m1) scta0)) "<" (rtos (rtd (angle p54 p55)))) ""
;                  "_pline" p54 "w" "0" (* scta0 (/ 2.0 m1)) (strcat "@" (rtos (* (/ 3.0 m1) scta0)) "<" (rtos (rtd (angle p54 p55)))) ""
	          "_layer" "set" "0" ""
                  "_text" "middle" (polar p55 (angle p54 p55) (* scta0 scta01 (/ 3.5 m1))) (* scta0 scta01 (/ 2.0 m1)) 0.0 tag
	 )
   )
)
(princ)
) ; end tagno ------------------------------------------------------------------
(defun tagno2 ( p54 p55 tag scta21 size scta2)
(if (= size "*a4") 
    (progn
	(command "_layer" "set" "dim" ""
                 "_line" p54 (polar p55 (angle p55 p54) (* scta2 scta21 (/ 5.0 m1))) ""
      	         "_circle" p55 (* scta2 scta21 (/ 3.5 m1))
;                 "_pline" p54 "w" "0" (rtos (* scta2 (/ 1.0 m1))) (strcat "@" (rtos (* (/ 3.0 m1) scta2)) "<" (rtos (rtd (angle p54 p55)))) ""
;                 "_pline" p54 "w" "0" (* scta0 (/ 2.0 m1)) (strcat "@" (rtos (* (/ 3.0 m1) scta0)) "<" (rtos (rtd (angle p54 p55)))) ""
	   	 "_layer" "set" "0" ""
                 "_text" "middle" p55 (* scta2 scta21 (/ 2.0 m1)) 0.0 tag)
	(setq p55 (polar p55 (dtr 0.0) (* scta2 scta21 (/ 7.0 m1)))
              tag (itoa (+ (atoi tag) 1))
        )
	(command "_layer" "set" "dim" ""
      	         "_circle" p55 (* scta2 scta21 (/ 3.5 m1))
	   	 "_layer" "set" "0" ""
                 "_text" "middle" p55 (* scta2 scta21 (/ 2.0 m1)) 0.0 tag)
    )
    (progn
	(command "_layer" "set" "dim" ""
                 "_line" p54 (polar p55 (angle p55 p54) (* scta2 scta21 (/ 5.0 m1))) ""
      	         "_circle" p55 (* scta2 scta21 (/ 3.5 m1))
;                 "_pline" p54 "w" "0" (rtos (* scta2 (/ 1.0 m1))) (strcat "@" (rtos (* (/ 3.0 m1) scta2)) "<" (rtos (rtd (angle p54 p55)))) ""
;                 "_pline" p54 "w" "0" (* scta0 (/ 2.0 m1)) (strcat "@" (rtos (* (/ 3.0 m1) scta0)) "<" (rtos (rtd (angle p54 p55)))) ""
	         "_layer" "set" "0" ""
                 "_text" "middle" p55 (* scta2 scta21 (/ 2.0 m1)) 0.0 tag)
	(setq p55 (polar p55 (dtr 0.0) (* scta2 scta21 (/ 15.0 m1)))
              tag (itoa (+ (atoi tag) 1))
      )
	(command "_layer" "set" "dim" ""
      	         "_circle" p55 (* scta2 scta21 (/ 3.5 m1))
	         "_layer" "set" "0" ""
                 "_text" "middle" p55 (* scta2 scta21 (/ 2.0 m1)) 0.0 tag)
    )
)
(princ)
) ; end tagno2 ------------------------------------------------------------------
(defun tagno3 ( p54 p55 tag scta31 size scta3)
(if (= size "*a4") 
    (progn
	(command "_layer" "set" "dim" ""
                 "_line" p54 (polar p55 (angle p55 p54) (* scta3 scta31 (/ 5.0 m1))) ""
      	         "_circle" p55 (* scta3 scta31 (/ 3.5 m1))
;                 "_pline" p54 "w" "0" (rtos (* scta3 (/ 1.0 m1))) (strcat "@" (rtos (* (/ 3.0 m1) scta3)) "<" (rtos (rtd (angle p54 p55)))) ""
;                 "_pline" p54 "w" "0" (* scta0 (/ 2.0 m1)) (strcat "@" (rtos (* (/ 3.0 m1) scta0)) "<" (rtos (rtd (angle p54 p55)))) ""
	   	 "_layer" "set" "0" ""
                 "_text" "middle" p55 (* scta3 scta31 (/ 2.0 m1)) 0.0 tag)
	(setq p55 (polar p55 (dtr 0.0) (* scta3 scta31 (/ 7.0 m1)))
              tag (itoa (+ (atoi tag) 1))
        )
	(command "_layer" "set" "dim" ""
      	         "_circle" p55 (* scta3 scta31 (/ 3.5 m1))
	   	 "_layer" "set" "0" ""
                 "_text" "middle" p55 (* scta3 scta31 (/ 2.0 m1)) 0.0 tag)
	(setq p55 (polar p55 (dtr 0.0) (* scta3 scta31 (/ 7.0 m1)))
              tag (itoa (+ (atoi tag) 1))
        )
	(command "_layer" "set" "dim" ""
      	         "_circle" p55 (* scta3 scta31 (/ 3.5 m1))
	         "_layer" "set" "0" ""
                 "_text" "middle" p55 (* scta3 scta31 (/ 2.0 m1)) 0.0 tag)
    )
    (progn
	(command "_layer" "set" "dim" ""
                 "_line" p54 (polar p55 (angle p55 p54) (* scta3 scta31 (/ 5.0 m1))) ""
      	         "_circle" p55 (* scta3 scta31 (/ 3.5 m1))
;                 "_pline" p54 "w" "0" (rtos (* scta3 (/ 1.0 m1))) (strcat "@" (rtos (* (/ 3.0 m1) scta3)) "<" (rtos (rtd (angle p54 p55)))) ""
;                 "_pline" p54 "w" "0" (* scta0 (/ 2.0 m1)) (strcat "@" (rtos (* (/ 3.0 m1) scta0)) "<" (rtos (rtd (angle p54 p55)))) ""
	         "_layer" "set" "0" ""
                 "_text" "middle" p55 (* scta3 scta31 (/ 2.0 m1)) 0.0 tag)
	(setq p55 (polar p55 (dtr 0.0) (* scta3 scta31 (/ 7.0 m1)))
              tag (itoa (+ (atoi tag) 1))
        )
	(command "_layer" "set" "dim" ""
      	         "_circle" p55 (* scta3 scta31 (/ 3.5 m1))
	         "_layer" "set" "0" ""
                 "_text" "middle" p55 (* scta3 scta31 (/ 2.0 m1)) 0.0 tag)
	(setq p55 (polar p55 (dtr 0.0) (* scta3 scta31 (/ 7.0 m1)))
              tag (itoa (+ (atoi tag) 1))
        )
	(command "_layer" "set" "dim" ""
      	         "_circle" p55 (* scta3 scta31 (/ 3.5 m1))
	         "_layer" "set" "0" ""
                 "_text" "middle" p55 (* scta3 scta31 (/ 2.0 m1)) 0.0 tag)
    )
)
(princ)
) ; end tagno3 ------------------------------------------------------------------
(defun bhole ( p1 c64 scbho / p2 p3 p4 p5)
      (setq p2 (list (- (car p1) (* c64 0.5) (/ (* scbho 5.0) m1)) (cadr p1))
	    p3 (list (+ (car p1) (* c64 0.5) (/ (* scbho 5.0) m1)) (cadr p1))
	    p4 (list (car p1) (+ (cadr p1) (* c64 0.5) (/ (* scbho 5.0) m1)))
	    p5 (list (car p1) (- (cadr p1) (* c64 0.5) (/ (* scbho 5.0) m1)))
      )
      (command   "_layer" "set" "cen" ""
		 "_linetype" "set" "center" "")
	 	 (line0 p2 p3)
	 	 (line0 p4 p5)
      (command	 "_linetype" "set" "continuous" ""
                 "_layer" "s" "0" ""
		 "_circle" p1 "d" c64)
); end bhole ----------------------------------------------------------------